<?php

namespace App\Http\Controllers;
use App\Models\Student;

use App\Models\Promote;
use App\Models\Acyear;
use App\Models\Course;
use App\Models\Subject;
use App\Models\StudentInterAssignment;
use App\Models\StudAssignmentsInter;
use App\Models\PracticalExam;




use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Storage;
class InternalAssessStudent extends Controller
{
  public function assignment()
  {
    $studentId = Auth::guard('student')->id();
      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
      $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
     ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
    return view('studentlogin.internalassessment.assignment',compact('student','courses','studentId'));
  }
  public function assignment_sub_get(Request $request)
  {
      $course_id=$request->course;
     
      $sem_id=$request->semester_id;
      $subjects=array();
      $row=Subject::where('course_id',$course_id)->where('semester_id',$sem_id)->get();
      foreach($row as $rows)
      {
          $subjects[$rows->subject_id]=$rows->subject_name;
      }
      return json_encode($subjects);
  }
  
  
  public function assignment_sub_get_det(Request $request)
  {
        $crs_id=$request->course;
   
    $sem_id=$request->semester_id;
    $sub_id=$request->sub_id;
    $ac_id=getAcyear();
      $studentId = Auth::guard('student')->id();
    $assignmt=StudentInterAssignment::where([
        'course_id'=>$crs_id,
        'semester_id'=>$sem_id,
        'subject_id'=>$sub_id,
        'ac_id'=>$ac_id,
        ])
        ->get();
  $checksubtdassig=StudAssignmentsInter::where([
        'course_id'=>$crs_id,
        'semester_id'=>$sem_id,
        'subject_id'=>$sub_id,
        'ac_id'=>$ac_id,
        'student_id'=>$studentId,
        ])->first();
        return view('studentlogin.internalassessment.assignment_sub_get_det',compact('checksubtdassig','assignmt','ac_id','sub_id','sem_id','crs_id'));
  }
  public function submit_assig(Request $request)
  {
     $validated = $request->validate([
        'course' => 'required',
        'sem' => 'required',
        'posted' => 'required|array', 
        'assignment.*' => 'required|mimes:doc,docx,pdf,jpeg,jpg,png|max:5120', 
    ]);

  
    $course = $request->course;
    $sem = $request->sem;
    $subject = $request->sub;
    $ac_id = getAcyear();
    $folderPath = 'InternalAssessment/Assignment';
    $studentId = Auth::guard('student')->id();

    
    if (!Storage::exists($folderPath)) {
        Storage::makeDirectory($folderPath);
    }

    $i = 0; 

 
    foreach ($request->posted as $assignment_id) {
        if ($request->hasFile('assignment.' . $assignment_id)) {
            $file = $request->file('assignment.' . $assignment_id);
            $ext = $file->extension();
            $assignmentFileName = 'assignment_' . time() . '_' . $assignment_id . '.' . $ext;
            $file->storeAs($folderPath, $assignmentFileName);

          
            $existing = StudAssignmentsInter::where([
                'assig_id' => $assignment_id,
                'student_id' => $studentId
            ])->first();

            if (!$existing) {
              
                StudAssignmentsInter::create([
                    'assig_id' => $assignment_id,
                    'course_id' => $course,
                    'semester_id' => $sem,
                    'subject_id' => $subject,
                    'student_id' => $studentId,
                    'submitted_date' => now(),
                    'ac_id' => $ac_id,
                    'assignment' => $assignmentFileName,
                    'status' => 1,
                ]);

                $i++;
            }
        }
    }

    
    if ($i > 0) {
        return redirect()->route('studentlog.internal.assig')->with([
            'message' => 'Assignment has been submitted successfully!',
            'alert-type' => 'success'
        ]);
    } else {
        return redirect()->route('studentlog.internal.assig')->with([
            'message' => 'Assignment could not be submitted!',
            'alert-type' => 'error'
        ]);
    }
}
    public function ajaxgetexamp(Request $request)
{
    
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = PracticalExam::where('course_id', $course_id)->where('semester_id', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
        $exam[$row->pexam_id ] = $row->exam_name;
        }
      
        return json_encode($exam);

}   
      
      


  
}
