<?php

namespace App\Http\Controllers;
use App\Models\Acyear;
use App\Models\User;
use App\Models\Course;
use App\Models\SubjectType; 
use App\Models\Semester;
use App\Models\Subject;
use App\Models\Promote;
use App\Models\Student;
use App\Models\PathwaySettings;
use App\Models\CourseSubject;
use App\Models\FYUGPPATHWAY;
use App\Models\FyugpStudSub;
use App\Models\LMSSTUDASSIGNMENT;
use App\Models\LmsAssignment;
use App\Models\LmsTaskStud;
use App\Models\LmsTask;
use App\Models\UserType;
use App\Models\StaffTask;
use Illuminate\Http\Request;
use App\Models\HOD;
use App\Models\ClassTeacher;
use App\Models\StaffSubject;
use DB;
use Illuminate\Support\Facades\Auth;

class LMS extends Controller
{
    public function assignment()
    {
       $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           {
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $courses = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
        
        return view('Lms.assignment',compact('courses','ac_id'));
    }
    
    public function get_assignment(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $batch_id = $request->batch_id;
        $assignment_name = $request->assignment_name;
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $ac_id = getAcyear();
        if ($batch_id != null && $batch_id != '') {
            
            $assigmentexists = LmsAssignment::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'batch_id' => $batch_id,
                    'assignment_name' => $assignment_name
                    ])->first();
        }
        else
        {
        $assigmentexists = LmsAssignment::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'assignment_name' => $assignment_name
                    ])->first();
        }
         $sem_name = Semester::where('semester_id',$semester_id)->first();
      
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }
        
        $students = array();
        
         $subject = Subject::find($sub_id);
        $semester = Semester::find($semester_id);
                $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
       $query = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
                    ->join('courses', 'promotes.course_id', '=', 'courses.course_id');
                if(in_array($subject->subject_categ, [2,3,4,5,6])) {
                    $query->join('fyugp_stud_sub', 'promotes.student_id', '=', 'fyugp_stud_sub.stud_id');
                if ($batch_id != null && $batch_id != '') {
                    $courses = DB::table('group_courses')->where('group_id',$batch_id)->pluck('course_id')->toArray();
                    $query->whereIn('promotes.course_id', $courses);
                }
                $query->where('fyugp_stud_sub.acyear_id', $ac_id)
                      ->where('fyugp_stud_sub.sub_id', $sub_id)
                      ->whereIn('promotes.semester_id', $semesterIds)
                      ->whereIn('fyugp_stud_sub.sem', $semesterIds);
                } else {
                    $query->where('promotes.course_id', $course)
                        ->where('promotes.semester_id', $semester_id);
                }
                $students = $query->where('promotes.ac_id', $ac_id)
                    ->select('students.student_id','students.adno','students.name','students.rollno','students.clno','courses.course_name','promotes.course_id','promotes.semester_id')
                    ->groupBy('promotes.student_id')
                    ->orderBy('students.clno', 'ASC')
                    ->get(); 
       // $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->orderBy('students.clno', 'ASC')->get();
       
        return view('Lms.view_assignment',compact('course','semester_id','ac_id','sub_id','batch_id','students','subject_categ','assignment_name','assigmentexists'));
         
     }
     
     public function assignment_save(Request $request)
      {
            $crs_id = decrypt($request->course);
            $sem_id = decrypt($request->sem_id);
            $sub_id = decrypt($request->sub_id);
            $batch_id = decrypt($request->batch_id);
            $assignment_name = decrypt($request->assignment_name);
            $max_mark =$request->max_mark;
           
            $dead_line =$request->sub_date;
            $ac_id = getAcyear();
            $i=0;
             $assigmentexists = LmsAssignment::where([
                        'ac_id' => $ac_id,
                        'sem_id' => $sem_id,
                        'course_id' => $crs_id,
                        'sub_id' => $sub_id,
                        'batch_id' => $batch_id,
                        'assignment_name' => $assignment_name
                        ])->first();
            if(!$assigmentexists)
            {
                 $assignmentlist = LmsAssignment::create([
                            'course_id' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                             'batch_id' => $batch_id,
                            'date' => date('Y-m-d'),
                            'ac_id' => $ac_id,
                            'assignment_name' => $assignment_name,
                            'dead_line'=>$dead_line,
                            'max_mark'=>$max_mark,
                    ]);
                    if($request->posted !='')
                    {
                        $common_topic = $request->input('topic_all');
                        foreach($request->posted as $ids)
                        {
                            $checkstud = LMSSTUDASSIGNMENT::where([
                               
                                'assgmnt_id' => $assignmentlist->id,
                                'stud_id' => $ids
                                ])->first();
                             if(!$checkstud)
                             {
                               
                                $topic = $request->input("topic".$ids);
                                 if (empty($topic)) {
                                 $topic = $common_topic;
                                  }
                                $submission_date = $request->input("submission_date".$ids);
                                $assignmentlist = LMSSTUDASSIGNMENT::create([
                                'assgmnt_id' => $assignmentlist->id,
                                'topic' => $topic,
                                'submission_date' => $submission_date,
                                'stud_id' => $ids,
                              
                                ]); 
                                $i++;
                             }
                        }
                    }
            }
        if($i>0){
            $msg_array = array('message'=>'Assignment has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assignment Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('lms.assignment')->with($msg_array);
      }
      
    public function view_assignment()
    {
       $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           {
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $courses = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
        return view('Lms.view_stud_assignment',compact('courses','ac_id'));
    }
    
     public function get_assignment_view(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $assignment_id = $request->assignment_id;
        $batch_id = $request->batch_id;
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $ac_id = getAcyear();
        $assigmentexists = LmsAssignment::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'id' => $assignment_id
                    ])->first();
                   
       $sub_cat = $subject_categ->subject_categ; 
        $sem_name = Semester::where('semester_id',$semester_id)->first();
      
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }

         $students = array();
        
         $subject = Subject::find($sub_id);
        $semester = Semester::find($semester_id);
                $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
       $query = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
                    ->join('courses', 'promotes.course_id', '=', 'courses.course_id');
                if(in_array($subject->subject_categ, [2,3,4,5,6])) {
                    $query->join('fyugp_stud_sub', 'promotes.student_id', '=', 'fyugp_stud_sub.stud_id');
                if ($batch_id != null && $batch_id != '') {
                    $courses = DB::table('group_courses')->where('group_id',$batch_id)->pluck('course_id')->toArray();
                    $query->whereIn('promotes.course_id', $courses);
                }
                $query->where('fyugp_stud_sub.acyear_id', $ac_id)
                      ->where('fyugp_stud_sub.sub_id', $sub_id)
                      ->whereIn('promotes.semester_id', $semesterIds)
                      ->whereIn('fyugp_stud_sub.sem', $semesterIds);
                } else {
                    $query->where('promotes.course_id', $course)
                        ->where('promotes.semester_id', $semester_id);
                }
                $students = $query->where('promotes.ac_id', $ac_id)
                    ->select('students.student_id','students.adno','students.name','students.rollno','students.clno','courses.course_name','promotes.course_id','promotes.semester_id')
                    ->groupBy('promotes.student_id')
                    ->orderBy('students.clno', 'ASC')
                    ->get();       
         
        //$students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->orderBy('students.clno', 'ASC')->get();
       
        return view('Lms.view_assignment_stud',compact('course','semester_id','ac_id','sub_id','batch_id','students','subject_categ','assignment_id','assigmentexists'));
         
     }
     
      public function getassignments(Request $request){ 
        $sub_id= $request->get('sub_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
         $batch_id=   $request->get('batch_id');
         $ac_id = getAcyear();
        $assignments = array();
        if ($batch_id != null && $batch_id != '') {
            $rows = LmsAssignment::where('course_id',$course_id)->where('sem_id',$sem_id)->where('sub_id',$sub_id)->where('batch_id',$batch_id)->where('ac_id',$ac_id)->get();
        }
        else
        {
        $rows = LmsAssignment::where('course_id',$course_id)->where('sem_id',$sem_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->get();
        }
        foreach($rows as $row){
            $assignments[$row->id] = $row->assignment_name;
        }
        return json_encode($assignments);
      }
      
      public function view_assignment_save(Request $request)
      {
            $crs_id = decrypt($request->course);
            $sem_id = decrypt($request->sem_id);
            $sub_id = decrypt($request->sub_id);
            $batch_id = decrypt($request->batch_id);
            $assignment_id = decrypt($request->assignment_id);
            $max_mark =$request->max_mark;
           
            $dead_line =$request->sub_date;
            $ac_id = getAcyear();
            $i=0;
           
            
             $assigmentexists=LmsAssignment::find($assignment_id);
              $assigmentexists->update([
    
                  'max_mark'=>$max_mark,
                   'dead_line'=>$dead_line,
                  ]);
              if($request->posted !='')
              {
                foreach($request->posted as $ids)
                {   
                     $checkII = LMSSTUDASSIGNMENT::where([
                        'assgmnt_id' => $assignment_id,
                        'stud_id' => $ids,
                        
                    ])->first();
                    $topic = $request->input("topic".$ids);
                    $submission_date = $request->input("submission_date".$ids);
                    $mark = $request->input("mark".$ids);
                    if(!$checkII){
                        $assignmentlist = LMSSTUDASSIGNMENT::create([
                                'assgmnt_id' => $assignment_id,
                                'topic' => $topic,
                                'submission_date' => $submission_date,
                                'stud_id' => $ids,
                              
                                ]); 
                         $i++;
                    }
                    else
                    {
                        $checkII->update([
                    'topic' => $topic,
                    'submission_date'=>$submission_date,
                    'mark'=>$mark,
                   
                ]);
                $i++;
                    }
                }
             }
             
        if($i>0){
            $msg_array = array('message'=>'Assignment has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assignment Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('lms.assignment.stud')->with($msg_array);
            
      }
      
    public function task()
    {
       $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           {
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $courses = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
        return view('Lms.Task.task',compact('courses','ac_id'));
    }
  public function task_save(Request $request)
{
    // Validate the incoming request
    $validated = $request->validate([
        'course' => 'required',
        'semester_id' => 'required',
        'sub_id' => 'required',
        'dead_line' => 'required|date',
        'task_name' => 'required|string|max:255',
    ]);

    $i = 0;
    $crs_id = $request->course;
    $sem_id = $request->semester_id;
    $sub_id = $request->sub_id;
    $batch_id = $request->batch_id;
    $task_name = $request->task_name;
    $dead_line = $request->dead_line;
    $descrption = $request->descrption;
    $ac_id = getAcyear();  // Assuming this function fetches the current academic year
    
    $subcategory = Subject::where('subject_id',$sub_id)->first();
    $sub_cat_id = $subcategory->subject_categ;
    // Fetch students who need the task
    $students = array();
        
         $subject = Subject::find($sub_id);
        $semester = Semester::find($sem_id);
                $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
       $query = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
                    ->join('courses', 'promotes.course_id', '=', 'courses.course_id');
                if(in_array($subject->subject_categ, [2,3,4,5,6])) {
                    $query->join('fyugp_stud_sub', 'promotes.student_id', '=', 'fyugp_stud_sub.stud_id');
                if ($batch_id != null && $batch_id != '') {
                    $courses = DB::table('group_courses')->where('group_id',$batch_id)->pluck('course_id')->toArray();
                    $query->whereIn('promotes.course_id', $courses);
                }
                $query->where('fyugp_stud_sub.acyear_id', $ac_id)
                      ->where('fyugp_stud_sub.sub_id', $sub_id)
                      ->whereIn('promotes.semester_id', $semesterIds)
                      ->whereIn('fyugp_stud_sub.sem', $semesterIds);
                } else {
                    $query->where('promotes.course_id', $crs_id)
                        ->where('promotes.semester_id', $sem_id);
                }
                $students = $query->where('promotes.ac_id', $ac_id)
                    ->select('students.student_id','students.adno','students.name','students.rollno','courses.course_name','promotes.course_id','promotes.semester_id')
                    ->groupBy('promotes.student_id')
                    ->orderBy('students.rollno', 'ASC')
                    ->get();     
    // Check if the task already exists
    $taskexists = LmsTask::where([
        'ac_id' => $ac_id,
        'sem_id' => $sem_id,
        'course_id' => $crs_id,
        'sub_id' => $sub_id,
        'batch_id' => $batch_id,
        'task_name' => $task_name
    ])->first();

    if (!$taskexists) {
        // Create the new task
        $task = LmsTask::create([
            'course_id' => $crs_id,
            'sem_id' => $sem_id,
            'sub_id' => $sub_id,
            'batch_id' => $batch_id,
            'task_name' => $task_name,
            'descrption' => $descrption,
            'dead_line' => $dead_line,
            'ac_id' => $ac_id,
        ]);

        if ($task) {
            // Assign task to each student
            foreach ($students as $stud) {
                $taskstudexists = LmsTaskStud::where([
                    'task_id' => $task->id,
                    'stud_id' => $stud->student_id,
                ])->first();

                if (!$taskstudexists) {
                    LmsTaskStud::create([
                        'task_id' => $task->id,
                        'stud_id' => $stud->student_id,
                        'status' => 0,  // Assuming status is 0 for pending
                    ]);
                    $i++;
                }
            }
        }
    }

    // Prepare success or error message based on the task assignment
    if ($i > 0) {
        $msg_array = ['message' => 'Task has been Assigned Successfully!', 'alert-type' => 'success'];
    } else {
        $msg_array = ['message' => 'Task Could not be Assigned!', 'alert-type' => 'error'];
    }

    // Redirect back with message
    return redirect()->route('lms.task')->with($msg_array);
}
      
    public function view_task()
    {
        $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           {
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $courses = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
        return view('Lms.Task.view_task',compact('courses','ac_id'));
    }
    
    public function get_task_view(Request $request)
    {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $batch_id= $request->batch_id;
        $ac_id = getAcyear();
        if ($batch_id != null && $batch_id != '') {
        $tasks = LmsTask::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'batch_id' => $batch_id,
                    ])->get();
        }
        else
        {
            $tasks = LmsTask::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    
                    ])->get(); 
        }
        return view('Lms.Task.view_task_get',compact('course','semester_id','ac_id','sub_id','batch_id','tasks'));
         
    }
    
    public function get_task_det($aid)
    {
            
            
            $task_det = LmsTask::find(decrypt($aid));
             $stud_task = LmsTaskStud::join('students as s', 'task_stud.stud_id', '=', 's.student_id')
                ->where('task_stud.task_id', decrypt($aid))
                ->orderBy('s.clno', 'ASC')
                ->select('s.student_id', 's.name', 's.rollno','s.clno', 'task_stud.*') // Select only needed columns
                ->get();            
            return view('Lms.Task.get_task_det',compact(array('task_det','stud_task')));
        
    
    }  
    
     public function staff_task()
    {
        $types = UserType::all();
        $ac_id = getAcyear();
        return view('Lms.Task.staff_task',compact('types','ac_id'));
    }
    
    public function staff_task_save(Request $request){
        $validated = $request->validate([
            'type_id' => 'required',
            'user_id' =>'required',
            'descrption'=>'required',
            'dead_line'=>'required',
        ]); 
        $i=0;
         $ac_id = getAcyear();
         if($request->user_id == 'all')
         {
             $stffall = User::where('type_id',$request->type_id)->get();
            if ($stffall->isEmpty()) {
                 $msg_array = array('message'=>'No users found for the specified type !','alert-type'=>'error');
            return redirect()->route('lms.task.staff')->with($msg_array);
        }
             foreach($stffall as $stfal)
             {
                   $stafftask = StaffTask::create([
            'type_id' => $request->type_id,
            'user_id' =>$stfal->user_id,
             'task'=>$request->descrption,
             'dead_line'=>$request->dead_line,
             'ac_id'=>$ac_id,
             
        ]);
             }
         }
         else
         {
        $stafftask = StaffTask::create([
            'type_id' => $request->type_id,
            'user_id' =>$request->user_id,
             'task'=>$request->descrption,
             'dead_line'=>$request->dead_line,
             'ac_id'=>$ac_id,
             
        ]);
         }
        if (isset($stafftask) && $stafftask) {
            $msg_array = array('message'=>'Task Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Task Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('lms.task.staff')->with($msg_array);
    }
    
    public function view_staff_task()
    {
        $types = UserType::all();
        $ac_id = getAcyear();
        return view('Lms.Task.view_staff_task',compact('types','ac_id'));
    }
    
    public function get_staff_task_view(Request $request)
    {
      
        $type_id = $request->type_id;
        $user_id = $request->user_id;
     
        $ac_id = getAcyear();
        $tasks = StaffTask::where([
                    'ac_id' => $ac_id,
                    'type_id' => $type_id,
                    'user_id' => $user_id,
                    ])->get();
        return view('Lms.Task.get_staff_task_view',compact('type_id','user_id','ac_id','tasks'));
         
    }
    
    public function view_my_task()
    {
        
        $ac_id = getAcyear();
        return view('Lms.Staff.my_task',compact('ac_id'));
    }
    public function get_my_task_view(Request $request)
    {
      
        $status = $request->status;
        $userId = Auth::id();
     
        $ac_id = getAcyear();
        $tasks = StaffTask::where([
                    'ac_id' => $ac_id,
                    'user_id' => $userId,
                    'status'=>$status,
                    ])->get();
        if($status == 0)
        {
            $status_name = "PENDING";
        }
        else if($status == 1)
        {
            $status_name = "COMPLETED";
        }
        return view('Lms.Staff.get_my_task_view',compact('status','userId','ac_id','tasks','status_name'));
         
    }
 
}
