<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Institute;
use App\Models\Acyear;
use App\Models\Student;
use App\Models\Hostel;
use App\Models\HostelMonth;
use App\Models\HostelFee;
use App\Models\HostelFacility;
use App\Models\MessFee;
use App\Models\Course;
use App\Models\MenuAccess;
use App\Models\acquotamodel;
use App\Models\iqacmodel;
use App\Models\Iqacdocumentmodel;
use App\Models\User;
use App\Models\Staffiqacdocument;
use App\Models\Seatallotment;
use App\Models\Vouchertyp;
use App\Models\Accounttype;
use App\Models\Staffleaveset;
use App\Models\AcHoliday;
use App\Models\Department;
use App\Models\Department_Course;
use App\Models\AcademicCalendar;
use App\Models\AttendanceGrade;

use Image;
use Carbon\Carbon;

class Settings extends Controller
{
    public function home(){
        
        return view('settings.home');
    }
    
    public function institution(){
        
        $details = Institute::find(1);
        
        return view('settings.institution',compact('details'));
    }
    
    public function institution_save(Request $request){
        
        $validated = $request->validate([
            'name' => 'required',
            'mobile' => 'nullable',
            'landline' => 'nullable',
            'email' => 'nullable|email',
            'logo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'image' => 'nullable|max:5120|mimes:jpeg,png,jpg',
        ]);
        
        $institute = Institute::find(1);
        
        $logo = $institute->logo;
        $icon = $institute->icon;
        $image = $institute->image;
        
        if($request->hasFile('logo')){
            $ext = $request->logo->extension();
            $logo = 'logo_'.time().'.'.$ext;
            
            Image::make($request->logo)->save('public/uploads/logo/'.$logo);
        }
        
        if($request->hasFile('image')){
            $exts = $request->image->extension();
            $image = 'image_'.time().'.'.$exts;
            
            Image::make($request->image)->save('public/uploads/logo/'.$image);
        }
        
        if($request->hasFile('icon')){
            $exti = $request->icon->extension();
            $icon = 'icon_'.time().'.'.$exti;
            
            Image::make($request->icon)->resize(150,150)->save('public/uploads/logo/'.$icon);
        }
        
        
        $institute->update([
            'name' => $request->name,
            'address' => $request->address,
            'mobile' => $request->mobile,
            'landline' => $request->landline,
            'email' => $request->email,
            'affiliation' => $request->affiliation,
            'website' => $request->website,
            'icon' => $icon,
            'logo' => $logo,
            'image' => $image,
        ]);
        
        if($institute){
            $msg_array = array('message'=>'Institution Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Institution Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('institution')->with($msg_array);
    }
        
    public function accounttype(){
        
        $accountype = Accounttype::all();
        
        return view('settings.accountype',compact('accountype'));
    }
   
        
        
        public function accounttype_update($id)
    {
         Accounttype::whereNull('deleted_at')->update(['default1'=>0]);
        // Decrypt the ID if necessary
        $accountId = decrypt($id);
        
        // Find the account type by ID
        $accountType = Accounttype::findOrFail($accountId);
        
        // Update the default status
        $accountType->default1 = 1; // Assuming 1 represents 'default'
        $accountType->save();
        
        // Redirect back or wherever you want
        return redirect()->back()->with('success', 'Account type updated successfully');
    }
        
        
    
    
    public function acyear(){
        
        $acyears = Acyear::all();
        
        return view('settings.acyear',compact('acyears'));
    }
    
    
        public function acyear_insert(Request $request){
        
        $validated = $request->validate([
            'sdate' => 'required|unique:acyears,sdate',
            'edate'=>'required|unique:acyears,edate',
        ]);
        
        $acyear = Acyear::create([
            'sdate' => $request->sdate,
            'edate' => $request->edate,

        ]);
        
        if($acyear){
            $msg_array = array('message'=>'Academic Year Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Academic Year Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('acyear')->with($msg_array);
    }

    
    
    
    
    
    public function acyear_save($acid){
        
        Acyear::whereNull('deleted_at')->update(['default1'=>0]);
        
        $acyear = Acyear::find(decrypt($acid));
        $acyear->update(['default1'=>1]);
        if($acyear){
            $msg_array = array('message'=>'Academic Year Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Academic Year Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('acyear')->with($msg_array);
    }
   
   
   public function acyear_saves($encryptedId)

{
    try {
        // Decrypt the ID
        $id = decrypt($encryptedId);
    } catch (DecryptException $e) {
        // Handle decryption error
        return response()->json(['message' => 'Invalid payload.', 'alert-type' => 'error']);
    }

    // Validate the ID exists in the database
    $acyear = Acyear::find($id);

    if (!$acyear) {
        return response()->json(['message' => 'Academic Year not found.', 'alert-type' => 'error']);
    }

    // Set all academic years' default1 to 0
    Acyear::where('status', 1)->update(['default1' => 0]);

    // Set the selected academic year as default
    $acyear->update(['default1' => 1]);

    return response()->json(['message' => 'Academic Year updated successfully!', 'alert-type' => 'success']);
}
 

   
   
   
   
   
   
       public function acquota(){
        
        $acquota = acquotamodel::all();
        
        return view('settings.acquota',compact('acquota'));
    }

   public function acquota_save(Request $request)
   {
       $validated = $request->validate([
            'quota' => 'required|unique:academic_quota,quota,NULL,deleted_at',
        ]);
        $acquota = acquotamodel::create([
            'quota' => $request->quota,
        ]); 
                if($acquota){
            $msg_array = array('message'=>'Academic Quota Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Academic Quota Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('acquota')->with($msg_array); 
   }
   
public function acquota_edit($aid)
{
        
        
        $acquota = acquotamodel::find(decrypt($aid));
        
        return view('settings.acquotaedit',compact(array('acquota')));
    

}
  public function acquota_update(Request $request)
  {
      $acquota_id=decrypt($request->aq_id);
      $validated=$request->validate([
             'quota' => 'required|unique:academic_quota,quota,'.$acquota_id.',aq_id',
          
          ]);
          $acquota=acquotamodel::find($acquota_id);
          $acquota->update([

              'quota'=>$request->quota,
              ]);
              if($acquota)
              {
                  $msg_array=array('message'=>'Acquota updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'acquota could not be updated','error'); 
              }
              return redirect()->route('acquota')->with($msg_array);
  }
   
   
   
   
   
    public function acquota_delete($aid){
        
        $acquota = acquotamodel::find(decrypt($aid));
        
        if($acquota){
            if($acquota->count() > 0){
                $acquota->delete();
                $msg_array = array('message'=>'Quota Name Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Quota Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('acquota')->with($msg_array);
    } 
   
   
    public function iqac_criteria(){
       
        $iqac = iqacmodel::all();
        
        return view('settings.iqac_criteria',compact('iqac'));
    }
   
   public function iqac_save(Request $request)
   {
       $validated = $request->validate([
            'criteria' => 'required|unique:iqac_criteria,criteria,NULL,deleted_at',
        ]);
        $iqaccrit = iqacmodel::create([
            'criteria' => $request->criteria,
        ]); 
                if($iqaccrit){
            $msg_array = array('message'=>'Criteria Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Criteria Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('iqac.criteria')->with($msg_array); 
   }
   
   public function iqac_delete($aid){
        
        $iqaccrita = iqacmodel::find(decrypt($aid));
        
        if($iqaccrita){
            if($iqaccrita->count() > 0){
                $iqaccrita->delete();
                $msg_array = array('message'=>'Criteria Name Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Criteria Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('iqac.criteria')->with($msg_array);
    } 
   
   
    
     public function iqac_documents(){
        $criteria = iqacmodel::all();
        $documents = Iqacdocumentmodel::all();
        
        return view('settings.Adddocuments',compact('documents','criteria'));
    }
    
     public function iqacdocumnt_save(Request $request)
 {
     
     $validated = $request->validate([
            'document' => 'required',
          
        ]);
        $documents = Iqacdocumentmodel::create([
         'criteria_id' => $request->criteria_id,
            'document' => $request->document,
            
           

        ]); 
                if($documents){
            $msg_array = array('message'=>'Document Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Document Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('iqac.documents')->with($msg_array); 
     
 }
    
  
  public function iqacdocument_edit($aid){
         $criteria = iqacmodel::all();
        $documents = Iqacdocumentmodel::find(decrypt($aid));
        
        return view('settings.iqacdocumentedit',compact(array('criteria','documents')));
    } 
   
  
  public function iqacdocument_update(Request $request){
        
        $document_id = decrypt($request->document_id);
        $validated = $request->validate([
            
            'document' => 'required|unique:iqac_documents,document,'.$document_id.',id',
        
        ]);
        
        $document = Iqacdocumentmodel::find($document_id);
        $document->update([
        'criteria_id' => $request->criteria_id,
        'document' => $request->document,
            
        ]);
        
        if($document){
            $msg_array = array('message'=>'Document Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Document Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('iqac.documents')->with($msg_array);
    }      
  
  
  public function iqacdocumnt_delete($aid){
        
        $document = Iqacdocumentmodel::find(decrypt($aid));
        
 if($document){
            if($document->count() > 0){
                $document->delete();
                $msg_array = array('message'=>'Document deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Document Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('iqac.documents')->with($msg_array);
    }          
  
   
   
    
    public function iqacassign_documents(){
        
        $criteria = iqacmodel::all();
        
        return view('settings.iqacassign_documents',compact('criteria'));
    }
    
    public function get_iqacassign(Request $request){
        
       
            
        $criteria_id = $request->crid;
        $cr_det = iqacmodel::find($request->crid);
        $criteria = iqacmodel::all();
        $documents = Iqacdocumentmodel::where('criteria_id',$criteria_id)->get();
        $staffs = User::all();
        
        
        
        return view('settings.get_iqacassign',compact('criteria','criteria_id','documents','staffs','cr_det'));
    }
    
    
     public function save_iqacassign(Request $request){ 
         $validated = $request->validate([
                 'criteria_id' => 'required',
                
            ]);
            $criteria_id = $request->criteria_id;
            $documents = Iqacdocumentmodel::where('criteria_id',$criteria_id)->get();
            $i=0;
            foreach($documents as $doc)
            {
                $staff_id = $request->post("staff_id$doc->id");
               $check = Staffiqacdocument::where('document_id', $doc->id)->where('criteria_id', $criteria_id)->first();
                if(!$check){ 
                    $stfdoc = Staffiqacdocument::create([
                    'criteria_id' => $criteria_id,
                    'document_id' => $doc->id,
                    'staff_id' => $staff_id
                    
                ]); 
                if($stfdoc){ $i++; }
                }
                else
                {
                    $check->update(['staff_id' => $staff_id]);
                    $i++;
                }
            }
            
           
            if($i>0){
            $msg_array = array('message'=>'Document Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Document Could not be Assigned !','alert-type'=>'error');
        }
            
        return redirect()->route('iqacassign.documents')->with($msg_array);
     }
   
   public function seatallot()
   {
       
       $courses=Course::all();
       $acyears=Acyear::all();
       $ac_id = getAcyear();
       $seatallot = Seatallotment::where('ac_id',$ac_id)->get();
        
       return view('settings.seatallot',compact('seatallot','courses','acyears','ac_id'));
       
   }
 public function seatallot_save(Request $request)
 {
     
     $validated = $request->validate([
            'course_id' => 'required',
            'ac_id' => 'required',
            'seats' => 'required',
        ]);
        $seatallot = Seatallotment::create([
            'course_id' => $request->course_id,
            'ac_id' => $request->ac_id,
            'allotd_seat' => $request->seats,

        ]); 
                if($seatallot){
            $msg_array = array('message'=>'Alloted Seats Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Alloted Seats Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('seatallot')->with($msg_array); 
     
     
 }
   
  public function seatallot_edit($sid){
        
        $allotment = Seatallotment::find(decrypt($sid));
        
        return view('settings.seatallot_edit',compact(array('allotment')));
    }
    
    public function seatallot_update(Request $request){
        
        $sall_id = decrypt($request->sall_id);
       
        $allotment = Seatallotment::find($sall_id);
        $allotment->update([
            'allotd_seat' => $request->seats,
          
        ]);
        
        if($allotment){
            $msg_array = array('message'=>' Seat Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>' Seat Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('seatallot')->with($msg_array);
    } 
   
   
   
  public function department()
   {
       
       $courses=Course::all();
       
       
        $department = Department::all();
        
        return view('settings.department',compact('department','courses'));
       
   }
 public function department_save(Request $request)
 {
     
     $validated = $request->validate([
            'dept_name' => 'required',
          
           
        ]);
        $department = Department::create([
            'dept_name' => strtoupper($request->dept_name),
           
            'description' => strtoupper($request->description),

        ]); 
        /*if($department){
        $departmentcrs = Department_Course::create([
              'dept_id' => $department->id,
           
            'course_id' => $request->course_id,

        ]); 
        }*/
        
                if($department){
            $msg_array = array('message'=>'Department Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Department Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('department')->with($msg_array); 
     
     
 }  
 
   
    public function vouchertyp()
   {
       
       $vouchertyp=Vouchertyp::all();
       
       
        return view('settings.vouchertyp',compact('vouchertyp'));
       
   }
   
   
 public function vouchertyp_save(Request $request)
   {
       $validated = $request->validate([
            'voucher_type' => 'required',
            'vname' => 'required',

        ]);
        $vouchertyp = Vouchertyp::create([
            'vid' => $request->voucher_type,
            'vtype_name' => $request->vname,

        ]); 
                if($vouchertyp){
            $msg_array = array('message'=>'Voucher Name Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Voucher Name Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('vouchertyp')->with($msg_array); 
   }  
   
       public function vouchertyp_delete($vid){
        
        $vouchertyp = Vouchertyp::find(decrypt($vid));
        
        if($vouchertyp){
            if($vouchertyp->count() > 0){
                $vouchertyp->delete();
                $msg_array = array('message'=>'Voucher Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Voucher Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('vouchertyp')->with($msg_array);
    } 

   
   
   
   
   
   
   
    
    public function hostel(){
        
        $hostels = Hostel::all();
        
        return view('settings.hostel',compact('hostels'));
    }
    
    public function save_hostel(Request $request){
        
        $validated = $request->validate([
            'hostel_name' => 'required|unique:hostels,hostel_name,NULL,deleted_at',
        ]);
        
        $hostel = Hostel::create([
            'hostel_name' => $request->hostel_name,
        ]);
        
        if($hostel){
            $msg_array = array('message'=>'Hostel Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Hostel Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('hostel')->with($msg_array);
    }
    
    public function delete_hostel($hid){
        
        $hostel = Hostel::find(decrypt($hid));
        if($hostel){
            if($hostel->count() > 0){
                $hostel->delete();
                $msg_array = array('message'=>'Hostel Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Hostel Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('hostel')->with($msg_array);
    }
    
    public function hostel_month(){
        $months=array();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $start = strtotime($cur_acyear->sdate);
        $end = strtotime($cur_acyear->edate);
        
        while($start <= $end){
            $month = date('m',$start);
            $year = date('Y',$start);
            $status=$hmid=0;
            $hmonth = HostelMonth::where(array('ac_id'=>$cur_acyear->ac_id,'month'=>$month,'year'=>$year))->whereNull('deleted_at')->first();
            if($hmonth){ $status=1; $hmid=$hmonth->month_id; }
            
            $months[] = array('month'=>$start,'status'=>$status,'hmid'=>$hmid);
            
            $start = strtotime('+1 month', $start);
        }
        
        return view('settings.hostel_month',compact('months'));
    }
    
    public function save_hostel_month(Request $request){
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $validated = $request->validate([
            'posted' => 'present|array',
        ]);
        $i=0;
        foreach($request->posted as $mid){
            $hmonth = HostelMonth::create([
                'ac_id' => $cur_acyear->ac_id,
                'month' => date('m',$mid),
                'year' => date('Y',$mid)
            ]);
            if($hmonth){ $i++; }
        }
        
        if($i > 0){
            $msg_array = array('message'=>'Hostel Month Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Hostel Month Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('hostelmonth')->with($msg_array);
    }
    
    public function delete_hostel_month($hmid){
        
        $hmonth = HostelMonth::find(decrypt($hmid));
        if($hmonth){
            if($hmonth->count() > 0){
                $hmonth->delete();
                $msg_array = array('message'=>'Hostel Month Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Hostel Month Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('hostelmonth')->with($msg_array);
    }
    
    public function hostel_fee(){
        $hostels = Hostel::all();
        $fees = HostelFee::whereNull('deleted_at')->get();
        
        return view('settings.hostel_fee',compact('hostels','fees'));
    }
    
    public function save_hostel_fee(Request $request){
        $validated = $request->validate([
            'hostel_id' => 'required',
            'amount' => 'required|numeric',
            'from' => 'required|date'
        ]);
        
        $check = HostelFee::where('hostel_id',$request->hostel_id)->where('from',$request->from)->whereNull('deleted_at')->count();
        if($check==0){
            $hfee = HostelFee::create([
                'hostel_id' => $request->hostel_id,
                'amount' => $request->amount,
                'from' => $request->from
            ]);
            
            if($hfee){
                $msg_array = array('message'=>'Hostel Fee Saved Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Hostel Fee Could not be Saved !','alert-type'=>'error');
            }
        }else{
            $msg_array = array('message'=>'Hostel Fee Already Exist !','alert-type'=>'error');
        }    
        
        return redirect()->route('hostelfee')->with($msg_array);
    }
    
    public function delete_hostel_fee($hfid){
        
        $hfee = HostelFee::find(decrypt($hfid));
        if($hfee){
            if($hfee->count() > 0){
                $hfee->delete();
                $msg_array = array('message'=>'Hostel Fee Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Hostel Fee Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('hostelfee')->with($msg_array);
    }
    
    public function hostel_facility(){
        
        $courses = Course::all();
        $hostels = Hostel::all();
        
        return view('settings.hostel_facility',compact('courses','hostels'));
    }
    
    public function hostel_facility_ajax(Request $request){
        
        $col_order = ['student_id','adno','name','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        if($request->input('order.0.column')!=''){
            $order = $col_order[$request->input('order.0.column')];
        }
        $dir = $request->input('order.0.dir');
        
        $course = $request->get('course');
        $semester = $request->get('semester');
        
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                        join('courses','promotes.course_id','=','courses.course_id')->
                        join('semesters','promotes.semester_id','=','semesters.semester_id')->
                        leftJoin('hostel_facilities',function($join){
                            $join->on('students.student_id','=','hostel_facilities.student_id')->
                            whereNull('hostel_facilities.deleted_at'); })->
                        leftJoin('hostels','hostel_facilities.hostel_id','=','hostels.hostel_id')->
                        where('promotes.ac_id',$cur_acyear->ac_id);
        if($course!=''){
            $query->where('promotes.course_id',$course);
        }
        if($semester!=''){
            $query->where('promotes.semester_id',$semester);
        }
        if(!empty($request->input('search.value'))){
            $this->search = $request->input('search.value');
            $query->where(function($qry) {
                return $qry->where('adno','like','%'.$this->search.'%')->
                orWhere('name','like','%'.$this->search.'%')->
                orWhere('course_name','like','%'.$this->search.'%')->
                orWhere('semester_name','like','%'.$this->search.'%');
            });
        };
        $total_filtered = $query->count();
        $query->select('students.*','courses.course_name','semesters.semester_name','hostels.hostel_name')->
            offset($start)->limit($limit)->groupBy('promotes.student_id');
            if(!empty($order)){
                $query->orderBy($order,$dir);
            }else{
                $query->orderBy('students.student_id','ASC');
            }
        $students  =   $query->get();
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['check'] = '<div class="text-center"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="'.$student->student_id.'"></div>';
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                $row['hostel'] = $student->hostel_name;
                $html="";
                if(MenuAccess::have_access(41) == true){
                    $html .= '<a href="'.route('hostelfacility.delete',encrypt($student->student_id)).'" title="Discontinue"><i class="icon-sm icon-trash text-danger"></i></a>';
                } 
                $row['action'] = $html;
                $data[] = $row;
            }
        }
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered), 
            'data' => $data
        );
        echo json_encode($json);
    }
    
    public function save_hostel_facility(Request $request){
        $validated = $request->validate([
            'hostel' => 'required',
            'from' => 'required|date',
            'posted' => 'present|array'
        ]);
        
        $i=0;
        foreach($request->posted as $sid){
            $hfacility = HostelFacility::create([
                'student_id' => $sid,
                'hostel_id' => $request->hostel,
                'from' => $request->from
            ]);
            if($hfacility){ $i++; }
        }
        
        if($i>0){
            $msg_array = array('message'=>'Hostel Facility Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Hostel Facility Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('hostelfacility')->with($msg_array);
    }
    
    public function delete_hostel_facility($hfid){
        
        $hfacility = HostelFacility::find(decrypt($hfid));
        $msg_array = array();
        if($hfacility){
            $hfacility->delete();
            $msg_array = array('message'=>'Hostel Facility Deleted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Hostel Facility Could not be Deleted !','alert-type'=>'error');
        }
        return redirect()->route('hostelfacility')->with($msg_array);
    }
    
    public function mess_fee(){
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $hostels = Hostel::all();
        $months = HostelMonth::where('ac_id',$cur_acyear->ac_id)->whereNull('deleted_at')->get();
        $fees = MessFee::join('hostel_months','mess_fees.month_id','=','hostel_months.month_id')->where('hostel_months.ac_id',$cur_acyear->ac_id)->whereNull('mess_fees.deleted_at')->get();
        
        return view('settings.mess_fee',compact('hostels','months','fees'));
    }
    
    public function save_mess_fee(Request $request){
        $validated = $request->validate([
            'hostel_id' => 'required',
            'month_id' => 'required',
            'amount' => 'required|numeric'
        ]);
        
        $check = MessFee::where('hostel_id',$request->hostel_id)->where('month_id',$request->month_id)->whereNull('deleted_at')->count();
        if($check==0){
            $mfee = MessFee::create([
                'hostel_id' => $request->hostel_id,
                'month_id' => $request->month_id,
                'amount' => $request->amount
            ]);
            
            if($mfee){
                $msg_array = array('message'=>'Mess Fee Saved Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Mess Fee Could not be Saved !','alert-type'=>'error');
            }
        }else{
            $msg_array = array('message'=>'Mess Fee Already Exist !','alert-type'=>'error');
        }
        
        return redirect()->route('messfee')->with($msg_array);
    }
    
    public function delete_mess_fee($mfid){
        
        $mfee = MessFee::find(decrypt($mfid));
        if($mfee){
            if($mfee->count() > 0){
                $mfee->delete();
                $msg_array = array('message'=>'Mess Fee Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Mess Fee Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('messfee')->with($msg_array);
    }

    
    
           public function staffleavetyp(){
        
        $staffleavetyp = Staffleaveset::all();
        
        return view('settings.staffleavetyp',compact('staffleavetyp'));
    }
 
    
      public function staffleavetyp_save(Request $request)
   {
       $validated = $request->validate([
            'leave_code' => 'required',
            'leave_name' => 'required',
            'leave_color' => 'required',
        ]);
        $staffleavetyp = Staffleaveset::create([
            'leave_code' => $request->leave_code,
            'leave_name' => $request->leave_name,
            'leave_color' => $request->leave_color,
        ]); 
                if($staffleavetyp){
            $msg_array = array('message'=>'Staff Type Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Staff Type Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('staffleavetyp')->with($msg_array); 
   }
    
     public function staffleavetyp_edit($lid){
        
        $staffleavetyp = Staffleaveset::find(decrypt($lid));
        
        return view('settings.staffleavetypedit',compact(array('staffleavetyp')));
    }
    
    
    
     public function staffleavetyp_update(Request $request){
        
        $leav_id = decrypt($request->leav_id);
        $validated = $request->validate([
            
            'leave_code' => 'required|unique:staff_leave_setting,leave_code,'.$leav_id.',leav_id',
            'leave_name' => 'required|unique:staff_leave_setting,leave_name,'.$leav_id.',leav_id',
             'leave_color' => 'required|unique:staff_leave_setting,leave_color,'.$leav_id.',leav_id',

        ]);
        
        $staffleavetyp = Staffleaveset::find($leav_id);
        $staffleavetyp->update([
            'leave_code' => $request->leave_code,
            'leave_name' => $request->leave_name,
            'leave_color' => $request->leave_color,
        ]);
        
        if($staffleavetyp){
            $msg_array = array('message'=>'Staff Type Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Staff Type Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('staffleavetyp')->with($msg_array);
    }
    
    
 public function staffleavetyp_delete($lid){
        
        $staffleavetyp = Staffleaveset::find(decrypt($lid));
        
 if($staffleavetyp){
            if($staffleavetyp->count() > 0){
                $staffleavetyp->delete();
                $msg_array = array('message'=>'Staff Type Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Staff Type Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('staffleavetyp')->with($msg_array);
    }         
            
    
    
    //           public function holiday(){
        
    //     $holiday = AcHoliday::all();
        
    //     return view('settings.holiday',compact('holiday'));
    // }
 
    
      public function holiday(){

$holidays=AcHoliday::all();
        if(request()->ajax()){

         $start = (!empty($_GET["start"])) ? ($_GET["start"]) : ('');
         $end = (!empty($_GET["end"])) ? ($_GET["end"]) : ('');

        $holiday = Event::whereDate('start', '>=', $start)->whereDate('end',   '<=', $end)
                ->get(['id','title','start', 'end']);
        return response()->json($holiday);

        }
        return view('settings.holiday',compact('holidays'));
        
    }
    

    
public function viewholiday()
{
    $holidays = AcHoliday::all();
    $startDate = Carbon::now()->startOfYear();
    $endDate = Carbon::now()->endOfYear();
    $events = [];
    $currentDate = $startDate->copy();
    while ($currentDate <= $endDate) {
        if ($currentDate->dayOfWeek === Carbon::SUNDAY) {
            $events[] = [
                'id' => 'sunday-' . $currentDate->format('Y-m-d'),
                'title' => 'Sunday Holiday',
                'start' => $currentDate->format('Y-m-d'),
                'end' => $currentDate->format('Y-m-d'),
                'backgroundColor' => 'red',
                'color' => 'white',
            ];
        }
        $currentDate->addDay();
    }

    foreach ($holidays as $holiday) {
        $events[] = [
            'id' => 'holiday-' . $holiday->id,
            'title' => $holiday->title,
            'start' => $holiday->start_date,
            'end' => $holiday->end_date,
            'backgroundColor' => $holiday->color,
            'color' => 'white',
        ];
    }
    return response()->json($events);
}

    
    
    
   public function holiday_save(Request $request){
         $validated = $request->validate([
            'title' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
            'color'=>'required',
            
        ]);
       $ac_id = getAcyear();
         $staff=$request->has('staff') ? 1 : 0;
         $student=$request->has('student') ? 1 : 0;
         
        $holidaystore = AcHoliday::create([
            'title' => $request->title,
            'start_date' =>$request->start_date,
            'end_date' =>$request->end_date,
            'color'=>$request->color,
            'staff'=>$staff,
            'student'=>$student,
         ]);
         
         
         
         if($holidaystore){
             $startDate = Carbon::parse($request->start_date);
            $endDate = Carbon::parse($request->end_date);
             while ($startDate->lte($endDate)) 
             {
            $accalendar = AcademicCalendar::create([
                                'type' => 2,
                                'tb_id' => $holidaystore->holiday_id,
                                'event' => $request->title,
                                'ev_date' => $startDate->format('Y-m-d'),
                                'ac_id' => $ac_id,
                               
                            ]);
              $startDate->addDay();
             }
            $msg_array = array('message'=>'Holiday saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'holiday  Could not be saved !','alert-type'=>'error');
        }
         
         return redirect()->route('holiday')->with($msg_array);

    }
     
 public function holiday_delete(Request $request){

        $holiday = AcHoliday::find($request->id);
        return $holiday->delete();
    }
    
    
    public function acyear_navbar()
    {
    
        $academicYears = Acyear::all()->map(function ($item) {
        $startDate = Carbon::parse($item->sdate);
        $endDate = Carbon::parse($item->edate);

        return [
            'label' => $startDate->format('Y') . ' - ' . $endDate->format('Y'),
            'value' => $item->ac_id 
        ];
    });
        return response()->json([
            'academicYears' =>$academicYears
        ]);
    }
    
    
    
       public function acyear_template_save($acid){
        
        Acyear::whereNull('deleted_at')->update(['default1'=>0]);
        
        $acyear = Acyear::find(decrypt($acid));
        $acyear->update(['default1'=>1]);
        if($acyear){
            $msg_array = array('message'=>'Academic Year Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Academic Year Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('home')->with($msg_array);
    }
 
 
        public function acyear_setting_template($acid){
        
        Acyear::whereNull('deleted_at')->update(['default1'=>0]);
        
        $acyear = Acyear::find(decrypt($acid));
        $acyear->update(['default1'=>1]);
        if($acyear){
            $msg_array = array('message'=>'Academic Year Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Academic Year Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('institution')->with($msg_array);
    }

 
   public function attendance_grade(){
          $ac_id = getAcyear();
        $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
       $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
       $pgrading = AttendanceGrade::where('ac_id', $previousAcId)->get(); 
       if(!AttendanceGrade::where('ac_id', $ac_id)->exists())
        {
            foreach ($pgrading as $pgd) {
                    $pgding_n1 = AttendanceGrade::create([
                    'gr_from' => $pgd->gr_from,
                    'gr_to' => $pgd->gr_to,
                    'grade_point' => $pgd->grade_point,
                    'letter_grade' => $pgd->letter_grade,
                    'performance' => $pgd->performance,
                   
                    'ac_id' => $ac_id,
                   
                    ]); 
            }
            
        }
       $grading = AttendanceGrade::where('ac_id',$ac_id)->get();
       
       
        return view('settings.set_grade',compact('grading'));
    }    
    
   public function attendance_grade_save(Request $request)
 {
     
     $validated = $request->validate([
        
            'gr_from' => 'required',
            'gr_to' => 'required',
            'grade_point' => 'required',
            'letter_grade' => 'required',
            'performance' => 'required',
            
        ]);
         $ac_id = getAcyear();
          $checkgd = AttendanceGrade::where([
                'ac_id' => $ac_id,
                'letter_grade' => $request->letter_grade,
               
            ])->first();
            if(!$checkgd){
            $grading = AttendanceGrade::create([
                'gr_from' => $request->gr_from,
                'gr_to' => $request->gr_to,
                'grade_point' => $request->grade_point,
                'letter_grade' => $request->letter_grade,
                 'performance' => $request->performance,
              
                'ac_id' => $ac_id,
    
            ]); 
            }
        if($grading){
            $msg_array = array('message'=>'Attendance Grade Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Attendance Grade Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('attendance.grade')->with($msg_array); 
     
     
 } 
  public function attendance_grade_delete($aid){
        
        $grading = AttendanceGrade::find(decrypt($aid));
        
        if($grading){
            if($grading->count() > 0){
                $grading->delete();
                $msg_array = array('message'=>'Attendance Grade Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Attendance Grade Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('attendance.grade')->with($msg_array);
    } 
    
    
}
