<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use App\Models\Acyear;
use App\Models\StudentAttendance;

use DB;

class Ajax extends Controller
{
    protected $acyearId;
    protected $startDate;
    protected $endDate;
    
    public function __construct()
    {
        $acyear = Acyear::where('default1',1)->first();
        if($acyear){
            $this->startDate = $acyear->sdate;
            $this->endDate = $acyear->edate;
        } else {
            abort(404, 'Academic Year not found');
        }
    }
    
    public function attendance(Request $request){
        
        $semesterId = $request->input('semester') ?? null;
        $studentId = Auth::guard('student')->id();
        
        $query = StudentAttendance::where('student_id', $studentId);
        if($semesterId){
            $query->where('semester_id',$semesterId);
        }
        $attendance = $query->select(DB::raw("COUNT(*) AS total"), DB::raw("SUM(CASE WHEN status='P' THEN 1 ELSE 0 END) AS present"), DB::raw("SUM(CASE WHEN status='A' THEN 1 ELSE 0 END) AS absent"))->first();
        $percentage=0;
        if($attendance && $attendance->total > 0){
            $percentage = round(($attendance->present/$attendance->total)*100);
        }
        
        return view('student.dashboard.attendance',compact('attendance','percentage'));
    }
}
