<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use App\Models\StudentInterAssignment;
use App\Models\Student;
use App\Models\Promote;
use App\Models\Subject;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Log;

class Assignment extends Controller
{
    public function getmainstreamasigDetails(Request $request)

    {
        
     
    $studentId = Auth::guard('student')->id();
    $currentDate = now();
    $ac_id=getAcyear();
    
     $notSubmittedAssignments = StudentInterAssignment::join('promotes as procrs', 'procrs.course_id', '=', 'student_assignment_inter_add.course_id')
    ->join('promotes as prosem', 'prosem.semester_id', '=', 'student_assignment_inter_add.semester_id')
    ->leftJoin('student_submitted_assig_inter', 'student_submitted_assig_inter.assig_id', '=', 'student_assignment_inter_add.assig_id')
    ->where('prosem.ac_id', $ac_id) 
    ->where('prosem.student_id', $studentId)
    ->whereNull('student_submitted_assig_inter.assig_id') 
    ->select('student_assignment_inter_add.assignment_topic', 'student_assignment_inter_add.submit_date')
    ->distinct() 
    ->get(); 

    $details = $notSubmittedAssignments->map(function ($assignment) use ($currentDate) {
        $diffInMinutes = $currentDate->diffInMinutes($assignment->submit_date, false); 
        $days = intdiv($diffInMinutes, 1440); // Convert minutes to days (1440 = 24*60)

        
        $category = $diffInMinutes < 0 ? 'overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'dueToday' : 'upcoming');
        $color = $category == 'overdue' ? 'danger' : ($category == 'dueToday' ? 'warning' : 'success');

       
        return [
            'name' => "Course".' : '.$assignment->subject_code . ' ' . $assignment->subject_name . ' ' . $assignment->assignment_topic,
            'days' => $diffInMinutes < 0 ? abs($days) . ' days overdue' : ($days == 0 && $diffInMinutes >= 0 ? 'Due today' : $days . ' days remaining'),
            'color' => $color,
        ];
    });

  
    return response()->json($details);
}

   

    
    
    
    
}