<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

use App\Models\Acyear;
use App\Models\Student;
use App\Models\StudentExam;
use App\Models\PracticalExam;
use App\Models\InternalMarks;
use App\Models\SubjectType;
use App\Models\Course;



class Exam extends Controller
{
    public function examcharttheory()
    {
        $studentId = Auth::guard('student')->id();
         $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
        ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
        return view('studentlogin.internalassessment.examcharttheory',compact('courses'));
 
    }
    
    
    public function examcharttheoryget(Request $request)
    {
        $course=$request->course;
        $sem=$request->semester_id;
        $exm_id=$request->exam_id;
        $studentId = Auth::guard('student')->id();
        $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        
        
    $examchart = StudentExam::join('student_exam_subjects', 'student_exam_subjects.exam_id', '=', 'add_exam.exam_id')
    ->join('promotes as procrs', 'procrs.course_id', '=', 'add_exam.course')
    ->join('promotes as prosem', 'prosem.semester_id', '=', 'add_exam.sem')
    ->join('subjects','subjects.subject_id','=','student_exam_subjects.subject_id')
    ->where('prosem.ac_id', $ac_id)
    ->where('add_exam.ac_id', $ac_id)
    ->where('add_exam.course',$course)
    ->where('add_exam.sem',$sem)
    ->where('add_exam.exam_id',$exm_id)
    ->where('procrs.student_id', $studentId)
    ->groupBy('add_exam.exam_id', 'add_exam.exam_name','subjects.subject_name','student_exam_subjects.max_mark','student_exam_subjects.s_time','student_exam_subjects.e_time') 
    ->get();

        return view('studentlogin.internalassessment.examcharttheoryget',compact('examchart','course','sem','exm_id'));
         
    }
    public function examcharttheory_print($crsid,$semid,$exmid)
    {
             $institution = instituteDetails();

          $studentId = Auth::guard('student')->id();
         $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $examname=StudentExam::find($exmid);
        $examchart = StudentExam::join('student_exam_subjects', 'student_exam_subjects.exam_id', '=', 'add_exam.exam_id')
    ->join('promotes as procrs', 'procrs.course_id', '=', 'add_exam.course')
    ->join('promotes as prosem', 'prosem.semester_id', '=', 'add_exam.sem')
    ->join('subjects','subjects.subject_id','=','student_exam_subjects.subject_id')
    ->where('prosem.ac_id', $ac_id)
    ->where('add_exam.ac_id', $ac_id)
    ->where('add_exam.course', $crsid)
    ->where('add_exam.sem', $semid)
    ->where('add_exam.exam_id', $exmid)
    ->where('procrs.student_id', $studentId)
    ->groupBy('add_exam.exam_id', 'add_exam.exam_name','subjects.subject_name','student_exam_subjects.max_mark','student_exam_subjects.s_time','student_exam_subjects.e_time') 
    ->get();
    $coursesem=Student::join('promotes','promotes.student_id','=','students.student_id')
    ->join('courses','courses.course_id','promotes.course_id')
    ->join('semesters','semesters.semester_id','promotes.semester_id')
    ->where('promotes.student_id',$studentId)
    ->where('promotes.ac_id',$ac_id)
    ->select('courses.course_name','semesters.semester_name')
    ->first();
  
        return view('studentlogin.internalassessment.examcharttheory_print',compact('examname','examchart','institution','coursesem'));
    }
    public function examchartpractical()
    {
       $studentId = Auth::guard('student')->id();
         $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
        ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
        return view('studentlogin.internalassessment.examchartpractical',compact('courses'));  
    }
 
    
     public function ajaxgetexamp(Request $request)
{
    
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = PracticalExam::where('course_id', $course_id)->where('semester_id', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
        $exam[$row->pexam_id ] = $row->exam_name;
        }
      
        return json_encode($exam);

}   
    
   
    
    public function examchartpractical_print($crsid,$semid,$exmid)
    {
        
             $institution = instituteDetails();

          $studentId = Auth::guard('student')->id();
         $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $examname=PracticalExam::where('pexam_id',$exmid)->first();
        $examchart = PracticalExam::join('student_exam_subjects_practical', 'student_exam_subjects_practical.pexam_id', '=', 'practical_exam_inter.pexam_id')
    ->join('promotes as procrs', 'procrs.course_id', '=', 'practical_exam_inter.course_id')
    ->join('promotes as prosem', 'prosem.semester_id', '=', 'practical_exam_inter.semester_id')
    ->join('subjects','subjects.subject_id','=','student_exam_subjects_practical.subject_id')
    ->where('prosem.ac_id', $ac_id)
    ->where('practical_exam_inter.ac_id', $ac_id)
    ->where('practical_exam_inter.course_id', $crsid)
    ->where('practical_exam_inter.semester_id', $semid)
    ->where('practical_exam_inter.pexam_id', $exmid)
    
    ->where('procrs.student_id', $studentId)
    ->groupBy('practical_exam_inter.pexam_id', 'practical_exam_inter.exam_name','subjects.subject_name','student_exam_subjects_practical.max_mark','student_exam_subjects_practical.s_time','student_exam_subjects_practical.e_time') 
    ->get();
    $coursesem=Student::join('promotes','promotes.student_id','=','students.student_id')
    ->join('courses','courses.course_id','promotes.course_id')
    ->join('semesters','semesters.semester_id','promotes.semester_id')
    ->where('promotes.student_id',$studentId)
    ->where('promotes.ac_id',$ac_id)
    ->select('courses.course_name','semesters.semester_name')
    ->first();
  
        return view('studentlogin.internalassessment.examchartpractical_print',compact('examname','examchart','institution','coursesem'));
    }
    public function internalmrkreport()
    {
        $studentId = Auth::guard('student')->id();
         $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
        ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
        $subjectType=SubjectType::all();
    return view('studentlogin.internalassessment.internalmrkreport',compact('subjectType','courses'));

    }
    public function internalmrkreportget(Request $request)
    {
       
        $stafftype=$request->stafftype;
      
        $course=$request->course;
        
        $sem=$request->sem;
        $studentId = Auth::guard('student')->id();
       
        $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;

        $internalmarks=InternalMarks::join('subjects','subjects.subject_id','=','internal_marks.sub_id')
        ->join('subject_type','subject_type.subtyp_id','=','internal_marks.subtyp_id')
        ->where('internal_marks.stud_id',$studentId)
        ->where('internal_marks.subtyp_id',$stafftype)
        ->where('internal_marks.course_id',$course)
        ->where('internal_marks.sem_id',$sem)
        ->where('internal_marks.ac_id',$ac_id)->select('internal_marks.*','subjects.subject_name','subject_type.subject_type')->get();
         return view('studentlogin.internalassessment.internalmrkreportget',compact('internalmarks','stafftype'));
 
    }
    
    public function examcharttheorygetexam(Request $request)
    {
        $course_id=  $request->course;
        $sem_id=   $request->semester_id;
        $ac_id = getAcyear();
        $exam = array();
        $rows = StudentExam::where('course', $course_id)->where('sem',$sem_id)->where('ac_id',$ac_id)->get();
      
        foreach($rows as $row){
        $exam[$row->exam_id] = $row->exam_name;
        }
      
        return json_encode($exam);
    }
    
    public function examchartpracticalget(Request $request)
    {
       $course_id=  $request->course;
        $sem_id=   $request->semester_id;
        $exam_id=$request->exam_id;
          $studentId = Auth::guard('student')->id();
         $currentAcyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $examchart = PracticalExam::join('student_exam_subjects_practical', 'student_exam_subjects_practical.pexam_id', '=', 'practical_exam_inter.pexam_id')
    ->join('promotes as procrs', 'procrs.course_id', '=', 'practical_exam_inter.course_id')
    ->join('promotes as prosem', 'prosem.semester_id', '=', 'practical_exam_inter.semester_id')
    ->join('subjects','subjects.subject_id','=','student_exam_subjects_practical.subject_id')
    ->where('prosem.ac_id', $ac_id)
    ->where('practical_exam_inter.ac_id', $ac_id)
     ->where('practical_exam_inter.course_id', $course_id)
     ->where('practical_exam_inter.semester_id',$sem_id)
    ->where('procrs.student_id', $studentId)
    ->where('practical_exam_inter.pexam_id',$exam_id)
    ->groupBy('practical_exam_inter.pexam_id', 'practical_exam_inter.exam_name','subjects.subject_name','student_exam_subjects_practical.max_mark','student_exam_subjects_practical.s_time','student_exam_subjects_practical.e_time') 
    ->get();
    return view('studentlogin.internalassessment.examchartpracticalget',compact('examchart','course_id','sem_id','exam_id'));
    }
    
}