<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\Student;
use App\Models\Questionbank;
use App\Models\Course;
use App\Models\Acyear;
use App\Models\Subject;
use App\Models\Promote;
use App\Models\Semester;
use App\Models\FyugpExams;
use App\Models\FyugpExamSubject;
use App\Models\STUDEXMMARKS;
use App\Models\CourseSubject;
use App\Models\FyugpStudSubPreferences;




use App\Models\MenuAccess;
use Maatwebsite\Excel\Facades\Excel;
use App\Models\SubjectType; 
use App\Models\SemesterYear;
use App\Models\SubCategory;
use App\Models\FyugpStudSub;
use App\Models\STUDFAMARKS;
use App\Models\STUDSAMARKS;
use App\Models\FYUGPPATHWAY;
use App\Models\FYUGPSTUDPATHWAY;
use App\Models\FA_ASSIGN;
use App\Models\SA_ASSIGN;
use App\Models\Department;
use App\Models\Department_Course;
use App\Models\HOD;
use App\Models\ClassTeacher;

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Hash;





use Illuminate\Support\Facades\DB;

class Question extends Controller
{
    public function questionbank()
{
    
    $studentId = Auth::guard('student')->id();
    
    $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $cur_acyear->ac_id;

    $student_det = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses', 'courses.course_id', '=', 'promotes.course_id')
        ->join('semesters', 'semesters.semester_id', '=', 'promotes.semester_id')
        ->where('promotes.ac_id', $ac_id)
        ->where('students.student_id', $studentId)
        ->orderBy('promotes.created_at', 'desc')
        ->first();

    $course = $student_det->course_id;
   
    
    $semester_id = $student_det->semester_id;
    

     
    $semester = Semester::find($semester_id);
    
    $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
    
    $course_name = Course::where('course_id', $course)->whereNull('deleted_at')->first();
    
    $courses = Course::where('course_id', $course)->whereNull('deleted_at')->get();
    
    $semesters = Semester::where('semester_id', $semester_id)->whereNull('deleted_at')->get();
    
    $isFyugpStudent = FYUGPStudSub::where('stud_id', $studentId)
        ->where('course', $course)
        ->where('sem', $semester_id)
        ->where('acyear_id', $ac_id)
        ->exists();

    if ($isFyugpStudent) {
        $deptsubQuery = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
            ->where('subject_categ', 1)
            ->where('subjects.department_id', $course_name->department_id)
            ->where('course_subject.course_id', $course)
            ->where('course_subject.semester_id', $semester_id)
            ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name', 'subjects.subject_credit', 'subjects.subject_categ', 'subjects.subtyp_id', 'subjects.seclang', 'subjects.department_id');
        
        $studsub = FYUGPStudSub::join('subjects', 'subjects.subject_id', '=', 'fyugp_stud_sub.sub_id')
            ->where('fyugp_stud_sub.stud_id', $studentId)
            ->where('fyugp_stud_sub.course', $course)
            ->where('fyugp_stud_sub.sem', $semester_id)
            ->where('fyugp_stud_sub.acyear_id', $ac_id)
            ->select('subjects.subject_id', 'subjects.subject_code', 'subjects.subject_name', 'subjects.subject_credit', 'subjects.subject_categ', 'subjects.subtyp_id', 'subjects.seclang', 'subjects.department_id')
            ->union($deptsubQuery);

      
        $examsubjects = Subject::whereIn('subject_id', $studsub->pluck('subject_id'))
            ->with([
                'subcreditsstd',
                'exmarksstd',
                'examSubjects' => function ($query) use ($ac_id, $semester_id) {
                    $query->whereHas('exam', function ($examQuery) use ($ac_id, $semester_id) {
                        $examQuery->where('ac_id', $ac_id)
                            ->where('sem', $semester_id);
                    });
                }
            ])
            ->get();

      
        $subjects = $examsubjects;
    }
    
    else {
         $semester_id = $student_det->semester_id;
         $semester = Semester::find($semester_id);
    
    $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
    $subjects = Subject::join('course_subject', 'course_subject.subject_id', '=', 'subjects.subject_id')
                          ->where('course_subject.course_id', $student_det->course_id)
                          ->where('course_subject.semester_id',$semesterIds)
                          ->get();

    }

    return view('studentlogin.questionbank.questionbank', compact('student_det', 'course_name', 'semester_id', 'semesterIds', 'courses', 'semesters', 'subjects'));
}














public function questionbank_get(Request $request)
{
    $course=$request->course;
    $sem=$request->semester_id;
    $sub=$request->sub_id;
    $acyear=getAcyear();
    $questionbank=Questionbank::join('subjects','subjects.subject_id','=','question_bank.subject_id')
    ->join('courses','courses.course_id','=','subjects.course_id')
    ->whereIn('question_bank.subject_id', $sub)
    ->where('question_bank.ac_id',$acyear)
    ->select('subjects.subject_name','courses.course_name','question_bank.file')
    ->get();
   return view('studentlogin.questionbank.questionbank_get',compact('questionbank'));
}






    }

    
