<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Models\EcontentStud;
use App\Models\Acyear;
use App\Models\Student;
use DB;
class Rollout extends Controller
{


public function getrolloutwarning(){
    $studentId = Auth::guard('student')->id();
    
    $attendance = DB::table('student_attendance')
        ->where('student_id', $studentId)
        ->orderBy('date', 'desc')
        ->get();
    
    $consecutiveLeave10 = $this->checkConsecutiveLeave($attendance, 10);
    $consecutiveLeave14 = $this->checkConsecutiveLeave($attendance, 14);
    
    $alerts = [];
    
    if ($consecutiveLeave10 && !$consecutiveLeave14) {
        $alerts[] = [
            'name' => 'You have been absent for 10 consecutive days.',
            'days' => '10 days',
            'color' => 'warning',
        ];
    }

    if ($consecutiveLeave14) {
        $alerts[] = [
            'name' => 'You have been absent for 14 consecutive days.',
            'days' => '14 days',
            'color' => 'danger',
        ];
    }

    $alerts = $this->checkForPresenceAfterLeave($attendance, $alerts);

    return response()->json($alerts);
}

private function checkConsecutiveLeave($attendance, $days) {
    $absenceDates = [];
    
    $attendanceGrouped = $attendance->groupBy('date');
    
    foreach ($attendanceGrouped as $date => $records) {
        $hasPresence = false;
        $hasAbsence = false;

        foreach ($records as $item) {
            if ($item->status == 'P') {
                $hasPresence = true;
                break; 
            } else {
                $hasAbsence = true;
            }
        }

        if ($hasAbsence && !$hasPresence) {
            $absenceDates[] = $date;
        }
    }

    $count = 0;
    $maxConsecutive = 0;

    foreach ($absenceDates as $date) {
        $count++;
    }

    return $count >= $days;
}

private function checkForPresenceAfterLeave($attendance, $alerts) {
    $attendance = $attendance->sortBy('date');
    
    foreach ($attendance as $key => $item) {
        if ($item->status == 'P' && isset($attendance[$key + 1]) && $attendance[$key + 1]->status == 'A') {
            foreach ($alerts as $index => $alert) {
                if ($alert['name'] == 'You have been absent for 10 consecutive days.' || $alert['name'] == 'You have been absent for 14 consecutive days.') {
                    unset($alerts[$index]);
                }
            }
        }
    }

    return $alerts;
}






}