<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use App\Models\Acyear;
use App\Models\LmsTaskStud;
use App\Models\LmsTask;
use App\Models\Course;
use App\Models\Student;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class Task extends Controller
{
    public function gettaskcount(Request $request)
    {
      $student_id = Auth::guard('student')->id();
     $taskCount = LmsTaskStud::where('stud_id', $student_id)->where('status', 0)->count();
      return response()->json($taskCount);
    }
    
     public function pending_task()
     {
        $ac_id = getAcyear();
        $student_id = Auth::guard('student')->id();
        
        $pendingtasks = array();
        $pendingtasks = LmsTaskStud::Join('task','task_stud.task_id','=','task.id')->join('subjects', 'task.sub_id', '=', 'subjects.subject_id')->where(array('task.ac_id'=>$ac_id,'task_stud.status'=>0,'task_stud.stud_id'=>$student_id))->select('task.*','task_stud.status','task_stud.remark','subjects.subject_name')->get();
        
        return view('student.task.pending_task',compact('pendingtasks','ac_id'));
      
     }
     
     public function save_pending_task(Request $request)
     {
         $ac_id = getAcyear(); 
         $student_id = Auth::guard('student')->id();
         $i=0;
         if (is_array($request->posted)) 
         {
            foreach($request->posted as $ids)
            {
                $check = LmsTaskStud::where([
                'task_id' => $ids,
                'stud_id' => $student_id,
               
                    ])->first();  
                    $status = $request->input("status".$ids);
                    $remark = $request->input("remark".$ids);
                if($check)
                {
                    $check->update([
                    'status' => $status,
                    'remark' => $remark,
                ]);
                 $i++;
                }
            }
         }
         if($i>0){
            $msg_array = array('message'=>'Task details has been Submitted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Task details Could not be Submitted !','alert-type'=>'error');
        }
         return redirect()->route('student.home')->with($msg_array);
     }
      public function my_task()
     {
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
     ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
       
        return view('student.task.my_task',compact('courses','ac_id','student'));
      
     }
     public function my_task_get(Request $request)
     {
        $course = $request->course;
        $semester_id = $request->semester_id;
        $status = $request->status;
        if($status == 0)
        {
            $status_name = "Pending";
        }
        else if($status == 1)
        {
            $status_name = "Completed";
        }
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $tasksall = array();
        $tasksall = LmsTaskStud::Join('task','task_stud.task_id','=','task.id')->join('subjects', 'task.sub_id', '=', 'subjects.subject_id')->where(array('task.ac_id'=>$ac_id,'task_stud.status'=>$status,'task_stud.stud_id'=>$studentId))->select('task.*','task_stud.status','task_stud.remark','subjects.subject_name')->get();
        return view('student.task.my_task_get',compact('studentId','course','semester_id','tasksall','ac_id','status','status_name'));

     }
}