<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use App\Models\Acyear;
use App\Models\LmsTaskStud;
use App\Models\LmsTask;
use App\Models\MarkList;
use App\Models\MarkListStudent;
use App\Models\Student;
use App\Models\Promote;
use App\Models\Course;
use App\Models\Semester;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class UniversityMarklist extends Controller
{
    public function marklist(Request $request)
    {
       $ac_id = getAcyear();
       $studentId = Auth::guard('student')->id();
       $student=Student::join('promotes','promotes.student_id','=','students.student_id')
      ->join('courses','courses.course_id','=','promotes.course_id')
      ->join('semesters','semesters.semester_id','=','promotes.semester_id')
      ->where('students.student_id',$studentId)
      ->where('promotes.ac_id',$ac_id)
      ->select('semesters.semester_name','courses.course_name','courses.course_id')
      ->first();
      $courses=Course::join('promotes','promotes.course_id','=','courses.course_id')
     ->where('promotes.student_id',$studentId)->whereNull('promotes.deleted_at')->distinct('courses.course_id')->select('courses.course_id', 'courses.course_name')->get();
       return view('student.universitymarklist.view_marklist',compact('studentId','student','courses'));
    }
    public function marklist_view(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $studentId = Auth::guard('student')->id();
        $stud_marklist = array();
        $stud_marklist = MarkListStudent::Join('mark_list', 'mark_list_student.mark_list_id', '=', 'mark_list.id')
        ->where([
            'mark_list_student.stud_id' => $studentId,
            'mark_list.course_id' => $course,
            'mark_list.sem_id' => $semester_id,
            'mark_list.ac_id' => $ac_id
        ])
        ->select('mark_list.*', 'mark_list_student.grade_point', 'mark_list_student.grade')
        ->get(); 
        return view('student.universitymarklist.get_marklist',compact('ac_id','stud_marklist','course','semester_id','studentId'));
 
     }
}