<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Acyear;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Subject;
use App\Models\CourseSubject;
use App\Models\Student;
use App\Models\Promote;
use App\Models\TcDetail;
use App\Models\MenuAccess;
use App\Models\acquotamodel;
use App\Models\Syllabus;
use App\Models\Enrolment;
use App\Models\Studentleavetype;
use App\Models\FeeCategory;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\StudentsExport;
use App\Models\Paymentmode;
use App\Models\Fee;
use App\Models\SubjectType; 
use App\Models\SemesterYear;
use App\Models\Religion;
use App\Models\FeeStructureType;
use App\Models\FeeStructure;
use App\Models\StudentAttendance;
use App\Models\SubCategory;
use App\Models\RollOutStudents;
use App\Models\FyugpStudSub;
use App\Models\SpecialClassAdd;
use App\Models\StaffSubject;
use App\Models\ObeCo;
use App\Models\FyugpExamSubject;
use App\Models\STUDFAMARKS;
use App\Models\STUDSAMARKS;
use App\Models\FYUGPPATHWAY;
use App\Models\FYUGPSTUDPATHWAY;
use App\Models\FyugpStudSubPreferences;
use App\Models\FA_ASSIGN;
use App\Models\STUDEXMMARKS;
use App\Models\FyugpExams;
use App\Models\SA_ASSIGN;
use App\Models\HostelPayment;
use App\Models\User;
use App\Models\Membership;
use App\Models\BookIssueList;
use App\Models\Voucher;
use App\Models\Accounttype;
use App\Models\Financialyear;
use App\Models\HostelFacility;
use App\Models\Department;
use App\Models\Department_Course;
use App\Models\LMSSTUDASSIGNMENT;
use App\Models\LmsAssignment;
use App\Models\LmsTaskStud;
use App\Models\LmsTask;
use App\Models\HOD;
use App\Models\ClassTeacher;
use App\Models\SpecialClassStud;
use App\Models\Library\LibraryMembership;
use App\Models\Library\LibraryIssue;

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Hash;

use Carbon\Carbon;
use Image;

use Illuminate\Support\Facades\DB;

class Students extends Controller
{
    protected $accountId;
    protected $fyearId;
    protected $fsDate;
    protected $feDate;
    public function __construct()
    {
        $this->accountId = Accounttype::getDefaultAccountId();
        $this->fyearId = Financialyear::getDefaultFyearId($this->accountId);
        $fyear = Financialyear::find($this->fyearId);
        if ($fyear) {
            $this->fsDate = $fyear->sdate;
            $this->feDate = $fyear->edate;
        } else {
            // Handle missing Financial Year data gracefully
            abort(404, 'Financial Year not found');
        }
    }
    
    public function add() {
        
        $acyears = Acyear::all();
        $courses = Course::all();
        $categories = FeeCategory::all();
        $acquota = acquotamodel::all();
        $pathway = FYUGPPATHWAY::all();
        $student_max = Student::max('adno');
        $adno = $student_max+1;
        $prev_adm = Student::whereNull('deleted_at')->latest()->first();
        $semesters = Semester::where('course_id',$prev_adm->course_id)->get();
        $religion=Religion::all();
        $sem_name = Semester::where('semester_id',$prev_adm->semester_id)->first();
        $minorIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 2,
                    'course_subject.semester_id' => $sem_name->semester_name,
                    
                ])->where('course_subject.course_id', '!=', $prev_adm->course_id)
                ->select('subjects.*')
                ->get(); 
            
        $minorIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 3,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])->where('course_subject.course_id', '!=', $prev_adm->course_id)
                ->select('subjects.*')
                ->get();
                
        $mdcIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 4,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])->where('course_subject.course_id', '!=', $prev_adm->course_id)
                ->select('subjects.*')
                ->get();
                
        $aecIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 5,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])->where('course_subject.course_id', '!=', $prev_adm->course_id)
                ->select('subjects.*')
                ->get();
                
                $aecIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 6,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])->where('course_subject.course_id', '!=', $prev_adm->course_id)
                ->select('subjects.*')
                ->get();
            
        return view('students.add',compact('acyears','courses','semesters','categories','adno','prev_adm','acquota','religion','minorIsub','minorIIsub','mdcIsub','aecIsub','aecIIsub','pathway'));
    }
    
    public function save(Request $request){
        $data = $request->except('_token','same');
        $validated = $request->validate([
            'name' => 'required',
            'gender' => 'required',
            'mobile' => 'required|numeric',
            'email' => 'nullable|email',
            'aadhar' => 'nullable|numeric',
            'dob' => 'required|date',
            'gmobile' => 'nullable|numeric',
            'fmobile' => 'nullable|numeric',
            'photo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'income' => 'nullable|numeric',
            'lastyear' => 'nullable|numeric',
            'sslc' => 'nullable|numeric',
            'plustwo' => 'nullable|numeric',
            'degree' => 'nullable|numeric',
            'adate' => 'required|date',
            'adno' => 'required|unique:students,adno,NULL,student_id,deleted_at,NULL',
            'ac_id' => 'required|numeric',
            'course_id' => 'required|numeric',
            'category_id' => 'required|numeric',
            'minorI' => 'nullable|numeric',  
            'minorII' => 'nullable|numeric', 
            'mdcI' => 'nullable|numeric',
            'aecI' => 'nullable|numeric',
            'aecII' => 'nullable|numeric',
            'pathway_id'=>'nullable|numeric',
            'minorI_prefII' => 'nullable|numeric',  
            'minorI_prefIII' => 'nullable|numeric', 
            'minorI_prefIV' => 'nullable|numeric',
            'minorI_prefV' => 'nullable|numeric',
            'minorII_prefII' => 'nullable|numeric',  
            'minorII_prefIII' => 'nullable|numeric', 
            'minorII_prefIV' => 'nullable|numeric',
            'minorII_prefV' => 'nullable|numeric',
            'mdcI_prefII' => 'nullable|numeric',  
            'mdcI_prefIII' => 'nullable|numeric', 
            'mdcI_prefIV' => 'nullable|numeric',
            'mdcI_prefV' => 'nullable|numeric',
        ]);
        
        $photo="student.png";
        if($request->hasFile('photo')){
            $ext = $request->photo->extension();
            $photo = 'photo_'.time().'.'.$ext;
            
            Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        }
        $data['photo'] = $photo;
        $filteredString = preg_replace('/[^a-zA-Z]/', '', strtoupper($data['name']));
        $password = substr($filteredString, 0, 4).rand(1000,9999)."@GM";
        $data['password'] = bcrypt($password);
       
        $data['barcode'] = '2'.rand(10000,99999).$data['adno'];
        
        $minorI = $data['minorI'] ?? null;
        $minorII = $data['minorII'] ?? null;
        $mdcI = $data['mdcI'] ?? null;
        $aecI = $data['aecI'] ?? null;
        $aecII = $data['aecII'] ?? null;
        $pathway_id = $data['pathway_id'] ?? null;
       /* $course_id1 = $data['course_id1'] ?? null;
        $semester_id1 = $data['semester_id1'] ?? null;*/
        $minorI_prefII = $data['minorI_prefII'] ?? null;
        $minorI_prefIII = $data['minorI_prefIII'] ?? null;
        $minorI_prefIV = $data['minorI_prefIV'] ?? null;
        $minorI_prefV = $data['minorI_prefV'] ?? null;
        
        $minorII_prefII = $data['minorII_prefII'] ?? null;
        $minorII_prefIII = $data['minorII_prefIII'] ?? null;
        $minorII_prefIV = $data['minorII_prefIV'] ?? null;
        $minorII_prefV = $data['minorII_prefV'] ?? null;
        
        $mdcI_prefII = $data['mdcI_prefII'] ?? null;
        $mdcI_prefIII = $data['mdcI_prefIII'] ?? null;
        $mdcI_prefIV = $data['mdcI_prefIV'] ?? null;
        $mdcI_prefV = $data['mdcI_prefV'] ?? null;
        
       /* $minorI2 = $data['minorI2'] ?? null;
        $minorII2 = $data['minorII2'] ?? null;
        $mdcI2 = $data['mdcI2'] ?? null;
        
        $minorI_prefII2 = $data['minorI_prefII2'] ?? null;
        $minorI_prefIII2 = $data['minorI_prefIII2'] ?? null;
        $minorI_prefIV2 = $data['minorI_prefIV2'] ?? null;
        $minorI_prefV2 = $data['minorI_prefV2'] ?? null;
        
        $minorII_prefII2 = $data['minorII_prefII2'] ?? null;
        $minorII_prefIII2 = $data['minorII_prefIII2'] ?? null;
        $minorII_prefIV2 = $data['minorII_prefIV2'] ?? null;
        $minorII_prefV2 = $data['minorII_prefV2'] ?? null;
        
        $mdcI_prefII2 = $data['mdcI_prefII2'] ?? null;
        $mdcI_prefIII2 = $data['mdcI_prefIII2'] ?? null;
        $mdcI_prefIV2 = $data['mdcI_prefIV2'] ?? null;
        $mdcI_prefV2 = $data['mdcI_prefV2'] ?? null;
        $aecI2 = $data['aecI2'] ?? null;
        $aecII2 = $data['aecII2'] ?? null;*/
        unset($data['minorI']);
        unset($data['minorII']);
        unset($data['mdcI']);
        unset($data['aecI']);
        unset($data['aecII']);
        unset($data['pathway_id']);
        
        unset($data['minorI_prefII']);
        unset($data['minorI_prefIII']);
        unset($data['minorI_prefIV']);
        unset($data['minorI_prefV']);
        
        unset($data['minorII_prefII']);
        unset($data['minorII_prefIII']);
        unset($data['minorII_prefIV']);
        unset($data['minorII_prefV']);
        
        unset($data['mdcI_prefII']);
        unset($data['mdcI_prefIII']);
        unset($data['mdcI_prefIV']);
        unset($data['mdcI_prefV']);
        
       /* unset($data['course_id1']);
        unset($data['semester_id1']);
        unset($data['minorI2']);
        unset($data['minorII2']);
        unset($data['mdcI2']);
        unset($data['minorI_prefII2']);
        unset($data['minorI_prefIII2']);
        unset($data['minorI_prefIV2']);
        unset($data['minorI_prefV2']);
        unset($data['minorII_prefII2']);
        unset($data['minorII_prefIII2']);
        unset($data['minorII_prefIV2']);
        unset($data['minorII_prefV2']);
        unset($data['mdcI_prefII2']);
        unset($data['mdcI_prefIII2']);
        unset($data['mdcI_prefIV2']);
        unset($data['mdcI_prefV2']);
        unset($data['aecI2']);
        unset($data['aecII2']);*/
        $student = Student::create($data);
        
        if($student){
            DB::table('student_log')->updateOrInsert(['student_id' => $student->student_id], ['password' => $password]);
            
            $promote = Promote::create([
                'student_id' => $student->student_id,
                'ac_id' => $student->ac_id,
                'course_id' => $student->course_id,
                'semester_id' => $student->semester_id,
                'category_id'=>$student->category_id,
            ]);
            
            if($pathway_id)
            {
                FYUGPSTUDPATHWAY::create([
                    'stud_id' => $student->student_id,
                    'pathway_id' => $pathway_id,
                    'ac_id'=> $student->ac_id,
                        ]);
                
            
            }
            
            if($minorI)
            {
               $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorI,
                        
                        'type' => 1,
                        'sub_cat' =>2,
                        
                    ]); 
                
             $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorI,
                        'sub_cat' =>2,
                        
                    ]);
            }  
            
            
            if($minorI_prefII)
            {
               $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorI_prefII,
                        
                        'type' => 2,
                        'sub_cat' =>2,
                        
                    ]); 
            }
            
            if($minorI_prefIII)
            {
               $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorI_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        
                    ]); 
            }
            
            if($minorI_prefIV)
            {
               $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorI_prefIV,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        
                    ]); 
            }
            
            if($minorI_prefV)
            {
               $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorI_prefV,
                        
                        'type' => 5,
                        'sub_cat' =>2,
                        
                    ]); 
            }
            
            
             if($minorII)
            {
                
                    $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorII,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        
                    ]); 
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorII,
                        'sub_cat' =>3,
                        
                    ]);
            }
            
             if($minorII_prefII)
            {
                
                    $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorII_prefII,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                        
                    ]); 
            }
            
            if($minorII_prefIII)
            {
                
                    $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorII_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                        
                    ]); 
            }
            
             if($minorII_prefIV)
            {
                
                    $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorII_prefIV,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        
                    ]); 
            }
            
            if($minorII_prefV)
            {
                
                    $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $minorII_prefV,
                        
                        'type' => 5,
                        'sub_cat' =>3,
                        
                    ]); 
            }
            
             if($mdcI)
            {
                     $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $mdcI,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                        
                    ]); 
                
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $mdcI,
                        'sub_cat' =>4,
                        
                    ]);
            }
            
             if($mdcI_prefII)
            {
                     $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $mdcI_prefII,
                        
                        'type' => 2,
                        'sub_cat' =>4,
                        
                    ]); 
            }
            
             if($mdcI_prefIII)
            {
                     $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $mdcI_prefIII,
                        
                        'type' => 3,
                        'sub_cat' =>4,
                        
                    ]); 
            }
            
             if($mdcI_prefIV)
            {
                     $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $mdcI_prefIV,
                        
                        'type' => 4,
                        'sub_cat' =>4,
                        
                    ]); 
            }
             if($mdcI_prefV)
            {
                     $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'pref_Id' => $mdcI_prefV,
                        
                        'type' => 5,
                        'sub_cat' =>4,
                        
                    ]); 
            }
            
             if($aecI)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $aecI,
                        'sub_cat' =>5,
                        
                    ]);
            }
            
             if($aecII)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $aecII,
                        'sub_cat' =>6,
                        
                    ]);
            }
            
            $msg_array = array('message'=>'Student Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('student.add')->with($msg_array);
    }
    
    public function report(){
        return view('students.report');
    }
    
    public function report_ajax(Request $request){
        
        $col_order = ['adno','rollno','name','address','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;

        
        // $query  =   Student::join('courses','students.course_id','=','courses.course_id')->
        //             leftJoin('semesters','students.semester_id','=','semesters.semester_id');
        $query=Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)->
                    where('students.tcstatus','0');

                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('rollno','like',$search.'%')->
                    orWhere('name','like',$search.'%')->
                    orWhere('mobile','like','%'.$search.'%');
                    // orWhere('course_name','like','%'.$search.'%')->
                    // orWhere('semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $view=$edit=$delete=$tc=0;
        if(MenuAccess::have_access(56) == true){ $view=1; }
        if(MenuAccess::have_access(23) == true){ $edit=1; }
        if(MenuAccess::have_access(24) == true){ $delete=1; }
        if(MenuAccess::have_access(58) == true){ $tc=1; }
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['rollno'] = $student->rollno;
                $row['name'] = wordwrap(strtoupper($student->name), 20, "<br />\n");
                $row['address'] = wordwrap(strtoupper($student->paddress), 20, "<br />\n");
                $row['mobile'] = $student->mobile;
                $row['course'] = wordwrap($student->course_name, 20, "<br />\n");
                $row['semester'] = $student->semester_name;
                $tcst=$tccl='';
                if($student->tcstatus==0){ $tccl='badge-warning'; $tcst='Not Issued'; }
                $row['tcstatus'] = '<div class="badge '.$tccl.' p-1">'.$tcst.'</div>';
                $html="";
                if($student->tcstatus==0 && $tc==1){
                    $html .= '<a href="'.route('tc.generate',encrypt($student->student_id)).'" title="Generate TC"><i class="icon-sm icon-share-alt text-info"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($view==1){
                    $html .= '<a href="'.route('student.view',encrypt($student->student_id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($edit==1){
                    $html .= '<a href="'.route('student.edit',encrypt($student->student_id)).'" title="Edit"><i class="icon-sm icon-pencil text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($delete==1){
                    $html .= '<a href="'.route('student.delete',encrypt($student->student_id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                }
                $row['action'] = $html;
                $st='';
                if($student->status==1){ $st='text-success'; }else if($student->status==0){ $st='text-warning'; }
                $row['status'] = '<i class="icon icon-check text-sm '.$st.'"></i>';
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }
    
    public function view($sid){
        
        $student = Student::find(decrypt($sid));
        
        return view('students.view',compact('student'));
    }
    
    public function edit($sid){
        
        $student = Student::find(decrypt($sid));
        $acyears = Acyear::all();
        $courses = Course::all();
        $semesters = Semester::where('course_id',$student->course_id)->get();
        $categories = FeeCategory::all();
        $religion=Religion::all(); 
        return view('students.edit',compact('student','acyears','courses','semesters','categories','religion'));
    }
    
    public function update(Request $request){
        
        $student_id = decrypt($request->student);
        $student_det = Student::find($student_id);
        
        $data = $request->except('_token','student','same');
        $validated = $request->validate([
            'name' => 'required',
            'gender' => 'required',
            'mobile' => 'required|numeric',
            'email' => 'nullable|email',
            'aadhar' => 'nullable|numeric',
            'dob' => 'required|date',
            'gmobile' => 'nullable|numeric',
            'photo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'income' => 'nullable|numeric',
            'lastyear' => 'nullable|numeric',
            'sslc' => 'nullable|numeric',
            'plustwo' => 'nullable|numeric',
            'degree' => 'nullable|numeric',
            'adate' => 'required|date',
            'adno' => 'required|unique:students,adno,'.$student_id.',student_id,deleted_at,NULL',
            'ac_id' => 'required|numeric',
            'course_id' => 'required|numeric',
            'category_id' => 'required|numeric',
        ]);
        
        $photo="student.png";
        if($student_det->photo){ $photo=$student_det->photo; }
        if($request->hasFile('photo')){
            $ext = $request->photo->extension();
            $photo = 'photo_'.time().'.'.$ext;
            
            Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        }
        $data['photo'] = $photo;
        $data['password'] = bcrypt(date('dmY',strtotime($data['dob'])));
        
        $student = Student::find($student_id);
        $student->update($data);
        
        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('student')->with($msg_array);
    }
    
    public function delete($student_id){
        
        $student = Student::find(decrypt($student_id))->delete();
        if($student){
            $msg_array = array('message'=>'Student Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('student')->with($msg_array);
    }
    
    public function promote(){
        
        $courses = Course::all();
        
        return view('students.promote',compact('courses'));
    }
    
    public function get_promote(Request $request){
        
        $validated = $request->validate([
                'course_id' => 'required',
                'semester_id' => 'required',
            ]);
            
        $course_id = $request->course_id;
        $semester_id = $request->semester_id;
        $semesters = Semester::where('course_id',$course_id)->get();
        $acyears = Acyear::all();
        $courses = Course::all();
        $ac_id = getAcyear();
        $fee_category=FeeCategory::all();
        
        $students = array();
        if($request->semester_id == 'na'){
            $students = DB::table('students')->whereNotIn('student_id', DB::table('promotes')->pluck('student_id'))->get()->toArray();
        }else{
            $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        }
        
        return view('students.get_promote',compact('acyears','ac_id','courses','course_id','semesters','semester_id','students','fee_category'));
    }
    
    public function save_promote(Request $request){
        
        $validated = $request->validate([
                'acyr_id' => 'required|numeric',
                'sem_id' => 'required|numeric',
                'category_id'=>'required',
                'posted' => 'present|array'
            ]);
            
        $acyr_id = $request->acyr_id;
        $crs_id = decrypt($request->crs_id);
        $prev_sem = decrypt($request->prevsem_id);
        $sem_id = $request->sem_id;
        $category_id=$request->category_id;
        
      
        
        $i=0;
        foreach($request->posted as $ids){
            $check = Promote::where(array('student_id'=>$ids,'ac_id'=>$acyr_id,'semester_id'=>$sem_id))->get()->toArray();
            if(!$check){
                $promote = Promote::create([
                    'student_id' => $ids,
                    'ac_id' => $acyr_id,
                    'course_id' => $crs_id,
                    'semester_id' => $sem_id,
                    'category_id' =>$category_id,
                ]);
                if($promote){
                  
                $checkpathway = FYUGPSTUDPATHWAY::where('stud_id',$ids)->where('sem_id',$prev_sem)->where('course_id',$crs_id)->first();
               
              
                $checkprevac = Promote::where('student_id',$ids)->where('semester_id',$prev_sem)->where('course_id',$crs_id)->first();
                
                if($checkpathway)
                {
                    $pathway_Id = $checkpathway->pathway_id;
                     FYUGPSTUDPATHWAY::create([
                        'stud_id' => $ids,
                        'pathway_id' => $pathway_Id,
                        'course_id'=>$crs_id,
                        'sem_id'=>$sem_id,
                        'ac_id'=> $acyr_id,
                            ]);
                    /*if($pathway_Id == 2)
                    {
                        if($checkprevac)
                        {
                            $previousAcId = $checkprevac->ac_id;
                    
                    $fyugp_stud = FyugpStudSub::where('acyear_id', $previousAcId)->where('course', $crs_id)->where('stud_id', $ids)->where('sem', $prev_sem)->whereNull('deleted_at')->get();    
                    $fyugp_stud_pref = FyugpStudSubPreferences::where('acyear_id', $previousAcId)->where('course', $crs_id)->where('stud_id', $ids)->where('sem', $prev_sem)->whereNull('deleted_at')->get(); 
                    if(!FyugpStudSub::where('acyear_id', $acyr_id)->where('course', $crs_id)->where('stud_id', $ids)->where('sem', $sem_id)->whereNull('deleted_at')->exists())
                    {
                        foreach ($fyugp_stud as $studpath) {
                        $studpath_n1 = FyugpStudSub::create([
                        'stud_id' => $ids,
                        'acyear_id' => $acyr_id,
                        'course' => $crs_id,
                        'sem' => $sem_id,
                        'sub_id' => $studpath->sub_id,
                        'sub_cat' => $studpath->sub_cat,
                       
                        ]); 
                }
                        
                    } 
                    
                    if(!FyugpStudSubPreferences::where('acyear_id', $acyr_id)->where('course', $crs_id)->where('stud_id', $ids)->where('sem', $sem_id)->whereNull('deleted_at')->exists())
                    {
                        foreach ($fyugp_stud_pref as $studpathpref) {
                        $studpathpref_n1 = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $acyr_id,
                        'course' => $crs_id,
                        'sem' => $sem_id,
                        'pref_Id' => $studpathpref->pref_Id,
                        'type'=> $studpathpref->type,
                        'sub_cat' => $studpathpref->sub_cat,
                       
                        ]); 
                }
                        
                    } 
                    }
                    }*/
                }
                
                    $i++; 
                    
                    
                    
                }
            }
        }
        
        if($i>0){
            $msg_array = array('message'=>'Students has been Promoted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Students Could not be Promoted !','alert-type'=>'error');
        }
            
        return redirect()->route('promote')->with($msg_array);
    }
    
    // public function tc_generate($sid){
        
    //     $student = Student::find(decrypt($sid));
    //     $tcno_max = TcDetail::max('tc_code');
    //     $tc_code = $tcno_max+1;
    //     $tcno = 'SF '.$tc_code;
    //     $subjects = Subject::where('course_id',$student->course_id)->get();
    //     $prev_tc = TcDetail::whereNull('deleted_at')->latest()->first();
        
    //     $fees = Fee::studentFees(decrypt($sid),$cdate);
        
        
    //     return view('students.tc_generate',compact('student','tc_code','tcno','subjects','prev_tc'));
    // }
    
    
    
    public function tc_generate($sid) {
    $student = Student::find(decrypt($sid));
    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id=$cur_acyear->ac_id;
    $semesters=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student)->get();
   
    $cdate = date('Y-m-d');
    $fees = Fee::studentFees(decrypt($sid), $cdate);
    $total_due = 0;

    foreach ($fees as $ac_id => $sem_details) {
        foreach ($sem_details as $sem_id => $term_details) {
            foreach ($term_details['fee_structure'] as $term_id => $fee_details) {
                foreach ($fee_details['fee_type'] as $ftype_id => $ftype_details) {
                    $famount = $ftype_details['due_amount'] + $ftype_details['fine_amount'];
                    $total_due += $famount;
                }
            }
        }
    }

    $error = $total_due > 0 ? 'Please clear the due fees before generating the TC.' : null;



    $tcno_max = TcDetail::max('tc_code');
    $tc_code = $tcno_max + 1;
    $tcno = 'SF ' . $tc_code;
    $subjects = Subject::where('course_id', $student->course_id)->get();
    $prev_tc = TcDetail::whereNull('deleted_at')->latest()->first();


    
    return view('students.tc_generate', compact('student', 'tc_code', 'tcno', 'subjects', 'prev_tc', 'fees','error','semesters'));
}

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function tc_save(Request $request){
        
        $data = $request->except('_token');
        $data['student_id'] = decrypt($request->student_id);
        $validated = $request->validate([
            'tcno' => 'required|unique:tc_details,tcno,NULL,tc_id,deleted_at,NULL',
            'ldate' => 'required|date',
            'adate' => 'required|date',
            'idate' => 'required|date',
            'reason' => 'required',
            'regno' => 'required',
            'appear' => 'required',
            'conduct' => 'nullable',
        ]);
        
        $data['tcno'] = strtoupper($data['tcno']);
        $data['regno'] = strtoupper($data['regno']);
        $promote = Promote::where('student_id',$data['student_id'])->whereNull('deleted_at')->orderBy('promote_id','DESC')->first();
        if($promote){
            $data['lcourse'] = $promote->course_id;
            $data['lsemester'] = $promote->semester_id;
            $data['subjects'] = implode(', ',array_filter($data['subjects']));
            $tc = TcDetail::create($data);
            if($tc){
                $student = Student::find($data['student_id']);
                $student->update([
                    'tcstatus' => 1
                    ]);
                    
                echo "<script>window.open('".route('tc.print',encrypt($tc->tc_id))."');</script>";
                
                $msg_array = array('message'=>'TC Generated Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'TC Could not be Generated !','alert-type'=>'error');
            }
        }else{
            $msg_array = array('message'=>'Student Semester not assigned !','alert-type'=>'error');
        }
        return redirect()->route('student')->with($msg_array);
    }
    
    public function tc_report(){
        
        return view('students.tc_report');
    }
    
    public function tc_ajax(Request $request){
        
        $col_order = ['tcno','idate','adno','name','course_name','semester_name'];
        $total_data = TcDetail::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        
        $query  =   TcDetail::join('students','tc_details.student_id','=','students.student_id')->
                    join('courses','tc_details.lcourse','=','courses.course_id')->
                    join('semesters','tc_details.lsemester','=','semesters.semester_id')->
                    whereNull('tc_details.deleted_at');
                    if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('tc_details.tcno','like','%'.$search.'%')->
                            orWhere('tc_details.idate','like','%'.$search.'%')->
                            orWhere('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('course_name','like','%'.$search.'%')->
                            orWhere('semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $tcdetails  =   $query->select('tc_details.*','students.adno','students.name','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $delete=$print1=$print2=0;
        if(MenuAccess::have_access(59) == true){ $print1=1; }
        if(MenuAccess::have_access(60) == true){ $delete=1; }
       if(MenuAccess::have_access(318) == true){ $print2=1; }

        $data = array();
        if($tcdetails){
            foreach($tcdetails as $tcdetail){
                $row['tcno'] = $tcdetail->tcno;
                $row['idate'] = $tcdetail->idate_formatted;
                $row['adno'] = $tcdetail->adno;
                $row['name'] = strtoupper($tcdetail->name);
                $row['course'] = $tcdetail->course_name;
                $row['semester'] = $tcdetail->semester_name;
                $html="";
                if($print1==1){
                    $html .= '<a href="'.route('tc.print',encrypt($tcdetail->tc_id)).'" title="Print TC" target="blank_"><i class="icon-sm icon-printer text-dark"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                    if($print2==1){
                    $html .= '<a href="'.route('cc.print',encrypt($tcdetail->tc_id)).'" title="Print CC" target="blank_"><i class="icon-sm icon-printer text-danger"></i></a>&nbsp;&nbsp;&nbsp;';
                }

                if($delete==1){
                    $html .= '<a href="'.route('tc.delete',encrypt($tcdetail->tc_id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }
    
    public function tc_print($tcid){
        
        $institution = instituteDetails();
        $tcdetails = TcDetail::find(decrypt($tcid));
        
        return view('students.tc_print',compact('institution','tcdetails'));
    }
   
       public function cc_print($tcid){
        
        $institution = instituteDetails();
        $tcdetails = TcDetail::find(decrypt($tcid));
        
        return view('students.cc_print',compact('institution','tcdetails'));
    }

   
   
    
    public function tc_delete($tcid){
        
        $tc = TcDetail::find(decrypt($tcid));
        $student_id = $tc->student_id;
        $tc->delete();
        if($tc){
            $student = Student::find($student_id)->update(['tcstatus'=>0]);
            $msg_array = array('message'=>'TC Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('tc')->with($msg_array);
    }
    
    public function sdata_save(Request $request){
        $student_id = decrypt($request->sid);
        $validated = $request->validate([
            'sadno' => 'required|unique:students,adno,'.$student_id.',student_id,deleted_at,NULL',
            'sname' => 'required',
            'sdob' => 'required|date',
            'sadate' => 'required|date',
            'sfname' => 'required',
            'smname' => 'required',
        ]);
                    
        $student = Student::find($student_id);
        $student->update([
            'adno' => $request->sadno,
            'name' => $request->sname,
            'dob' => $request->sdob,
            'adate' => $request->sadate,
            'fname' => $request->sfname,
            'mname' => $request->smname
        ]);
        
        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('tc.generate',encrypt($student_id))->with($msg_array);
    }

    
     public function addsubject(){
        
        
        $subject = Subject::all();
        $course = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        
        $subcategory = SubCategory::whereNull('deleted_at')->get();
        
        $subject=Subject::all();
        
        
        return view('students.addsubject',compact('subject','course','semester','subtype','subcategory','subject'));
    }
   
    public function addsubject_save(Request $request)
   {
   
     $data = $request->validate([
        'subject_code.*' => 'required',
        'subject_name.*' => 'required',
        'course_id' => 'required',
        'semester_id' => 'required|array',
        'subject_code' => 'required|array',
        'subject_name' => 'required|array',
        'subject_credit'=>'required|array',
        'subject_categ'=>'required|array',
            
            
        ]);
       //print_r($data);
       $i=0;
           foreach ($data['subject_code'] as $key => $code) {
            $categ_name =  $data['subject_categ'][$key];
            $sub_name = $data['subject_name'][$key];
            $subject_credit = $data['subject_credit'][$key];
            $deptn = Course::where('course_id',$data['course_id'])->whereNull('deleted_at')->first();
            $subcategory = SubCategory::where('category',$categ_name)->whereNull('deleted_at')->first(); 
            $seclang=NULL;
           if($subcategory->id == '10')
            {
                if($deptn->department_id == '7')
                {
                    $seclang = 'Hindi';
                }
                else if($deptn->department_id == '11')
                {
                     $seclang = 'Malayalam';
                }
                else if($deptn->department_id == '1')
                {
                     $seclang = 'Arabic';
                }
                else if($deptn->department_id == '20')
                {
                     $seclang = 'Urdu';
                }
                else if($deptn->department_id == '18')
                {
                     $seclang = 'Sanskrit';
                }
            }
            $subcnt = Subject::where('subject_name',$sub_name)->where('subject_code',$code)->where('subject_categ',$subcategory->id)->where('course_id', $data['course_id'])->count();
            if ($subcnt == 0) { 
                 try{
            
               $subject=Subject::create([
                    'course_id' => $data['course_id'],
                    'subject_code' => $code,
                    'subject_name' => $sub_name,
                    'subject_credit' => $subject_credit,
                    'subject_categ' => $subcategory->id,
                    'department_id' => $deptn->department_id,
                    'semester_id' => 0,
                    'seclang'=>$seclang,
                ]);
           
          foreach ($data['semester_id'] as $sem => $sem_id) {   
           $sem_name = Semester::where('semester_id',$sem_id)->first();  
           
          $subcrscnt = CourseSubject::where('subject_id',$subject->subject_id)->where('course_id',$data['course_id'])->where('semester_id',$sem_name->semester_name)->count();
            if ($subcrscnt == 0) {  
                 $subject=CourseSubject::create([
               
                'subject_id' => $subject->subject_id,
                'course_id' => $data['course_id'],
                'semester_id' => $sem_name->semester_name,
               
            ]);
            } } $i++;
        
                       \Log::info('Subject created successfully:', ['subject' => $subject]);
    } catch (\Exception $e) {
        // Log error details
        \Log::error('Subject creation failed:', ['error' => $e->getMessage()]);
    }
                 
             }        
               
           }

         
         if($i > 0){
            $msg_array = array('message'=>'Course Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Course Could not be Added !','alert-type'=>'error');
        }       
               
        return redirect()->route('addsubject')->with($msg_array); 
     
 }
 
  public function assign_subject()
    {
        $departments = Department::all();
        $courses = Course::all();
        $subtype = SubjectType::all();
        $subCategories = SubCategory::whereNotIn('id', [2, 3])->whereNull('deleted_at')->get();
        return view('subject.assign_subject',compact('courses','subtype','departments','subCategories'));
    }
    
    public function get_assign_subject(Request $request)
     {
      
        $course = $request->course;
        $subtcat_id = $request->subtcat_id;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $course_name = Course::where('course_id',$course)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();  
     $subject = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where('subjects.subject_categ', $subtcat_id)
    ->where('course_subject.course_id', '!=', $course)
    ->where('course_subject.semester_id', $sem_name->semester_name)->distinct()
    ->select('subjects.*')
    ->get();
   
        return view('subject.get_assign_subject',compact('course','ac_id','course_name','subtcat_id','subject','semester_id'));
         
     }
     
     public function assign_subject_save(Request $request)
    {
        $course = decrypt($request->course);
        $subtcat_id = decrypt($request->subtcat_id);
        $semester_id = decrypt($request->semester_id);
        $ac_id = getAcyear(); 
        $sem_name = Semester::where('semester_id',$semester_id)->first();  
         $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $subcheck = CourseSubject::where([
                    'subject_id' => $ids,'course_id' => $course,'semester_id' => $sem_name->semester_name
                   
                ])->first();
                if(!$subcheck)
                {
                   $subject=CourseSubject::create([
                   
                    'subject_id' => $ids,
                    'course_id' => $course,
                    'semester_id' => $sem_name->semester_name,
                   
                ]);
                    $i++;
                }
                
            }
        }
        if($i>0){
            $msg_array = array('message'=>'Program Course has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Program Course Already Assigned !','alert-type'=>'error');
        }
          return redirect()->route('subject.assign')->with($msg_array);   
    }
 
 
 
 
    public function viewsubject()
    {
    
        $subject = Subject::all();
        $course = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subcategory = SubCategory::whereNull('deleted_at')->get();
        
        $subject=Subject::all();
        
        return view('students.viewsubject',compact('subject','course','semester','subtype','subcategory','subject'));
    }
    
    public function viewsubject_get(Request $request)
     {
        $course_id = $request->cid;
        $semester_id = $request->sid;
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $ac_id = getAcyear();
        $subject = Subject::Join('course_subject','subjects.subject_id','=','course_subject.subject_id')->where(array('course_subject.course_id'=>$course_id,'course_subject.semester_id'=>$sem_name->semester_name))->whereNull('course_subject.deleted_at')->select('subjects.*','course_subject.id')->get();

        
        return view('students.viewsubject_get',compact('subject','course_id','semester_id','ac_id'));
        
     }
 
 
  public function subject_edit($sid){
        $courses=Course::all();
        $subject = Subject::find(decrypt($sid));
        $subcategory = SubCategory::all();
        return view('students.subject_edit',compact(array('subject','courses','subcategory')));
    }
    
    public function subject_update(Request $request){
        
        $subject_id = decrypt($request->subject_id);
       
        $subject = Subject::find($subject_id);
        $subject->update([
            'subject_code' => $request->subject_code,
            'subject_name' => $request->subject_name,
            'subject_credit' => $request->subject_credit,
            'subject_categ' => $request->subject_categ,
        ]);
        
        if($subject){
            $msg_array = array('message'=>' Course Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>' Course Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('viewsubject')->with($msg_array);
    }
 
 /* public function subject_delete($sid){
        
        $subject = Subject::find(decrypt($sid));
        
        if($subject){
             $staffsubjects = StaffSubject::where('subject_id',decrypt($sid))->count();
             $syllabus=Syllabus::where('subject_id',decrypt($sid))->count();
             $obco = ObeCo::where('sub_id',decrypt($sid))->count();
             $fyugpstud = FyugpStudSub::where('sub_id',decrypt($sid))->count();
             $examsub = FyugpExamSubject::where('subject',decrypt($sid))->count();
             $famark = STUDFAMARKS::where('sub_id',decrypt($sid))->count();
             $samark = STUDSAMARKS::where('sub_id',decrypt($sid))->count();
            if($staffsubjects == 0 && $syllabus == 0 && $obco == 0 && $fyugpstud == 0 && $examsub == 0 && $famark == 0 && $samark == 0){
                $subject->delete();
                $msg_array = array('message'=>'Subject Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Subject Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('viewsubject')->with($msg_array);
    }   */     
 
  public function subject_delete($sid){
        
        $subject = CourseSubject::find(decrypt($sid));
        $subject_id_crs = CourseSubject::where('id',decrypt($sid))->first();
        if($subject_id_crs){
        $sub_id = $subject_id_crs->subject_id;
        $course_id = $subject_id_crs->course_id;
       
        if($subject){ 
             $staffsubjects = StaffSubject::where('subject_id',$sub_id)->where('course_id',$course_id)->count();
             $syllabus=Syllabus::where('subject_id',$sub_id)->where('course_id',$course_id)->count();
             $obco = ObeCo::where('sub_id',$sub_id)->where('course',$course_id)->count();
             $fyugpstud = FyugpStudSub::where('sub_id',$sub_id)->where('course',$course_id)->count();
            $examsub = FyugpExamSubject::join('fyugp_exams', 'fyugp_examsubject.exam_id', '=', 'fyugp_exams.id') // Assuming the common column is exam_id
                            ->where('fyugp_examsubject.subject', $sub_id)->where('fyugp_exams.course', $course_id) // Your filtering condition for subject
                            ->count();
             $famark = STUDFAMARKS::where('sub_id',$sub_id)->where('course',$course_id)->count();
             $samark = STUDSAMARKS::where('sub_id',$sub_id)->where('course',$course_id)->count();
            if($staffsubjects == 0 && $syllabus == 0 && $obco == 0 && $fyugpstud == 0 && $examsub == 0 && $famark == 0 && $samark == 0){
                $subject->delete();
                $msg_array = array('message'=>'Subject Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Subject Could not be Deleted !','alert-type'=>'error');
            }
        }
        }
        else
        {
          $msg_array = array('message'=>' Subject Could not be Deleted !','alert-type'=>'error');  
        }
        return redirect()->route('viewsubject')->with($msg_array);
    }
 
 
 public function addsubjectcateg(){
        
        $subcategory = SubCategory::all();
        
        return view('students.addsubjectcateg',compact('subcategory'));
    }
    
    public function addsubjectcateg_save(Request $request){
        
        $validated = $request->validate([
            'category' => 'required|unique:sub_category,category',
        ]);
        
        $subcategory = SubCategory::create([
            'category' => $request->category,
        ]);
        
        if($subcategory){
            $msg_array = array('message'=>'Category Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Category Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('addsubjectcateg')->with($msg_array);
    }
    
    
    
    public function subcateg_delete($mid){
        
       $subcategory=SubCategory::find(decrypt($mid));
     if($subcategory){
          $subdet = Subject::where('subject_categ', decrypt($mid))->count();
           if ($subdet == 0) {
            
                $subcategory->delete();
                $msg_array = array('message'=>'Category Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Category Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('addsubjectcateg')->with($msg_array);
    }
    
    public function syllabus(){
        $subjects = Subject::all();
        $courses = Course::all();
        $semesters = Semester::all();
        $subcats = SubCategory::whereNull('deleted_at')->get();
        $syllabuses = Syllabus::all();
        
        return view('students.syllabus',compact('subjects','courses','semesters','subcats','syllabuses'));
    }
        
    public function syllabus_save(Request $request){
        
        $validated = $request->validate([
            'course_id' => 'required',
            'semester_id' => 'required',
            'subject_id'=>'required',
            'text' => 'nullable',
            'photo' => 'nullable|mimes:pdf,doc,docx,jpg,jpeg,png,xls,xlsx|max:5120',
        ]);
        
        $filename = null;
        if($request->hasFile('photo')){
            $file = $request->photo;
            $ext = $file->extension();
            $filename = 'syllabus_'.time().'.'.$ext;
            $file->storeAs('student/syllabus',$filename);
        }
        
        $syllabus = Syllabus::create([
            'course_id' => $validated['course_id'],
            'semester_id' => $validated['semester_id'],
            'subject_id' => $validated['subject_id'],
            'text' => $validated['text'],
            'photo' => $filename,
        ]);
        
        if($syllabus){
            $msg_array = array('message' => 'Syllabus Added Successfully !', 'alert-type' => 'success');
        }else{
            $msg_array = array('message' => 'Syllabus Could not be Added !', 'alert-type' => 'error');
        }
        return redirect()->route('syllabus')->with($msg_array); 
    }

public function getsub(Request $request)
{
    $course_id = $request->input('course_id');
    $semester_id = $request->input('semester_id');
    
    // Retrieve subjects based on course_id and semester_id
    $subjects = Subject::where('course_id', $course_id)
                       ->where('semester_id', $semester_id)
                       ->get(['subject_id', 'subject_name']);
    
    return response()->json($subjects);
}
    
     public function enrolment(){
      
      $course=Course::get();
      $semester=Semester::get();
      $acyears=Acyear::get();
       
        
        return view('students.enrolment',compact('course','semester','acyears'));
    }
   

 public function enrolment_get(Request $request){
        $ac_det = Acyear::find($request->aid);
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        // $student = Student::all();
        $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.ac_id'=>$request->aid,'promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->where('students.tcstatus','0')->select('students.*')->latest()->get();
        
        // $stypes = FeeStructureType::Join('fee_structures','fee_structure_types.structure_id','=','fee_structures.structure_id')->where(array('fee_structures.ac_id'=>$request->aid,'fee_structures.course_id'=>$request->cid,'fee_structures.semester_id'=>$request->sid,'fee_structures.category_id'=>$request->ctid,'fee_structures.term_id'=>$request->tid))->select('fee_structure_types.*')->latest()->get();
$enrolment=Enrolment::all();
        return view('students.enrolment_get',compact('crs_det','sem_det','student','ac_det','enrolment'));
    }
    



public function enrolment_save(Request $request)
{
           $validated = $request->validate([
            'ac_id' => 'required',
            'course_id' =>'required',
            'semester_id'=>'required',
        ]);
       $course_id=$request->course_id;
       $semester_id=$request->semester_id;
       $ac_id=$request->ac_id;
       
       $i=0;
       foreach($request->student_id as $stdnt)
       {

           $registernumber=$request->post("register_no$stdnt");
           if($registernumber!=NULL)
           {
               
           
           $check=Enrolment::where('course_id',$course_id)->where('ac_id',$ac_id)->where('semester_id',$semester_id)->where('student_id',$stdnt)->first();
          if(!$check)
          {
              $addregi=Enrolment::create([
                  'ac_id' =>$ac_id,
                  'course_id'=>$course_id,
                  'semester_id'=>$semester_id,
                  'student_id'=>$stdnt,
                  'register_no'=>$registernumber,
                  ]);
                  if($stdnt){ $i++; }
          }
          
           else
                {
                    $check->update(['register_no' => $registernumber]);
                    $i++;
                }
           }
       }
       
      if($i>0){
            $msg_array = array('message'=>'Register Number Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Register Number Could not be Added !','alert-type'=>'error');
        }  
       return redirect()->route('enrolment')->with($msg_array);

}







        public function leavesetting(){
        
      $studentleave=Studentleavetype::all();
       
        
        return view('students.leavesetting',compact('studentleave'));
    }
















    public function leavesetting_save(Request $request)
    {
        $validated= $request->validate([
            
            'leave_code'=>'required',
            'leave_name' =>'required',
            'leave_color' =>'required',
            ]);
            
            $studentleave=Studentleavetype::create([
                
                'leave_code'=>$request->leave_code,
                'leave_name'=>$request->leave_name,
                'leave_color'=>$request->leave_color,
                ]);
                if($studentleave)
                {
                    $msgarray=array('message'=>'Student Leave Saved Successfully !','alert-type'=>'success');
                }
                else
                {
                    $msgarray=array('message'=>' Student Leave Could not be Saved !','alert-type'=>'error');
                }
                
                return redirect()->route('leavesetting')->with($msgarray);
            
            
    }
    
    public function leavesetting_edit($lid)
    {
        $stuleave=Studentleavetype::find(decrypt($lid));
        
        return view('students.leavesettingedit',compact('stuleave'));
    }
    
    public function leavesetting_update(Request $request)
    {
        $leaveid = decrypt($request->stuleav_id);
        $stuleave = Studentleavetype::find($leaveid);
      
        $validated=$request->validate([
          'leave_name'=>'required|unique:student_leave_setting,leave_name,'.$leaveid.',stuleav_id',
        ]);
          
        $stuleave->update([
            'leave_code'=>$request->leave_code,
            'leave_name'=>$request->leave_name,
            'leave_color'=>$request->leave_color,
        ]);
        
        if($stuleave) {
            $msg_array = array('message'=>'Student Leave Updated Successfully !','alert-type'=>'success');
        } else {
            $msg_array = array('message'=>'Student Leave Could not be updated !','alert-type'=>'error'); 
        }
        
        return redirect()->route('leavesetting')->with($msg_array);
    }
    
    public function leavesetting_delete($lid)  
    {
        $leaveid=Studentleavetype::find(decrypt($lid))->delete();
        //  if($leaveid){
        //      if($leaveid->count()>0){
        //          $leaveid->delete();
        //          $msg_array = array('message'=>'Student Leave Deleted Successfully !','alert-type'=>'success');
        //      }else{
        //          $msg_array = array('message'=>'Student Leave Could not be Deleted !','alert-type'=>'error');
        //      }
        //  }
        
        return redirect()->route('leavesetting');
    }
    
    public function searchstudent()
    {
        return view('students.searchstudent');
    }
    
    public function search_get(Request $request)
    {
        $col_order = ['adno','clno','name','mobile','course_name','semester_name'];
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column', 1)];
        $dir = $request->input('order.0.dir');
        $skey = $request->get('searchterm');
      
        $user = Auth::user();
        $acyearId = getAcyear();
        $query = Student::join(DB::raw("(SELECT * FROM promotes WHERE (student_id, promote_id) IN (
                        SELECT student_id, MAX(promote_id) AS promote_id FROM promotes GROUP BY student_id)) as latest_promotes"), 
                        function($join) {
                            $join->on('students.student_id', '=', 'latest_promotes.student_id');
                        })
                    ->join('courses', 'latest_promotes.course_id', '=', 'courses.course_id')
                    ->join('semesters', 'latest_promotes.semester_id', '=', 'semesters.semester_id')
                    ->where('latest_promotes.ac_id', $acyearId)
                    ->where('students.tcstatus', '0');
        if($user->type_id==17){
            if($user->dept_id !=9)
            {
                
            $courses = Course::where('department_id', $user->dept_id)->get()->pluck('course_id')->toArray();
            $query->whereIn('latest_promotes.course_id', $courses);
            }
        }
        
        $tutor = ClassTeacher::where('ac_id', $acyearId)->where('user_id', $user->user_id)->get();
        if($tutor->count() > 0) {
            $semesters = $tutor->pluck('semester_id')->toArray();
            $query->whereIn('latest_promotes.semester_id', $semesters);
        }
        
        $total_data = $query->count();
        
        if($skey != '') {
            $query->where(function ($query) use ($skey) {
                $query->where('students.adno', 'like',  $skey . '%')
                    ->orWhere('students.rollno', 'like', $skey . '%')
                    ->orWhere('students.name', 'like', $skey . '%')
                    ->orWhere('students.mobile', 'like', $skey . '%');
            });
        } 
        
        if(!empty($request->input('search.value'))){
            $search = $request->input('search.value');
            $query->where(function ($qry) use ($search){
                $qry->where('adno','like','%'.$search.'%')
                ->orWhere('rollno','like','%'.$search.'%')
                ->orWhere('name','like','%'.$search.'%')
                ->orWhere('paddress','like','%'.$search.'%')
                ->orWhere('mobile','like','%'.$search.'%')
                ->orWhere('course_name','like','%'.$search.'%')
                ->orWhere('semester_name','like','%'.$search.'%');
            });
        }
            
        $query->select('students.*','courses.course_name','semesters.semester_name');
        $total_filtered = $query->count();
        $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
            
        $view=0;
        if(MenuAccess::have_access(209) == true){ $view=1; }
            
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['rollno'] = $student->rollno;
                $row['name'] = '<a href="'.route('searchstudent.get.view',encrypt($student->student_id)).'" title="View" target="_blank">'.strtoupper($student->name).'</a>';
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                $html='';
                if($view==1){
                    $html .= '<a href="'.route('searchstudent.get.view',encrypt($student->student_id)).'" title="View" target="_blank"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }

    public function importstudent()
    {
        $categories=FeeCategory::all();
        $course=Course::all();
        $acyears=Acyear::all();
        $student=Student::all();
        return view('students.importstudent',compact('student','acyears','course','categories'));
    }

    public function downloadsample()
    {
        $file_path = public_path('uploads/student/sample.xlsx');
        
        return response()->download($file_path,'sample.xlsx');
    }
    
    public function admission_report()
    {
        $acyears=Acyear::all();
        $course=Course::all();
     
        return view('students.admission_report',compact('acyears','course'));
    }
   
    public function totalstudent_getData(Request $request)
    {
        $col_order = ['adno','name','paddress','mobile','fname','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        
        $acyear = $request->get('acyear');
        $course = $request->get('course');
        $sem=$request->get('sem');
        
        $query = Student::join('courses','students.course_id','=','courses.course_id')
                    ->join('semesters','students.semester_id','=','semesters.semester_id');
        if($acyear!='') {
            $query->where('students.ac_id',$acyear);
        }
        if($course!='') {
            $query->where('students.course_id',$course);
        }
        if($sem!='') {
            $query->where('students.semester_id',$sem);
        }
        
        if(!empty($request->input('search.value'))){
            $search = $request->input('search.value');
            $query->where(function ($qry) use ($search){
                $qry->where('students.adno','like','%'.$search.'%')
                    ->orWhere('students.name','like','%'.$search.'%')
                    ->orWhere('students.paddress','like','%'.$search.'%')
                    ->orWhere('students.mobile','like','%'.$search.'%')
                    ->orWhere('courses.course_name','like','%'.$search.'%')
                    ->orWhere('semesters.semester_name','like','%'.$search.'%');
            });
        }
        
        $total_filtered = $query->count();
        $students = $query->select('students.*','courses.course_name','semesters.semester_name')->offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = strtoupper($student->name);
                $row['address'] = strtoupper($student->paddress);
                $row['parent_name'] = trim(strtoupper($student->fname . ' / ' . $student->mname));
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data,
             'total_students' => $total_data
        );
            
        echo json_encode($json);
    }


   
    
    
    
//  public function totalstudent_get(Request $request)
//  {
//   $ac_det=Acyear::find($request->aid);
//   $crs_det=Course::find($request->cid);
//   $student=Student::where('ac_id',$request->aid)->where('course_id',$request->cid)->get();
  
//   return view('students.totalstudent_get',compact('ac_det','crs_det','student'));
     
//  }
    
   public function totalstudent_excel($ac_id,$course_id)
   {
       $course_id;
       $ac_id;
       
      $ins_det = instituteDetails();
      $student=Student::where('course_id',$course_id)->where('ac_id',$ac_id)->get();
  
    //   echo $student=Student::where('course_id',$course_id)->get();
      return Excel::download(new StudentsExport($ac_id,$course_id), 'students.xlsx');

   }
    
    public function search_view($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $hostelfacility = HostelFacility::where('student_id',decrypt($student_id))->first();
        
        return view('students.search_view',compact('student', 'promote', 'hostelfacility', 'acyearId', 'user'));
    }
    
    public function edit_view($student_id)
    {
$student=Student::where('student_id',decrypt($student_id))->first();
$enrolment=Enrolment::where('student_id',$student_id)->first();
$cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
$crs=Student::join('promotes','students.student_id','=','promotes.student_id')
->join('courses','courses.course_id','=','promotes.course_id')
->where('promotes.ac_id',$cur_acyear->ac_id)->where('promotes.student_id',decrypt($student_id))
->get();
return view('students.edit_view',compact('student','enrolment','crs'));

    }
   public function updatestudent(Request $request)
   {
        
          $student_id = decrypt($request->student_id);
          $student = Student::find($student_id);
          $student->update([
            'dob' => $request->dob,
            'mobile' => $request->mobile,
            'caste_id' => $request->caste_id,
            'religion_id' => $request->religion_id,
            'community_id'=>$request->community_id,
            'email' => $request->email,
            'caddress' => $request->caddress,
            'paddress' => $request->paddress,
            'bgroup' => $request->bgroup,
            'aadhar' => $request->aadhar,
            'income' => $request->income,
            'physical' => $request->physical,
            'lastinst' => $request->lastinst,
            'lastcourse' => $request->lastcourse,
            'fname' => $request->fname,
            'foccupation' => $request->foccupation,
            'mname' => $request->mname,
            'moccupation' => $request->moccupation,
            'gname' => $request->gname,
            'gaddress' => $request->gaddress,
            'gmobile' => $request->gmobile,


        ]);
        

        // $photo="student.png";
        // if($student_det->photo){ $photo=$student_det->photo; }
        // if($request->hasFile('photo')){
        //     $ext = $request->photo->extension();
        //     $photo = 'photo_'.time().'.'.$ext;
            
        //     Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        // }
        // $data['photo'] = $photo;
        

        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('searchstudent.get.view',encrypt($student_id))->with($msg_array);
    
   
   }
    
    
    
    
    
    
  public function viewstudentpayment($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $fees = array();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $payments = Fee::join('paymentmodes', 'fees.mode_id', '=', 'paymentmodes.mode_id')
                    ->where('fees.student_id',decrypt($student_id))
                    ->whereNull('fees.deleted_at')
                    ->select('receipt_no', 'paid_date', 'mode_name', DB::raw("SUM(fee_amount) as amt"), DB::raw("SUM(discount) as disc"), DB::raw("SUM(fine_amount) as fine"))
                    ->groupBy('fees.receipt_no')
                    ->get();
        $rec_no = Fee::max('receipt_no');
        $next_rec_no = $rec_no + 1;
        $fee_category = $student->category_id;
        if($fee_category > 0) {
            $fees = Fee::studentFees(decrypt($student_id), date('Y-m-d'));
        }
        $paymodes = Paymentmode::all();
        
        return view('students.viewstudentpayment',compact('student', 'promote', 'fee_category', 'payments', 'fees', 'next_rec_no', 'paymodes', 'user'));
    }
  public function viewstudentpayment_save(Request $request)
    {
        $validated = $request->validate([
                'posted' => 'present|array',
                'mode_id' => 'required',
            ]);
        $data=array();
        $rec_no = Fee::max('receipt_no');
        $rec_no += 1;
        $data['receipt_no'] = $rec_no;
        $data['student_id'] =$request->sid;
        $data['mode_id']=$request->mode_id;
        $data['paid_date']=$request->paid_date;
        $student = Student::find($request->sid);
        // $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        // $data['ac_id'] = $cur_acyear->ac_id;
        // $data['ac_id'] = $student->ac_id;
        $data['created_by'] = auth()->user()->user_id;
        $i=0;   
        foreach($request->posted as $ids){
            $fee_det = explode('-',$ids);
            $data['ac_id'] = $fee_det[0];
            $data['semester_id'] = $fee_det[1];
            $data['term_id'] = $fee_det[2];
            $data['type_id'] = $fee_det[3];
            $data['fee_amount'] = $request->input("fee_amount".$ids);
            $data['fine_amount'] = $request->input("fine_amount".$ids);
            $data['discount'] =$request->input("discount".$ids);
            $data['remarks'] =$request->input("remarks");
            
            
            $fees = Fee::create($data);
            if($fees){ $i++; }
        }
        
        if($i > 0){
            echo "<script>window.open('".route('fee.print',encrypt($rec_no))."');</script>";
            $msg_array = array('message'=>'Fee Paid Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Fee Could not be Paid !','alert-type'=>'error');
        }
        
        return redirect()->route('searchstudent.payment',$student)->with($msg_array);
   }
   public function searchstudent_payment_print($rec_no,$paid_date)
   {
   
   $student_payment=Fee::where('receipt_no',$rec_no)->where('paid_date',$paid_date)->get();
   $ins_det = instituteDetails();  

//   echo $feetype=Fee::join('fee_types','fees.type_id','=','fee_types.type_id')->where('fees.fee_id',$fee_id)->get();
  return view('students.searchstudent_payment_print',compact('student_payment','ins_det'));
       
   }
    
   public function search_feereport($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $payments = Fee::join('paymentmodes', 'fees.mode_id', '=', 'paymentmodes.mode_id')
                    ->where('fees.student_id', decrypt($student_id))
                    ->whereNull('fees.deleted_at')
                    ->select('receipt_no', 'paid_date', 'mode_name', DB::raw("SUM(fee_amount) as amt"), DB::raw("SUM(discount) as disc"), DB::raw("SUM(fine_amount) as fine"))
                    ->groupBy('fees.receipt_no')
                    ->get();
            
        return view('students.search_feereport', compact('student', 'promote', 'payments', 'user'));
    }
   
   public function search_duereport($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $fees = Fee::studentFees(decrypt($student_id), date('Y-m-d'));
        
        return view('students.search_duereport',compact('student', 'promote', 'fees', 'user'));
    }
    
    
    public function acwisestudent_ajax(Request $request){
            
        $col_order = ['adno','name','address','mobile','course','semester','religion','community','caste','quota'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $acyear = $request->get('acyear');
        $course = $request->get('course');
        $query=Student::join('courses','students.course_id','=','courses.course_id')->join('semesters','students.semester_id','=','semesters.semester_id');
        if($acyear!=''){
                        $query->where('students.ac_id',$acyear);
                    }
                     if($course!=''){
                        $query->where('students.course_id',$course);
                    }
                                        if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('students.paddress','like','%'.$search.'%')->
                            orWhere('students.mobile','like','%'.$search.'%')->
                            orWhere('courses.course_name','like','%'.$search.'%')->
                            orWhere('semesters.semester_name','like','%'.$search.'%');
                        });
                    }
$query->select('students.*','courses.course_name','semesters.semester_name');
      print_r($query);              
        $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = wordwrap($student->name, 20, "<br />\n");
                $row['address'] = $student->paddress;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                $row['religion'] = $student->religion;
                $row['community'] = $student->category;
                $row['caste'] = $student->caste;
                
                $data[] = $row;
                
                
               
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
          
        // echo json_encode($json);
        
         return response()->json($json);
    }

     public function course_change()
 {
     $acyear=Acyear::all();
     $course=Course::all();
     $sem=Semester::all();
     return view('staff.course_change',compact('acyear','course','sem'));
 }
    
    
    public function course_change_get(Request $request)
    {
        $ac_det = Acyear::find($request->aid);
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        $course=Course::all();
       
             
      
        $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.ac_id'=>$request->aid,'promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->select('students.*')->latest()->get();
        // $course=Course::all();
       

    return view('staff.course_change_get',compact('crs_det','sem_det','student','ac_det','course'));
    }

   
 public function course_change_view($student_id)
 { 
    $student = Student::find($student_id);
    // $acid = Student::find($ac_id);
    $lastFeePaid=Fee::where('student_id',$student_id)->where('status','1')->first();
    
    $course=Course::all();
    
return view('students.course_change_view',compact('student','course'));
     
 }
 public function course_change_update(Request $request)
{
 
    $student_id = $request->input('student_id');
    $course_id = $request->input('course_id');
    $semester_id = $request->input('semester_id');
    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $current_academic_year_id = $cur_acyear->ac_id;
  
    $student = Student::find($student_id);
    
    
    
    
    
    if ($student) {
       
        $student->update([
            'course_id' => $course_id,
            'semester_id' => $semester_id,
        ]);
        $promotion = Promote::where('student_id', $student_id)->first();
        if ($promotion) {
            $promotion->update([
                'course_id' => $course_id,
                'semester_id' => $semester_id,
                
            ]);
        } 
    
    $lastFeePaid=Fee::where('student_id',$student_id)->where('status','1')->get();
              if ($lastFeePaid->isNotEmpty()) {
foreach ($lastFeePaid as $fee) {
        $fee->update([
            'status' => '5',
        ]);
    }
        } 
        
        // $feeStructure=FeeStructure::where('course_id',$course_id)->where('semester_id',$semester_id)->first();
        // $feeStructure=FeeStructure::join('fee_structure_types','fee_structures.structure_id','=','fee_structure_types.structure_id')->
        // where('course_id',$course_id)->where('semester_id',$semester_id)->first();
//   if ($feeStructure) {
          
//             $feeTypes = FeeStructureType::where('structure_id',$feeStructure->structure_id)->get();

         
//             foreach ($feeTypes as $feeType) {
             
//                 $existingFee = Fee::where('student_id', $student_id)
//                     ->where('type_id', $feeType->type_id)
//                     ->where('status', '1') 
//                     ->first();
                 

//                 if ($existingFee) {
               
//                     $existingFee->update([
//                         'type_id' => $feeType->type_id, 
//                         'fee_amount' => $feeType->amount, 
//                         'fine_amount' => 0, 
//                         'discount' => 0, 
                      
//                     ]);
//                 }
//             }
//         }        
        
        // $feestructure_id=$feeStructure->structure_id;
        // $feetypestructure=FeeStructureType::where('structure_id',$feestructure_id)->get(); 
       

        
        // $feestructure=FeeStructure::join('fee_structure_types','fee_structures.structure_id','=','fee_structure_types.structure_id')->
        // where('fee_structures.course_id',$course_id)->where('fee_structures.$semester_id')->get();
        
    } 

    // Return a success response
    return redirect()->route('student.course.change')->with('message','Course Changed Successfully!!');
}


public function roll_out()
{
   $course=Course::all();
   $acyear=Acyear::all();
   
   return view('students.roll_out',compact('course','acyear'));
}
   
public function roll_out_get(Request $request)
{
$ac_det = Acyear::find($request->aid);
$crs_det = Course::find($request->cid);
$sem_det = Semester::find($request->sid);



$sem_year_setting = SemesterYear::where('course_id', $request->cid)
    ->where('semester_id', $request->sid)
    ->where('ac_id', $request->aid)
    ->select('start_date', 'end_date')
    ->first();


if ($sem_year_setting) {
    $startDate = $sem_year_setting->start_date;
    $endDate = $sem_year_setting->end_date;

    
    $students = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->where([
            'promotes.ac_id' => $request->aid,
            'promotes.course_id' => $request->cid,
            'promotes.semester_id' => $request->sid
        ])
        ->select('students.*')
        ->latest()
        ->get();

   
    $studentsWithExcessiveAbsences = [];

    foreach ($students as $student) {
      
        $attendanceRecords = StudentAttendance::where('student_id', $student->student_id)
            ->where('course_id', $request->cid)
            ->where('semester_id', $request->sid)
            ->whereBetween('date', [$startDate, $endDate])
            ->get();

    
        $absentDays = $attendanceRecords->filter(function ($record) {
            return $record->am == 1 && $record->pm == 1; 
        })->count();

     
        if ($absentDays > 14) {
            $studentsWithExcessiveAbsences[] = [
                'student_id' => $student->student_id,
                'name' => $student->name, 
                'adno'=>$student->adno,
                'absent_days' => $absentDays,
                'total_days' => $attendanceRecords->count(), 
            ];
        }
    }
} else {
    $studentsWithExcessiveAbsences = collect();
}

return view('students.roll_out_get', compact('crs_det','sem_det','studentsWithExcessiveAbsences','ac_det'));

}

    
   public function roll_out_save(Request $request)
   {
    $ac_id = $request->ac_id;
      
         
          $course_id=$request->course_id;
         
          $sem_id=$request->semester_id;
          $student_id=$request->student_id;
          $fdate=$request->fdate;
         
          $tdate=$request->tdate;
           
          foreach($student_id as $index=>$stu)
          {
              $fromdate=$request->fdate[$index];
              $todate=$request->tdate[$index];
              
              $rollout=RollOutStudents::create([
                'ac_id'=>$ac_id,
                'course_id'=>$course_id,
                'semester_id'=>$sem_id,
                'student_id'=>$stu,
                'fdate'=>$fromdate,
                'tdate'=>$todate,
                  
                  ]);
                  
         
          }
          if($rollout)
                  {
                     $msgarray=array('message'=>'Student Roll-Out Successful !','alert-type'=>'success'); 
                  }
                  else
                  {
                      $msgarray=array('message'=>'Student Roll-Out Failure !','alert-type'=>'error'); 
                  }
         return redirect()->back()->with($msgarray);
          
          
          
          
   }
    
   public function specialclass()
   {
       $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $staffsubject = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $staffsubject = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           { 
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $staffsubject = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $staffsubject = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
      return view('students.specialclass',compact('staffsubject'));
   }
    
  public function specialclass_save(Request $request)
  {
      $course_id=$request->course_id;
  
       $validated = $request->validate([
                'course_id' => 'required',
                'semester_id' => 'required',
                'subject_id' =>'required',
                 'batch_id' =>'nullable',
                'date'=>'required',
                'from'=>'required',
                'to'=>'required'
            ]);
           $userId = Auth::id();
            $ac_id = getAcyear();
            $subcategory = Subject::where('subject_id',$request->subject_id)->first();
    $sub_cat_id = $subcategory->subject_categ;
    // Fetch students who need the task
    $students = array();
       $i = 0;  
         $subject = Subject::find($request->subject_id);
        $semester = Semester::find($request->semester_id);
                $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
       $query = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
                    ->join('courses', 'promotes.course_id', '=', 'courses.course_id');
                if(in_array($subject->subject_categ, [2,3,4,5,6])) {
                    $query->join('fyugp_stud_sub', 'promotes.student_id', '=', 'fyugp_stud_sub.stud_id');
                if ($request->batch_id != null && $request->batch_id != '') {
                    $courses = DB::table('group_courses')->where('group_id',$request->batch_id)->pluck('course_id')->toArray();
                    $query->whereIn('promotes.course_id', $courses);
                }
                $query->where('fyugp_stud_sub.acyear_id', $ac_id)
                      ->where('fyugp_stud_sub.sub_id', $request->subject_id)
                      ->whereIn('promotes.semester_id', $semesterIds)
                      ->whereIn('fyugp_stud_sub.sem', $semesterIds);
                } else {
                    $query->where('promotes.course_id', $request->course_id)
                        ->where('promotes.semester_id', $request->semester_id);
                }
                $students = $query->where('promotes.ac_id', $ac_id)
                    ->select('students.student_id','students.adno','students.name','students.rollno','courses.course_name','promotes.course_id','promotes.semester_id')
                    ->groupBy('promotes.student_id')
                    ->orderBy('students.rollno', 'ASC')
                    ->get();     
            
 $spclclass = SpecialClassAdd::create([
        'course_id' => $request->course_id,
        'semester_id' => $request->semester_id,
        'subject_id' => $request->subject_id,
         'batch_id' => $request->batch_id,
         'ac_id' => $ac_id,
         'batch_id' => $request->batch_id,
        'date' => $request->date,
        'from' => $request->from,
        'to' => $request->to,
        'user_id'=>$userId,
    ]);            
             if($spclclass){
                 
                 // Assign task to each student
            foreach ($students as $stud) {
                $specialclassstudexists = SpecialClassStud::where([
                    'spclass_id' => $spclclass->spclclx_id,
                    'stud_id' => $stud->student_id,
                ])->first(); 
              
                if (!$specialclassstudexists) {
                    SpecialClassStud::create([
                        'spclass_id' => $spclclass->spclclx_id,
                        'stud_id' => $stud->student_id,
                        
                    ]);
                    $i++;
                }   
            }   
           
        }
          if ($i > 0) {
        $msg_array = array('message'=>'SpecialClass Added Successfully !','alert-type'=>'success');
        } else {
             $msg_array = array('message'=>'SpecialClass Could not be Added !','alert-type'=>'error');
        }
      return redirect()->route('specialclass')->with($msg_array);      
  }
    
  public function specialclass_view()
  {
      $userId = Auth::id();
    //   $spclclass=SpecialClassAdd::join('staff_subject','add_specialclass.course_id','=','staff_subject.course_id')->
    //   where('staff_subject.user_id',$userId)->get();
   $spclclass=SpecialClassAdd::where('user_id',$userId)->get();
      return view('students.specialclass_view',compact('spclclass'));
  }
    public function specialclass_delete($id)
    {
       
        $spclclasses = SpecialClassAdd::find($id)->delete();
        if($spclclasses){
            $msg_array = array('message'=>'Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('specialclass.view')->with($msg_array);
    }
    
  public function discontinue()
  {
     $studentdet=Student::all();



return view('students.discontinue',compact('studentdet'));
  }

public function discontinue_get(Request $request)
{
         
        
        $col_order = ['adno','name','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $searchs = $request->get('searchterm');
      
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
          $query = Student::join(DB::raw("(SELECT * FROM promotes WHERE (student_id, promote_id) IN (
                    SELECT student_id, MAX(promote_id) AS promote_id 
                    FROM promotes 
                    GROUP BY student_id)) as latest_promotes"), 
                        function($join) {
                            $join->on('students.student_id', '=', 'latest_promotes.student_id');
                        })
                    ->join('courses', 'latest_promotes.course_id', '=', 'courses.course_id')
                    ->join('semesters', 'latest_promotes.semester_id', '=', 'semesters.semester_id')
                    ->where('latest_promotes.ac_id', $current_academic_year_id)
                    ->where('students.tcstatus', '0')->where('students.status','1');;
       /* $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)
                    ->where('students.tcstatus','0')->where('students.status','1');*/
                 if ($searchs != '') {
    $query->where(function ($query) use ($searchs, $current_academic_year_id) {
        $query->where('students.name', 'like', '%' . $searchs . '%')
              ->orWhere('students.adno', 'like', '%' . $searchs . '%')
              ->orWhere('students.mobile', 'like', '%' . $searchs . '%');
    });
}
                    
                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('paddress','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }

      $query->select('students.*','courses.course_name','semesters.semester_name');
                    
         $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $dis=0;
        
        if(MenuAccess::have_access(209) == true){ $dis=1; }
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = strtoupper($student->name ?? '');
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
               
                $html='';
                
                if($student->status=='1')
                {
                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.get.click',encrypt($student->student_id)).'" title="View" onClick="return confirm(\'Are you sure you want to discontinue this student?\');">Discontinue</a>&nbsp;&nbsp;&nbsp;';
                }

                }
                 if($student->status=='0')
                 {
                     
                 
                                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.inactive.click',encrypt($student->student_id)).'" title="View" style="color:red;" onClick="return confirm(\'Are you sure you want to continue this student?\');">Discontinued</a>&nbsp;&nbsp;&nbsp;';
                }
}
                
                
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }



 public function discontinue_get_click($student_id)
 {
     
     $student=Student::where('student_id',decrypt($student_id))->first();
     $student->update([
    'status'=>'0',
    ]);
     return redirect()->route('discontinue')->with('message','Student discontinued from the course successfully!');
 }
    
    
    
   public function discontinue_inactive_click($student_id)
   {
       $student=Student::where('student_id',decrypt($student_id))->first();
     $student->update([
    'status'=>'1',
    ]);
     return redirect()->route('discontinued.student')->with( 'Student continued in the course successfully!');
   }
    
    public function discontinued_student()
    {
                   $studentdet=Student::all();
                   return view('students.discontinued_student');
    }
    
    
 public function discontinued_student_get(Request $request)
 {
    
         
        
        $col_order = ['adno','name','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
      
      
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)
                    ->where('students.tcstatus','0')->where('students.status','0');

                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('paddress','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }

      $query->select('students.*','courses.course_name','semesters.semester_name');
                    
         $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $dis=0;
        
        if(MenuAccess::have_access(209) == true){ $dis=1; }
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = strtoupper($student->name ?? '');
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
               
                $html='';
                
                if($student->status=='1')
                {
                //                     if($dis==1){
                //     $html .= '<a href="'.route('discontinue.get.click',encrypt($student->student_id)).'" title="View" onClick="return confirm(\'Are you sure you want to discontinue this student?\');">Discontinue</a>&nbsp;&nbsp;&nbsp;';
                // }

                }
                 if($student->status=='0')
                 {
                     
                 
                                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.inactive.click',encrypt($student->student_id)).'" title="View" style="color:blue;" onClick="return confirm(\'Are you sure you want to continue this student?\');"><span style="color:#66FF00">Active</span></a>&nbsp;&nbsp;&nbsp;';
                }
}
                
                
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
  

 }
    
    
    
    
    
    
    
    
    
    public function login(){
        if(auth()->guard('student')->check()){
             return redirect()->route('student.home');
        }else{
            return view('students.login');
        }
    }
    
    public function logaction(){
        $input = ['email' => request('email'),'password' => request('password'),'status'=>1];
        if(auth()->guard('student')->attempt($input,true)){
            Cache::flush();
            return redirect()->route('student.home');
        }else{
            return redirect()->route('student.login')->with('message','Invalid Credentials or User Blocked !');
        }
    }
    
    public function logout(){
        auth()->guard('student')->logout();
        Cache::flush();
        return redirect()->route('student.login');
    }
    
    public function home(){
        
       
       
        
        return view('students.home');
    }
    
   
   public function viewstudentattendance($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        
        return view('students.viewstudentattendancesearch', compact('student', 'promote', 'user'));
    }
     public function searchstudent_atten_report(Request $request)
    {
        $fromDate = $request->input('fdate');
        $toDate = $request->input('tdate');
        $student = $request->input('student');
        
        $attendances = StudentAttendance::join('subjects', 'student_attendance.subject_id', '=', 'subjects.subject_id')
            ->where('student_attendance.student_id', $student)
            ->whereBetween('date', [$fromDate, $toDate])
            ->select('student_attendance.subject_id', 'subject_name', DB::raw("COUNT(*) AS total"), DB::raw("SUM(CASE WHEN status='P' THEN 1 ELSE 0 END) AS present"), DB::raw("SUM(CASE WHEN status='A' THEN 1 ELSE 0 END) AS absent"))
            ->groupBy('student_attendance.subject_id')
            ->get();
        
        return view('students.searchstudent_atten_report', compact('fromDate', 'toDate', 'attendances'));
    }
    public function searchstudent_exam_view($student_id)
    {
         $decryptdStudentId=decrypt($student_id);
        $student=Student::find($decryptdStudentId);
       
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $cur_acyear->ac_id;
       
      $studentexammarks=STUDEXMMARKS::join('subjects','subjects.subject_id','=','stud_exam_marks.subject')
      ->where('stud_exam_marks.stud_id',$decryptdStudentId)
      ->where('ac_id',$ac_id)
      ->select('subjects.subject_name','stud_exam_marks.*')
      ->get();
      
      return view('students.searchstudent_exam_view',compact('student','studentexammarks'));
        
    }
    
    public function searchstudent_exam_report($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        
        $courseId = $promote->course_id;
        $semesterId = $promote->semester_id;
         $course_name = Course::where('course_id',$courseId)->whereNull('deleted_at')->first(); 
        $exam = FyugpExams::where('course', $courseId)->where('sem', $semesterId)->where('ac_id', $acyearId)->first();
       
        $fa = FA_ASSIGN::where('ac_id', $acyearId)->whereNull('deleted_at')->get();
        $sa = SA_ASSIGN::where('ac_id', $acyearId)->whereNull('deleted_at')->get();
        
       $semester = Semester::find($semesterId);
                         $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
    $deptsubQuery = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where('subject_categ', 1)
    ->where('subjects.department_id', $course_name->department_id)
    ->where('course_subject.course_id', $courseId)
    ->where('course_subject.semester_id', $semester->semester_name)
    ->select('subjects.subject_id','subjects.subject_code', 'subjects.subject_name','subjects.subject_credit','subjects.subject_categ','subjects.subtyp_id','subjects.seclang','subjects.department_id'); // Fetch all columns from 'subjects'

$studsub = FYUGPStudSub::join('subjects', 'subjects.subject_id', '=', 'fyugp_stud_sub.sub_id')
    ->where('fyugp_stud_sub.stud_id', $student->student_id)
    ->where('fyugp_stud_sub.course', $courseId)
    ->where('fyugp_stud_sub.sem', $semesterId)
    ->where('fyugp_stud_sub.acyear_id', $acyearId)
     ->select('subjects.subject_id','subjects.subject_code', 'subjects.subject_name','subjects.subject_credit','subjects.subject_categ','subjects.subtyp_id','subjects.seclang','subjects.department_id')// Fetch all columns from 'subjects'
    ->union($deptsubQuery);

$examsubjects = Subject::whereIn('subject_id', $studsub->pluck('subject_id'))
    ->with([
        'subcreditsstd',        
        'exmarksstd',           
        'examSubjects' => function ($query) use ($acyearId, $semesterIds) {
            $query->whereHas('exam', function ($examQuery) use ($acyearId, $semesterIds) {
                $examQuery->where('ac_id', $acyearId)  
                          ->whereIn('sem', $semesterIds); 
            });
        }
    ])
    ->get();

        return view('students.searchstudent_exam_report',compact('student', 'promote', 'user', 'courseId','semesterId', 'acyearId', 'examsubjects', 'fa', 'sa','semesterIds'));
    }
  public function searchstudent_exam_report_print($student_id)
  {
       $ins_det = instituteDetails();
        $student=Student::find($student_id);
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $cur_acyear->ac_id;
        $student_det =Promote::join('students','students.student_id','=','promotes.student_id')
        ->join('courses','courses.course_id','=','promotes.course_id')
        ->join('semesters','semesters.semester_id','=','promotes.semester_id')
        ->where('promotes.ac_id',$ac_id)
        ->where('students.student_id',$student_id)
        ->orderBy('promotes.created_at', 'desc')  // Assuming 'created_at' or another field can be used to sort the records
        ->first();
         $course=$student_det->course_id;
          $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
         $semester_id=$student_det->semester_id;
        
        $exams = FyugpExams::where('course',$course)->where('sem',$semester_id)->where('ac_id',$ac_id)->first();
       
        $fa = FA_ASSIGN::where('ac_id',$ac_id)->whereNull('deleted_at')->get();
        $sa = SA_ASSIGN::where('ac_id',$ac_id)->whereNull('deleted_at')->get();
        $semester = Semester::find($semester_id);
                         $semesterIds = Semester::where('semester_name', $semester->semester_name)->pluck('semester_id')->toArray();
    $deptsubQuery = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where('subject_categ', 1)
    ->where('subjects.department_id', $course_name->department_id)
    ->where('course_subject.course_id', $course)
    ->where('course_subject.semester_id', $semester->semester_name)
    ->select('subjects.subject_id','subjects.subject_code', 'subjects.subject_name','subjects.subject_credit','subjects.subject_categ','subjects.subtyp_id','subjects.seclang','subjects.department_id'); // Fetch all columns from 'subjects'

$studsub = FYUGPStudSub::join('subjects', 'subjects.subject_id', '=', 'fyugp_stud_sub.sub_id')
    ->where('fyugp_stud_sub.stud_id', $student_id)
    ->where('fyugp_stud_sub.course', $course)
    ->where('fyugp_stud_sub.sem', $semester_id)
    ->where('fyugp_stud_sub.acyear_id', $ac_id)
     ->select('subjects.subject_id','subjects.subject_code', 'subjects.subject_name','subjects.subject_credit','subjects.subject_categ','subjects.subtyp_id','subjects.seclang','subjects.department_id')// Fetch all columns from 'subjects'
    ->union($deptsubQuery);

$examsubjects = Subject::whereIn('subject_id', $studsub->pluck('subject_id'))
    ->with([
        'subcreditsstd',        
        'exmarksstd',           
        'examSubjects' => function ($query) use ($ac_id, $semesterIds) {
            $query->whereHas('exam', function ($examQuery) use ($ac_id, $semesterIds) {
                $examQuery->where('ac_id', $ac_id)  
                          ->whereIn('sem', $semesterIds); 
            });
        }
    ])
    ->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
      return view('students.searchstudent_exam_report_print',compact('student_det','ins_det','ac_id','cur_acyear','course','semester_id','student','exams','examsubjects','fa','sa','semesterIds'));

      
  }
  
  public function hostelfee_payment($student_id)
  {
      
       $decryptdStudentId=decrypt($student_id);
       $user = Auth::user();
       $student = Student::find(decrypt($student_id));
       $acyearId = getAcyear();
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
       $hostelfacility=HostelFacility::where('student_id',$decryptdStudentId)->first();
       if($hostelfacility)
        {
      
        $student_det=Student::find($decryptdStudentId); 
       
        
            
       
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id=$cur_acyear->ac_id;
        $student_sem=Promote::where('student_id',$decryptdStudentId)->orWhere('ac_id',$cur_acyear)->first();
        $rec_no = HostelPayment::max('receipt_no');
        $next_rec_no = $rec_no + 1;
        $fee_category = $student_det->category_id;
        $current_date = Carbon::now()->toDateString();
         $fees = array();
         if($current_date <= date('Y-m-d')){
            $fees = HostelPayment::hostelFees($decryptdStudentId);
        }else{
            $msg_array = array('message'=>'Invalid Date !','alert-type'=>'error');
        }
         
          $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$decryptdStudentId)->first();
$crs=Student::join('promotes','students.student_id','=','promotes.student_id')
->join('courses','courses.course_id','=','promotes.course_id')
->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$decryptdStudentId)
->get();
 $paymode=Paymentmode::all();
 return view('students.hostelfee_payment',compact('hostelfacility','fees','student_id','student_det','semester','crs','paymode','next_rec_no'));

        }
        else
        {
             $decryptdStudentId=decrypt($student_id);
        $student_det=Student::find($decryptdStudentId); 
          
            return view('students.hostelfee_payment_without',compact('hostelfacility','student_id','student_det','promote','acyearId','student','user'));

        }
      
  }
  
  
  public function hostelfee_payment_save(Request $request)
{
    $validated = $request->validate([
    'posted' => 'present|array',
    'mode_id' => 'required|exists:paymentmodes,mode_id',
    'paid_date' => 'required|date',
    'receipt_no' => 'required|integer|unique:hostel_payments,receipt_no',
]);

        DB::beginTransaction();
            
        try {
            $rec_no = HostelPayment::max('receipt_no') + 1 ?? 1;
            $group_id = HostelPayment::withTrashed()->max('group_id') + 1 ?? 1;    
            
            $data=array();
            $data['group_id'] = $group_id;
            $data['receipt_no'] = $rec_no;
            $data['student_id'] = $request->sid;
            $data['paid_date'] = $request->paid_date;
            $data['mode_id'] = $request->mode_id;
            $data['created_by'] = auth()->user()->user_id;
            $i=$total_amount=$total_discount=0; 
            foreach($request->posted as $ids){
                $fee_det = explode('-',$ids);
                $data['month'] = $fee_det[0];
                $data['year'] = $fee_det[1];
                $data['ptype'] = $fee_det[2];
                $data['semester_id'] = $request->input("sem".$ids);
                $data['amount'] = $request->input("fee_amount".$ids);
                $disc=0;
                if($request->input("disc_amount".$ids)!=''){
                    $disc = $request->input("disc_amount".$ids); 
                }
                $data['discount'] = $disc;
                $data['remarks'] = $request->input("remarks".$ids);
                
                $total_amount += $data['amount'];
                $total_discount += $data['discount'];
                
                $fees = HostelPayment::create($data);
                if($fees){ $i++; }
            }
            
            if($i > 0){
                if($total_amount>0){
                    $vgroup_id = Voucher::withTrashed()->max('group_id') + 1 ?? 1;
                    $vno = Voucher::where('vtype_id', 2)
                          ->where('account_id', $this->accountId)
                          ->whereBetween('vdate', [$this->fsDate, $this->feDate])
                          ->max('vno') + 1 ?? 1;
                        
                    $vdata = [
                            'group_id' => $vgroup_id,
                            'vtype_id' => 2,
                            'vno' => $vno,
                            'vorder' => 1,
                            'vdate' => $data['paid_date'],
                            'dr_ledger' => $data['mode_id'],
                            'cr_ledger' => 14,
                            'vamount' => $total_amount,
                            'table_name' => 'hostel_fees',
                            'table_group_id' => $group_id,
                            'account_id' => $this->accountId,
                            'created_by' => auth()->user()->user_id
                        ];
                    Voucher::create($vdata);
                }
                
                if($total_discount > 0){
                    $dgroup_id = Voucher::withTrashed()->max('group_id') + 1 ?? 1;
                    $dvno = Voucher::where('vtype_id', 1)
                          ->where('account_id', $this->accountId)
                          ->whereBetween('vdate', [$this->fsDate, $this->feDate])
                          ->max('vno') + 1 ?? 1;
                        
                    $dvdata = [
                        'group_id' => $dgroup_id,
                        'vtype_id' => 1,
                        'vno' => $dvno,
                        'vorder' => 1,
                        'vdate' => $data['paid_date'],
                        'dr_ledger' => 15,
                        'cr_ledger' => $data['mode_id'],
                        'vamount' => $total_discount,
                        'table_name' => 'hostel_fees',
                        'table_group_id' => $group_id,
                        'account_id' => $this->accountId,
                        'created_by' => auth()->user()->user_id
                    ];
                    
                    Voucher::create($dvdata);
                }
                
                
            }else{
                $msg_array = array('message'=>'Hostel Fee Could not be Paid !','alert-type'=>'error');
            }
            
            DB::commit();
         
            return redirect()->route('searchstudent.hostel.payment')->with('success', 'Payment saved successfully!');
        } catch (\Exception $e) {
            DB::rollBack();
                
            \Log::error('Error saving payment: ' . $e->getMessage());
            return redirect()->back()->withErrors('Payment could not be processed.');
        }
        
        return redirect()->route('searchstudent.hostel.payment')->with($msg_array);


}
 public function hostelfee_report($student_id)
{
     $decryptdStudentId=decrypt($student_id);
     $user = Auth::user();
       $student = Student::find(decrypt($student_id));
       $acyearId = getAcyear();
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
      $hostelfacility=HostelFacility::where('student_id',$decryptdStudentId)->first();
      if($hostelfacility)
      {
          
     
      $student_det = Student::find($decryptdStudentId);

   
    $paymodes = Paymentmode::where('status', 1)->get();
    $staffs = User::all();
    $courses = Course::all();
    
   
    $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $cur_acyear->ac_id;

 
    $semester = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses', 'promotes.course_id', '=', 'courses.course_id')
        ->join('semesters', 'promotes.semester_id', '=', 'semesters.semester_id')
        ->where('promotes.ac_id', $ac_id)
        ->where('promotes.student_id', $decryptdStudentId)
        ->first();

    
    $crs = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses', 'courses.course_id', '=', 'promotes.course_id')
        ->where('promotes.ac_id', $ac_id)
        ->where('promotes.student_id', $decryptdStudentId)
        ->get();

  
    $query = HostelPayment::join('students', 'hostel_payments.student_id', '=', 'students.student_id')
        ->join('courses', 'students.course_id', '=', 'courses.course_id')
        ->join('semesters', 'hostel_payments.semester_id', '=', 'semesters.semester_id')
        ->join('users', 'hostel_payments.created_by', '=', 'users.user_id')
        ->where('hostel_payments.status', 1)
        ->where('hostel_payments.student_id', $decryptdStudentId)
        ->whereNull('hostel_payments.deleted_at');

   
    $total_filtered = $query->groupBy('hostel_payments.receipt_no')->count();
    $fees = $query->select(
        'hostel_payments.receipt_no',
        'hostel_payments.paid_date',
        'students.adno',
        'students.name',
        DB::raw('sum(hostel_payments.amount) as amt'),
        DB::raw('sum(hostel_payments.discount) as disc'),
        'courses.course_name',
        'semesters.semester_name',
        'users.name as uname'
    )->groupBy('hostel_payments.receipt_no')->get();

  
    $data = [];
    $totalAmount = 0;
    if ($fees) {
        foreach ($fees as $fee) {
            $paidAmount = $fee->amt - $fee->disc;
            $totalAmount += $paidAmount;
            $row['recno'] = $fee->receipt_no;
            $row['date'] = date('d/m/Y', strtotime($fee->paid_date));
            $row['adno'] = $fee->adno;
            $row['name'] = $fee->name;
            $row['course'] = $fee->course_name;
            $row['semester'] = $fee->semester_name;
            $row['amount'] = number_format($paidAmount, 2);
            $row['collected'] = $fee->uname;

            $data[] = $row;
        }
    }

   
    return view('students.hostelfee_report', compact(
        'semester',
        'crs',
        'courses',
        'paymodes',
        'staffs',
        'student_det',
        'data', 
        'totalAmount' ,
        'fees'
    ));
      }
      else
      {
          $decryptdStudentId=decrypt($student_id); 
          $student_det = Student::find($decryptdStudentId);
           return view('students.hostelfee_report_without', compact(
        
        'student_det',
        'student_id','user','student','acyearId','promote'
        
    ));
      }
}
  
 public function searchlibrary($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $membership = LibraryMembership::where('membership_type',2)->where('membership_user',decrypt($student_id))->where('status','Active')->first();
        
        return view('students.searchlibrary',compact('student', 'promote', 'membership', 'user'));
    }
public function book_duereport_get(Request $request)
    {
        $memberId = $request->input('memberId');
        
        $col_order = ['book_no', 'title', 'author', 'issue_date', 'due_date', 'return_date', null, 'status'];
            
        $total_data = LibraryIssue::where('member_id', $memberId)->where('type_id', 2)->count();
            
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
    
        $query = LibraryIssue::query()
            ->leftJoin('library_memberships', 'library_issues.member_id', '=', 'library_memberships.id')
            ->leftJoin('library_books', 'library_issues.book_id', '=', 'library_books.id')
            ->where('library_issues.member_id', $memberId)
            ->where('library_issues.type_id', 2);
        
        if (!empty($request->input('search.value'))) {
            $search = $request->input('search.value');
            $query->where(function ($qry) use ($search) {
                $qry->where('library_books.book_no', 'like', "%$search%")
                    ->orWhere('library_books.title', 'like', "%$search%")
                    ->orWhere('library_books.author', 'like', "%$search%")
                    ->orWhere('library_issues.issue_date', 'like', "%$search%")
                    ->orWhere('library_issues.due_date', 'like', "%$search%")
                    ->orWhere('library_issues.return_date', 'like', "%$search%")
                    ->orWhere('library_issues.status', 'like', "%$search%");
            });
        }
        
        $total_filtered = $query->count();
        
        $issues = $query->select(
                'library_issues.*',
                'library_memberships.membership_no',
                'library_memberships.member_name',
                'library_books.book_no',
                'library_books.title',
                'library_books.author')
            ->orderBy($order, $dir)
            ->offset($start)
            ->limit($limit)
            ->get();
            
        $data = [];
        foreach ($issues as $issue) {
            $row = [
                'book_no' => htmlspecialchars($issue->book_no),
                'title' => htmlspecialchars($issue->title),
                'author' => htmlspecialchars($issue->author),
                'issue' => $issue->issue_date ? date('d/m/Y',strtotime($issue->issue_date)):'',
                'due' => $issue->due_date ? date('d/m/Y',strtotime($issue->due_date)):'',
                'return' => $issue->return_date ? date('d/m/Y',strtotime($issue->return_date)):'',
                'fine' => $issue->fine_amount,
                'status' => htmlspecialchars($issue->status)
            ];
            $data[] = $row;
        }
            
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
    
        return response()->json($json);
    }


  public function hostelfee_duereport($student_id)
  {
       $decryptdStudentId=decrypt($student_id); 
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
    $hostelfacility=HostelFacility::where('student_id',$decryptdStudentId)->first();
if($hostelfacility)
{
    

       $student_det = Student::find($decryptdStudentId);
       $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $semester = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses', 'promotes.course_id', '=', 'courses.course_id')
        ->join('semesters', 'promotes.semester_id', '=', 'semesters.semester_id')
        ->where('promotes.ac_id', $cur_acyear->ac_id)
        ->where('promotes.student_id', $decryptdStudentId)
        ->first();

    
    $crs = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->join('courses', 'courses.course_id', '=', 'promotes.course_id')
        ->where('promotes.ac_id',  $cur_acyear->ac_id)
        ->where('promotes.student_id', $decryptdStudentId)
        ->get();
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                        join('courses','promotes.course_id','=','courses.course_id')->
                        join('semesters','promotes.semester_id','=','semesters.semester_id')->
                        where('promotes.ac_id',$cur_acyear->ac_id)
                        ->where('students.student_id',$decryptdStudentId);
                        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name')->
                    groupBy('promotes.student_id')->get();
                     $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
                $fees = HostelPayment::hostelFees($student->student_id);
                $famount=0;
                foreach($fees as $ac_id => $ac_details){
                    foreach($ac_details as $month_id => $month_details){
                        foreach($month_details['fee'] as $ftype_id => $fee_details){
                           
                                $famount += $fee_details['due'];
                           
                        }
                    }
                }
                
                $row['due'] = number_format($famount,2);
               
                
                
                $data[] = $row;
            }
        }
        

            return view('students.hostelfee_duereport',compact('semester',
        'crs',
       
        'student_det',
        'data'
    
       ));
  
  }
  else
  {
     $decryptdStudentId=decrypt($student_id);
      $student_det = Student::find($decryptdStudentId);
       return view('students.hostelfee_duereport_without',compact(
       
       
        'student_det',
        'student_id','user','acyearId','student','promote'
    
       ));

  }
  }
    
    public function searchstudent_exam($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        $hostelfacility = HostelFacility::where('student_id',decrypt($student_id))->first();
        
        return view('students.searchstudent_exam', compact('student', 'promote', 'hostelfacility', 'acyearId', 'user'));
    }
  
   public function change_pathway($student_id)
    {
        $user = Auth::user();
        $acyearId = getAcyear();
        $student = Student::find(decrypt($student_id));
        $promote = $student->promotes()->where('ac_id', $acyearId)->orderBy('promote_id', 'DESC')->first();
        
        $pathway_det = FYUGPSTUDPATHWAY::where('stud_id',decrypt($student_id))->where('course_id',$promote->course_id)->where('sem_id',$promote->semester_id)->where('ac_id',$acyearId)->first();
        $pathway_all =FYUGPPATHWAY::All();
        $courses = Course::all();
        $semesters = Semester::where('course_id',$promote->course_id)->get();
        $sem_name = Semester::where('semester_id',$promote->semester_id)->first();
        $course = $promote->course_id;
        $pathway_id = $pathway_det->pathway_id ?? null;
        $minorIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where([
        'subjects.subject_categ' => 2,
        'course_subject.semester_id' => $sem_name->semester_name,
    ])
     ->when($pathway_id == '1', function ($query) use ($course, $student) {
        
         return $query->whereIn('course_subject.course_id', [$course, $student->major_ii]);
    }, function ($query) use ($course) {
       
        return $query->where('course_subject.course_id', '!=', $course);
    })
    ->select('subjects.*')
    ->get();
    
    $minorIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 3,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course, $student) {
        return $query->whereIn('course_subject.course_id', [$course, $student->major_ii]);
    }, function ($query) use ($course) {
       
        return $query->where('course_subject.course_id', '!=', $course);
    })
                ->select('subjects.*')
                ->get();
        $mdcIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => 4,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                 ->when($pathway_id == '1', function ($query) use ($course, $student) {
        return $query;
    }, function ($query) use ($course) {
       
        return $query->where('course_subject.course_id', '!=', $course);
    })
                ->select('subjects.*')
                ->get();
                
        $aecIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where([
        'subjects.subject_categ' => 5,
        'course_subject.semester_id' => $sem_name->semester_name,
        'course_subject.course_id' => $course,
    ])
   
    ->select('subjects.*')
    ->get();  
    
     $aecIIsub = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
    ->where([
        'subjects.subject_categ' => 6,
        'course_subject.semester_id' => $sem_name->semester_name,
        'course_subject.course_id' => $course,
    ])
    
    ->select('subjects.*')
    ->get();  
                
        $studminorI_first =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',2)->where('type',1)->first();
        $studminorI_second =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',2)->where('type',2)->first();
        $studminorI_third =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',2)->where('type',3)->first();
        $studminorI_four =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',2)->where('type',4)->first();
        
        $studminorII_first =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',3)->where('type',1)->first();
        $studminorII_second =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',3)->where('type',2)->first();
        $studminorII_third =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',3)->where('type',3)->first();
        $studminorII_four =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',3)->where('type',4)->first();
        
        
        $studmdcI_first =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',4)->where('type',1)->first();
        $studmdcI_second =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',4)->where('type',2)->first();
        $studmdcI_third =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',4)->where('type',3)->first();
        $studmdcI_four =FyugpStudSubPreferences::where('stud_id',decrypt($student_id))->where('acyear_id',$acyearId)->where('course',$course)->where('sem',$promote->semester_id)->where('sub_cat',4)->where('type',4)->first();
   
        return view('students.change_pathway',compact('student', 'promote', 'pathway_det', 'acyearId', 'user','pathway_all','courses','semesters','minorIsub','studminorI_first','studminorI_second','studminorI_third','studminorI_four','minorIIsub','studminorII_first','studminorII_second','studminorII_third','studminorII_four','mdcIsub','studmdcI_first','studmdcI_second','studmdcI_third','studmdcI_four','aecIsub','aecIIsub'));
    }
    
    public function chpathway_save(Request $request)
     {
          $studentId = $request->student_id;
          $pathway_id = $request->pathway_id;
          $course = $request->course_id;
          $sem_id = $request->semester_id;
          $pcourse_id = $request->pcourse_id;
          $psem_id = $request->psem_id;
          $ac_id = getAcyear();
          $student = Student::find($studentId);
          $i=0;
          $major_ii='';
          if($pathway_id == 1)
          {
             $major_ii = $request->major_ii; 
          }
          $minorI2 = $request->minorI2 ?? null;
        $minorII2 =$request->minorII2 ?? null;
        $mdcI2 = $request->mdcI2 ?? null;
        $minorI_prefII2 = $request->minorI_prefII2 ?? null;
        $minorI_prefIII2 = $request->minorI_prefIII2 ?? null;
        $minorI_prefIV2 = $request->minorI_prefIV2 ?? null;
       
        
        $minorII_prefII2 = $request->minorII_prefII2 ?? null;
        $minorII_prefIII2 = $request->minorII_prefIII2 ?? null;
        $minorII_prefIV2 = $request->minorII_prefIV2 ?? null;
     
        
        $mdcI_prefII2 = $request->mdcI_prefII2 ?? null;
        $mdcI_prefIII2 = $request->mdcI_prefIII2 ?? null;
        $mdcI_prefIV2 = $request->mdcI_prefIV2 ?? null;
        
        $aecI = $request->aecI ?? null;
        $aecII = $request->aecII ?? null;
        $sem_name = Semester::where('semester_id',$sem_id)->first();
        $checkpathway = FYUGPSTUDPATHWAY::where([
                'stud_id' => $studentId,'course_id' =>$course,'sem_id'=>$sem_id,'ac_id'=>$ac_id
                ])->first();
        if(!$checkpathway){
                    FYUGPSTUDPATHWAY::create([
                        'stud_id' => $studentId,
                        'pathway_id' => $pathway_id,
                        'course_id'=>$course,
                        'sem_id'=>$sem_id,
                        'ac_id'=> $ac_id,
                            ]);
                             $i++;
                }
                else
                {
                     $checkpathway->update([
                    'pathway_id' => $pathway_id,
                   
                ]);
                $i++;
                } 
          if($sem_name == '1st Semester')
            {      
                $checkstud = Student::where('student_id', $studentId)->first();    
                if($checkstud)
                { 
                    $checkstud->update([
                        'course_id' => $course,'major_ii' => $major_ii,
                       
                    ]);
                    $i++;
                   
                }
            }    
           $checkprmstud = Promote::where('student_id', $studentId)->where('ac_id', $ac_id)->where('course_id',$pcourse_id)->where('semester_id',$psem_id)->orderBy('promote_id', 'desc')->first();
    
    
    
          if(!$checkprmstud)
          {      
            $promote = Promote::create([
                'student_id' => $studentId,
                'ac_id' => $ac_id,
                'course_id' => $course,
                'semester_id' => $sem_id,
                'category_id'=>$student->category_id,
            ]);
             $i++;
          }
          else
          {
               $checkprmstud->update([
                    'course_id' => $course,'semester_id' => $sem_id,
                   
                ]);
                $i++;
              
          }
            
                
            if($minorI2)
            {
                            
                $check_preferencelist2 = FyugpStudSubPreferences::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 2,
                            'type' => 1,
                            'stud_id' => $studentId
                        ])->first();
                         if(!$check_preferencelist2){
                        
                       $preferencelist2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $minorI2,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                               
                                
                            ]); 
                             $checkminorpv = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 2,
                            'stud_id' => $studentId,
                            ])->first();
                            if(!$checkminorpv)
                            {    
                     $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $minorI2,
                                'sub_cat' =>2,
                                
                            ]);
                           
                            }
                            $i++;
                         }
                         else
                        {
                             $check_preferencelist2->update([
                                    'pref_Id' => $minorI2,
                                    
                                ]);
                                $checkminor = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 2,
                                'stud_id' => $studentId,
                                ])->first();
                                if($checkminor)
                                {
                                $checkminor->update([
                                    'sub_id' => $minorI2,
                                  
                                ]);
                                }
                                $i++;
                        }
                         
            }  //minor I        
            
        if($minorI_prefII2)
        {
                
                  $check_preferencelist21 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 2,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist21){
             
               $preferencelist21 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefII2,
                        'type' => 2,
                        'sub_cat' =>2,
                        
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist21->update([
                                'pref_Id' => $minorI_prefII2,
                               
                            ]); 
                            $i++;
                    }
        }  //minorI-IIpref
                
        
        if($minorI_prefIII2)
        {
                $check_preferencelist23 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 2,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                if(!$check_preferencelist23)
                { 
                
                    $preferencelist23 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>2,
                        
                    ]); 
                    $i++;
                }
                else
                {
                    $check_preferencelist23->update([
                                'pref_Id' => $minorI_prefIII2,
                              
                            ]); 
                    $i++;
                }
        }  //minorI-IIIpref
        
        if($minorI_prefIV2)
        {
                
            $check_preferencelist24 = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 2,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
            if(!$check_preferencelist24){  
                
               $preferencelist24 = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorI_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>2,
                        
                        
                    ]); 
                    $i++;
            }
             else
                {
                    $check_preferencelist24->update([
                                'pref_Id' => $minorI_prefIV2,
                               
                            ]); 
                    $i++;
                }
        }  //minorI-IVpref
        
         if($minorII2)
        {
            $check_preferencelist2minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 3,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
            if(!$check_preferencelist2minor){   
                
                
                    $preferencelist2minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII2,
                        
                        'type' => 1,
                        'sub_cat' =>3,
                        
                        
                    ]); 
                     $checkminor2pv = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 3,
                                'stud_id' => $studentId
                            ])->first();
                            if(!$checkminor2pv)
                            {
                                 $minorIlist2 = FyugpStudSub::create([
                                    'stud_id' => $studentId,
                                    'acyear_id' => $ac_id,
                                    'course' => $course,
                                    'sem' => $sem_id,
                                    'sub_id' => $minorII2,
                                    'sub_cat' =>3,
                                    
                                    
                                ]);
                                
                                 $i++;
                            }
            }
            else
                {
                    $check_preferencelist2minor->update([
                                'pref_Id' => $minorII2,
                               
                            ]); 
                    $checkminor2 = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 3,
                            'stud_id' => $studentId,
                            ])->first();
                            if($checkminor2)
                            {
                            $checkminor2->update([
                                'sub_id' => $minorII2,
                                
                            ]);
                            }
                            $i++;
                }
        } //minorII-Ipref
        
         if($minorII_prefII2)
        {
                
                $check_preferencelist3minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 3,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3minor){ 
                
                    $preferencelist3minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefII2,
                        
                        'type' => 2,
                        'sub_cat' =>3,
                       
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist3minor->update([
                                'pref_Id' => $minorII_prefII2,
                                
                            ]); 
                            $i++;
                    }
        } //minorII-IIpref
        
        if($minorII_prefIII2)
        {
                
                $check_preferencelist4minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 3,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4minor){ 
                
                    $preferencelist4minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIII2,
                        
                        'type' => 3,
                        'sub_cat' =>3,
                       
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist4minor->update([
                                'pref_Id' => $minorII_prefIII2,
                                
                            ]); 
                            $i++;
                    }
        }  //minorII-IIIpref
         if($minorII_prefIV2)
        {
                $check_preferencelist5minor = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 3,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist5minor){ 
                
                    $preferencelist5minor = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $minorII_prefIV2,
                        
                        'type' => 4,
                        'sub_cat' =>3,
                        
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist5minor->update([
                                'pref_Id' => $minorII_prefIV2,
                                
                            ]); 
                            $i++;
                    }
        }  //minorII-IVpref
        
         if($mdcI2)
        {
                $check_preferencelist1mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 4,
                        'type' => 1,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist1mdc){ 
                     $preferencelist1mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI2,
                        
                        'type' => 1,
                        'sub_cat' =>4,
                      
                        
                    ]); 
                     $checkminor3 = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 4,
                                'stud_id' => $studentId
                            ])->first();
                            if(!$checkminor3)
                            {
                             $minorIlist2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $mdcI2,
                                'sub_cat' =>4,
                               
                            ]);
                            
                             $i++;
                            }
                    }
                    else
                    {
                       $check_preferencelist1mdc->update([
                                'pref_Id' => $mdcI2,
                                
                               
                            ]); 
                        $checkminor3 = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 4,
                                'stud_id' => $studentId
                            ])->first();  
                            if($checkminor3)
                            {
                                $checkminor3->update([
                                    'sub_id' => $mdcI2,
                                   
                                   
                                ]);
                            }   
                        $i++;
                    }
        }  //mdcI-Ipref

        if($mdcI_prefII2)
        {
                $check_preferencelist2mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 4,
                        'type' => 2,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist2mdc){ 
                     $preferencelist2mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefII2,
                        'type' => 2,
                        'sub_cat' =>4,
                       
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist2mdc->update([
                                'pref_Id' => $mdcI_prefII2,
                                
                            ]); 
                            $i++;
                    }
        }  //mdcI-IIpref
        
         if($mdcI_prefIII2)
        {
                $check_preferencelist3mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 4,
                        'type' => 3,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist3mdc){ 
                     $preferencelist3mdc = FyugpStudSubPreferences::create([
                        'stud_id' => $studentId,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $mdcI_prefIII2,
                        'type' => 3,
                        'sub_cat' =>4,
                       
                        
                    ]); 
                    $i++;
                    }
                    else
                    {
                       $check_preferencelist3mdc->update([
                                'pref_Id' => $mdcI_prefIII2,
                               
                               
                            ]); 
                            $i++;
                    }
        } //mdcI-IIIpref
        
        if($mdcI_prefIV2)
        {
              $check_preferencelist4mdc = FyugpStudSubPreferences::where([
                        'acyear_id' => $ac_id,
                        'sem' => $psem_id,
                        'course' => $pcourse_id,
                        'sub_cat' => 4,
                        'type' => 4,
                        'stud_id' => $studentId
                    ])->first();
                   
                    if(!$check_preferencelist4mdc){ 
                $preferencelist4mdc = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $mdcI_prefIV2,
                                'type' => 4,
                                'sub_cat' =>4,
                               
                            ]); 
                            $i++;
                    }
                    else
                    {
                       $check_preferencelist4mdc->update([
                                'pref_Id' => $mdcI_prefIV2,
                              
                               
                            ]); 
                            $i++;
                    }
        } //mdcI-IVpref
        
         if($aecI)
            {
                            
                $check_preferencelist2aec = FyugpStudSubPreferences::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 5,
                            'type' => 1,
                            'stud_id' => $studentId
                        ])->first();
                         if(!$check_preferencelist2aec){
                        
                       $preferencelist2aec = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $aecI,
                                
                                'type' => 1,
                                'sub_cat' =>5,
                               
                                
                            ]); 
                             $checkminorpvaec = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 5,
                            'stud_id' => $studentId,
                            ])->first();
                            if(!$checkminorpvaec)
                            {    
                     $minorIlist2aec = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $aecI,
                                'sub_cat' =>5,
                                
                            ]);
                            $i++;
                            }
                         }
                         else
                        {
                             $check_preferencelist2aec->update([
                                    'pref_Id' => $aecI,
                                    
                                ]);
                                $checkminoraec = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 5,
                                'stud_id' => $studentId,
                                ])->first();
                                if($checkminoraec)
                                {
                                $checkminoraec->update([
                                    'sub_id' => $aecI,
                                  
                                ]);
                                }
                                $i++;
                        }
                         
            }  //aec I    
            
             if($aecII)
            {
                            
                $check_preferencelist2aec2 = FyugpStudSubPreferences::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 6,
                            'type' => 1,
                            'stud_id' => $studentId
                        ])->first();
                         if(!$check_preferencelist2aec2){
                        
                       $preferencelist2aec2 = FyugpStudSubPreferences::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'pref_Id' => $aecII,
                                
                                'type' => 1,
                                'sub_cat' =>6,
                               
                                
                            ]); 
                             $checkminorpvaec2 = FyugpStudSub::where([
                            'acyear_id' => $ac_id,
                            'sem' => $psem_id,
                            'course' => $pcourse_id,
                            'sub_cat' => 6,
                            'stud_id' => $studentId,
                            ])->first();
                            if(!$checkminorpvaec2)
                            {    
                     $minorIlist2aec2 = FyugpStudSub::create([
                                'stud_id' => $studentId,
                                'acyear_id' => $ac_id,
                                'course' => $course,
                                'sem' => $sem_id,
                                'sub_id' => $aecII,
                                'sub_cat' =>6,
                                
                            ]);
                            $i++;
                            }
                         }
                         else
                        {
                             $check_preferencelist2aec2->update([
                                    'pref_Id' => $aecII,
                                    
                                ]);
                                $checkminoraec2 = FyugpStudSub::where([
                                'acyear_id' => $ac_id,
                                'sem' => $psem_id,
                                'course' => $pcourse_id,
                                'sub_cat' => 6,
                                'stud_id' => $studentId,
                                ])->first();
                                if($checkminoraec2)
                                {
                                $checkminoraec2->update([
                                    'sub_id' => $aecII,
                                  
                                ]);
                                }
                                $i++;
                        }
                         
            }  //aec II     
            
            if($i > 0){
            
            $msg_array = array('message'=>'Pathway Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Pathway Could not be Updated !','alert-type'=>'error');
        }
        
        return redirect()->route('searchstudent.changepathway.view',encrypt($studentId))->with($msg_array);
     }
  
}
