<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Course;
use App\Models\User;
use App\Models\Acyear;
use App\Models\StudentExam;
use App\Models\Semester;
use App\Models\SubCategory;
use App\Models\Subject;
use App\Models\SubjectType;
use App\Models\Student;
use App\Models\Enrolment;
use App\Models\Promote;
use App\Models\MarkList;
use App\Models\MarkListStudent;
use App\Models\HOD;
use App\Models\ClassTeacher;
use App\Models\StaffSubject;
use DB;
use Illuminate\Support\Facades\Auth;
class UniversityMarklist extends Controller
{
   public function marklist()
    {
        $ac_id = getAcyear();
       $user = Auth::user(); 
       $userId = $user->user_id; 
       if($user->type_id == '17')
       {
           $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
       
       }
       else
       {
           $hod_cnt = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->count();
           
           if($hod_cnt > 0)
           {
               $hod_dept = HOD::where('user_id',$userId)->where('ac_id',$ac_id)->first();
               
               $deptCoursesQuery = Course::where('department_id',$hod_dept->id)->select('course_id','course_name');
               $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
           
           }
           else
           {
              if($user->type_id == '1' || $user->type_id == '2' || $user->type_id == '13' || $user->type_id == '14')
               {
                    $courses = Course::all();
               }
               else
               { 
                   $deptCoursesQuery = Course::where('department_id', $user->dept_id)->select('course_id', 'course_name');

                   $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $userId)->where('staff_subject.acyear_id', $ac_id)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();

               }
           }
       }
        return view('universitymarklist.marklist',compact('courses'));
        
    }
    
     public function marklist_get(Request $request)
     {
        
        $validated = $request->validate([
                'course' => 'required',
                'semester_id' => 'required',
                'paper_no' => 'required',
            ]);
        $course_id = $request->course;
        $semester_id = $request->semester_id;
        $paper_no = $request->paper_no;
        $ac_id = getAcyear();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course_id)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
    
        
        
        $students = array();
      $students = Promote::join('students', 'promotes.student_id', '=', 'students.student_id')
    ->where([
        'promotes.ac_id' => $ac_id, // Ensure $ac_id is defined in the parent scope
        'promotes.course_id' => $course_id,
        'promotes.semester_id' => $semester_id
    ])
    ->select('promotes.*','students.adno','students.name','students.clno','students.rollno')
    ->with(['studuniversitymarklist' => function($query) use ($course_id, $semester_id, $paper_no, $ac_id) {
        // Now you can use $ac_id inside this closure
        $query->where('pep_no', '<=', $paper_no) 
              ->whereHas('marklist', function($query) use ($course_id, $semester_id, $ac_id) {
                  $query->where('course_id', $course_id) 
                        ->where('sem_id', $semester_id)
                        ->where('ac_id', $ac_id); // Now $ac_id is available here
              });
    }])
    ->orderBy('students.clno', 'ASC')
    ->get();
        
        return view('universitymarklist.get_marklist',compact('ac_id','course_id','semester_id','paper_no','students','cur_acyear','course_name','sem_name'));
     
     }
   public function marklist_save(Request $request)
{
    $crs_id = decrypt($request->course);
    $sem_id = decrypt($request->sem);
    $paper_no = decrypt($request->paper_no);
    $ac_id = getAcyear();
    $students = Promote::Join('students', 'promotes.student_id', '=', 'students.student_id')
                       ->where([
                           'promotes.ac_id' => $ac_id,
                           'promotes.course_id' => $crs_id,
                           'promotes.semester_id' => $sem_id
                       ])
                       ->select('promotes.*','students.adno','students.name','students.rollno','students.clno')->orderBy('students.clno', 'ASC')
                       ->get();

    $i = 0;
    for ($hd = 1; $hd <= $paper_no; $hd++) {
        $subcheck = MarkList::where([
            'ac_id' => $ac_id,
            'sem_id' => $sem_id,
            'course_id' => $crs_id,
            'pep_no' => $hd,
        ])->first();
        
        $subject = !is_null($request->input("sub_" . $hd)) ? $request->input("sub_" . $hd) : '';

        if (!$subcheck) {
            
            $marklistsub = MarkList::create([
                'course_id' => $crs_id,
                'sem_id' => $sem_id,
                'pep_no' => $hd,
                'subject' => $subject,
                'ac_id' => $ac_id,
            ]);
            $i++;
        } else {
           
            $subcheck->update(['subject' => $subject]);
            $marklistsub = $subcheck; 
            $i++;
        }

        
        foreach ($students as $stud) {
            $gp = $request->input("gpa" . $stud->student_id . "_" . $hd);
            $grade = $request->input("grade" . $stud->student_id . "_" . $hd);

            if ($gp != '') {
              
                $studcheck = MarkListStudent::where([
                    'mark_list_id' => $marklistsub->id,  
                    'stud_id' => $stud->student_id,
                    'pep_no' => $hd,
                ])->first();

                if (!$studcheck) {
                  
                    MarkListStudent::create([
                        'mark_list_id' => $marklistsub->id,
                        'stud_id' => $stud->student_id,
                        'pep_no' => $hd,
                        'grade_point' => $gp,
                        'grade' => $grade,
                    ]);
                    $i++;
                } else {
                   
                    $studcheck->update([
                        'grade_point' => $gp,
                        'grade' => $grade,
                    ]);
                    $i++;
                }
            }
        }
    }

 
    if ($i > 0) {
        $msg_array = ['message' => 'University Student Mark list has been Saved Successfully!', 'alert-type' => 'success'];
    } else {
        $msg_array = ['message' => 'University Student Mark list Could not be Saved!', 'alert-type' => 'error'];
    }

    return redirect()->route('univ.mark.list')->with($msg_array);
}

}
