<?php

namespace App\Imports;

use App\Models\Student;
use App\Models\Promote;
use App\Models\Religion;
use App\Models\Community;
use App\Models\Caste;
use App\Models\Subject;
use App\Models\FyugpStudSub;
use App\Models\FeeCategory;
use App\Models\FYUGPPATHWAY;
use App\Models\FYUGPSTUDPATHWAY;
use App\Models\FyugpStudSubPreferences;
use Illuminate\Support\Collection;
use Maatwebsite\Excel\Concerns\ToCollection;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use DB;
class StudentregImport implements ToCollection,WithHeadingRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    * 
    */
     protected $ac_id;
     protected $course_id;
    //protected $category_id;
      protected $semester_id; 
     public function __construct( int $ac_id,int $course_id,int $semester_id)
    {
        $this->ac_id = $ac_id;
        $this->course_id=$course_id;
        $this->semester_id=$semester_id;
        // $this->category_id=$category_id;
        
        
    }

    
    public function collection(Collection $rows)
    {
        
       /* foreach ($rows as $index=>$row) 
        {
            \Log::info("Processing row: ", $row->toArray());
            $admission_no = $row['admissionno'];
            if (empty($admission_no)) {
                \Log::error("adno is null for row {$index}: ", $row->toArray());
                continue; 
            }
            $mobile1 = $row['mobile1'];
            $adno = $row['admissionno'];
            $numbers = explode('/', $mobile1);
            
            $secondNumber = isset($numbers[1]) ? trim($numbers[1]) : null;
            if ($secondNumber === null) {
        \Log::warning("Second mobile number missing for admissionno: {$admission_no}, mobile1: {$mobile1}");
    }
            DB::table('students')->updateOrInsert(['adno' => $adno], ['mobile1' => $secondNumber]);
        }  */
		
        
        
        foreach ($rows as $index=>$row) 
        {
            \Log::info("Processing row: ", $row->toArray());

        
            $admission_no = trim($row['admission_no']);
            if (empty($admission_no)) {
                \Log::error("adno is null for row {$index}: ", $row->toArray());
                continue; 
            }
            
             if (Student::where('adno', $admission_no)->exists()) {
                session()->flash('error', "Admission number {$admission_no} already exists.");
               
                continue; 
            }
            
            
            
            $religion_name = $row['religion'];
            $religion_id = null;
            if ($religion_name) {
                $religion = Religion::firstOrCreate(['religion_name' => $religion_name]);
                $religion_id = $religion->religion_id;
            }

          
            $community_name = $row['community'];
            $community_id = null;
            if ($community_name) {
                $community = Community::firstOrCreate(
                   ['community' => $community_name, 'religion_id' => $religion_id]
                );
                $community_id = $community->community_id;
            }

          
            $caste_name = $row['caste'];
            $caste_id = null;
            if ($caste_name) {
                $caste = Caste::firstOrCreate(
                    
                    ['caste' => $caste_name,'community_id' => $community_id,'religion_id' => $religion_id] 
                );
                $caste_id = $caste->caste_id;
            }


            $feecategory = $row['fee_category'];
            $feecategory_id = null;
            if ($feecategory) {
                $category = FeeCategory::firstOrCreate(['category_name' => $feecategory]);
                $feecategory_id = $category->category_id;
            }


        $abc_id = $row['abc_id'];
        $ncc_nss = $row['nss_or_ncc'];
        $arts_sports = $row['arts_or_sports'];  
        $second_lang = $row['second_language'];
        $link_aadhar_mob = $row['linked_to_aadhar'];
          
          $dob = $row['date_of_birthdd_mm_yyyy'] ?? null;

if ($dob) {
       if (is_numeric($dob)) {
                
                $dob = \PhpOffice\PhpSpreadsheet\Shared\Date::excelToDateTimeObject($dob);
                $dob = $dob->format('Y-m-d'); 
            }
    else {
                
                $dob1 = date('Y-m-d', strtotime($dob));
                if ($dob1) {
                    $dob = $dob1; 
                } else {
                    $dob = null; 
                    \Log::error("Date conversion failed for row {$index}: " . $row['date_of_birthdd_mm_yyyy']);
                }
            }
}
   
   

   
   
    
    
    $adnodate = $row['admission_datedd_mm_yyyy'] ?? null;
   
   if ($adnodate) {
       if (is_numeric($adnodate)) {
                
                $adnodate = \PhpOffice\PhpSpreadsheet\Shared\Date::excelToDateTimeObject($adnodate);
                $adnodate = $adnodate->format('Y-m-d'); 
            }
    else {
                
                $adnodate1 = date('Y-m-d', strtotime($adnodate));
                if ($adnodate1) {
                    $adnodate = $adnodate1; 
                } else {
                    $adnodate = null; 
                    \Log::error("Date conversion failed for row {$index}: " . $row['admission_datedd_mm_yyyy']);
                }
            }
}
    
    
        
        $pathway = $row['pathway'];
        $pathway_id = null;
            if ($pathway) {
              
                $pathwayname=FYUGPPATHWAY::where('pathway',$pathway)->first();   
                if($pathwayname)
                 {
                    $pathway_id = $pathwayname->id;
                 }
            }
        
        $minorI_title = $row['minori_title'];
        $minorI_code = $row['minori_code'];
        $minorI_credit = $row['minori_credit'];
      
            $minorI = null;
            if ($minorI_code) {
              
                $subjectsmI=Subject::where('subject_code',$minorI_code)->where('subject_categ',2)->first();   
                if(!$subjectsmI)
                 {
                    $minorI = $subjectsmI->subject_id;
                 }
            }
        
        
        $minorII_title = $row['minorii_title'];
        $minorII_code = $row['minorii_code'];
        $minorII_credit = $row['minorii_credit'];
       
            $minorII = null;
            if ($minorII_code) {
               
               $subjectsmII=Subject::where('subject_code',$minorII_code)->where('subject_categ',3)->first(); 
               if(!$subjectsmII)
                 {
                    $minorII = $subjectsmII->subject_id;
                 }
               
            }
       
        
        $mdc_title = $row['mdc_title'];
        $mdc_code = $row['mdc_code'];
        $mdc_credit = $row['mdc_credit'];
       
            $mdcI = null;
            if ($mdc_code) {
                
                $subjectsmdcI=Subject::where('subject_code',$mdc_code)->where('subject_categ',4)->first(); 
                if(!$subjectsmdcI)
                 {
                    $mdcI = $subjectsmdcI->subject_id;
                 }
                
            }
        
        
        
        $aecI_title = $row['aec_i_title'];
        $aecI_code = $row['aec_i_code'];
        $aecI_credit = $row['aec_i_credit'];
        
            $aecI = null;
            if ($aecI_code) {
               
                
                $subjectsaecI=Subject::where('subject_code',$aecI_code)->where('subject_categ',5)->first(); 
                if(!$subjectsaecI)
                 {
                    $aecI = $subjectsaecI->subject_id;
                 }
            }
      
        
        $aecII_title = $row['aec_ii_title'];
        $aecII_code = $row['aec_ii_code'];
        $aecII_credit = $row['aec_ii_credit'];
        
            $aecII = null;
            if ($aecII_code) {
             
               
                $subjectsaecII=Subject::where('subject_code',$aecII_code)->where('subject_categ',6)->first(); 
                if(!$subjectsaecII)
                 {
                    $aecII = $subjectsaecII->subject_id;
                 }
            }
       
       $existingadno = Student::where('adno', $row['admission_no'])->first();
         if (!$existingadno) {  
             $filteredString = preg_replace('/[^a-zA-Z]/', '', strtoupper($row['name']));
            $password = substr($filteredString, 0, 4).rand(1000,9999)."@GM";   
        $student=Student::create([ 
           
          'adno'     => $row['admission_no'],
          'clno'     => $row['id_card_no'],
          'name'     => strtoupper($row['name']),
          'gender'   => strtoupper($row['gender']),
          'dob'      => $dob,
          'paddress' => strtoupper($row['address']),
          'mobile'   => $row['mobile_no'],
          'email'    => $row['email_id'],
          'password' => bcrypt($password),
          'aadhar'   => $row['aadhar_no'],
          'religion_id' => $religion_id,
          'community_id'=>$community_id,
          'caste_id'=>$caste_id,
          'adate'=>$adnodate,
          'fname'    => strtoupper($row['father_name']),
          'mname'   => strtoupper($row['mother_name']),
          'plustwo' => $row['plus_two'],
          'degree' => $row['degree'],
          'ac_id' => $this->ac_id,
          'course_id'=>$this->course_id,
          'semester_id'=>$this->semester_id,
          'category_id'=>$feecategory_id, 
          'seclang'=>ucfirst($second_lang),
          'abc_id'=>$abc_id, 
          'ncc_nss'=>$ncc_nss, 
          'arts_sports'=>$arts_sports, 
          'link_aadhar_mob'=>$link_aadhar_mob,
            
            ]);
            
        DB::table('student_log')->updateOrInsert(['student_id' => $student->student_id], ['password' => $password]);
        Promote::create([
        'student_id'    => $student->student_id,     
        'course_id'     => $this->course_id,
        'semester_id'   => $this->semester_id,
        'ac_id'         => $this->ac_id,
        'category_id'   =>$feecategory_id
    ]);
    
     if($pathway_id)
    {
        $pathwaylist = FYUGPSTUDPATHWAY::create([
        'stud_id' => $student->student_id,
       
        'pathway_id' => $pathway_id,
        'ac_id'     => $this->ac_id,
                        
        ]);
    } 
    
   if($minorI)
    {
        $minorIlist = FyugpStudSub::create([
        'stud_id' => $student->student_id,
        'acyear_id' => $this->ac_id,
        'course' => $this->course_id,
        'sem' => $this->semester_id,
        'sub_id' => $minorI,
        'sub_cat' =>2,
                        
        ]);
        
         $preferencelistI = FyugpStudSubPreferences::create([
                                'stud_id' => $student->student_id,
                                'acyear_id' => $this->ac_id,
                                'course' => $this->course_id,
                                'sem' => $this->semester_id,
                                'pref_Id' => $minorI,
                                
                                'type' => 1,
                                'sub_cat' =>2,
                                
                            ]);                 
        
        
    } 
    
    if($minorII)
    {
        $minorIIlist = FyugpStudSub::create([
        'stud_id' => $student->student_id,
        'acyear_id' => $this->ac_id,
        'course' => $this->course_id,
        'sem' => $this->semester_id,
        'sub_id' => $minorII,
        'sub_cat' =>3,
                        
        ]);
        
         $preferencelistII = FyugpStudSubPreferences::create([
                                'stud_id' => $student->student_id,
                                'acyear_id' => $this->ac_id,
                                'course' => $this->course_id,
                                'sem' => $this->semester_id,
                                'pref_Id' => $minorII,
                                
                                'type' => 1,
                                'sub_cat' =>3,
                                
                            ]);  
        
        
    } 
    
    if($mdcI)
    {
        $mdcIlist = FyugpStudSub::create([
        'stud_id' => $student->student_id,
        'acyear_id' => $this->ac_id,
        'course' => $this->course_id,
        'sem' => $this->semester_id,
        'sub_id' => $mdcI,
        'sub_cat' =>4,
                        
        ]);
        
        $preferencelistIII = FyugpStudSubPreferences::create([
                                'stud_id' => $student->student_id,
                                'acyear_id' => $this->ac_id,
                                'course' => $this->course_id,
                                'sem' => $this->semester_id,
                                'pref_Id' => $mdcI,
                                
                                'type' => 1,
                                'sub_cat' =>4,
                                
                            ]);  
    } 
    
    if($aecI)
    {
        $aecIlist = FyugpStudSub::create([
        'stud_id' => $student->student_id,
        'acyear_id' => $this->ac_id,
        'course' => $this->course_id,
        'sem' => $this->semester_id,
        'sub_id' => $aecI,
        'sub_cat' =>5,
                        
        ]);
        
        
    } 
    
     if($aecII)
    {
        $aecIIlist = FyugpStudSub::create([
        'stud_id' => $student->student_id,
        'acyear_id' => $this->ac_id,
        'course' => $this->course_id,
        'sem' => $this->semester_id,
        'sub_id' => $aecII,
        'sub_cat' =>6,
                        
        ]);
    } 
         }
        else
         {
             
             
         }
    
        }
    }
}
