<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Support\Facades\Auth;

use App\Models\StaffSubject;
class Course extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'courses';
    
    protected $primaryKey = 'course_id'; 
    
    protected $guarded = [];
    
    public function semesters(){
        return $this->hasMany(Semester::class,'course_id','course_id');
    }
    
    public function subjects(){
        return $this->hasMany(Subject::class,'course_id','course_id');
    }
    
    public function deptname(){
        return $this->belongsTo(Department::class,'department_id','id');
    }
    
    public function group() {
        return $this->belongsTo(Group::class, 'group_id', 'id')->withDefault(['name' => '']);
    }
    
     public static function getStaffCourses() {
        $user = Auth::user();
        $acyearId = getAcyear();
        $query = self::query();
        if($user->type_id == 17) {
            //$query->where('department_id', $user->dept_id)->get();
             $deptCoursesQuery = Course::where('department_id',$user->dept_id)->select('course_id','course_name');
           $courses = StaffSubject::join('courses', 'courses.course_id', '=', 'staff_subject.course_id')->where('staff_subject.user_id', $user->user_id)->where('staff_subject.acyear_id', $acyearId)->select('courses.course_id', 'courses.course_name')->distinct()->union($deptCoursesQuery) ->get();
   
        } else if(in_array($user->type_id, [12,20,21,36])) {
            $crs = StaffSubject::where('user_id', $user->user_id)->where('acyear_id', $acyearId)->pluck('course_id')->toArray();
            $query->whereIn('course_id', $crs);
            $courses = $query->distinct('course_id')->get();
        }
        else
        {
            $courses = Course::all();
        }
        
        
        return $courses;
    }
    
}
