<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PriorAttendance extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function acyear(){
        return $this->belongsTo(Acyear::class,'ac_id','ac_id')->withDefault(['name' => '']);
    }
    
    public function course(){
        return $this->belongsTo(Course::class,'course_id','course_id')->withDefault(['name' => '']);
    }
    
    public function semester(){
        return $this->belongsTo(Semester::class,'semester_id','semester_id')->withDefault(['name' => '']);
    }
    
    public function student(){
        return $this->belongsTo(Student::class,'student_id','student_id')->withDefault(['name' => '']);
    }
    
    public function leave(){
        return $this->belongsTo(Studentleavetype::class,'leave_id','stuleav_id')->withDefault(['name' => '']);
    }
    
    public function user(){
        return $this->belongsTo(User::class,'user_id','user_id')->withDefault(['name' => '']);
    }
}
