<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Promote extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'promotes';
    
    protected $primaryKey = 'promote_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['promote_id'];
    
    public function student()
    {
        return $this->belongsTo(Student::class,'student_id','student_id')->withDefault(['name' => '']);
    }
    
    public function acyear()
    {
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
    
    public function course()
    {
        return $this->belongsTo(Course::class,'course_id','course_id')->withDefault(['name' => '']);
    }
    
    public function semester()
    {
        return $this->belongsTo(Semester::class,'semester_id','semester_id')->withDefault(['name' => '']);
    }
    
    public function category()
    {
        return $this->belongsTo(FeeCategory::class,'category_id','category_id')->withDefault(['name' => '']);
    }
    
    public function sem()
    {
        return $this->belongsTo(Semester::class,'semester_id','semester_id');
    }
    
    public function regno()
    {
        return $this->belongsTo(Enrolment::class,'student_id','student_id');
    }
    
    public function universitysubmark(){
        return $this->hasmany(ObeMarkList::class,'stud_id','student_id');
    }
    public function internalmark(){
        return $this->hasmany(ObeStudMarkList::class,'stud_id','student_id');
    }
    public function subminordmc(){
        return $this->hasmany(FyugpStudSub::class,'stud_id','student_id');
    }
    
   public function membershipId(){
       return $this->hasmany(Membership::class,'user_id','student_id');
    }
    
    public function minpreferences(){
        return $this->hasmany(FyugpStudSubPreferences::class,'stud_id','student_id');
    }
    
   public function studpathway(){
    
    return $this->belongsTo(FYUGPSTUDPATHWAY::class, 'student_id', 'stud_id');
}
 public function studsempathway(){
    
     return $this->hasmany(FYUGPSTUDPATHWAY::class,'stud_id','student_id');
}
  public function seminar(){
        return $this->hasmany(StudentSeminar::class,'student_id','student_id');
    }  
    
    public function lmsassignment(){
        return $this->hasmany(LMSSTUDASSIGNMENT::class,'stud_id','student_id');
    }
     public function internalmarks(){
        return $this->hasmany(InternalMarks::class,'stud_id','student_id');
    }
    
    public function studattendance(){
        return $this->hasmany(StudentAttendance::class,'student_id','student_id');
    } 
    public function studassignment(){
        return $this->hasmany(StudAssignmentsInter::class,'student_id','student_id');
    } 
    public function studseminar(){
        return $this->hasmany(StudentSeminarMarks::class,'student_id','student_id');
    } 
     public function mainstreamstudmarktheory(){
        return $this->hasmany(MainstreamExamMarks::class,'student_id','student_id');
    } 
    public function studpracticalrecord(){
        return $this->hasmany(StudentProject::class,'student_id','student_id');
    }
    public function studviva(){
        return $this->hasmany(StudentViva::class,'student_id','student_id');
    }
    public function mainstreamstudmarkpractical(){
        return $this->hasmany(MainstreamPracExamMarks::class,'student_id','student_id');
    }
    
    public function studuniversitymarklist(){
        return $this->hasmany(MarkListStudent::class,'stud_id','student_id');
    }
}
