<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StudentAttendance extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'student_attendance';
    protected $guarded = [];
    
    public function student(){
        return $this->belongsTo(Student::class,'student_id','student_id')->withDefault(['name' => '']);
    }
    
    public function course(){
        return $this->belongsTo(Course::class,'course_id','course_id')->withDefault(['name' => '']);
    }
    
    public function semester(){
        return $this->belongsTo(Semester::class,'semester_id','semester_id')->withDefault(['name' => '']);
    }
    
    public function period()
    {
        return $this->belongsTo(Periods::class,'period_id','id')->withDefault(['name' => '']);
    }
    
    public function leavetype()
    {
        return $this->belongsTo(Studentleavetype::class,'leave_id','stuleav_id')->withDefault(['name' => '']);
    }
}
