var baseUrl = window.location.origin;

$(document).ready(function() {
    
    $('#students').select2({
        placeholder: "Search for a Student",
        allowClear: true,
        ajax: {
            type : 'GET',
            url: baseUrl+'/search-student',
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    skey: params.term
                };
            },
            processResults: function (data) {
                return {
                    results: data.map(function (item) {
                        return { id: item.id, text: item.adno+' - '+item.name };
                    })
                };
            }
        }
    });
    
    $('#students').change(function(){
        var student = $(this).val();
        $.ajax({
            url: baseUrl+'/search-student-data',
            type : 'GET',
            dataType : 'json',
            data : { student: student },
            success: function(response) {
                $('#student').val(response.name);
                $('#adno').val(response.adno);
                $('#course').val(response.course);
                $('#contact').val(response.mobile);
                $('#email').val(response.email);
            },
            error: function(xhr, status, error) {
                console.error('Error:', error);
            }
        });
    });
    
    $('#cstatus').change(function(){
        var status = $(this).val();
        if(status=='Working'){
            $('#working').show();
        }else{
            $('#working').hide();
        }
    });
    
});