$(document).ready(function(){
    
    $("#course").on('change',function(){
        var course = $(this).val();
        $("#semester").empty();
        $.ajax({
            type : 'GET',
            url : '../get-sem/'+course,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#semester").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#semester").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    
    $("#semester").change(function(){
        var semester = $(this).val();
        $("#subject").empty();
        $.ajax({
            type : 'GET',
            url : '../get-staff-subject/'+semester,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#subject").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#subject").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        }); 
        
   });   
   
   
   $("#subject").on('change',function(){
        var sub_id = $(this).val();
       var course = $("#course").val();  
       var semester_id = $("#semester").val();  
        $("#batch_id").empty();
        $.ajax({
            type : 'GET',
            url : '../get-batch/',
             data: { 
                sub_id: sub_id, 
                course: course, 
                semester_id: semester_id 
            },
            success : function(response){ 
                var data = jQuery.parseJSON(response);
                $("#batch_id").html('<option value="">Select</option>');
                $.each(data, function(key,value) {
                    $("#batch_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
   
});

function showAttendance(sdate, edate, no){ 
    $("#result").html('');
    $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
    
    var course = $("#course").val();
    var semester = $("#semester").val();
    var subject = $("#subject").val();
    var batch_id = $("#batch_id").val();
   
    $(".week-btn").removeClass('btn-success');
    $(".week-btn").addClass('btn-danger');
    $("#week-"+no).removeClass('btn-danger');
    $("#week-"+no).addClass('btn-success');
    
    $.ajax({
        type: 'GET',
        url: '../student-week-attendance',
        data: { course: course, semester: semester, subject: subject, sdate: sdate, edate: edate,batch_id:batch_id },
        success : function(response){ 
            $("#result").html(response); 
        }
    });
}

function showMonthAttendance(sdate, edate){
    $("#result").html('');
    $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
    
    var course = $("#course").val();
    var semester = $("#semester").val();
    var subject = $("#subject").val();
    var batch_id = $("#batch_id").val();
    $(".week-btn").removeClass('btn-success');
    $(".week-btn").addClass('btn-danger');
    $("#week-all").removeClass('btn-danger');
    $("#week-all").addClass('btn-success');
    
    $.ajax({
        type: 'GET',
        url: '../student-week-attendance',
        data: { course: course, semester: semester, subject: subject, sdate: sdate, edate: edate,batch_id:batch_id },
        success : function(response){
            $("#result").html(response);
        }
    });
}