@extends('layouts.template')
@section('title','LMS')
@section('heading','Learning Management System')
@section('breadcrumb','Home / LMS / Task / View Task Details')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background:#073980;color:white; font-weight: bold; font-size: 20px;">
                View Task Details
            </div>
            <div class="card-body">
                <!-- Course and Semester Information -->
                <div class="row mb-4">
                    <!-- Course Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Course: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{strtoupper($task_det->course->course_name)}}
                            </span>
                        </div>
                    </div>

                    <!-- Semester Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Semester: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{strtoupper($task_det->semester->semester_name)}}
                            </span>
                        </div>
                    </div>
                </div>

                <!-- Task and Deadline Information -->
                <div class="row mb-4">
                    <!-- Task Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Task: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{strtoupper($task_det->task_name)}}
                            </span>
                        </div>
                    </div>

                    <!-- Deadline Information -->
                    <div class="col-md-6">
                        <div class="form-group">
                            @php
                                $datetime = new DateTime($task_det->dead_line);
                            @endphp
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Deadline: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{$datetime->format('d-m-Y h:i A')}}
                            </span>
                        </div>
                    </div>
                </div>

                <!-- Subject Information -->
                <div class="row mb-4">
                    <div class="col-md-12">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Subject: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{strtoupper($task_det->subjectname->subject_name)}}
                            </span>
                        </div>
                    </div>
                </div>

                <!-- Description Information -->
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <span style="font-size: 16px; font-weight: bold; color: #333;">
                                Description: 
                            </span>
                            <span style="font-size: 16px; color: #555;">
                                {{strtoupper($task_det->descrption)}}
                            </span>
                        </div>
                    </div>
                </div>
                
               <div class="row"> 
              <table class="table table-bordered">
                  <thead>
                   <tr>
                       <th>Adno</th>
                       <th>Student Name</th>
                       <th>Status</th>
                       <th>Remarks</th>
                   </tr>
                  <thead>
                    <tbody>    
                   @foreach($stud_task as $sttk)
                    
                   <tr>
                       <td>{{$sttk->student->adno}}</td>
                       <td>
                           {{strtoupper(strtoupper($sttk->student->name))}}
                       </td>
                        <td align="center">
                            @if($sttk->status == 0)
                            <span class="badge badge-warning">PENDING</span>
                            @elseif($sttk->status == 1)
                                <span class="badge badge-success">COMPLETED</span>
                            @else
                                <span class="badge badge-secondary">UNKNOWN</span>
                            @endif
                       </td>
                       <td>
                          {{strtoupper($sttk->remark)}} 
                       </td>
                   </tr>
                   
                   @endforeach
                    </tbody> 
               </table>
               </div> 
                
            </div>
        </div>
    </div>
</div>


@endsection