@extends('layouts.settings-template')
@section('title','Programme')
@section('heading','Programme')
@section('breadcrumb','Settings / Programme')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                {{ app_button_links(array(4)) }}
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Code</th>
                    <th>Program Name</th>
                    <th>Department</th>
                    <th>Group</th>
                    <th>Actions</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($courses as $course)
                        <tr>
                            <td align="center">{{ $loop->iteration }}</td>
                            <td align="center">{{ $course->course_code }}</td>
                            <td>{{ $course->course_name }}</td>
                            <td align="center">{{ $course->deptname->dept_name ?? '' }}</td>
                            <td align="center">{{ $course->group?->name }}</td>
                            <td align="center">{{ app_table_links($course->course_id,array(5,6)) }}</td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="6">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection