@extends('layouts.template')
@section('title', 'Dashboard')
@section('heading', '')
@section('breadcrumb', '')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header text-white" style="background-color: #005A9C;">
                <h5 class="mb-0">Birthday Reminder</h5>
            </div>
            <div class="card-body position-relative">
                <!--<img src="{{ asset('public/uploads/staff/photo/birthday-cake.png') }}" alt="Birthday Cake" class="position-absolute" style="top: 10px; right: 10px; width: 100px; opacity: 0.1;">-->
                <div class="row">
                    
                  @foreach($birthdays as $birthday)
    <div class="col-md-4 mb-4">
        <div class="card text-center shadow-sm border-0">
            <div class="card-body">
                <img src="{{ $birthday->image ? asset('public/uploads/staff/photo/' . $birthday->image) : asset('public/template/images/user.png') }}" class="rounded-circle" alt="{{ $birthday->name }}" style="width: 100px; height: 100px; object-fit: cover; border: 3px solid #005A9C;">
                <h5 class="card-title mt-2">{{ $birthday->name }}</h5>
                <p class="card-text"><strong>Mobile:</strong> {{ $birthday->mobile }}</p>
                <button class="btn btn-info" data-toggle="modal" data-target="#birthdayModal" onclick="showDetails('{{ $birthday->name }}', '{{ $birthday->mobile }}', '{{ $birthday->dept_name }}', '{{ $birthday->dateof_join }}', '{{ $birthday->email }}', '{{ $birthday->address }}')">View Details</button>

               
                @if($birthday->has_sent_wish)
                    <button class="btn btn-secondary" disabled>Message Sent</button>
                @else
                    <form action="{{ route('message.send') }}" method="post">
                        @csrf
                        <input type="hidden" name="user_id" value="{{ $birthday->user_id }}">
                        <div class="input-group mt-3">
                            <input type="text" id="messageInput-{{ $birthday->user_id }}" name="message" value="Happy Birthday {{ $birthday->name }}!!" placeholder="Enter your message" class="form-control" aria-label="Birthday Message">
                            <div class="input-group-append">
                                <button class="btn btn-outline-secondary" type="submit" style="height: 100%;">
                                    <i class="fas fa-birthday-cake" style="color: #FF6F61;"></i>
                                </button>
                            </div>
                        </div>
                    </form>
                @endif
            </div>
        </div>
    </div>
@endforeach
  
                    
                    
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal for Birthday Details -->
<div class="modal fade" id="birthdayModal" tabindex="-1" role="dialog" aria-labelledby="birthdayModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content rounded-lg border-0">
            <div class="modal-header" style="background-color: #005A9C;">
                <h5 class="modal-title text-white" id="birthdayModalLabel"><b>STAFF DETAILS</b></h5>
                <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" style="background:white">
                <p id="birthdayDetails"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script>
    // function showDetails(name, mobile,dept_name,dateof_join,email,address) {
    //     const details = `Name: ${name}<br>Mobile: ${mobile}<br>Department:${dept_name}<br>Date of Join:${dateof_join}<br>Email:${email}<br>Address:${address}`;
    //     document.getElementById('birthdayDetails').innerHTML = details;
    // }
    function showDetails(name, mobile, dept_name, dateof_join, email, address) {
    const details = `
    <table>
    <tr>
        <td><strong>Name</strong></td><td>:</td><td>${name}</td>
        </tr>
        <tr>
        <td><strong>Mobile</strong></td><td>:</td><td>${mobile}</td>
        </tr>
        <tr>
        <td><strong>Department</strong></td><td>:</td><td>${dept_name}</td></tr>
        <tr>
        <td><strong>Date of Joining</strong></td><td>:</td><td>${dateof_join}</td>
        </tr>
        <tr>
        <td><strong>Email</strong></td><td>:</td><td>${email}</td></tr>
        <tr>
        <td><strong>Address</strong></td><td>:</td><td>${address}</td></tr>
        </table>
    `;
    document.getElementById('birthdayDetails').innerHTML = details;
}
</script>
<style>
  .input-group .form-control {
    height: 38px; /* Adjust this height to match your button */
}

.input-group .btn {
    height: 38px; /* Same height as input */
    padding: 0.375rem 0.75rem; /* Match padding */
    display: flex; /* Center icon vertically */
    align-items: center; /* Center icon vertically */
}

</style>

@endsection
