@extends('layouts.template')
@section('title','Home')
@section('heading','Enquiry')
@section('breadcrumb','Home/Enquiry/add')
@section('content')


 <form action="{{ route('enquiry.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Enquiry Register</b></div>
    <div class="card-body" style="">
        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="enq_no" class="required">Enquiry no.</label>
    <input type="text" class="form-control text" id="enq_no" name="enq_no" value="{{ $enq_no }}" required>
    @error('enq_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
      <div class="col-md-3">
    <div class="form-group">
    <label for="visitor_name" class="required">Visitor Name</label>
    <input type="text" class="form-control text" id="visitor_name" name="visitor_name" value="{{ old('visitor_name') }}" required>
    @error('visitor_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
      <div class="form-group">
        <label for="address" >Address</label>
        <textarea class="form-control text" id="address" name="address"  rows="2">{{ old('address') }}</textarea>
        @error('address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
    </div>
    
     <div class="col-md-3">
        <div class="form-group">
            <label for="male" class="required">Gender</label>
              <div class="row">
                <div class="col-md-4">
                  <div class="form-check form-check-success">
                    <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ old('gender')=='male' ? "checked":"" }}> Male </label>
                  </div>
                </div>
              <div class="col-md-8">
         <div class="form-check form-check-success">
          <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ old('gender')=='female' ? "checked":"" }}> Female </label>
           </div>
            </div>
        </div>
       </div>
   </div>
   
   
    
    </div>
    </div>
    </div>
    </div>
    </div>
    
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Enquiry Source</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                  <label for="edate" class="required">Date</label>
                                    <input type="date" class="form-control text" id="edate" name="edate" value="{{ date('Y-m-d') }}" required>
                                    @error('edate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                  </div>
                                </div>
                                
                                  <div class="col-md-3">
                                <div class="form-group">
                                  <label for="etime" class="required">Time</label>
                                    <input type="time" class="form-control text" id="" name="etime"  value="{{$currentTime}}" required>
                                    @error('etime')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                  </div>
                                </div>
                                
                                <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Program</label>
                                   
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile" class="required">Mobile No</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" value="{{ old('mobile') }}" required>
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="landline">Landline No</label>
                                    <input type="text" class="form-control text" id="landline" name="landline" value="{{ old('landline') }}" >
                                    @error('landline')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" value="{{ old('email') }}">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                              <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="qualification">Qualification</label>
                                    <input type="text" class="form-control text" id="qualification" name="qualification" value="{{ old('qualification') }}">
                                    @error('qualification')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                      <div class="col-md-3">
                                <div class="form-group">
                                    <label for="handled_by" class="required">Handled By</label>
                                   
                                   
                                    <select class="form-control" id="handled_by" name="handled_by" required>
                                        <option value="">Select</option>
                                        @foreach($staffs as $stf)
                                            <option value="{{ $stf->user_id }}" {{ old('handled_by')==$stf->user_id ? "selected":"" }}>{{ $stf->name.' '.$stf->lname }}</option>
                                        @endforeach
                                    </select>
                                    @error('handled_by')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                               <div class="col-md-3">
                                <div class="form-group">
                                    <label for="meeting_status" class="required">Meeting Status</label>
                                   
                                   
                                    <select class="form-control" id="meeting_status" name="meeting_status" required>
                                        <option value="PENDING">PENDING</option>
                                        <option value="DONE">DONE</option>
                                      
                                    </select>
                                    @error('meeting_status')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                               <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="remark">Remarks</label>
                                    <input type="text" class="form-control text" id="remark" name="remark" value="{{ old('remark') }}">
                                    @error('remark')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                 <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fstatus">Followup Status</label>
                                    <input type="text" class="form-control text" id="fstatus" name="fstatus" value="{{ old('fstatus') }}">
                                    @error('fstatus')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>     
                            
                            
                        </div>
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>
        </div>
         </div>
          </div>
           </div>
           </form>
           
             <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    
    
    @endsection
        
