<!DOCTYPE html>
<html>
<head>
    <title>College Feedback Report From Student</title>
    <style>
         body {
            font-family: Arial, sans-serif;
            border: 1px solid #000;
            padding: 20px;
            overflow-x: auto; 
        }
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }

        table {
            width: 100%; 
            border-collapse: collapse; 
            table-layout: fixed; 
        }

        th, td {
           
            padding: 3px; 
            text-align: center;
            word-wrap: break-word; 
        }

        thead {
            background-color: #fed35c;
        }

        h4 {
            margin-top: 20px;
        }

    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b>{{ $ins_det->name }}</b></p>
      <p style="text-center"><b>{{ $ins_det->affiliation }}</b></p>
      <p style="text-center"><b>{{ $ins_det->address }}</b></p>
      <p style="text-center"><b>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</b></p>
    </div> 
    </div>
    
    <div class="page-header">
        <h4 align="center">COLLEGE EVALUATION REPORT FROM STUDENTS</h4>
        <h4 align="center">ACADEMIC YEAR {{$currentAcademicYear}}</h4>
    </div>
      <div class="content">
    <hr>
        <div class="row">
            <div class="col-md-12">
                 <table class="table table-bordered" style="border:1px solid black;">
                            <thead style="background-color:#fed35c;">
                               
                                <tr>
                                    <th  width="10%"><b>#</b></th>
                                    <th  width="20%" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>FEEDBACK CRITERIA</b></th>
                                    <th  width="10%" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>OUTSTANDING</b></th>
                                    <th  width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>VERY GOOD</b></th>
                                    <th width="10%"   style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>GOOD</b></th>
                                    <th  width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>AVERAGE</b></th>
                                    <th  width="10%" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>TOTAL RESPONSE</b></th>
                                    <th   width="10%" style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>TOTAL GRADE POINT</b></th>
                                    <th  width="10%"  style="word-wrap: break-word; word-break: break-all; white-space: normal;"><b>TYPICAL SCORE</b></th>
                                    
                                </tr>
                            </thead>
                             <tbody>
                @php
     $gradePoints = [
    'Outstanding' =>  5.0,
    'Very Good' => 3.5,
    'Good' => 3.0,
    'Average' => 2.0,
];
  $totalGradePoints = 0;


$totalResponses = 0; 
$i=1;
                @endphp
                @foreach($criteriaWithSubcriteria as $criteria)
                    @foreach ($criteria['subcriteria'] as $subcriterion )
                        <!--<h5 style="margin-top: 20px;">{{ $subcriterion->sub_criteria }}</h5>-->
                       
                                 
                                @php
                                    $outstanding = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Outstanding'] ?? 0;
                                    $veryGood = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Very Good'] ?? 0;
                                    $good = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Good'] ?? 0;
                                    $average = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Average'] ?? 0;
                                    $total = $outstanding + $veryGood + $good + $average;
                                    
                                    $gradePointsTotal = (
                                        ($outstanding * $gradePoints['Outstanding']) +
                                        ($veryGood * $gradePoints['Very Good']) +
                                        ($good * $gradePoints['Good']) +
                                        ($average * $gradePoints['Average'])
                                    );
                                    $totalGradePoints += $gradePointsTotal;
                                    $totalResponses += $total;
                                @endphp
                                <tr>
                                    <td width="10%">{{$i++}}</td>
                                    <td width="20%" style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ strtoupper($subcriterion->sub_criteria) }}</td>
                                    <td width="10%">{{ $outstanding }}</td>
                                    <td width="10%" >{{ $veryGood }}</td>
                                    <td width="10%" >{{ $good }}</td>
                                    <td width="10%">{{ $average }}</td>
                                    <td width="10%">{{ $total }}</td> 
                                    <td width="10%">{{$gradePointsTotal}}</td>
                                    <td width="10%">
                        @if($total > 0)
                            {{ number_format($gradePointsTotal / $total, 2) }}
                        @else
                            0.00
                        @endif
                    </td>
                                </tr>
                               
                            
                    @endforeach
                @endforeach
                </tbody>
                        </table>
            <h4 class="mt-4" STYLE="background:#fed35c"><b>Cumulative Grade Point Average (CGPA): </b>
                    @if($totalResponses > 0)
                        {{ number_format($totalGradePoints / $totalResponses, 2) }} / 5.00
                    @else
                        0.00 / 5.00
                    @endif
                </h4>
            </div>
            
        </div>
        </div>
          </body>
    </html>