@extends('layouts.template')
@section('title','Home')
@section('heading','Due Report')
@section('breadcrumb','Home/Fees/Due Report')
@section('content')



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course"><b>Program</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="course" name="course">
                                    <option value="">Select</option>
                                    @foreach($courses as $course)
                                        <option value="{{ $course->course_id }}" {{ old('course')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                    @endforeach
                                </select>
                                @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="semester"><b>Semester</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="semester" name="semester">
                                    <option value="">Select</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label for="cdate"><b>Date</b></label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <input type="date" class="form-control" id="cdate" name="cdate" value="{{ old('cdate') ? old('cdate'):date('Y-m-d') }}">
                                        @error('cdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    <div class="col-md-6">
                                        <button type="button" class="btn btn-primary" id="getData">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#004170;color:white;"><b>Due Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered" id="dueTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Program</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Due Amount</b></th>
                             <th class="no-sort aright"><b>Due Date</b></th>
                            <th class="no-sort"><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-8 text-right font-weight-bold">Total :</div>
                        <div class="col-4 font-weight-bold" id="total">0.00</div>
                        
                        
                    </div>
            
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <script>
        $(function () {
            var dueTable = $("#dueTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false },{ targets: 'aright', className: 'text-right'}],
                ajax : {
                    url : '{{ route('due.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.course = $('#course').val();
                        data.semester = $('#semester').val();
                        data.cdate = $('#cdate').val();
                    }
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'due' },
                    { data : 'duedate' },
                    { data : 'action' },
                ]
            });
            $('#getData').click(function(){
                dueTable.draw();
                get_total();
            });
            get_total();
        });
        
        function get_total(){
            var course = $('#course').val();
            var semester = $('#semester').val();
            var cdate = $('#cdate').val();
            
            $.ajax({
                type: "GET",
                url: '{{ route('due.total.ajax') }}',
                data: { course:course, semester:semester, cdate:cdate },
                cache: false,
                success: function(data){
                    $("#total").text(data);
                }
            });
        }
    </script>
    
    <style>
          
        
       
 .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
    </style>
@endsection