@extends('layouts.template')
@section('title','Attendance')
@section('heading','Attendance')
@section('breadcrumb','Home / Student / Hourly Attendance')
@section('content')
 <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch; /* Smooth scrolling for iOS */
        }
        
        table {
            width: 100%;
            table-layout: auto; /* Adjust column width dynamically */
            border-collapse: collapse; /* Optional: Better appearance */
        }
        
        td {
            word-wrap: break-word; /* Break long words */
            overflow-wrap: anywhere; /* Modern breaking */
            hyphens: auto; /* Hyphenation for long words */
        }
        
        th, td {
            white-space: normal; /* Allow wrapping */
            word-break: break-word; /* Break long words */
            text-align: center; /* Align content */
            padding: 5px; /* Add padding for readability */
        }
        
        th {
            background-color: #f5f5f5; /* Light gray header background */
            white-space: nowrap; /* Prevent header wrapping */
        }
        
        .trheight > td {
            line-height: 28px;
        }
        .subject{
            font-size: 12px;
            font-weight: bold;
            color: #000;
        }
        a{
            text-decoration: none;
        }
        a:hover {
            text-decoration: none;
        }
        .pblock:hover{
            background-color: #bdf4ff;
        }
        @media (max-width: 768px) {
            table {
                font-size: 12px; /* Scale font down for mobile */
            }
            .trheight > td {
                font-size: 10px; /* Reduce font size for mobile */
            }
        }
    </style>
    @if(!empty($data))
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th width="10%">Period</th>
                                @foreach($days as $day)
                                    <th width="15%"><b>{{ $day->day }}</b></th>
                                @endforeach
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($periods as $period)
                                    <tr class="trheight">
                                        <td align="center">{{ $period->period }}</td>
                                        @foreach($days as $day)
                                            @if(isset($data[$day->day][$period->id]))
                                            @php
                                            $type =$data[$day->day][$period->id]['type'];
                                                    $pr ="";
                                                    if($type == '1')
                                                    {
                                                         $pr = "PRACTICAL";
                                                    }
                                            @endphp
                                                <td class="pblock" align="center">
                                                    <div class="period">
                                                        <div class="subject">{{ strtoupper($data[$day->day][$period->id]['subject']) }}</div>
                                                        <div class="course text-success">{{ strtoupper($data[$day->day][$period->id]['course'].' '.$pr) }}</div>
                                                        @if(in_array($data[$day->day][$period->id]['categid'], ['2', '3', '4', '5', '6']))
                                                        <div class="semester text-danger">{{ strtoupper($data[$day->day][$period->id]['semester']) }}</div>
                                                        @else
                                                        <div class="semester text-danger">{{ strtoupper($data[$day->day][$period->id]['course_name'].' - '.$data[$day->day][$period->id]['semester']) }}</div>
                                                        @endif
                                                    </div>
                                                </td>
                                            @else
                                                <td class="pblock " align="center"></td>
                                            @endif
                                        @endforeach
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    @else    
        <div class="alert alert-danger">No Result Found !</div>
    @endif
@endsection