
@extends('layouts.template')
@section('title','Home')
@section('heading','Exam Chart')
@section('breadcrumb','Home/Exam/Exam Chart')
@section('content')
   <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(635,637,638,639,661,671)) }}
          
        
    </div>     
    <div class="card-body">


       <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Exam Chart</b></div>
                <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="form-control" id="course" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
            <div class="form-group">
                 <label for="exam_id" class="required"><b>Examination</b></label>
                <select class="form-control" id="exam_id" name="exam_id" required>
                    <option value="">select</option>
                </select>
            </div>
                            </div>
                            </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        
        
          </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
        
        
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     <script src="{{ asset('public/js/semester.js') }}"></script> 
     <script src="{{ asset('public/js/studentviewexam.js') }}"></script>
    <script>
        $(document).ready(function(){
    
            $("#btn-get").on('click',function(){
                var cid = $('#course').val();
               var sid = $('#semester_id').val();
               var eid=$('#exam_id').val();
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
                if(cid=='' || sid==''){
                    alert('Please select all mandatory fields !');
                }else{
                    $.ajax({
                        type : 'GET',
                        url : '../chart-get',
                        data : {cid:cid,sid:sid,eid:eid},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
                }
            });
        });
    </script>
    <style>
                        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
@endsection