@extends('layouts.template')
@section('title','Logins')
@section('heading','Staff Logins')
@section('breadcrumb','Home / Logins / Staff')
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('logins.staff.update', encrypt($staff->user_id)) }}" method="post">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="password" class="required">New Password</label>
                            <input type="password" class="form-control" id="password" name="password" autocomplete="off" required>
                            @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="password_confirmation" class="required">Confirm Password</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="password" class="form-control" name="password_confirmation" id="password_confirmation" autocomplete="off" required>
                                        @error('password_confirmation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection