@extends('layouts.template')
@section('title','Logins')
@section('heading','Staff Logins')
@section('breadcrumb','Home / Logins / Staff')
@section('content')
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="type">Staff Type</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                            <option value="">Select</option>
                                            @foreach($types as $type)
                                                <option value="{{ $type->type_id }}" {{ $type->type_id == $typeId ? "selected":"" }}>{{ $type->type_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    @if($staffs->count() > 0)
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a href="{{ route('logins.staff.print', ['type' => $typeId]) }}" class="btn btn-sm btn-success btn-icon-text" target="_blank">
                                <i class="icon-printer btn-icon-prepend"></i> Print
                            </a>
                            <a href="{{ route('logins.staff.send', ['type' => $typeId]) }}" class="btn btn-sm btn-info btn-icon-text" target="_blank">
                                <i class="icon-envelope-letter btn-icon-prepend"></i> Send Mail
                            </a>
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Staff Name</th>
                            <th>Designation</th>
                            <th>Mobile</th>
                            <th>Email</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($staffs as $staff)
                                <tr>
                                    <td align="center">{{ $loop->iteration }}</td>
                                    <td>{{ $staff->name }}</td>
                                    <td align="center">{{ $staff->utype?->type_name }}</td>
                                    <td align="center">{{ $staff->mobile }}</td>
                                    <td align="center">{{ $staff->email }}</td>
                                    <td align="center">{{ $staff->status==0 ? 'Blocked':'Active' }}</td>
                                    <td align="center">
                                        <a href="{{ route('logins.staff.edit',encrypt($staff->user_id)) }}" title="Edit"><i class="icon icon-pencil text-primary"></i></a>&nbsp;&nbsp;&nbsp;
                                        @if($staff->status==1)
                                            <a href="{{ route('logins.staff.block',[encrypt($staff->user_id),0]) }}" title="Block"><i class="icon icon-lock text-danger"></i></a>
                                        @else
                                            <a href="{{ route('logins.staff.block',[encrypt($staff->user_id),1]) }}" title="Unblock"><i class="icon icon-lock-open text-success"></i></a>
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger">No Result Found !</div>
    @endif
@endsection