@extends('layouts.template')
@section('title','Notification')
@section('heading','Notification')
@section('breadcrumb','Home / Student / Notification')
@section('content')
@if(session('status'))
    <div class="alert alert-{{ session('status') }}">
        {{ session('Message') }}
    </div>
@endif

<div class="card">
    <div class="card-body">
        <form method="post" action="{{route('student.notification.submit')}}">
            @csrf
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="course">Program</label>
                        <select class="js-example-basic-single" id="course" name="course" style="width:100%" required>
                            <!--<option value="">Select</option>-->
                           @if(in_array($uType, [1, 2, 13]))
                            <option value="all" {{ $courseId == "all" ? "selected" : "" }}>All</option>
                          @else
                          <option value="">Select</option>
                            @endif
                
                            @foreach($courses as $course)
                                <option value="{{ $course->course_id }}" {{ $course->course_id == $courseId ? "selected" : "" }}>{{ $course->course_name }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="col-12 col-sm-6">
                    <div class="form-group">
                        <label for="semester">Semester</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <select class="js-example-basic-single" id="semester" name="semester" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($semesters as $semester)
                                            <option value="{{ $semester->semester_id }}" {{ $semester->semester_id == $semesterId ? "selected" : "" }}>{{ $semester->semester_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                            <!--<div class="col-12 col-sm-6">-->
                            <!--    <div class="form-group">-->
                            <!--        <button type="submit" class="btn btn-sm btn-success">Submit</button>-->
                            <!--    </div>-->
                            <!--</div>-->
                        </div>
                    </div>
                </div>

               
                <div class="col-12">
                    <div class="form-group">
                        <label for="notification_message">Notification Message</label>
                        <textarea class="form-control" id="notification" name="notification" rows="4" placeholder="Enter your notification message here..." required></textarea>
                    </div>
                </div>

               
                <div class="col-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Send Notification</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

        <script src="{{ asset('public/js/general.js') }}"></script> 

    
    @endsection