@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Activity Outcome-PSO Mapping')
@section('breadcrumb','Settings / OBE / Activity Outcome-PSO Mapping')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
 <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
          {{ app_button_links_vl(array(253,254,255)) }}
    </div>    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" >
                
              
            <div class="card-header" style="background:#005A9C;color:white;"><b>Activity Outcome-PSO Mapping</b></div>
   
                <div class="card-body">
                    <form action="{{ route('aopsomapping.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%" required>
                                        <option value="">SELECT</option>
                                      
                                       @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id  }}" {{ old('course_id') == $crs->course_id  ? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="ps_outcome" class="required"><b>Program Specific Outcome</b></label>
                               <select class="form-control" id="ps_outcome" name="ps_outcome" required>
                                <option value="">select</option>
                                </select>
                            </div>
                        </div>
                            
                            
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity Outcome</b></label>
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        @foreach($activityoutcome as $actv)
                                            <option value="{{ $actv->id  }}" {{ old('a_outcome ') == $actv->id  ? "selected":"" }}>{{ $actv->activity_outcome}}</option>
                                        @endforeach
                                    </select>
                                    @error('a_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                        </div>    
                         
                       <div class="row">  
                         <div class="col-md-12">
                             <div class="form-group">
                               <label></label>
                                 <button type="submit" class="btn btn-primary float-right">Save</button>
                             </div>
                             </div>
                         </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Program</b></th>
                            <th><b>Activity Outcome</b></th>
                            <th><b>Program Specific Outcome</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($aopsomapping as $aopso)
                                <tr>
                                    <td>{{$aopso->coursen->course_name}}</td>
                                    <td>{{$aopso->aoutcome->activity_outcome}}</td>
                                    <td>{{$aopso->psoutcome->pso_name}}</td>
                                    <td>{{app_table_links($aopso->id,array(257,256)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
      </div>
            </div>
        </div>
    </div>
     <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/pso.js') }}"></script> 
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection