@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','CO-PO Mapping')
@section('breadcrumb','Settings / OBE / CO-PO Mapping')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
   <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
            {{ app_button_links_v(array(242,258,259,243,244)) }}
    </div>    
    <div class="card-body">



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            
            <div class="card-header" style="background:#005A9C;color:white;"><b>CO-PO Mapping</b></div>
   
                <div class="card-body">
                    <form action="{{ route('copomapping.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course" class="required"><b>Program</b></label>
                                    <select class="js-example-basic-single" id="course" name="course" style="width:100%" required>
                                        <option value="">SELECT</option>
                                      
                                       @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id  }}" {{ old('course') == $crs->course_id  ? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                            <div class="form-group">
                               <label for="semester_id" class="required"><b>Semester</b></label>
                               <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">select</option>
                                </select>
                            </div>
                        </div>
                        
                           <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subtyp_id" class="required"><b>Course Type</b></label>
                                    <select class="form-control" id="subtyp_id" name="subtyp_id" required>
                                    <option value="">select</option>
                                    @foreach($subtype as $subjectType)
                                    <option value="{{ $subjectType->subtyp_id}}" {{ old('subtyp_id')==$subjectType->subtyp_id ? "selected":"" }}>{{ $subjectType->subject_type}}</option>
                                    @endforeach 
                                    </select>
                                        @error('subtyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>    
                        
                         <div class="col-md-3">
                            <div class="form-group">
                               <label for="sub_id" class="required"><b>Course</b></label>
                               <select class="form-control" id="sub_id" name="sub_id" required>
                                <option value="">select</option>
                                </select>
                            </div>
                        </div>
                            
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="co_outcome" class="required"><b>Course Outcome</b></label>
                               <select class="form-control" id="co_outcome" name="co_outcome" required>
                                <option value="">select</option>
                                </select>
                            </div>
                        </div>
                            
                            
                         
                            
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="mapping_level" class="required"><b>Mapping Level</b></label>
                               <select class="form-control" id="mapping_level" name="mapping_level" required>
                                <option value="">select</option>
                                <option value="0">0</option>
                                <option value="1">1</option>
                                 <option value="2">2</option>
                                  <option value="3">3</option>
                                   <option value="4">4</option>
                                </select>
                            </div>
                        </div>
                            
                            
                        </div>    
                         
                       <div class="row">  
                         <div class="col-md-12">
                             <div class="form-group">
                               <label></label>
                                 <button type="submit" class="btn btn-primary float-right">Save</button>
                             </div>
                             </div>
                         </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
        
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
     <script src="{{ asset('public/js/bsubj.js') }}"></script>  
      <script src="{{ asset('public/js/co.js') }}"></script>  
        
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Program</b></th>
                            <th><b>Course Type</b></th>
                            <th><b>Course</b></th>
                            <th><b>Course Outcome</b></th>
                            <th><b>Program Outcome</b></th>
                            <th><b>Mapping Level</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($copomapping as $copo)
                                <tr>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$copo->coursen->course_name}}</td>
                                    <td>{{ optional($copo->subtypen)->subject_type ?? 'N/A' }}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$copo->subjectn->subject_name}}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$copo->coutcome->co_no.' '.$copo->coutcome->co_name}}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$copo->poutcome->po_name}}</td>
                                    <td>{{$copo->mapping_level}}</td>
                                    <td>{{app_table_links($copo->id,array(261,260)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
      </div>
            </div>
        </div>
    </div>
     <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/pso.js') }}"></script> 
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection