@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','CO-PSO Mapping')
@section('breadcrumb','Settings / OBE / CO-PSO Mapping')
@section('content')
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card" >
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
              {{ app_button_links_v(array(246,262,270,265,247,250,251)) }}
                    
            
             
         </div>  
        <div class="card-header" style="background-color:#073980;color:white"><b>CO-PSO Mapping</b></div>
        <div class="card-body">
        <form >
        @csrf
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="course" class="required"><b>Program</b></label>
        <select class="form-control" id="course" name="course" required>
        <option value="">Select</option>
        @foreach($courses as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
        <select class="form-control" id="semester_id" name="semester_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
        <div class="col-md-3">
        <div class="form-group">
        <label for="subtyp_id" class="required"><b>Course Type</b></label>
        <select class="form-control" id="subtyp_id" name="subtyp_id" required>
        <option value="">select</option>
        @foreach($subtype as $subjectType)
        <option value="{{ $subjectType->subtyp_id}}" {{ old('subtyp_id')==$subjectType->subtyp_id ? "selected":"" }}>{{ $subjectType->subject_type}}</option>
        @endforeach 
        </select>
            @error('subtyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>    
        
       <div class="col-md-3">
        <div class="form-group">
        <label for="sub_id" class="required"><b>Course</b></label>
        <select class="form-control" id="sub_id" name="sub_id" required>
        <option value="">select</option>
        </select>
        </div>
        </div>
        </div>
        
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
         <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        
        
        
       <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Program</b></th>
                            <th><b>Course outcome</b></th>
                            <th><b>Program Specific Outcome</b></th>
                            <th><b>BT Level</b></th>
                            <th><b>Assessment Method</b></th>
                            <th><b>Mapping Level</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($copso as $cpo)
                                <tr>
                                    <td>{{$cpo->coursen->course_name}}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$cpo->coutcome->co_name}}</td>
                                    <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{$cpo->psoutcome->pso_name}}</td>
                                    <td>{{$cpo->btleveln->level}}</td>
                                    <td>{{$cpo->asessmethodn->method}}</td>
                                    <td>{{$cpo->mapping_level}}</td>
                                    <td>{{app_table_links($cpo->id,array(264,263)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>   
        
        
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
     <script src="{{ asset('public/js/subject.js') }}"></script> 
    <script src="{{ asset('public/js/coutcome.js') }}"></script> 
     <script src="{{ asset('public/js/copsomapping.js') }}"></script>
     <script src="{{ asset('public/js/bsubj.js') }}"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
    
    

    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection