@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Seat Allotment')
@section('breadcrumb','Settings / Seat Allotment')
@section('content')



    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add</b></div>
    <div class="card-body">
    <form action="{{ route('seatallot.save') }}" method="post">
    @csrf
                        
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="ac_id" class="required"><b>Academic Year</b></label>
                        <select class="form-control" id="ac_id" name="ac_id" required>
                        @foreach($acyears as $acyear)
                        <option value="{{ $acyear->ac_id }}" {{ $ac_id==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                        @endforeach
                        </select>
                        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="course_id" class="required"><b>Program</b></label>
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        @foreach($courses as $course)
                        <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                        @endforeach
                        </select>
                        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                           
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="seats" class="required"><b>Allot Seats</b></label>
                                    <input type="text" class="form-control @error('seats') border-danger @enderror" id="seats" name="seats" value="{{ old('seats') }}">
                                    @error('seats')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    </div>
                    </form>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Academic Year</b></th>
                            <th><b>Program Name</b></th>
                            
                            <th><b>Alloted Seats</b></th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
           
                            @forelse($seatallot as $seats)
                                             @php
   
                       $startDate = new \DateTime($seats->acyear->sdate);
                       $endDate = new \DateTime($seats->acyear->edate);
                       $startYear = $startDate->format('Y');
                       $endYear = $endDate->format('Y');
@endphp
                                <tr>
                                    <td>{{$startYear.' - '.$endYear}}</td>
                                     <td>{{$seats->course->course_name}}</td>
                                    
                                   <td>{{ $seats->allotd_seat}}</td>

                                  <td>{{ app_table_links($seats->seat_id,array(766)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
     
    <style>
                                      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection