@extends('layouts.template')
@section('title','Staff Attendance')
@section('heading','Staff Attendance')
@section('breadcrumb','Home / Staff / Attendance')
@section('content')
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .custom-check{
            width: 20px;
            height: 20px;
            accent-color: #38ce3c;
            cursor: pointer;
        }
        .custom-check:checked {
            accent-color: #38ce3c;
        }
        .square{
            width: 20px;
            height: 20px;
        }
        .am {
            background: linear-gradient(to right, #38ce3c 50%, #ff4d6b 50%);
        }
        .pm {
            background: linear-gradient(to right, #ff4d6b 50%, #38ce3c 50%);
        }
    </style>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="type">Designation</label>
                            <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                <option value="">Select</option>
                                @foreach($types as $type)
                                    <option value="{{ $type->type_id }}" {{ $type->type_id==$typeId ? "selected":"" }}>{{ $type->type_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="date">Date</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="date" class="form-control" id="date" name="date" value="{{ $date }}" required>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    @if(!empty($staffs))
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-success"></div> Present
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-danger"></div> Absent
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square am"></div> Forenoon
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square pm"></div> Afternoon
                        </div>
                    </div>
                </div>
                <form action="{{ route('staff.attendance.save') }}" method="post">
                    @csrf
                    <input type="hidden" id="date" name="date" value="{{ $date }}">
                    <input type="hidden" id="stype" name="stype" value="{{ $typeId }}">
                    <div class="scroll">
                        <table class="table table-bordered" width="100%">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Emp. Id</th>
                                <th>Staff Name</th>
                                <th>Designation</th>
                                <th><input type="checkbox" class="custom-check" onclick="checkAll(this);" checked> Attendance</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($staffs as $staff)
                                    <tr>
                                        <td align="center">{{ $loop->iteration }}</td>
                                        <td align="center">{{ $staff['eno'] }}</td>
                                        <td>{{ $staff['name'] }}</td>
                                        <td align="center">{{ $staff['desig'] }}</td>
                                        <td align="center">
                                            @if($staff['am']=='' && $staff['pm']=='')
                                                <input type="checkbox" class="custom-check checkSub" name="posted[]" value="{{ $staff['id'] }}" onclick="staffDet('{{ $staff['id'] }}')" checked>
                                            @elseif($staff['am']==1 && $staff['pm']==1)
                                                <div class="square bg-success" onclick="staffDet('{{ $staff['id'] }}')"></div>
                                            @elseif($staff['am']==0 && $staff['pm']==0)
                                                <div class="square bg-danger" onclick="staffDet('{{ $staff['id'] }}')"></div>
                                            @elseif($staff['am']==1 && $staff['pm']==0)
                                                <div class="square am" onclick="staffDet('{{ $staff['id'] }}')"></div>
                                            @elseif($staff['am']==0 && $staff['pm']==1)
                                                <div class="square pm" onclick="staffDet('{{ $staff['id'] }}')"></div>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="modal fade" id="attendanceModal" tabindex="-1" role="dialog" aria-labelledby="attendanceModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="attendanceModalLongTitle">Staff Attendance</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger">No Result Found !</div>
    @endif
    <script>
        function checkAll(source){
            const checkboxes = document.querySelectorAll('.checkSub');
            checkboxes.forEach(checkbox => checkbox.checked = source.checked);
        }
        
        function staffDet(sid){
            var date = $('#date').val();
            var stype = $('#type').val();
            
            var baseUrl = window.location.origin;
            
            if(date!=''){
                $.ajax({
                    type : 'GET',
                    url : baseUrl+'/staff-attendance-details',
                    data : { date: date, stype: stype, sid: sid },
                    success : function(response){
                        $('.modal-body').html(response);
                        $('#attendanceModal').modal('show');
                    },
                    error: function (xhr, status, error) {
                        alert('Could not able to fetch data. Try again later !');
                    }
                });
            }else{
                alert('Invalid Data');
            }
        }
    </script>
@endsection