@extends('layouts.template')
@section('title','Staff Attendance')
@section('heading','Staff Attendance')
@section('breadcrumb','Home / Staff / Attendance')
@section('content')
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .custom-check{
            width: 20px;
            height: 20px;
            accent-color: #38ce3c;
            cursor: pointer;
        }
        .custom-check:checked {
            accent-color: #38ce3c;
        }
        .square{
            width: 20px;
            height: 20px;
        }
        .am {
            background: linear-gradient(to right, #38ce3c 50%, #ff4d6b 50%);
        }
        .pm {
            background: linear-gradient(to right, #ff4d6b 50%, #38ce3c 50%);
        }
    </style>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="type">Designation</label>
                            <select class="js-example-basic-single" id="type" name="type" style="width:100%">
                                <option value="">Select</option>
                                @foreach($types as $type)
                                    <option value="{{ $type->type_id }}" {{ $type->type_id==$typeId ? "selected":"" }}>{{ $type->type_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="month">Month</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="month" class="form-control" id="month" name="month" value="{{ $month }}" required>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    @if(!empty($staffs))
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-success"></div> Present
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-danger"></div> Absent
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square am"></div> Forenoon
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square pm"></div> Afternoon
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered" width="100%">
                        <thead>
                        <tr>
                            <th width="5%">#</th>
                            <th width="10%">Emp Id.</th>
                            <th width="30%">Staff Name</th>
                            <th width="20%">Designation</th>
                            @foreach($dates as $date)
                                <th width="9%"><span class="date">{{ date('d',strtotime($date)) }}</span><br><br><span class="day">{{ strtoupper(date('D',strtotime($date))) }}</span></th>
                            @endforeach
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($staffs as $staff)
                                <tr>
                                    <td align="center">{{ $loop->iteration }}</td>
                                    <td align="center">{{ $staff->employee_id_num }}</td>
                                    <td>{{ $staff->name }}</td>
                                    <td align="center">{{ $staff->desig->type_name }}</td>
                                    @foreach($dates as $date)
                                        <td align="center" @if(date('l',strtotime($date))=='Sunday' || in_array(date('Y-m-d',strtotime($date)),$holidays)) class="bg-light-red" @endif>
                                            @if(isset($data[$staff->user_id][$date]))
                                                @if($data[$staff->user_id][$date]['am']==1 && $data[$staff->user_id][$date]['pm']==1)
                                                    <div class="square bg-success"></div>
                                                @elseif($data[$staff->user_id][$date]['am']==0 && $data[$staff->user_id][$date]['pm']==0)
                                                    <div class="square bg-danger"></div>
                                                @elseif($data[$staff->user_id][$date]['am']==1 && $data[$staff->user_id][$date]['pm']==0)
                                                    <div class="square am"></div>
                                                @elseif($data[$staff->user_id][$date]['am']==0 && $data[$staff->user_id][$date]['pm']==1)
                                                    <div class="square pm"></div>
                                                @endif
                                            @endif
                                        </td>
                                    @endforeach
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger">No Result Found !</div>
    @endif
@endsection