@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Class Teacher')
@section('breadcrumb','Settings / Staff Setting /Class Teacher')
@section('content')



                <div class="row">
                <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    
                <div class="card-body">
                <form action="{{ route('classteacher.save') }}" method="post">
    @csrf
                <div class="row">
                <div class="col-md-3">
                <div class="form-group">
                <label for="ac_id" class="required"><b>Academic Year</b></label>
                <select class="form-control" id="ac_id" name="ac_id" required>
                    <option value="">Select</option>
                @foreach($acyear as $acyear)
                <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                @endforeach
                </select>
                @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                <div class="col-md-3">
                <div class="form-group">
                <label for="course_id" class="required"><b>Program</b></label>
                <select class="js-example-basic-single form-control" id="course_id" name="course_id" required>
                <option value="">Select</option>
                @foreach($course as $course)
                <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                @endforeach
                </select>
                @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
                </div>
                <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                    <option value="">Select</option>
                                    </select>
                                    </div>
                                    </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="user_id" class="required"><b>Class Teacher</b></label>
                            <select class="js-example-basic-single form-control" id="user_id" name="user_id" required>
                            <option value="">Select</option>
                            @foreach($user as $users)
                            <option value="{{ $users->user_id  }}" {{ old('user_id')==$users->user_id  ? "selected":"" }}>{{ $users->name }}</option>
                            @endforeach
                            </select>
                            @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            </div>
                       <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                    </div>
                    
                </div>
            </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Acyear</b></th>
                            <th><b>Program</b></th>
                            <th><b>Semester</b></th>
                            <th><b>Staff</b></th>
                            <th><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($classteacher as $teacher)
                                <tr>
                                   @php 
                                   $startDate=$teacher->acyear->sdate;
                                   $endDate=$teacher->acyear->edate;
                                   $startYear=date('Y',strtotime($startDate));
                                   $endYear=date('Y',strtotime($endDate));
                                
                                   
                                   @endphp
                                    <td>{{$startYear}}-{{$endYear}}</td>
                                    <td>{{ $teacher->course->course_name }}</td>
                                    <td>{{ $teacher->sem->semester_name }}</td>
                                    <td>{{ $teacher->user?->name ?? ''  }}</td>
                                    <td>{{app_table_links($teacher->clstchr_id,array(147,148)) }}</td>
                                   
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script>
        <!--<script src="{{ asset('public/js/clstchr.js') }}"></script>-->
    <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        } 

       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection