@extends('layouts.template')
@section('title','Attendance')
@section('heading','Attendance')
@section('breadcrumb','Home / Student / Hourly Attendance')
@section('content')
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .custom-check{
            width: 20px;
            height: 20px;
            accent-color: #38ce3c;
            cursor: pointer;
        }
        .custom-check:checked {
            accent-color: #38ce3c;
        }
        .square{
            width: 20px;
            height: 20px;
        }
    </style>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <a href="{{ route('fyugp.staff.student.attendance',['cdate'=>$date]) }}" class="btn btn-sm btn-danger">Back</a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Program :</label>
                        <label class="col-7 text-danger">{{ $timeperiod->coursedet->course_name }}</label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Semester :</label>
                        <label class="col-7 text-danger">{{ $timeperiod->semesterdet->semester_name }}</label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Category :</label>
                        <label class="col-7 text-danger">{{ $timeperiod->category->category }}</label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Date :</label>
                        <label class="col-7 text-danger">{{ date('d/m/Y',strtotime($date)) }}</label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Day :</label>
                        <label class="col-7 text-danger">{{ date('l',strtotime($date)) }}</label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Period :</label>
                        <label class="col-7 text-danger">{{ $period->period }}</label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Subject :</label>
                        <label class="col-7 text-danger">{{ $subject->subject_name }}</label>
                    </div>
                </div>
                @if($timeperiod->group)
                    <div class="col-12 col-sm-4">
                        <div class="form-group row">
                            <label class="col-5">Group :</label>
                            <label class="col-7 text-danger">{{ $timeperiod->group->name }}</label>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group row">
                            <label class="col-5">Programmes :</label>
                            <label class="col-7 text-danger">
                                @foreach($timeperiod->group->courses as $course)
                                    {{ $course->course_name }}<br>
                                @endforeach
                            </label>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
    @if(!empty($students))
        <div class="card mt-2">
            <div class="card-body">
                <form action="{{ route('fyugp.staff.student.attendance.save') }}" method="post">
                    @csrf
                    <input type="hidden" id="date" name="date" value="{{ $date }}">
                    <input type="hidden" id="period" name="period" value="{{ $period->id }}">
                    <input type="hidden" id="subject" name="subject" value="{{ $subject->subject_id }}">
                    <input type="hidden" id="dataid" name="dataid" value="{{ $timeperiod->id }}">
                    <div class="scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Adm No.</th>
                                <th>Roll No.</th>
                                <th>Name</th>
                                <th>
                                    <input type="checkbox" class="custom-check" onclick="checkAll(this);" checked> Attendance
                                </th>
                                @if($timeperiod->categ_id!=1)
                                    <th>Program</th>
                                @endif
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($students as $student)
                                    <tr>
                                        <td align="center">{{ $loop->iteration }}</td>
                                        <td align="center">{{ $student['adno'] }}</td>
                                        <td align="center">{{ $student['rollno'] }}</td>
                                        <td>{{ strtoupper($student['name']) }}</td>
                                        <td align="center">
                                            <input type="hidden" name="scourse_id{{$student['student_id']}}" value="{{ $student['course_id'] }}">
                                             <input type="hidden" name="ssem_id{{$student['student_id']}}" value="{{ $student['sem_id'] }}">
                                             <input type="hidden" name="students[]" value="{{$student['student_id']}}">
                                            @if($student['status']=='')
                                                <input type="checkbox" class="custom-check checkSub" name="posted[]" value="{{ $student['student_id'] }}"  checked>
                                            @elseif($student['status']=='P')
                                                <div class="square bg-success" onclick="studDet('{{ $student['student_id'] }}','{{ $student['course_id'] }}','{{ $student['sem_id'] }}')"></div>
                                            @elseif($student['status']=='A')
                                                <div class="square bg-danger" onclick="studDet('{{ $student['student_id'] }}','{{ $student['course_id'] }}','{{ $student['sem_id'] }}')"></div>
                                            @endif
                                        </td>
                                         @if($timeperiod->categ_id!=1)
                                            <td>{{ $student['course'] }}</td>
                                        @endif
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-12">
                            <div class="form-group">
                                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="modal fade" id="attendanceModal" tabindex="-1" role="dialog" aria-labelledby="attendanceModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="attendanceModalLongTitle">Student Attendance</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger mt-2">No Students Found in Selected Course !</div>
    @endif
    <script>
        function checkAll(source){
            const checkboxes = document.querySelectorAll('.checkSub');
            checkboxes.forEach(checkbox => checkbox.checked = source.checked);
        }
        
        function studDet(sid,cid,sem){
            
            var date = $('#date').val();
            var period = $('#period').val();
            var subject = $('#subject').val();
            var dataid= $('#dataid').val();
            
            var baseUrl = window.location.origin;
            
            if(date!='' && period!='' && subject!='' && dataid!='' && sid!='' && cid!='' && sem!=''){
                $.ajax({
                    type : 'GET',
                    url : baseUrl+'/staff/fyugp-student-attendance-details',
                    data : { date: date, period: period, subject: subject, dataid: dataid, sid: sid, cid: cid, sem: sem },
                    success : function(response){
                        $('.modal-body').html(response);
                        $('#attendanceModal').modal('show');
                    },
                    error: function (xhr, status, error) {
                        alert('Could not able to fetch data. Try again later !');
                    }
                });
            }else{
                alert('Invalid Data');
            }
        }
    </script>
@endsection