<form action="{{ route('staff.student.attendance.all.leave') }}" method="post">
    @csrf
    <input type="hidden" name="course" value="{{ $course->course_id }}">
    <input type="hidden" name="semester" value="{{ $semester->semester_id }}">
    <input type="hidden" name="subject" value="{{ $subject->subject_id }}">
    <input type="hidden" name="staff" value="{{ $staff->user_id }}">
    <input type="hidden" name="date" value="{{ $date }}">
    <input type="hidden" name="period" value="{{ $period->id }}">
    <input type="hidden" name="student" value="{{ $student->student_id }}">
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Adno :</label>
                <label class="col-7 text-danger">{{ $student->adno }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Name :</label>
                <label class="col-7 text-danger">{{ $student->name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Program :</label>
                <label class="col-7 text-danger">{{ $course->course_name }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Semester :</label>
                <label class="col-7 text-danger">{{ $semester->semester_name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Course :</label>
                <label class="col-7 text-danger">{{ $subject->subject_name }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Date :</label>
                <label class="col-7 text-danger">{{ date('d/m/Y',strtotime($date)) }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Day :</label>
                <label class="col-7 text-danger">{{ date('l',strtotime($date)) }}</label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Period :</label>
                <label class="col-7 text-danger">{{ $period->period }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Staff :</label>
                <label class="col-7 text-danger">{{ $staff->name }}</label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Attendance</label>
                <div>
                    <label for="present"><input type="radio" id="present" name="status" value="P" @if($status=='' || $status=='P') checked @endif> Present</label>
                    <label for="absent"><input type="radio" id="absent" name="status" value="A" @if($status=='A') checked @endif> Absent</label>
                </div>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Leave Type</label>
                <select class="form-control" name="ltype">
                    <option value="">Select</option>
                    @foreach($leaves as $leave)
                        <option value="{{ $leave->stuleav_id }}" {{ $leave->stuleav_id==$ltype ? 'selected':'' }}>{{ $leave->leave_name }}</option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Reason</label>
                <textarea class="form-control" name="reason" rows="3">{{ $reason }}</textarea>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form>