@extends('layouts.template')
@section('title','Attendance')
@section('heading','Prior Attendance')
@section('breadcrumb','Home / Student / Prior Attendance')
@section('content')
    <div class="card">
        <div class="card-header">
            <div class="card-tools">
                {{ app_button_links(array(729)) }}
            </div>
        </div>
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course">Program</label>
                            <select class="form-control js-example-basic-single" id="course" name="course">
                                <option value="">Select</option>
                                @foreach($courses as $course)
                                    <option value="{{ $course->course_id }}" {{ $course->course_id==$courseId ? 'selected':'' }}>{{ $course->course_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <select class="form-control js-example-basic-single" id="semester" name="semester">
                                <option value="">Select</option>
                                @foreach($semesters as $semester)
                                    <option value="{{ $semester->semester_id }}" {{ $semester->semester_id==$semesterId ? 'selected':'' }}>{{ $semester->semester_name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="leave">Leave Type</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <select class="form-control js-example-basic-single" id="leave" name="leave" required>
                                            <option value="">Select</option>
                                            @foreach($leaves as $leave)
                                                <option value="{{ $leave->stuleav_id }}" {{ $leave->stuleav_id==$leaveId ? 'selected':'' }}>{{ $leave->leave_name }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    @if($priors->count() > 0)
        <div class="card">
            <div class="card-body">
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Adm No</th>
                            <th>Student Name</th>
                            <th>Program</th>
                            <th>Semester</th>
                            <th>Leave Type</th>
                            <th>From</th>
                            <th>To</th>
                            <th>Reason</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($priors as $prior)
                                <tr>
                                    <td align="center">{{ $loop->iteration }}</td>
                                    <td align="center">{{ $prior->student->adno }}</td>
                                    <td>{{ $prior->student->name }}</td>
                                    <td align="center">{{ $prior->course->course_name }}</td>
                                    <td align="center">{{ $prior->semester->semester_name }}</td>
                                    <td align="center">{{ $prior->leave->leave_name }}</td>
                                    <td align="center">{{ date('d/m/Y', strtotime($prior->fdate)) }}</td>
                                    <td align="center">{{ date('d/m/Y', strtotime($prior->tdate)) }}</td>
                                    <td>{{ $prior->reason }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-danger">No Result Found !</div>
    @endif
    <script src="{{ asset('public/js/class-teacher.js?ver=1.3') }}"></script>
@endsection