@extends('layouts.template')
@section('title', 'Dashboard')
@section('heading', 'Student Birthday')
@section('breadcrumb', 'Home / Student Birthday')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Birthday Reminder</div>
        <div class="card-body">
            <div class="row">
                @foreach($students as $birthday)
                    <div class="col-12 col-md-4 mb-4">
                        <div class="card text-center shadow-sm border-0">
                            <div class="card-body">
                                <img src="{{ asset('public/uploads/student/photo/'.$birthday->photo) }}" class="rounded-circle" alt="{{ $birthday->name }}" style="width: 100px; height: 100px; object-fit: cover; border: 3px solid #005A9C;">
                                <h5 class="card-title mt-2">{{ $birthday->name }}</h5>
                                <p class="card-text"><strong>Adno:</strong> {{ $birthday->adno }}</p>
                                <p class="card-text">{{ $birthday->course_name }}</p>
                                <p class="card-text">{{ $birthday->semester_name }}</p>
                                <button class="btn btn-sm btn-info" data-toggle="modal" data-target="#birthdayModal" onclick="showDetails('{{ $birthday->name }}', '{{ $birthday->mobile }}')">View Details</button>
                                <form action="{{route('message.stu.send')}}" method="post">
                                    @csrf
                                    <input type="hidden" name="student_id" value="{{$birthday->student_id}}">
                                    <div class="input-group mt-3">
                                        <input type="text" id="messageInput-{{ $birthday->student_id }}" name="message" value="Happy Birthday {{ $birthday->name }}!!" placeholder="Enter your message" class="form-control" aria-label="Birthday Message">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit"  style="height: 100%;">
                                                <i class="fas fa-birthday-cake" style="color: #FF6F61;"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
    <div class="modal fade" id="birthdayModal" tabindex="-1" role="dialog" aria-labelledby="birthdayModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content rounded-lg border-0">
                <div class="modal-header" style="background-color: #005A9C;">
                    <h5 class="modal-title text-white" id="birthdayModalLabel">Birthday Details</h5>
                    <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p id="birthdayDetails"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <script>
        function showDetails(name, mobile) {
            const details = `Name: ${name}<br>Mobile: ${mobile}`;
            document.getElementById('birthdayDetails').innerHTML = details;
        }
    </script>
    <style>
        .input-group .form-control {
            height: 38px; /* Adjust this height to match your button */
        }
        .input-group .btn {
            height: 38px; /* Same height as input */
            padding: 0.375rem 0.75rem; /* Match padding */
            display: flex; /* Center icon vertically */
            align-items: center; /* Center icon vertically */
        }
    </style>
@endsection