<style>
    /* Ensure proper wrapping and alignment */
    td, th {
        padding: 10px;
        border: 1px solid #000;
        word-wrap: break-word; /* Ensure text wraps within the cell */
        text-align: center; /* Ensure text is centered */
    }

    /* Make sure long names are handled gracefully */
    .name-column {
        max-width: 150px; /* Set a max width for the student name */
        word-wrap: break-word; /* Ensure text breaks onto the next line */
        text-overflow: ellipsis; /* Use ellipsis if the text overflows */
    }
</style>

<table style="width: 100%; text-align: center; margin-bottom: 20px;">
    <thead>
        <tr>
            <th colspan="5">
                <b>{{ instituteDetails()->name }}</b>
            </th>
        </tr>
        <tr>
            <th colspan="5">
                <b>Attendance Report</b>
            </th>
        </tr>
         <tr>
            <th colspan="5">
                <b>{{$subject->subject_name}}</b>
            </th>
        </tr>
        
    </thead>
</table>

<table style="width: 100%; border: 1px solid #000; border-collapse: collapse;">
    <thead>
        <tr style="background-color: #f2f2f2; text-align: center;">
            <th style="padding: 20px; border: 1px solid #000;"><b>#</b></th>
            <th style="padding: 20px; border: 1px solid #000;"><b>Adno</b></th>
             <th style="padding: 20px; border: 1px solid #000;"><b>Roll No.</b></th>
              <th style="padding: 20px; border: 1px solid #000;"><b>Program</b></th>
            <th style="padding: 20px; border: 1px solid #000;"><b>Student Name</b></th>
            <th style="padding: 20px; border: 1px solid #000;">
                <b>Total Present</b><br>
                <span style="font-size: 12px; color: grey;">
                    (Total Attendance Days: {{ $total_attendance_days }} days)
                </span>
            </th>
            <th style="padding: 8px; border: 1px solid #000;"><b>Total Percentage</b></th>
        </tr>
    </thead>
    <tbody>
        @foreach($student as $students)
            <tr style="text-align: center;">
                <td style="padding: 20px; border: 1px solid #000;">{{$loop->iteration}}</td>
                <td style="padding: 20px; border: 1px solid #000;">{{ strtoupper($students->adno) }}</td>
                 <td style="padding: 20px; border: 1px solid #000;">{{ strtoupper($students->rollno) }}</td>
                  <td style="padding: 20px; border: 1px solid #000;">{{ strtoupper($students->course_name) }}</td>
                <td class="name-column">{{ strtoupper($students->name) }}</td>
                <td style="padding: 20px; border: 1px solid #000;">{{$students->total_present}}</td>
                
                @php
                    $totaldays = $total_attendance_days;
                    $presentdays = $students->total_present;
                    $totalpercentage = $totaldays > 0 ? ($presentdays / $totaldays) * 100 : 0;
                @endphp

                <td style="padding: 8px; border: 1px solid #000;">
                      @if(floor($totalpercentage) == $totalpercentage)
        {{ floor($totalpercentage) }}% 
    @else
        {{ number_format($totalpercentage, 2) }}% 
    @endif  
                </td>
            </tr>
        @endforeach
    </tbody>
</table>
