@extends('layouts.student-template')
@section('title','Attendance')
@section('heading','Attendance Report')
@section('breadcrumb','Home / Attendance / Report')
@section('content')
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="fdate">From Date</label>
                            <input type="date" class="form-control @error('fdate') border-danger @enderror" id="fdate" name="fdate" value="{{ $fdate }}">
                            @error('fdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="tdate">To Date</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="date" class="form-control @error('tdate') border-danger @enderror" id="tdate" name="tdate" value="{{ $tdate }}">
                                        @error('tdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    @if(!empty($data))
        <br>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-2">
                        <div class="form-group row">
                            <div class="square bg-success"></div> Present
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group row">
                            <div class="square bg-danger"></div> Absent
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th rowspan="2">Date</th>
                            <th rowspan="2">Day</th>
                            <th colspan="{{ $periods->count() }}">Period</th>
                            <th rowspan="2">Total</th>
                        </tr>
                        <tr>
                            @foreach($periods as $period)
                                <th width="10%">{{ $period->period }}</th>
                            @endforeach
                        </tr>
                        </thead>
                        <tbody>
                            @php $grandTotal=$grandPresent=0; @endphp
                            @foreach($dates as $date)
                                @php $total=$present=0; @endphp
                                <tr @if(date('l',strtotime($date))=='Sunday') class="bg-light-red" @endif>
                                    <td align="center">{{ date('d/m/Y',strtotime($date)) }}</td>
                                    <td align="center">{{ date('l',strtotime($date)) }}</td>
                                    @foreach($periods as $period)
                                        <td align="center">
                                            @if(isset($data[$date][$period->id]))
                                                @php $total++; @endphp
                                                @if($data[$date][$period->id]=='P')
                                                    @php $present++; @endphp
                                                    <div class="square bg-success"></div>
                                                @elseif($data[$date][$period->id]=='A')
                                                    <div class="square bg-danger"></div>
                                                @endif
                                            @endif
                                        </td>
                                    @endforeach
                                    <td align="center">{{ $present.'/'.$total }}</td>
                                </tr>
                                @php $grandTotal += $total; $grandPresent += $present; @endphp
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="{{ $periods->count()+2 }}" align="center"><b>GRAND TOTAL</b></td>
                                <td align="center"><b>{{ $grandPresent.'/'.$grandTotal }}</b></td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-warning">No Result Found !</div>
    @endif
@endsection