@extends('layouts.student-template')
@section('title','E-Contents')
@section('heading','E-Contents')
@section('breadcrumb','Home / E-Contents')
@section('content')
    <div class="card card-primary">
        <div class="card-body">
            <table class="table table-bordered" width="100%">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Date</th>
                    <th>Subject</th>
                    <th>Description</th>
                    <th>Added By</th>
                    <th>URL</th>
                    <th>Download</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($contents as $content)
                    
                   
                        <tr>
                            <td>{{$loop->iteration}}</td>
                            <td>{{ date('d-m-Y',strtotime($content->date)) }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $content->subject_name }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $content->description }}</td>
                            <td>{{ $content->name ?? ''; }}</td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                @if($content->url)
                                    <a href="{{ $content->url }}" target="_blank"  style="color: blue;">{{ $content->url }}</a>
                                @else
                                   No URL available
                                @endif
                            </td>
                            <td>
                                @if($content->file)
                                    <a href ="{{ asset('public/uploads/staff/econtent/'.$content->file) }}" download class="btn btn-sm btn-danger">Download</a>
                                @endif
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="7">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection