@extends('layouts.student-template')
@section('title','Home')
@section('heading','Dashboard')
@section('breadcrumb','Home')
@section('content')
    <div class="row">
        <div class="col-12 col-sm-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Attendance</h4>
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group">
                                <label for="semester">Semester</label>
                                <select class="form-control" id="semester" onchange="loadAttendance();">
                                    <option value="">All</option>
                                    @foreach($semesters as $semester)
                                        <option value="{{ $semester->semester_id }}">{{ $semester->semester_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="loading" id="attendance"></div>
                </div>
            </div>
        </div>
       <div class="col-12 col-sm-8">
        <div class="row">
            <!-- Pending Tasks -->
            <div class="col-12 col-md-6">
                <div class="custom-card">
                    <a href="{{route('student.task.pending')}}">
                        <div class="row">
                            <div class="col-3">
                                <div class="count-icon">
                                    <i class="fas fa-tasks"></i>
                                </div>
                            </div>
                            <div class="col-9">
                                <div class="count-no" id="taskcount">Loading...</div>
                                <div class="count-title">Pending tasks</div>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
           <br>
           <br>
           <br>
            <!-- Assignments -->
            <div class="col-12">
                <div id="assignmentDetails"></div>
            </div>

            <!-- Special Classes -->
            <div class="col-12">
                <div id="specialClassDetails"></div>
            </div>
            
             <!-- Special Classes -->
            <div class="col-12">
                <div id="mainstreamAssigDetails"></div>
            </div>
            <!--ROLLOUT-WARNING-->
             <div class="col-12">
                <div id="rolloutwarning"></div>
            </div>
            <!--Notification-->
             <div class="col-12">
                <div id="notification"></div>
            </div>
             <!--Notification2-->
             <div class="col-12">
                <div id="notification2"></div>
            </div>
            
        </div>
    </div>

    </div>
   
    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student/dashboard.js?ver=1.46') }}"></script>
@endsection