@extends('layouts.student-template')
@section('title','My Profile')
@section('heading','My Profile')
@section('breadcrumb','Home / My Profile')
@section('content')

<div class="card">
        <div class="card-body">
            @if ($errors->has('photo'))
            <script>
                alert("{{ $errors->first('photo') }}");
            </script>
        @endif
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php $photo = $student->photo ?? 'student.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/student/photo/'.$photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Adm No. </label>
                        <label class="col-7">: <span class="text-danger">{{ $student->adno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Roll No. </label>
                        <label class="col-7">: <span class="text-danger">{{ $student->rollno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Name </label>
                        <label class="col-7">: <span class="text-danger">{{ strtoupper($student->name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Admission Date </label>
                        <label class="col-7">: <span class="text-danger">{{ $student->adate }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Major 1 </label>
                        <label class="col-7">: <span class="text-danger">{{ strtoupper($student->course->course_name) }}</span></label>
                    </div>
                    @if($student->major_ii)
                        <div class="form-group row">
                            <label class="col-5">Major 2 </label>
                            <label class="col-7">: <span class="text-danger">{{ strtoupper($student->majorii->course_name) }}</span></label>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label class="col-5">Semester </label>
                        <label class="col-7">: <span class="text-danger">{{ strtoupper($promote->semester->semester_name) }}</span></label>
                    </div>
                   
                    <div class="form-group row">
                        <label class="col-5">Pathway </label>
                         @if($pathway)
                        <label class="col-7">: <span class="text-danger">{{ strtoupper($pathway->pathway) }}</span></label>
                        @else
                        <label class="col-7">: <span class="text-danger">No Pathway assigned !</span></label>
                        @endif
                    </div>
                    
                </div>
                
               
            </div>
            
           
        </div>
    </div>
    <br>
  <form action="{{ route('student.profile.update') }}" method="post" enctype="multipart/form-data">
    @csrf   
 <div class="card card-primary">
        <div class="card-header">Personal Information</div>
        <div class="card-body">
            <div class="row">
               
                <div class="col-md-6">
                    
                                   
                    
                    <div class="form-group">
                         <div class="form-group">
                           <label for="name" class="required">Name</label>
                    <input type="text" class="form-control text" id="name" name="name" value="{{ $student->name }}" placeholder="Student Name" required>
                    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                   
                                <div class="form-group">
                                <label for="male" class="required">Gender</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ $student->gender =='male' ? "checked":"" }}> Male </label>
                                </div>
                                </div>
                                <div class="col-md-8">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ $student->gender =='female' ? "checked":"" }}> Female </label>
                                </div>
                                </div>
                                </div>
                                </div>
                               
                    </div>
                    <div class="form-group">
                          <label for="paddress">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" placeholder="Permanent Address" rows="2">{{$student->paddress }}</textarea>
                            @error('paddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                      <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" {{ old('same')=='1' ? "checked":"" }}> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2" placeholder="Communication Address">{{ $student->caddress }}</textarea>
                                @error('caddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                         <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" placeholder="Mobile" value="{{ $student->mobile }}" required readonly>
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                     <div class="form-group">
                         <label for="mobile">Alternate Mobile No.</label>
                                    <input type="text" class="form-control text" id="mobile1" name="mobile1" placeholder="Alternate Mobile No." value="{{ $student->mobile1 }}">
                                    @error('mobile1')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="email"  class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" placeholder="Email" value="{{ $student->email }}">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                        <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" placeholder="Aadhar No" value="{{ $student->aadhar }}">
                                    @error('aadhar')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                         <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" placeholder="Date of Birth" value="{{ $student->dob }}" required>
                                    @error('dob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        
                    </div>
                    <div class="form-group">
                            <label for="bgroup">Blood Group</label>
                                <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" {{ $student->bgroup=='O+ve' ? "selected":"" }}>O+ve</option>
                                        <option value="O-ve" {{ $student->bgroup=='O-ve' ? "selected":"" }}>O-ve</option>
                                        <option value="A+ve" {{ $student->bgroup=='A+ve' ? "selected":"" }}>A+ve</option>
                                        <option value="A-ve" {{ $student->bgroup=='A-ve' ? "selected":"" }}>A-ve</option>
                                        <option value="B+ve" {{ $student->bgroup=='B+ve' ? "selected":"" }}>B+ve</option>
                                        <option value="B-ve" {{ $student->bgroup=='B-ve' ? "selected":"" }}>B-ve</option>
                                        <option value="AB+ve" {{ $student->bgroup=='AB+ve' ? "selected":"" }}>AB+ve</option>
                                        <option value="AB-ve" {{ $student->bgroup=='AB-ve' ? "selected":"" }}>AB-ve</option>
                                </select>
                    </div>
                    <div class="form-group">
                        <label for="religion">Religion</label>
                            <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                <option value="">Select</option>
                                @foreach($religion as $religions)
                                <option value="{{ $religions->religion_id  }}" {{ $student->religion_id == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                                @endforeach
                            </select>
                                @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                             @foreach($community as $comm)
                              <option value="{{ $comm->community_id  }}" {{ $student->community_id == $comm->community_id  ? "selected":"" }}>{{ $comm->community}}</option>
                                @endforeach
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option> 
                                 @foreach($castes as $cst)
                              <option value="{{ $cst->caste_id  }}" {{ $student->caste_id == $cst->caste_id  ? "selected":"" }}>{{ $cst->caste}}</option>
                                @endforeach
                                </select>
                                @error('caste_id ')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" {{ $student->pline=='APL' ? "checked":"" }}> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" {{ $student->pline=='BPL' ? "checked":"" }}> BPL </label>
                                        </div>
                                        </div>
                    </div></div>
                    <div class="form-group">
                       <label for="income" >Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="{{ $student->income }}" placeholder="Annual Income" >
                        @error('income')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                       <label for="fname">Father's Name</label>
                            <input type="text" class="form-control text" id="fname" name="fname" placeholder="Father's Name" value="{{ $student->fname }}" readonly>
                       @error('fname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                          <label for="fmobile">Father's Mobile</label>
                            <input type="text" class="form-control text" id="fmobile" name="fmobile" placeholder="Father's Mobile"  value="{{ $student->fmobile }}">
                          @error('fmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="foccupation">Father's Occupation</label>
                        <input type="text" class="form-control text" id="foccupation" placeholder="Father's Occupation" name="foccupation" value="{{ $student->foccupation }}">
                        @error('foccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="mname">Mother's Name</label>
                            <input type="text" class="form-control text" id="mname" name="mname"  placeholder="Mother's Name"  value="{{ $student->mname }}" readonly>
                        @error('mname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                         <label for="moccupation">Mother's Occupation</label>
                            <input type="text" class="form-control text" id="moccupation"   placeholder="Mother's Occupation"  name="moccupation" value="{{ $student->moccupation }}">
                        @error('moccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                        <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" placeholder="Guardian Name" value="{{ $student->gname }}">
                                    @error('gname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                          <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" placeholder="Guardian Address"  rows="2">{{ $student->gaddress }}</textarea>
                                    @error('gaddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                        <label for="gmobile" >Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile"  placeholder="Guardian Mobile"   value="{{ $student->gmobile }}">
                            @error('gmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" {{ $student->dscholar=='Yes' ? "checked":"" }}> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" {{ $student->dscholar=='No' ? "checked":"" }}> No </label>
                                        </div>
                                        </div>
                                        </div>
                                       
                    </div>
                    <div class="form-group">
                         <label for="yes">NCC/NSS</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NCC" {{ $student->ncc_nss=='NCC' ? "checked":"" }}> NCC </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="ncc_nss" name="ncc_nss" value="NSS" {{ $student->ncc_nss=='NSS' ? "checked":"" }}> NSS </label>
                                        </div>
                                        </div>
                                        </div>
                    </div>
                    <div class="form-group">
                        <label for="abc_id" >ABC ID</label>
                            <input type="text" class="form-control text" id="abc_id" name="abc_id"  placeholder="ABC ID"   value="{{ $student->abc_id }}">
                            @error('abc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    <div class="form-group">
                       <label for="arts_sports" >Arts/Sports</label>
                        <input type="text" class="form-control text" id="arts_sports" name="arts_sports" value="{{ $student->arts_sports }}" placeholder="Arts/Sports" >
                        @error('arts_sports')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                     
                            <div class="form-group">
                            <label for="photo">Photo<font color="red">(jpeg , png , jpg)</font></label>
                            <input type="file"  id="photo" name="photo">
                            @error('photo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                          
                </div>
            </div>
       
         <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-success float-right">Update</button>
                </div>
            </div>
        </div>
         </div>
    </div>
    
         </form>
    <br>
    <div class="card card-primary">
        <div class="card-header">Academic Information</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">Institution Last Studied</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->lastinst }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Program Last Studied</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->lastcourse }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Year of Study</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->lastyear }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">SSLC Marks (%)</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->sslc }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Plus Two Marks (%)</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->plustwo }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Degree Marks (%)</label>
                        <label class="col-7">: <span class="text-danger">{{ $student->degree }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>

 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
      <script src="{{ asset('public/js/studcommunity.js') }}"></script>
    <script src="{{ asset('public/js/studcaste.js') }}"></script>

@endsection