@extends('layouts.student-template')
@section('title', 'Progression')
@section('heading', 'Progression')
@section('breadcrumb', 'Home / Progression')
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('student.progression.save') }}" method="post">
                @csrf
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="student" class="required">Student Name</label>
                            <input type="text" class="form-control @error('student') border-danger @enderror" id="student" name="student" value="{{ old('student') ?? $progression?->student ?? $student->name }}" required>
                            @error('student')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="course" class="required">Program</label>
                            <input type="text" class="form-control @error('course') border-danger @enderror" id="course" name="course" value="{{ old('course') ?? $progression?->course ?? $student->course->course_name }}" required>
                            @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="adno">Adm No</label>
                            <input type="text" class="form-control @error('adno') border-danger @enderror" id="adno" name="adno" value="{{ old('adno') ?? $progression?->adno ?? $student->adno }}">
                            @error('adno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="passout">Passout Year</label>
                            <input type="text" class="form-control @error('passout') border-danger @enderror" id="passout" name="passout" value="{{ old('passout') ?? $progression?->passout }}">
                            @error('passout')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="cstatus" class="required">Status</label>
                            <select class="js-example-basic-single form-control" id="cstatus" name="cstatus" required>
                                <option value="">Select</option>
                                <option value="Working" {{ (old('cstatus') ?? $progression?->cstatus ?? '') == 'Working' ? 'selected':'' }}>Working</option>
                                <option value="Exam Preparation" {{ (old('cstatus') ?? $progression?->cstatus ?? '') == 'Exam Preparation' ? 'selected':'' }}>Exam Preparation</option>
                                <option value="Not Working" {{ (old('cstatus') ?? $progression?->cstatus ?? '') == 'Not Working' ? 'selected':'' }}>Not Working</option>
                            </select>
                            @error('cstatus')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="contact">Contact No</label>
                            <input type="text" class="form-control @error('contact') border-danger @enderror" id="contact" name="contact" value="{{ old('contact') ?? $progression?->contact ?? $student->mobile }}">
                            @error('contact')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control @error('email') border-danger @enderror" id="email" name="email" value="{{ old('email') ?? $progression?->email ?? $student->email }}">
                            @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div id="working" @if(!$progression || $progression->cstatus!='Working') style="display: none;" @endif>
                    <div class="row">
                        <div class="col-12 col-md-3">
                            <div class="form-group">
                                <label for="company">Company</label>
                                <input type="text" class="form-control @error('company') border-danger @enderror" id="company" name="company" value="{{ old('company') ?? $progression?->company }}">
                                @error('company')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-12 col-md-3">
                            <div class="form-group">
                                <label for="location">Location</label>
                                <input type="text" class="form-control @error('location') border-danger @enderror" id="location" name="location" value="{{ old('location') ?? $progression?->location }}">
                                @error('location')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-12 col-md-3">
                            <div class="form-group">
                                <label for="position">Position</label>
                                <input type="text" class="form-control @error('position') border-danger @enderror" id="position" name="position" value="{{ old('position') ?? $progression?->position }}">
                                @error('position')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        <div class="col-12 col-md-3">
                            <div class="form-group">
                                <label for="join_date">Joining Date</label>
                                <input type="date" class="form-control @error('join_date') border-danger @enderror" id="join_date" name="join_date" value="{{ old('join_date') ?? $progression?->join_date }}">
                                @error('join_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="remarks">Remarks</label>
                            <textarea class="form-control @error('remarks') border-danger @enderror" id="remarks" name="remarks" rows="3">{{ old('remarks') ?? $progression?->remarks }}</textarea>
                            @error('remarks')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="{{ asset('public/js/progression.js?ver=1.57') }}"></script>
@endsection