
@extends('layouts.student-template')
@section('title', 'Home')
@section('heading', 'Internal Marks')
@section('breadcrumb', 'Home  Internal Assessment/ Internal Marks')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Internal Marks</b></div>
            <div class="card-body">
                <div class="row">
                    
                       <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Program</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                    
                    
                    
                    
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subtyp_id" class="required"><b>Course Type</b></label>
                                    <select class="form-control" id="subtyp_id" name="subtyp_id" required>
                                        <option value="">Select</option>
                                        @foreach($subjectType as $subjectTypes)
                                            <option value="{{ $subjectTypes->subtyp_id }}" {{ old('subtyp_id')==$subjectTypes->subtyp_id ? "selected":"" }}>{{ $subjectTypes->subject_type }}</option>
                                        @endforeach
                                    </select>
                                    @error('$subjectTypes')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                           
                         
                   
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        

    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
     
     <script src="{{ asset('public/js/getsemstudentlog.js') }}"></script> 
     <!--<script src="{{ asset('public/js/stafftypget.js') }}"></script>-->
<script>
    $(document).ready(function(){
  $("#btn-get").on('click', function() {
        var course = $('#course_id').val();
      
        var sem = $('#semester_id').val();
        var stafftype = $('#subtyp_id').val();

        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');

        if (course === '' || sem === '' || stafftype === '') {
            alert('Please select all mandatory fields!');
        } else {
            $.ajax({
                type: 'GET',
                url: '../student/mainstream-internal-mrk-report-get',
                data: {course: course, sem: sem, stafftype: stafftype},
                success: function(response) {
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
});
</script>
@endsection