@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Add')
@section('breadcrumb','Settings / Course / Add')
@section('content')




        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Course</b></div>
        <div class="card-body">
        <form action="{{ route('addsubject.save') }}" method="post">
        @csrf
        <div class="row">
        <div class="col-md-4">
        <div class="form-group">
        <label for="course_id" class="required"><b>Program</b></label>
        <select class="form-control" id="course_id" name="course_id" required>
        <option value="">Select</option>
        @foreach($course as $crs)
        <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
        @endforeach
        </select>
        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        <div class="col-md-4">
        <div class="form-group">
        <label for="semester_id" class="required"><b>Semester</b></label>
         <select class="select2" multiple="multiple" id="semester_id" data-placeholder="Select Course" name="semester_id[]" style="width: 100%;">
        
        <option value="">select</option>
        </select>
        </div>
        </div>
                            
                            
      
        </div>
        <div class="row">
        
       
        <div class="col-md-2">
        <div class="form-group">
        <label class="required"><b>Course Code</b></label>
        <input type="text" class="form-control" placeholder="Subject Code" name="subject_code[]">
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
            <label class="required"><b>Course Name</b></label>
        <input type="text" class="form-control" placeholder="Subject Name" name="subject_name[]">
        </div>
        </div>
         
         <div class="col-md-2">
        <div class="form-group">
            <label class="required"><b>Credit</b></label>
           <select class="form-control" id="subject_credit[]" name="subject_credit[]" required>
                <option value="">select Credit </option>
               
                <option value="3" {{ old('subject_credit[]')==3 ? "selected":"" }}>3</option>
                <option value="4" {{ old('subject_credit[]')==4 ? "selected":"" }}>4</option>
                
            </select>
        </div>
        </div>
        
        <div class="col-sm-5">
        <div class="form-group">
            <label class="required"><b>Course Category</b></label>
        
        <div class="row">
            <div class="col-md-5">
            <div class="form-group">
            
             <select class="form-control" id="subject_categ[]" name="subject_categ[]" required>
            <option value="">select Category </option>
            @foreach($subcategory as $subcatg)
            <option value="{{ $subcatg->category}}" {{ old('subject_categ[]')==$subcatg->category ? "selected":"" }}>{{ $subcatg->category}}</option>
            @endforeach 
            </select>
            
            </div>
            </div>
        
        
        <div class="col-md-5">
        <div class="form-group">
        <button type="button" class="btn btn-sm btn-success" style="border-radius:50%;" id="addsub"><i class="icon icon-plus"></i></button>
        </div>
        </div>
        </div>
        </div>
        </div>
        </div>
        <div id="moreadd"></div> 
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="submit" class="btn btn-primary float-right" id="add">Save</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
    
    
    
    
    
    
    
    
    
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Course</b></th>
                            <th><b>Course Code</th>
                            <th><b>Category</th>
                            <th><b>Credit</b></th>
                            <th><b>Department</th>
                            
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($subject as $subjects)
                                <tr>
                                  <td>{{$subjects->subject_name}}</td>
                                  <td>{{$subjects->subject_code}}</td>
                                  <td>{{$subjects->subject_categ ? $subjects->subcategoryname->category : 'N/A' }}</td>
                                  <td>{{$subjects->subject_credit}}</td>
                                  <td>{{$subjects->deptName->dept_name}}</td>
                                  
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
  
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script> 
    <script>
   
    var subcategories = @json($subcategory);
    </script>
    <script src="{{ asset('public/js/add.js') }}"></script> 
    <style>
                                .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }

    </style>
@endsection