@extends('layouts.template')
@section('title','Home')
@section('heading','Change Pathway')
@section('breadcrumb','Home/Search Student/Change Pathway')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php $photo = $student->photo ?? 'student.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/student/photo/'.$photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->adno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->rollno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ strtoupper($student->name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->mobile }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->course->course_name }}</span></label>
                    </div>
                    @if($student->major_ii)
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->majorii->course_name }}</span></label>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $promote->semester->semester_name }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->email }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">CHANGE PATHWAY</span></a>
                    </div>
                </div>
                @if($student->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                @else
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div> 
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>

     <div class="card">
        <div class="card-body">
        <form action="{{ route('searchstudent.changepathway.save') }}" method="post" enctype="multipart/form-data" class="styled-form">
         @csrf
            <input type="hidden" name="student_id" value="{{$student->student_id}}" id="student_id">
            <input type="hidden" name="pcourse_id" value="{{$promote->course_id}}" id="pcourse_id">
            <input type="hidden" name="psem_id" value="{{$promote->semester_id}}" id="psem_id">
            <div class="row">
                     
                <div class="col-md-3">
                 <div class="form-group">
                    <label for="tdate">Pathway</label>
                     <select class="form-control" id="pathway_id" name="pathway_id" onchange="toggleDivContent()">
                       <option value="">Select</option>
                        @foreach($pathway_all as $path)
                          <option value="{{ $path->id  }}" {{ isset($pathway_det) && $pathway_det->pathwayName->id==$path->id  ? "selected":"" }}>{{ $path->pathway }}</option>
                        @endforeach
                     </select>
                        @error('pathway_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                 </div>
                </div>  
                <div class="col-md-3">
                 <div class="form-group">
                    <label for="course_id">Major I</label>
                     <select class="form-control" id="course_id" name="course_id" required>
                          <option value="">Select</option>
                         @foreach($courses as $course)
                          <option value="{{ $course->course_id }}" {{ isset($student) && $student->course_id ==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                         @endforeach
                     </select>
                         @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                 </div>
                </div>
                
                <div class="col-md-3">
                  <div class="form-group">
                    <label for="semester_id">Semester</label>
                      @php $semester_id = $promote->semester_id; @endphp
                        <select class="form-control" id="semester_id" name="semester_id" required>
                          <option value="">Select</option>
                            @foreach($semesters as $semester)
                          <option value="{{ $semester->semester_id }}" {{ $semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                            @endforeach
                        </select>
                      @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                 </div>
                </div>
              
                <div class="col-md-3" id="pathway_content" style="display: none;">
                 <div class="form-group">
                    <label for="major_ii">Major II</label>
                     <select class="form-control" id="major_ii" name="major_ii">
                          <option value="">Select</option>
                         @foreach($courses as $course)
                          <option value="{{ $course->course_id }}" {{ isset($student) && $student->major_ii ==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                         @endforeach
                     </select>
                         @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                 </div>
                </div>
              
              </div>
              
               <div class="row">
                 <div class="col-md-3">
                   <div class="form-group">
                     <label for="minorI2"><b>Minor I [1'st Preference]</b></label>
                       <select class="form-control" id="minorI2" name="minorI2">
                          <option value="">Select</option>
                            @foreach($minorIsub as $minI)
                          <option value="{{ $minI->subject_id  }}" {{ isset($studminorI_first) && $studminorI_first->pref_Id==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                            @endforeach
                       </select>
                   </div>
                 </div>   
                   <div class="col-md-3">
                      <div class="form-group">
                        <label for="minorI_prefII2"><b>Minor I [2'nd Preference]</b></label>
                          <select class="form-control" id="minorI_prefII2" name="minorI_prefII2">
                            <option value="">Select</option>
                             @foreach($minorIsub as $minI)
                                <option value="{{ $minI->subject_id  }}" {{ isset($studminorI_second) && $studminorI_second->pref_Id==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                             @endforeach
                         </select>
                     </div>
                 </div>
                 <div class="col-md-3">
                  <div class="form-group">
                    <label for="minorI_prefIII2"><b>Minor I [3'rd Preference]</b></label>
                     <select class="form-control" id="minorI_prefIII2" name="minorI_prefIII2">
                       <option value="">Select</option>
                        @foreach($minorIsub as $minI)
                       <option value="{{ $minI->subject_id  }}" {{ isset($studminorI_third) && $studminorI_third->pref_Id==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                        @endforeach
                     </select>
                  </div>
                 </div>
                 
                 <div class="col-md-3">
                   <div class="form-group">
                     <label for="minorI_prefIV2"><b>Minor I [4'th Preference]</b></label>
                       <select class="form-control" id="minorI_prefIV2" name="minorI_prefIV2">
                        <option value="">Select</option>
                           @foreach($minorIsub as $minI)
                        <option value="{{ $minI->subject_id  }}" {{ isset($studminorI_four) && $studminorI_four->pref_Id==$minI->subject_id  ? "selected":"" }}>{{ $minI->subject_code.' - '.$minI->subject_name }}</option>
                           @endforeach
                      </select>
                   </div>
                 </div>
               </div>
               
              <div class="row">
                 <div class="col-md-3">
                    <div class="form-group">
                        <label for="minorII2"><b>Minor II [1'st Preference]</b></label>
                        <select class="form-control" id="minorII2" name="minorII2">
                        <option value="">Select</option>
                        @foreach($minorIIsub as $minII)
                        <option value="{{ $minII->subject_id  }}" {{ isset($studminorII_first) && $studminorII_first->pref_Id==$minII->subject_id  ? "selected":"" }}>{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                        @endforeach
                        </select>
                    </div>
                 </div>
                            
                 <div class="col-md-3">
                   <div class="form-group">
                     <label for="minorII_prefII2"><b>Minor II [2'nd Preference]</b></label>
                     <select class="form-control" id="minorII_prefII2" name="minorII_prefII2">
                      <option value="">Select</option>
                         @foreach($minorIIsub as $minII)
                        <option value="{{ $minII->subject_id  }}" {{ isset($studminorII_second) && $studminorII_second->pref_Id==$minII->subject_id  ? "selected":"" }}>{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                         @endforeach
                     </select>
                   </div>
                 </div>
                 
                  <div class="col-md-3">
                   <div class="form-group">
                     <label for="minorII_prefIII2"><b>Minor II [3'rd Preference]</b></label>
                       <select class="form-control" id="minorII_prefIII2" name="minorII_prefIII2">
                        <option value="">Select</option>
                        @foreach($minorIIsub as $minII)
                        <option value="{{ $minII->subject_id  }}" {{ isset($studminorII_third) && $studminorII_third->pref_Id==$minII->subject_id  ? "selected":"" }}>{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                        @endforeach
                       </select>
                   </div>
                 </div>    
                                
                  <div class="col-md-3">
                    <div class="form-group">
                      <label for="minorII_prefIV2"><b>Minor II [4'th Preference]</b></label>
                        <select class="form-control" id="minorII_prefIV2" name="minorII_prefIV2">
                          <option value="">Select</option>
                            @foreach($minorIIsub as $minII)
                          <option value="{{ $minII->subject_id  }}" {{ isset($studminorII_four) && $studminorII_four->pref_Id==$minII->subject_id  ? "selected":"" }}>{{ $minII->subject_code.' - '.$minII->subject_name }}</option>
                             @endforeach
                        </select>
                    </div>
                 </div>
                 
              </div>
              
              <div class="row">
                  
                <div class="col-md-3">
                 <div class="form-group">
                  <label for="mdcI2"><b>MDC I [1'st Preference]</b></label>
                    <select class="form-control" id="mdcI2" name="mdcI2">
                     <option value="">Select</option>
                      @foreach($mdcIsub as $mdcI)
                        <option value="{{ $mdcI->subject_id  }}" {{ isset($studmdcI_first) && $studmdcI_first->pref_Id==$mdcI->subject_id  ? "selected":"" }}>{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                        @endforeach
                    </select>
                 </div>
                </div>
                
                <div class="col-md-3">
                 <div class="form-group">
                  <label for="mdcI_prefII2"><b>MDC I [2'nd Preference]</b></label>
                    <select class="form-control" id="mdcI_prefII2" name="mdcI_prefII2">
                      <option value="">Select</option>
                      @foreach($mdcIsub as $mdcI)
                      <option value="{{ $mdcI->subject_id  }}" {{ isset($studmdcI_second) && $studmdcI_second->pref_Id==$mdcI->subject_id  ? "selected":"" }}>{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                     @endforeach
                    </select>
                 </div>
                </div>
                
                <div class="col-md-3">
                  <div class="form-group">
                   <label for="mdcI_prefIII2"><b>MDC I [3'rd Preference]</b></label>
                    <select class="form-control" id="mdcI_prefIII2" name="mdcI_prefIII2">
                     <option value="">Select</option>
                       @foreach($mdcIsub as $mdcI)
                     <option value="{{ $mdcI->subject_id  }}" {{ isset($studmdcI_third) && $studmdcI_third->pref_Id==$mdcI->subject_id  ? "selected":"" }}>{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                       @endforeach
                    </select>
                 </div>
                </div>
                
                <div class="col-md-3">
                 <div class="form-group">
                  <label for="mdcI_prefIV2"><b>MDC I [4'th Preference]</b></label>
                   <select class="form-control" id="mdcI_prefIV2" name="mdcI_prefIV2">
                    <option value="">Select</option>
                      @foreach($mdcIsub as $mdcI)
                        <option value="{{ $mdcI->subject_id  }}" {{ isset($studmdcI_four) && $studmdcI_four->pref_Id==$mdcI->subject_id  ? "selected":"" }}>{{ $mdcI->subject_code.' - '.$mdcI->subject_name }}</option>
                      @endforeach
                   </select>
                 </div>
                </div>
                
              </div>
              
              <div class="row">
                  <div class="col-md-3">
                 <div class="form-group">
                  <label for="aecI"><b>AEC I</b></label>
                   <select class="form-control" id="aecI" name="aecI">
                    <option value="">Select</option>
                      @foreach($aecIsub as $aecsI)
                        <option value="{{ $aecsI->subject_id  }}" {{ isset($studmdcI_four) && $studmdcI_four->pref_Id==$aecsI->subject_id  ? "selected":"" }}>{{ $aecsI->subject_code.' - '.$aecsI->subject_name }}</option>
                      @endforeach
                   </select>
                 </div>
                 </div>
                 
                 <div class="col-md-3">
                  <div class="form-group">
                  <label for="aecII"><b>AEC II</b></label>
                   <select class="form-control" id="aecII" name="aecII">
                    <option value="">Select</option>
                      @foreach($aecIIsub as $aecsII)
                        <option value="{{ $aecsII->subject_id  }}" {{ isset($studmdcI_four) && $studmdcI_four->pref_Id==$aecsII->subject_id  ? "selected":"" }}>{{ $aecsII->subject_code.' - '.$aecsII->subject_name }}</option>
                      @endforeach
                   </select>
                 </div>
                 </div>
              </div>
              
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                           <button type="submit" class="btn btn-sm btn-success float-right" id="btn-get">Update</button>
                        </div> 
                    </div>
                </div>
            </form>
             </div>
          </div>
    <br>   
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/chsem.js') }}"></script>
 <script src="{{ asset('public/js/studminorI.js?ver=1.67') }}"></script>

 <script>
  document.addEventListener('DOMContentLoaded', function () {
        // Call toggleDivContent on page load
        toggleDivContent();
    });
    function toggleDivContent() {
        const selectedValue = document.getElementById('pathway_id').value;
        const pathwayContent = document.getElementById('pathway_content');

        if (selectedValue == 1) {
            pathwayContent.style.display = 'block';
           
        } else {
            pathwayContent.style.display = 'none';
            
        }
    }
     document.getElementById('pathway_id').addEventListener('change', toggleDivContent);  
</script>
@endsection