@extends('layouts.template')
@section('title','Fee Report')
@section('heading','Fee Report')
@section('breadcrumb','Home / Search Student / Fee Report')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php $photo = $student->photo ?? 'student.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/student/photo/'.$photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->adno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->rollno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ strtoupper($student->name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->mobile }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->course->course_name }}</span></label>
                    </div>
                    @if($student->major_ii)
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->majorii->course_name }}</span></label>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $promote->semester->semester_name }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->email }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                 <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">Change Pathway</span></a>
                    </div>
                </div>
                @if($student->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                @else
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="scroll">
                <table class="table table-bordered" width="100%">
                    <thead>
                    <tr>
                        <th>Bill Number</th>
                        <th>Bill Date</th>
                        <th>Fee Amount</th>
                        <th>Fine</th>
                        <th>Discount</th>
                        <th>Paid</th>
                        <th>Payment Mode</th>
                        <th>Print</th>
                    </tr>
                    </thead>  
                    <tbody>
                        @forelse($payments as $payment)
                            @php $paid = $payment->amt+$payment->fine-$payment->disc; @endphp
                            <tr>
                                <td align="center">{{ $payment->receipt_no }}</td>
                                <td align="center">{{ date('d-m-Y',strtotime($payment->paid_date)) }}</td>
                                <td align="right">{{ $payment->amt }}</td>
                                <td align="right">{{ $payment->fine }}</td>
                                <td align="right">{{ $payment->disc }}</td>
                                <td align="right">{{ $paid }}</td>
                                <td align="center">{{ $payment->mode_name }}</td>
                                <td align="center">
                                    <a href="{{ route('searchstudent.history.print', ['receipt_no' => $payment->receipt_no, 'paid_date' => $payment->paid_date]) }}" target="_blank">
                                        <i style="font-size:20px" class="icon-sm icon-printer text-danger"></i>
                                    </a>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="8" align="center">No Result Found!</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection