@extends('layouts.template')
@section('title','Progress Card')
@section('heading','Progress Card FYUGP')
@section('breadcrumb','Home / Search Student / Progress Card FYUGP')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php $photo = $student->photo ?? 'student.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/student/photo/'.$photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->adno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ strtoupper($student->name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->mobile }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->course->course_name }}</span></label>
                    </div>
                    @if($student->major_ii)
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->majorii->course_name }}</span></label>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $promote->semester->semester_name }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->email }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                 <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">CHANGE PATHWAY</span></a>
                    </div>
                </div>
                @if($student->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">PROGRESS REPORT - FYUGP</span></a>
                        </div>
                    </div>
                @else
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.fyexam.report.print',['student_id'=>$student->student_id]) }}" class="btn btn-sm btn-success btn-icon-text" target="_blank"><i class="icon-printer btn-icon-prepend"></i> Print</a>
                    </div>
                </div>
            </div>
            <div class="scroll">
               
                   	@php $rl=0; $aec_array = []; $mdc_array = []; $dsc_array = []; @endphp
				@foreach($examsubjects as $subex)
    				@php
    				$practical = "no";
    				 $sub_cat = $subex->subject_categ ?? null;
    				 $tot_cca_ese = 0;$markl=0;$pmarkl=0;$ccel_max_mark=0;$ccel_markp=0;$ccel_mark =0;$ccel_max_markp=0;$total_mrk =0;$exam_markl=0;$exam_markp=0;$total_mark_awarded=0;$result="";$abs=0;
    			   
                    	 
                        
                        $ccal = $subex->subcreditsstd->where('ac_id',$acyearId)->whereIn('sem_id',$semesterIds)->pluck('cca_l')->first(); 
				        $esel = $subex->subcreditsstd->where('ac_id',$acyearId)->whereIn('sem_id',$semesterIds)->pluck('ese_l')->first(); 
                        
                        $ccap = $subex->subcreditsstd->where('ac_id',$acyearId)->whereIn('sem_id',$semesterIds)->pluck('cca_p')->first(); 
				        $esep = $subex->subcreditsstd->where('ac_id',$acyearId)->whereIn('sem_id',$semesterIds)->pluck('ese_p')->first(); 
				        
				       if($subex->examSubjects)
				       { 
				        
				        $examl_mark = $subex->exmarksstd->where('ac_id',$acyearId)->where('course',$courseId)->where('sem_id',$semesterId)->where('exam_id',$subex->examSubjects->exam_id)->where('stud_id',$student->student_id)->pluck('mark')->first();
				        $examp_mark = $subex->exmarksstd->where('ac_id',$acyearId)->where('course',$courseId)->where('sem_id',$semesterId)->where('exam_id',$subex->examSubjects->exam_id)->where('stud_id',$student->student_id)->pluck('pmark')->first();
                     
				       
				       }else{
				        $examl_mark = $subex->exmarksstd->where('ac_id',$acyearId)->where('course',$courseId)->where('sem_id',$semesterId)->where('stud_id',$student->student_id)->pluck('mark')->first();
				        $examp_mark = $subex->exmarksstd->where('ac_id',$acyearId)->where('course',$courseId)->where('sem_id',$semesterId)->where('stud_id',$student->student_id)->pluck('pmark')->first();
                        }
				        $tot_cca_ese = $ccal + $ccap + $esel + $esep;
				         foreach($fa as $fn)
    				     {
    				        if($fn->subtyp_id == 1)
    				        {
    				            $lmrk = $fn->famarks->where('ac_id',$acyearId)->where('sem_id',$semesterId)->where('course',$courseId)->where('sub_id',$subex->subject_id)->where('subtype_id',1)->where('stud_id',$student->student_id)->pluck('mark')->first();
        				        
        				        if($lmrk !='')
        				        { 
        				            $ccel_mark += $lmrk;
        				            
        				        }
        				        $ccel_max_mark += $fn->max_mark; 
        				    }
        				    if($fn->subtyp_id == 2)
    				        {
    				            $lmrkp = $fn->famarks->where('ac_id',$acyearId)->where('sem_id',$semesterId)->where('course',$courseId)->where('sub_id',$subex->subject_id)->where('subtype_id',2)->where('stud_id',$student->student_id)->pluck('mark')->first();
        				        
        				        if($lmrkp !='')
        				        { 
        				            $ccel_markp += $lmrkp;
        				           
        				        }
        				         $ccel_max_markp += $fn->max_mark; 
        				    }

				        }
				        foreach($sa as $sn)
    				     {
    				        if($sn->subtyp_id == 1)
    				        {
    				            $slmrk = $sn->samarks->where('ac_id',$acyearId)->where('sem_id',$semesterId)->where('course',$courseId)->where('sub_id',$subex->subject_id)->where('subtype_id',1)->where('stud_id',$student->student_id)->pluck('mark')->first();
        				        if($slmrk !='')
        				        {
            				        $ccel_mark += $slmrk;
            				       
            				    }
            				     $ccel_max_mark += $sn->max_mark; 
    				        }
    				        else if($sn->subtyp_id == 2)
    				        {
    				            $slmrkp = $sn->samarks->where('ac_id',$acyearId)->where('sem_id',$semesterId)->where('course',$courseId)->where('sub_id',$subex->subject_id)->where('subtype_id',2)->where('stud_id',$student->student_id)->pluck('mark')->first();
        				        if($slmrkp !='')
        				        {
            				        $ccel_markp += $slmrkp;
            				        
            				    }
            				    $ccel_max_markp += $sn->max_mark; 
    				        }
    
    				     } 
    				     if($ccel_max_mark != 0)
    				     {
    				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
    				        $markl = round($markl);
    				        $total_mrk += $markl;
    				     }
    				     if($ccel_max_markp != 0)
    				     {
    				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
    				        $pmarkl = round($pmarkl);
    				        $total_mrk += $pmarkl;
    				     }
    				     
    				         if ($subex->examSubjects && $subex->examSubjects->max_mark != 0) {
                                if ($examl_mark != -1) {
                                    // Calculate exam mark as a percentage of max_mark
                                    $exam_markl  = ($examl_mark / $subex->examSubjects->max_mark) * $esel;
                                    $exam_markl = round($exam_markl);  // Round the value
                                    $total_mrk += $exam_markl;         // Add to total marks
                                } else {
                                    // If the mark is -1, mark as AB (Absent)
                                    $exam_markl = 'AB';
                                    $abs++;  // Increment absent count
                                    $gabs++; // Increment total absent count
                                }
                            }
        				   if($subex->examSubjects && $subex->examSubjects->pmax_mark !=0)
        				   { 
            				    if($examp_mark != -1)
            				    {
                				    $exam_markp  = ($examp_mark/$subex->examSubjects->pmax_mark)*$esep;
                				    $exam_markp = round($exam_markp);
                				    $total_mrk += $exam_markp;
            				    }
            				    else
            				    {
            				        $exam_markp = 'AB';
            				        $abs++; $gabs++;
            				    } 
        				   } 
        				   $total_mark_awarded = $exam_markl + $exam_markp + $pmarkl +$markl;
        				   if($tot_cca_ese > 0 )
        				   {
            				   $percentage = ($total_mark_awarded/$tot_cca_ese)*100;
            				   $percentage = round($percentage);
        				   }
        				   else
        				   {
        				      $percentage =0;
        				   }
        				    $gp = App\Models\FYUGP_Grade::where('p_from', '<', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$acyearId)->first() ?? null;
        				   if ($gp) {
        				    $credit_point = $gp->gp * $subex->subject_credit ;
        				    $grade = $gp->grade;
                            $gp_value = $gp->gp;
        				   }
        				   else{ $credit_point = 0; $grade = 'N/A';  $gp_value = 0;  }
        				   if($abs == 0)
        				   {
        				   if ($gp) {
                				   if($gp->description == "Fail")
                				   {
                				    $result = "Fail";
                				    $rl++;
                				   }
                				   else
                				   {
                				    $result = "Pass";
                				   } 
            				   }
            			  }else{ $result = "-";}
            			  $practical = (is_numeric($esep) && is_numeric($ccap) && $esep > 0 && $ccap > 0) ? "yes" : "no";
            			 
            			  $subject_data = [
                        'code' => ucfirst(strtolower($subex->subject_code)),
                        'name' => ucfirst(strtolower($subex->subject_name)),
                        'credit' => $subex->subject_credit,
                        'max_cca_th' => $ccal,
                        'max_esel_th' => $esel,
                        'max_cca_p' => $ccap,
                        'max_esel_p' => $esep,
                        'max_tot' => $tot_cca_ese,
                        'mark_awarded_cca_th' => $markl,
                        'mark_awarded_cca_p' => $pmarkl,
                        'mark_awarded_ese_th' => $exam_markl,
                        'mark_awarded_ese_p' => $exam_markp,
                        'total_mark_awarded' => $total_mark_awarded,
                        'gp' => $gp_value,
                        'grade' => $grade,
                        'credit_point' => $credit_point,
                        'result' => $result,
                        'practical' => $practical
                    ];

            			  if($sub_cat == 5 || $sub_cat == 6)
            			  { 
                            $aec_array[] = $subject_data;                          
                          }
                          if($sub_cat == 4)
            			  { 
            			    $mdc_array[] = $subject_data;
                          }
                          if($sub_cat == 1 || $sub_cat == 2 || $sub_cat == 3)
                          {
                            $dsc_array[] = $subject_data;
                          }
                        
        			
        				@endphp
        		   
				@endforeach
	
				 <footer></footer>
        <div class="academic">
          <div><center><b><h3></h3></b></center></div>
            <table class="data" width="95%" cellspacing="0" cellpadding="5px" align="center" border="1">
				<tr bgcolor="#0094dd" style="color:white;" height="40px">
					<th  align="center" colspan="1" rowspan="2">Course Code</th>
					<th  align="center" colspan="2" rowspan="2">Course Name</th> 
					<th  align="center" colspan="1" rowspan="2">Cr</th>
					<th  align="center" colspan="3" rowspan="1">Max. Mark</th>
					<th  align="center" colspan="3" rowspan="1">Marks Awarded</th>
					<th  align="center" colspan="1" rowspan="2">G.P</th>
					<th  align="center" colspan="1" rowspan="2">G</th>
					<th  align="center" colspan="1" rowspan="2">C.P</th>
					<th  align="center" colspan="1" rowspan="2">Result</th>
				</tr>
				<tr bgcolor="#0094dd" style="color:white;">
				    <th align="center" colspan="1" rowspan="1">CCA</th>
				    <th align="center" colspan="1" rowspan="1">ESE</th>
				    <th align="center" colspan="1" rowspan="1">Total</th>
				    <th align="center" colspan="1" rowspan="1">CCA</th>
				    <th align="center" colspan="1" rowspan="1">ESE</th>
				    <th align="center" colspan="1" rowspan="1">Total</th>
				</tr>
				<tr>
				    <td colspan="14"><b>Ability Enhancement Course</b></td>
				</tr>
				@php $cr_total=0; $tot_ce=$tot_ese=0;$tot_cp=0;  @endphp
				@foreach($aec_array as $aec)
				@php $cr_total +=$aec['credit'];  
				     $tot_ce +=$aec['max_tot'];
				     $tot_ese +=$aec['total_mark_awarded'];
				     $tot_cp +=$aec['credit_point'];
				@endphp
			<tr>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}">{{ $aec['code'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}">{{ $aec['name'] }}</td>
                    <td rowspan="1">TH</td>
                    <td align="center" rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}">{{ $aec['credit'] }}</td>
                    <td align="center" rowspan="1">{{ $aec['max_cca_th'] }}</td>
                    <td align="center" rowspan="1">{{ $aec['max_esel_th'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['max_tot'] }}</td>
                    <td rowspan="1" align="center">{{ $aec['mark_awarded_cca_th'] }}</td>
                    <td rowspan="1" align="center">{{ $aec['mark_awarded_ese_th'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['total_mark_awarded'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['gp'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['grade'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['credit_point'] }}</td>
                    <td rowspan="{{ $aec['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $aec['result'] }}</td>
                </tr>
            
                @if($aec['practical'] == 'yes')
                    <tr>
                        <td rowspan="1">PR</td>
                        <td rowspan="1" align="center">{{ $aec['max_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $aec['max_esel_p'] }}</td>
                        <td rowspan="1" align="center">{{ $aec['mark_awarded_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $aec['mark_awarded_ese_p'] }}</td>
                    </tr>
                @endif
            	@endforeach
            	<tr>
				    <td colspan="14"><b>Multi-Disciplinary Course</b></td>
				</tr>
				@foreach($mdc_array as $mdc)
					@php $cr_total +=$mdc['credit'];  
				     $tot_ce +=$mdc['max_tot'];
				     $tot_ese +=$mdc['total_mark_awarded'];
				     $tot_cp +=$mdc['credit_point'];
				@endphp
                <tr>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}">{{ $mdc['code'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}">{{ $mdc['name'] }}</td>
                    <td rowspan="1">TH</td>
                    <td align="center" rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}">{{ $mdc['credit'] }}</td>
                    <td align="center" rowspan="1">{{ $mdc['max_cca_th'] }}</td>
                    <td align="center" rowspan="1">{{ $mdc['max_esel_th'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['max_tot'] }}</td>
                    <td rowspan="1" align="center">{{ $mdc['mark_awarded_cca_th'] }}</td>
                    <td rowspan="1" align="center">{{ $mdc['mark_awarded_ese_th'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['total_mark_awarded'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['gp'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['grade'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['credit_point'] }}</td>
                    <td rowspan="{{ $mdc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $mdc['result'] }}</td>
                </tr>
            
                @if($mdc['practical'] == 'yes')
                    <tr>
                        <td rowspan="1">PR</td>
                        <td rowspan="1" align="center">{{ $mdc['max_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $mdc['max_esel_p'] }}</td>
                        <td rowspan="1" align="center">{{ $mdc['mark_awarded_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $mdc['mark_awarded_ese_p'] }}</td>
                    </tr>
                @endif
            @endforeach
            	<tr>
				    <td colspan="14"><b>Discipline Specific Course</b></td>
				</tr>
					@foreach($dsc_array as $dsc)
					@php $cr_total +=$dsc['credit'];  
				     $tot_ce +=$dsc['max_tot'];
				     $tot_ese +=$dsc['total_mark_awarded'];
				     $tot_cp +=$dsc['credit_point'];
				    @endphp
			 <tr>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}">{{ $dsc['code'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}">{{ $dsc['name'] }}</td>
                    <td rowspan="1">TH</td>
                    <td align="center" rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}">{{ $dsc['credit'] }}</td>
                    <td align="center" rowspan="1">{{ $dsc['max_cca_th'] }}</td>
                    <td align="center" rowspan="1">{{ $dsc['max_esel_th'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['max_tot'] }}</td>
                    <td rowspan="1" align="center">{{ $dsc['mark_awarded_cca_th'] }}</td>
                    <td rowspan="1" align="center">{{ $dsc['mark_awarded_ese_th'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['total_mark_awarded'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['gp'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['grade'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['credit_point'] }}</td>
                    <td rowspan="{{ $dsc['practical'] == 'yes' ? 2 : 1 }}" align="center">{{ $dsc['result'] }}</td>
                </tr>
            
                @if($dsc['practical'] == 'yes')
                    <tr>
                        <td rowspan="1">PR</td>
                        <td rowspan="1" align="center">{{ $dsc['max_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $dsc['max_esel_p'] }}</td>
                        <td rowspan="1" align="center">{{ $dsc['mark_awarded_cca_p'] }}</td>
                        <td rowspan="1" align="center">{{ $dsc['mark_awarded_ese_p'] }}</td>
                    </tr>
                @endif
            	@endforeach
            	@php if($cr_total != '0'){ $sgpa = $tot_cp/$cr_total; }else{ $sgpa=0; }  @endphp
            	<tr>
            	    <td align="center"><b>Total</b></td>
            	    <td></td>
            	    <td></td>
            	    <td>{{$cr_total}}</td>
            	    <td></td>
            	    <td></td>
            	    <td>{{$tot_ce}}</td>
            	    <td></td>
            	    <td></td>
            	    <td>{{$tot_ese}}</td>
            	    <td></td>
            	    <td></td>
            	    <td>{{$tot_cp}}</td>
            	</tr>
            	<tr>
				    <td colspan="14"><b> 
				    <div style="display: flex; justify-content: space-between; align-items: center;"> 
				       
				        <div style="text-align: center; margin-left: 35%;">SGPA:@if($sgpa !='0') {{round($sgpa,2)}} @endif</div>
                        <div style="text-align: center; margin-right: 10%;">Total Earned Credits: {{$cr_total}}</div>
                    </div>
                    </b></td>
				</tr>
            </table> 
        </div>
        </div>
    </div>
@endsection