@extends('layouts.template')
@section('title','Home')
@section('heading','Generate TC')
@section('breadcrumb','Home/Student/Student Information/Generate TC')
@section('content')

<div class="modal fade" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content"  style="background:white;">
            <div class="modal-header" style="background:#004170;color:white">
                <h5 class="modal-title" id="errorModalLabel"><b>Payment Due Notice</b></h5>
                <input type="hidden" name="sid" value="{{ encrypt($student->student_id) }}">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                @if($error)
                    {{ $error }}
                @endif
            </div>
            <div>
                <a href="{{route('searchstudent.payment',['student_id'=>$student->student_id])}}"><span class="btn btn-success">Go to Payment Profile</span></a>
            </div>
            <!--<div class="modal-footer">-->
                <!--<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>-->
            <!--</div>-->
        </div>
    </div>
</div>


 <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(document).ready(function() {
        @if($error)
            $('#errorModal').modal('show');
        @endif

       
        $('#errorModal').on('hide.bs.modal', function (e) {
            
            if ($(e.target).hasClass('modal')) {
                e.preventDefault(); 
            }
        });
    });
    </script>




  
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color:#005A9C;color:white;font-family: system-ui;"><b>Student Details</b></div>
                <div class="card-body">
                    <form action="{{ route('sdata.save') }}" method="post">
                        @csrf
                        <input type="hidden" name="sid" value="{{ encrypt($student->student_id) }}">
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission No</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sadno" value="{{ $student->adno }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sname" value="{{ strtoupper($student->name) }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Date of Birth</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sdob" value="{{ $student->dob }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Admission Date</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="date" class="form-control" name="sadate" value="{{ $student->adate }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Father's Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="sfname" value="{{ strtoupper($student->fname) }}" required></div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Mother's Name</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6"><input type="text" class="form-control" name="smname" value="{{ strtoupper($student->mname) }}" required></div>
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Photo</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">
                                        @if(!empty($student->photo))
                                            <img src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="{{ $student->photo }}" height="160px">
                                        @endif
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <div class="col-5 font-weight-bold">Program</div>
                                    <div class="col-1 font-weight-bold">:</div>
                                    <div class="col-6">{{ $student->course->course_name }}</div>
                                </div>

                                
                                    
                <div class="form-group row">
                <div class="col-5 font-weight-bold">Semester</div>
                <div class="col-1 font-weight-bold">:</div>                  
               @foreach($semesters as $sem)
                <div class="col-6">{{ $sem->semester_name }}</div>
                @endforeach
                </div> 
                      </div>
                        </div>               
                                    
                                    
                                    
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Update</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card"   style="">
                <div class="card-header" style="background-color:#004170;color:white;font-family: system-ui;"><b>TC Details</b></div>
                <div class="card-body">
                    <form action="{{ route('tc.save') }}" method="post">
                        @csrf
                        <input type="hidden" name="student_id" value="{{ encrypt($student->student_id) }}">
                        <input type="hidden" name="tc_code" value="{{ $tc_code }}">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="tcno" class="required">TC No</label>
                                    <input type="text" class="form-control" id="tcno" name="tcno" value="{{ old('tcno') ? old('tcno'):$tcno }}" style="text-transform:uppercase" required>
                                    @error('tcno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ldate" class="required">Date of Leaving</label>
                                    <input type="date" class="form-control" id="ldate" name="ldate" value="{{ old('ldate')  }}" required>
                                    @error('ldate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Application Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="{{ old('adate') }}" required>
                                    @error('adate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="idate" class="required">Issue Date</label>
                                    <input type="date" class="form-control" id="idate" name="idate" value="{{ old('idate') ? old('idate'):date('Y-m-d') }}" required>
                                    @error('idate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subjects">Course or Portions Studied</label>
                                    <select class="form-control" id="subjects" name="subjects[]" multiple>
                                        @foreach($subjects as $subject)
                                            <option value="{{ $subject->subject_code }}" selected>{{ $subject->subject_code }}</option>
                                        @endforeach
                                    </select>
                                    @error('subjects')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="reason" class="required">Reason for Leaving</label>
                                    <textarea class="form-control" id="reason" name="reason" rows="2" required>{{ old('reason') ? old('reason'):'Course Completed' }}</textarea>
                                    @error('reason')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="exam" class="required">Exam Name</label>
                                    <input type="text" class="form-control" id="exam" name="exam" value="{{ old('exam')}}" required>
                                    @error('exam')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="year" class="required">Year of Exam</label>
                                    <input type="text" class="form-control" id="year" name="year" value="{{ old('year')  }}" required>
                                    @error('year')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="regno" class="required">Registration No</label>
                                    <input type="text" class="form-control" id="regno" name="regno" value="{{ old('regno')}}" style="text-transform:uppercase" required>
                                   
    
                                    @error('regno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="yes" class="required">Exam Appeared</label>
                                    <div class="row">
                                        @php $appear = old('appear') @endphp
                                        <div class="col-md-4">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="appear" value="Yes" {{ $appear=='Yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-8">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="appear" value="No" {{ $appear=='No' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="result" class="required">Result</label>
                                    <input type="text" class="form-control" id="result" name="result" value="{{ old('result') ? old('result'):'Refer Marklist' }}" required>
                                    @error('result')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="conduct">Character & Conduct</label>
                                    <textarea class="form-control" id="conduct" name="conduct" rows="2">{{ old('conduct') }}</textarea>
                                    @error('conduct')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right" style="display: inline-block;">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <style>

        .form-control{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
.card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
/* Base styles for the back button */
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
@endsection