@extends('layouts.template')
@section('title','Fee Payment')
@section('heading','Fee Payment')
@section('breadcrumb','Home / Search Student / Fee Payment')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php $photo = $student->photo ?? 'student.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/student/photo/'.$photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->adno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->rollno }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ strtoupper($student->name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->mobile }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->course->course_name }}</span></label>
                    </div>
                    @if($student->major_ii)
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->majorii->course_name }}</span></label>
                        </div>
                    @endif
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $promote->semester->semester_name }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger">{{ $student->email }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">Change Pathway</span></a>
                    </div>
                </div>
                @if($student->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                @else
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
                @if($user->staftyp_id!=1)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{ route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                @endif
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{ route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <div class="accordion bg-warning">Payment History</div>
                        <div class="accordion-content">
                            <div class="scroll p-3">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Bill Number</th>
                                            <th>Bill Date</th>
                                            <th>Fee Amount</th>
                                            <th>Fine</th>
                                            <th>Discount</th>
                                            <th>Paid</th>
                                            <th>Payment Mode</th>
                                            <th>Print</th>
                                        </tr>
                                    </thead>  
                                    <tbody>
                                        @forelse($payments as $payment)
                                            @php $paid = $payment->amt+$payment->fine-$payment->disc; @endphp
                                            <tr>
                                                <td align="center">{{ $payment->receipt_no }}</td>
                                                <td align="center">{{ date('d-m-Y',strtotime($payment->paid_date)) }}</td>
                                                <td align="right">{{ $payment->amt }}</td>
                                                <td align="right">{{ $payment->fine }}</td>
                                                <td align="right">{{ $payment->disc }}</td>
                                                <td align="right">{{ $paid }}</td>
                                                <td align="center">{{ $payment->mode_name }}</td>
                                                <td align="center">
                                                    <a href="{{ route('searchstudent.history.print', ['receipt_no' => $payment->receipt_no, 'paid_date' => $payment->paid_date]) }}" target="_blank">
                                                        <i style="font-size:20px" class="icon-sm icon-printer text-danger"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="8" align="center">No Result Found!</td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <form action="{{ route('searchstudent.save') }}" method="post">
                        @csrf
                        <input type="hidden" name="sid" value="{{ $student->student_id }}">
                        <div class="row">
                            <div class="col-md-3">
                                <label for="receipt_no" class="required"><b>Bill Number</b></label>
                                <div class="form-group">
                                    <input type="text" style="border:1px solid #D3D3D3" class="form-control @error('receipt_no') border-danger @enderror" id="receipt_no" name="receipt_no" value="{{$next_rec_no}}" readonly>
                                    @error('receipt_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="paid_date" class="required"><b>Date</b></label>
                                <div class="form-group">
                                    <input type="date" style="border:1px solid #D3D3D3"  class="form-control @error('paid_date') border-danger @enderror" id="paid_date" name="paid_date" value="{{ \Carbon\Carbon::now()->format('Y-m-d') }}">
                                    @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="mode_id" class="required"><b>Payment Mode</b></label>
                                <div class="form-group">
                                    <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%;border:1px solid black" >
                                        <option value="">Select</option>
                                        @foreach($paymodes as $paymode)
                                            <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="scroll">
                                    <table class="table table-bordered" width="100%">
                                        <thead>
                                            <th width="4%">
                                                <div class="form-check form-check-success">
                                                    <label class="form-check-label">
                                                        <input type="checkbox" class="form-check-input" id="checkAll"> &nbsp; 
                                                    </label>
                                                </div>
                                            </th>
                                            <th width="10%">Semester</th>
                                            <th width="6%">Term</th>
                                            <th width="10%">Fee Type</th>
                                            <th width="10%">Fee Amt</th>
                                            <th width="10%">Due Amt</th>
                                            <th width="10%">Fine Payable</th>
                                            <th width="10%">Current Amt</th>
                                            <th width="10%">Total Amt</th>
                                            <th width="10%">Dis.Amt</th>
                                            <th width="10%">Due Date</th>
                                        </thead>
                                        <tbody>
                                            @php 
                                            $termFee_total=0; 
                                            $totalDue_amount=0;
                                            foreach($fees as $ac_id => $sem_details){
                                                foreach($sem_details as $sem_id => $term_details){
                                                    foreach($term_details['fee_structure'] as $term_id => $fee_details){
                                                        foreach($fee_details['fee_type'] as $ftype_id => $ftype_details){
                                                            $famount = $ftype_details['due_amount']+$ftype_details['fine_amount']; 
                                                            if($famount > 0){
                                                                $totalDue_amount += $ftype_details['due_amount'];
                                                            }
                                                            $isPaid = ($famount == 0);
                                                            if(!$isPaid || ($isPaid && $ftype_details['term_fee'] > 0)){
                                                                $termFee_total += $ftype_details['term_fee']; @endphp
                                                                <tr>
                                                                    <td>
                                                                        <div class="form-check form-check-success d-flex">
                                                                            @if(!$isPaid)
                                                                                <label class="form-check-label">
                                                                                    <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}"> &nbsp; 
                                                                                </label>
                                                                            @endif
                                                                        </div>
                                                                    </td>
                                                                    <td>{{ $term_details['name'] }}</td>
                                                                    <td>{{ $fee_details['name'] }}</td>
                                                                    <td>{{ $ftype_details['ftype_name'] }}</td>
                                                                    <td align="center">{{$ftype_details['term_fee']}}</td>
                                                                    <td align="center">{{ $ftype_details['due_amount'] }}
                                                                        <input type="hidden" id="{{ 'current_fee'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" value="{{ $ftype_details['due_amount'] }}">
                                                                        <input type="hidden" id="{{ 'current_fine'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" name="{{ 'current_fine'.$ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" value="{{ $ftype_details['fine_amount'] }}">
                                                                        <input type="hidden" name="{{ 'fee_type'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" value="{{ $ftype_id }}">
                                                                    </td>
                                                                    <td align="right"><input type="text" class="form-control text-right" id="{{ 'fine_amount'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" name="{{ 'fine_amount'.$ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" placeholder="0.00" value="{{ $ftype_details['fine_amount'] }}" onkeyup="showFine(this.value,'{{ $sem_id }}','{{ $term_id }}','{{ $ftype_id }}')"></td>
                                                                    <td align="right"><input type="text" class="form-control text-right" id="{{ 'fee_amount'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" name="{{ 'fee_amount'.$ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id }}" placeholder="0.00" value="{{ $ftype_details['due_amount'] }}" onkeyup="showFee(this.value,'{{ $sem_id }}','{{ $term_id }}','{{ $ftype_id }}')"></td>
                                                                    <td align="center">
                                                                        @if($isPaid)
                                                                            <span class="text-success">Paid !!</span>
                                                                        @else
                                                                            {{ $famount }}
                                                                        @endif
                                                                    </td>
                                                                    <td align="right">
                                                                        <input type="text" name="{{'discount'.$ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id}}"  id="{{ 'discount'. $ac_id.'-'.$sem_id.'-'.$term_id.'-'.$ftype_id}}"  class="form-control fee-discount"  placeholder="0.00" onkeyup="showDiscount(this.value,'{{ $sem_id }}','{{ $term_id }}','{{ $ftype_id }}')">
                                                                    </td>
                                                                    <td>{{ date('d-m-Y',strtotime($ftype_details['end_date'])) }}</td>
                                                                </tr>
                                                            @php }
                                                        } 
                                                    }
                                                }
                                            } @endphp
                                            <tr>
                                                <td colspan="4" align="center"><b>Total</b></td>
                                                <td align="center"><b>{{$termFee_total}}</b></td>
                                                <td align="center"><b>{{$totalDue_amount}}</b></td>
                                                <td colspan="1" align="right"><b>Remarks</b></td>
                                                <td colspan="5"><input type="text" name="remarks" id="textBoxremarks" class="form-control" style="border:1px solid gray"></td>
                                            </tr>
                                        </tbody>              
                                    </table>
                                </div>
                            </div>
                        </div>         
                        <div class="form-group row">
                            <div class="col-12 col-sm-3 text-right">
                                <p class="font-weight-bold">Net Amount:</p>
                            </div>
                            <div class="col-12 col-sm-3">
                                <span class="font-weight-bold" id="gtotal">0.00</span>
                            </div>
                        </div> 
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-success float-right">Submit</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const paymentHistoryToggle = document.getElementById('paymentHistoryToggle');
            const paymentHistoryDetails = document.getElementById('paymentHistoryDetails');
            const toggleButton = paymentHistoryToggle.querySelector('.toggle-button');
                
            paymentHistoryToggle.addEventListener('click', function() {
                if (paymentHistoryDetails.style.display === 'block') {
                    paymentHistoryDetails.style.display = 'none';
                    toggleButton.textContent = '+'; 
                } else {
                    paymentHistoryDetails.style.display = 'block';
                    toggleButton.textContent = '-'; 
                }
            });
                
            // Assuming you have a form to validate
            document.querySelector('form').addEventListener('submit', function(event) {
                var modeSelect = document.getElementById('mode_id');
                if (modeSelect.value === '') {
                    alert('Please select a payment mode.');
                    event.preventDefault();
                }
            });
        });
    </script>
@endsection