<div class="card" style="border-top: 3px solid #004170;">
    <div class="card-body">
        <form method="post">
            <input type="hidden" id="course_id" name="course_id" value="{{ $course }}">
            <input type="hidden" id="semester_id" name="semester_id" value="{{ $semester_id }}">
         <div align="right">
    <a href="{{ route('timetable.print', ['course' => $course, 'semester_id' => $semester_id]) }}" target="blank_"><img src="{{ asset('public/uploads/logo/print.png'
) }}"  height="30px"></a></div>
            <div id="totalStudents" class="mb-3"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <div class="table-wrapper">
                            <table id="table-fine" class="table table-bordered table-striped table-hover">
                                <thead class="thead-custom">
                                    <tr>
                                        <th>Period</th>
                                        <th>Monday</th>
                                        <th>Tuesday</th>
                                        <th>Wednesday</th>
                                        <th>Thursday</th>
                                        <th>Friday</th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($periods as $period)
                                    <tr>
                                        <td class="period-cell">{{ $period->period }}</td>
                                        @foreach($getDayOfWeek as $day)
                                        <td class="day-cell">
                                             @php
                                                $isFree = true;
                                            @endphp
                                            @foreach($timetable as $t)
                                            @if($t->period_id == $period->id && $t->day_of_week == $day->day)
                                            @php
                                                $isFree = false;
                                            @endphp
                                            <div class="schedule-item">
                                                <strong>{{ $subjectName = $t->subject ? $t->subject->subject_name : 'No subject assigned' }}</strong><br>
                                                <em>{{ $staffName = $t->unames ? $t->unames->name : 'No teacher assigned' }}</em>
                                            </div>
                                            @endif
                                            @endforeach
                                            @if($isFree)
                                                <div class="schedule-item free-period">
                                                 <strong><font color="red">Free Period</font></strong>
                                                </div>
                                            @endif
                                        </td>
                                        @endforeach
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<style>
    body {
    font-family: 'Arial', sans-serif;
}

/* Table Header Styles */
thead.thead-custom {
    background-color: #004170;
    color: white;
    text-align: center;
}

thead.thead-custom th {
    padding: 15px 10px;
    font-size: 16px;
    font-weight: bold;
}

/* Table Cell Styles */
table.table-bordered {
    border-collapse: collapse;
    width: 100%;
    margin: 20px 0;
}

table.table-bordered td, table.table-bordered th {
    border: 1px solid #dcdcdc;
    padding: 12px;
    text-align: center;
}

table.table-striped tbody tr:nth-child(odd) {
    background-color: #f9f9f9;
}

table.table-hover tbody tr:hover {
    background-color: #e0f7fa;
    cursor: pointer;
}

/* Period Cell Styling */
.period-cell {
    background-color: #f0f0f0;
    font-weight: bold;
    text-align: left;
    padding-left: 15px;
}

/* Day Cells Styling */
.day-cell {
    min-height: 100px;
    vertical-align: top;
    padding: 10px;
}

.day-cell .schedule-item {
    font-size: 14px;
    color: #333;
}

.schedule-item strong {
    display: block;
    font-size: 16px;
    color: #004170;
    margin-bottom: 5px;
}

.schedule-item em {
    font-size: 14px;
    color: #555;
}

/* Scrollable Container */
.table-wrapper {
    overflow-x: auto;
    overflow-y: auto;
    max-height: 600px; /* You can adjust the height based on your requirement */
    margin-top: 10px;
}

/* Scrollbar Styles */
.table-wrapper::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

.table-wrapper::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.table-wrapper::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 10px;
}

.table-wrapper::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/* Responsive Styling */
@media (max-width: 768px) {
    table.table-bordered, .table th, .table td {
        font-size: 12px;
        padding: 8px;
    }

    .period-cell, .day-cell {
        padding: 8px;
    }

    .schedule-item {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    table.table-bordered, .table th, .table td {
        font-size: 10px;
        padding: 6px;
    }

    .period-cell, .day-cell {
        padding: 6px;
    }

    .schedule-item {
        font-size: 10px;
    }
}
</style>