<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>{{ env('APP_NAME') }}</title>
        <link rel="stylesheet" href="{{ asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css') }}">
        <link rel="stylesheet" href="{{ asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css') }}">
        <link rel="stylesheet" href="{{ asset('public/template/vendors/css/vendor.bundle.base.css') }}">
        <link rel="stylesheet" href="{{ asset('public/template/css/style.css') }}">
        <link rel="shortcut icon" href="{{ asset('public/uploads/logo/'.instituteDetails()->icon) }}" />
        <style>
            .btnn{
                background:linear-gradient(to right, #000046 0%, #1CB5E0 100%);
                color:white;
                border-radius:10px;
            }
            .btnn:hover{
               background:black; 
               color:white
            }
            .form-auth{
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            }
        </style>
    </head>
    <body>
        <div class="container-scroller">
            <div class="container-fluid page-body-wrapper full-page-wrapper">
                <div class="content-wrapper d-flex align-items-center auth" style="background:#0C2340">
                    <div class="row flex-grow">
                        <div class="col-lg-4 mx-auto">
                            <div class="auth-form-light text-left p-4 form-auth" style="min-height: 450px; border-radius: 8px;">
                                <div class="text-center"><img src="{{ asset('public/uploads/logo/'.instituteDetails()->image) }}" alt="Logo" class="img-fluid" width="300px"></div>
                                <h6 class="font-weight-light text-center">Sign in to continue</h6>
                                <p class="text-danger text-center">@if(session()->has('message')) {{ session()->get('message') }} @endif</p>
                                <form class="pt-3" action="{{ route('log.action') }}" method="post">
                                    @csrf
                                    <div class="form-group">
                                        <input type="email" class="form-control form-control-lg" id="exampleInputEmail1" name="email" placeholder="Username" required>
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control form-control-lg" id="exampleInputPassword1" name="password" placeholder="Password" required>
                                    </div>
                                    <div class="mt-3">
                                        <button type="submit" class="btn btn-block font-weight-medium auth-form-btn btnn">SIGN IN</button>
                                    </div>
                                    <div class="my-2 d-flex justify-content-between align-items-center">
                                        <div class="form-check form-check-success">
                                            <label class="form-check-label">
                                            <input type="checkbox" class="form-check-input"> Remember me </label>
                                        </div>
                                        <a href="#" class="auth-link text-black">Forgot password ?</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script src="{{ asset('public/template/vendors/js/vendor.bundle.base.js') }}"></script>
        <script src="{{ asset('public/template/js/off-canvas.js') }}"></script>
        <script src="{{ asset('public/template/js/misc.js') }}"></script>
    </body>
</html>