@extends('layouts.template')
@section('title','Profile')
@section('heading','My Profile')
@section('breadcrumb','My Profile')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        @php  $photo = $user->image ?? 'image_1720437570.png'; @endphp
                        <img class="rounded-circle image-fluid" src="{{ asset('public/uploads/staff/photo/' . $photo) }}" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-4">Employee ID. </label>
                        <label class="col-7 col-sm-8">: <span class="text-danger">{{ $user->employee_id_num }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-4">Name </label>
                        <label class="col-7 col-sm-8">: <span class="text-danger">{{ strtoupper(strtoupper($user->name)) }}</span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-4">Designation </label>
                        <label class="col-7 col-sm-8">: <span class="text-danger">{{ strtoupper($user->desig->type_name) }}</span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-4">Department </label>
                        <label class="col-7 col-sm-8">: <span class="text-danger">{{ strtoupper($user->departname->dept_name) }}</span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <form action="{{ route('staff.profile.update') }}" method="post" enctype="multipart/form-data">
        @csrf 
        <div class="card card-primary">
            <div class="card-header">Personal Information</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <input type="hidden" name="user_id" value="{{ encrypt($user->user_id) }}">
                       <div class="form-group">
                            <label for="name" class="required">First Name</label>
                            <input type="text" class="form-control" id="name" name="name" value="{{ $user->name }}" required autocomplete="off">
                            @error('name')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="lname">Last Name</label>
                            <input type="text" class="form-control" id="lname" name="lname" value="{{ $user->lname }}">
                            @error('lname')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="gender" class="required">Gender</label>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ $user->gender == 'male' ? "checked":"" }}> Male </label>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ $user->gender == 'female' ? "checked":"" }}> Female </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="dob">Date of Birth</label>
                            <input type="date" class="form-control" id="dob" name="dob" value="{{ $user->dob }}" autocomplete="off">
                            @error('dob')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="blood_group">Blood Group</label>
                            <input type="text" class="form-control" id="blood_group" name="blood_group" value="{{ $user->blood_group }}" autocomplete="off">
                            @error('blood_group')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="father_guardian">Father/Spouse</label>
                            <input type="text" class="form-control" id="father_guardian" name="father_guardian" value="{{ $user->father_guardian }}">
                            @error('father_guardian')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="qualification">Qualification</label>
                            <input type="text" class="form-control @error('qualification') border-danger @enderror" id="qualification" placeholder="Qualification" name="qualification" value="{{ $user->qualification }}" autocomplete="off">
                            @error('qualification')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>  
                        <div class="form-group">
                            <label for="experience">Experience</label>
                            <input type="text" class="form-control @error('experience') border-danger @enderror" id="experience" placeholder="Experience" name="experience" value="{{ $user->experience }}" autocomplete="off">
                            @error('experience')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="email_id" class="required"><b>Email ID</b></label>
                            <input type="email" class="form-control" id="email" name="email" value="{{ $user->email }}" required autocomplete="off">
                            @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="mobile">Mobile</label>
                            <input type="text" class="form-control" id="mobile" name="mobile" value="{{ $user->mobile }}" required>
                            @error('mobile')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>   
                        <div class="form-group">
                            <label for="address">Address</label>
                            <textarea class="form-control" id="address" name="address">{{ $user->address }}</textarea>
                            @error('address')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="mother_tongue">Mother Tongue</label>
                            <input type="text" class="form-control" id="mother_tongue" name="mother_tongue" value="{{ $user->mother_tongue ?? 'MALAYALAM' }}" required autocomplete="off">
                            @error('mother_tongue')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="state">State</label>
                            <input type="text" class="form-control" id="state" name="state" value="{{ $user->state ?? 'KERALA' }}" required autocomplete="off">
                            @error('state')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="nationality">Nationality</label>
                            <input type="text" class="form-control" id="nationality" name="nationality" value="{{ $user->nationality ?? 'INDIA' }}" required>
                            @error('nationality')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="dateof_join" class="required">Date of Joining</label>
                            <input type="date" class="form-control" id="dateof_join" name="dateof_join" value="{{ $user->dateof_join }}" required>
                            @error('dateof_join')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                        <div class="form-group">
                            <label for="phy_handi">Physically Handicapped (if yes, furnish details)</label>
                            <div class="row">
                                <div class="col-md-2">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="phy-yes" name="phy_handi" value="yes" {{ $user->phy_handi == 'yes' ? "checked":"" }}> Yes </label>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="phy-no" name="phy_handi" value="no" {{ $user->phy_handi == 'no' ? "checked":"" }}> No </label>
                                    </div>
                                </div>
                                <div class="col-md-8">
                                    <textarea name="phyhandi_det" id="textBox" class="form-control mt-2" style="{{ $user->phy_handi == 'yes' ? '' : 'display: none;' }}">{{ $user->phyhandi_det }}</textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="card card-primary">
            <div class="card-header">Uploads</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="image" >Upload Photo</label>
                            <input type="file" class="form-control @error('image') border-danger @enderror" id="image" name="image" autocomplete="off">
                            @error('image')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            @if($user->image)
                                <a href="{{ asset('public/uploads/staff/photo/'.$user->image) }}" target="_blank" download>View</a>
                            @endif
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="biodata" >Biodata</label>
                            <input type="file" class="form-control @error('biodata') border-danger @enderror" id="biodata" name="biodata" autocomplete="off">
                            @error('biodata')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            @if($user->biodata)
                                <a href="{{ asset('public/uploads/staff/biodata/'.$user->biodata) }}" target="_blank" download>View</a>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="card card-primary">
            <div class="card-header">Qualification Details</div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="net_qualified" class="required">1. Net Qualified</label>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="qual-yes" name="net_qualified" value="yes" {{ $user->net_qualified == 'yes' ? "checked":"" }}> Yes </label>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="qual-no" name="net_qualified" value="no" {{ $user->net_qualified == 'no' ? "checked":"" }}> No </label>
                                    </div>
                                </div>
                            </div>
                        </div>    
                    </div>
                    <div class="col-md-3">
                        <div class="form-group">
                            <label for="doing_research" class="required">2. Doing Research</label>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="research-yes" name="doing_research" value="yes" {{ $user->doing_research == 'yes' ? "checked":"" }}> Yes </label>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="research-no" name="doing_research" value="no" {{ $user->doing_research == 'no' ? "checked":"" }}> No </label>
                                    </div>
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
                @if($staff_qualifdet && $staff_qualifdet->isNotEmpty())
                    @foreach($staff_qualifdet as $qualif)
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="qualificationloop">Qualification</label>
                                    <input type="text" class="form-control @error('qualificationloop') border-danger @enderror" placeholder="Qualification" value="{{$qualif->qualificationloop}}" id="qualificationloop" name="qualificationloop[]" autocomplete="off">
                                    @error('qualificationloop')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="institute">Institute</label>
                                    <input type="text" class="form-control @error('institute') border-danger @enderror" id="institute" placeholder="Institute" value="{{$qualif->institute}}" name="institute[]" autocomplete="off">
                                    @error('institute')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="uni_board">University/Board</label>
                                    <input type="text" class="form-control @error('uni_board') border-danger @enderror" id="uni_board" placeholder="University/Board" value="{{$qualif->uni_board}}" name="uni_board[]" autocomplete="off">
                                    @error('uni_board')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="mark_grade">Mark/Grade</label>
                                    <input type="text" class="form-control @error('mark_grade') border-danger @enderror" id="mark_grade" placeholder="Mark/Grade" value="{{$qualif->mark_grade}}" name="mark_grade[]" autocomplete="off">
                                    @error('mark_grade')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="passotyr">Pass out Year</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <input type="text" class="form-control @error('passotyr') border-danger @enderror" id="passotyr" placeholder="Pass out Year" value="{{$qualif->passotyr}}"  name="passotyr[]" autocomplete="off">
                                                @error('passotyr')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @endif
                <div class="row">
                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="qualificationloop">Qualification</label>
                            <input type="text" class="form-control @error('qualificationloop') border-danger @enderror" placeholder="Qualification" id="qualificationloop" name="qualificationloop[]" autocomplete="off">
                            @error('qualificationloop')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="institute">Institute</label>
                            <input type="text" class="form-control @error('institute') border-danger @enderror" id="institute" placeholder="Institute" name="institute[]" autocomplete="off">
                            @error('institute')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="uni_board">University/Board</label>
                            <input type="text" class="form-control @error('uni_board') border-danger @enderror" id="uni_board" placeholder="University/Board" name="uni_board[]" autocomplete="off">
                            @error('uni_board')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <label for="mark_grade">Mark/Grade</label>
                            <input type="text" class="form-control @error('mark_grade') border-danger @enderror" id="mark_grade" placeholder="Mark/Grade" name="mark_grade[]" autocomplete="off">
                            @error('mark_grade')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="passotyr">Pass out Year</label>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control @error('passotyr') border-danger @enderror" id="passotyr" placeholder="Pass out Year"  name="passotyr[]" autocomplete="off">
                                        @error('passotyr')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <button type="button" class="btn btn-sm btn-success"  id="addquali"><i class="icon icon-plus"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="moreappend"></div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-success float-right">Update</button>
                </div>
            </div>
        </div>
    </div>
</form>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/user/add.js?version=1.2') }}"></script>
@endsection