<?php

use Illuminate\Support\Facades\Route;

Route::prefix('staff')->group(function () {

    Route::middleware('userauth')->group(function () {
        
        Route::get('/student-attendance','Staff\StudentAttendances@hourly')->name('staff.student.attendance');
        Route::get('/student-attendance-add','Staff\StudentAttendances@add')->name('staff.student.attendance.add');
        Route::post('/student-attendance-save','Staff\StudentAttendances@save')->name('staff.student.attendance.save');
        Route::get('/student-attendance-details','Staff\StudentAttendances@details')->name('staff.student.attendance.details');
        Route::post('/student-attendance-leave','Staff\StudentAttendances@leave')->name('staff.student.attendance.leave');
        
        
        Route::get('/fyugp-student-attendance','Staff\StudentAttendances@fyugp_hourly')->name('fyugp.staff.student.attendance');
        Route::get('/fyugp-student-attendance-add','Staff\StudentAttendances@fyugp_add')->name('fyugp.staff.student.attendance.add');
        Route::post('/fyugp-student-attendance-save','Staff\StudentAttendances@fyugp_save')->name('fyugp.staff.student.attendance.save');
        Route::get('/fyugp-student-attendance-details','Staff\StudentAttendances@fyugp_details')->name('fyugp.staff.student.attendance.details');
        Route::post('/fyugp-student-attendance-leave','Staff\StudentAttendances@fyugp_leave')->name('fyugp.staff.student.attendance.leave');
        
        Route::get('/student-attendance-all','Staff\StudentAttendances@all')->name('staff.student.attendance.all');
        Route::get('/student-attendance-all-add','Staff\StudentAttendances@add_all')->name('staff.student.attendance.all.add');
        Route::post('/student-attendance-all-save','Staff\StudentAttendances@all_save')->name('staff.student.attendance.all.save');
        Route::get('/student-attendance-all-details','Staff\StudentAttendances@all_details')->name('staff.student.attendance.all.details');
        Route::post('/student-attendance-all-leave','Staff\StudentAttendances@all_leave')->name('staff.student.attendance.all.leave');
        
        Route::get('/student-attendance-exemption','Staff\StudentAttendances@exemption')->name('staff.student.attendance.exemption');
        Route::get('/student-attendance-exemption-add','Staff\StudentAttendances@add_exemption')->name('staff.student.attendance.exemption.add');
        Route::post('/student-attendance-exemption-save','Staff\StudentAttendances@save_exemption')->name('staff.student.attendance.exemption.save');
        
        Route::get('/student-attendance-prior','Staff\StudentAttendances@prior')->name('staff.student.attendance.prior');
        Route::get('/student-attendance-prior-add','Staff\StudentAttendances@add_prior')->name('staff.student.attendance.prior.add');
        Route::post('/student-attendance-prior-save','Staff\StudentAttendances@save_prior')->name('staff.student.attendance.prior.save');
        
        /* Ajax */
        Route::get('/home/attendance','Staff\Ajax@attendance');
        Route::get('/home/timetable','Staff\Ajax@timetable');
        Route::get('/get-tutor-semester/{cid}','Staff\Ajax@tutor_semester');
        Route::get('/get-tutor-students/{cid}/{sid}','Staff\Ajax@tutor_students');
        Route::get('/get-semesters/{cid}','Staff\Ajax@getSemesters');
        Route::get('/get-course-subjects','Staff\Ajax@getCourseSubjects');
        
    });
    
});