<?php

use Illuminate\Support\Facades\Route;

Route::prefix('student')->group(function () {

    Route::get('/','Student\Users@login')->name('student.login');
    Route::post('/logaction','Student\Users@logaction')->name('student.logaction');
    
    Route::middleware('studentauth')->group(function () {
        
        Route::get('/home','Student\Users@home')->name('student.home');
        Route::get('/logout','Student\Users@logout')->name('student.logout');
        Route::get('/my-profile','Student\Users@myprofile')->name('student.myprofile'); 
        Route::post('/myprofile-update','Student\Users@myprofile_update')->name('student.profile.update');
        
        Route::get('/timetable','Student\Timetables@report')->name('student.timetable');
        
        /* Attendance */
        Route::get('/attendance','Student\Attendance@report')->name('student.attendance-report');
        
        /* E-Content */
        Route::get('/e-content','Student\Econtent@report')->name('student.econtent');
        
        /* Library */
        Route::get('/reservation','Student\Library@reservation')->name('student.reservation');
        Route::get('/reservation/ajax','Student\Library@getReservations')->name('student.reservation.ajax');
        Route::get('/reservation/add','Student\Library@add_reservation')->name('student.reservation.add');
        Route::get('/reservation/books','Student\Library@books')->name('student.reservation.books');
        Route::get('/reservation/reserve/{bid}','Student\Library@reserve')->name('student.reservation.reserve');
        Route::get('/reservation/cancel/{rid}','Student\Library@cancel_reservation')->name('student.reservation.cancel');
        Route::get('/issues','Student\Library@issues')->name('student.issues');
        Route::get('/issues/ajax','Student\Library@getIssues')->name('student.issues.ajax');
        
        /* Task */
        Route::get('/task-counts','Student\Task@gettaskcount')->name('student.task.counts');
        Route::get('/total-pending-task','Student\Task@pending_task')->name('student.task.pending');
        Route::post('/save-pending-task','Student\Task@save_pending_task')->name('save.task.pending');
        
        Route::get('/my-task','Student\Task@my_task')->name('student.mytask');
        Route::get('/my-task-get','Student\Task@my_task_get')->name('student.mytask.get');
        
        /* Ajax */
        Route::get('/subcategories','Student\Library@subcategories');
        Route::get('/home/attendance','Student\Ajax@attendance');
        
        /* Mainstream Assignment */
        Route::get('/mainstreamassig-counts','Student\Assignment@getmainstreamasigDetails')->name('student.mainassig.counts');
        
        /* Exam Chart */
        Route::get('/mainstream-ect','Student\Exam@examcharttheory')->name('studentlog.internal.ect');
        Route::get('/get-examchrttheory-stulogin','Student\Exam@examcharttheoryget')->name('studentlog.internal.ect.get');
        Route::get('/get-studentexamviewstulogin','Student\Exam@examcharttheorygetexam')->name('studentlog.internal.ect.exam');
        // Route::get('/get-studentpraexamviewstulogin','Student\Exam@ajaxgetexamp')->name('studentlog.internal.ect.ajax');
        Route::get('get-studentexamviewpstulogin','Student\Exam@ajaxgetexamp')->name('studentlog.internal.ecp.ajax');
        
        Route::get('/mainstream-ect-print/{crsid}/{semid}/{exmid}','Student\Exam@examcharttheory_print')->name('studentlog.internal.ect.print');
        Route::get('/mainstream-ecp','Student\Exam@examchartpractical')->name('studentlog.internal.ecp');
        Route::get('/get-examchrtpractical-stulogin','Student\Exam@examchartpracticalget')->name('studentlog.internal.ecp.exm.get');
        
        Route::get('/mainstream-ecp-print/{crsid}/{semid}/{exmid}','Student\Exam@examchartpractical_print')->name('studentlog.internal.ecp.print');
        Route::get('/mainstream-internal-mrk-report','Student\Exam@internalmrkreport')->name('studentlog.internal.markreport');
        Route::get('/mainstream-internal-mrk-report-get','Student\Exam@internalmrkreportget')->name('studentlog.internal.markreport.get');
        
        Route::get('/mainstream-marklist-get','Student\UniversityMarklist@marklist')->name('studentlog.marklist.get');
        Route::get('/mainstream-marklist-view','Student\UniversityMarklist@marklist_view')->name('studentlog.marklist.view');
        
        Route::get('progression', 'Student\Progressions@report')->name('student.progression');
        Route::post('progression/save', 'Student\Progressions@save')->name('student.progression.save');
       /*roll-out-warning*/
        Route::get('/rollout-warning','Student\Rollout@getrolloutwarning')->name('student.rollout.counts');
        /*Notification*/
        Route::get('/notification','Student\Notification@getNotifications')->name('student.notification');
        Route::get('/notification2','Student\Notification@getNotifications2')->name('student.notification2');



     Route::get('/questionbank','Student\Question@questionbank')->name('questionbank.student'); 
     Route::get('/studentquestion-get','Student\Question@questionbank_get')->name('questionbank.student.get'); 


        
    });
    
});