<!DOCTYPE html>
<?php
    $acyear = DB::table('acyears')
        ->where(['default1' => 1, 'status' => 1])
        ->select('sdate', 'edate')
        ->first();
    if($acyear) {
        $startDate = new DateTime($acyear->sdate);
        $endDate = new DateTime($acyear->edate);
        $startYear = $startDate->format('Y');
        $startMonth = $startDate->format('F'); 
        $startDay = $startDate->format('d'); 
        $endYear = $endDate->format('Y');
        $endMonth = $endDate->format('F');
        $endDay = $endDate->format('d'); 
        $academicYear = "{$startYear} - {$endYear}";
    } else {
        $academicYear = "No Academic Year";
    }
    $acyears=DB::table('acyears')->get();
?>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(env('APP_NAME')); ?></title>
        <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
        <!-- plugins:css -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/css/vendor.bundle.base.css')); ?>">
        <!-- endinject -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2-bootstrap-theme/select2-bootstrap.min.css')); ?>">
        <!-- Plugin css for this page -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/css/style.css?ver=1.87')); ?>">
        <link rel="shortcut icon" href="<?php echo e(asset('public/uploads/logo/'.instituteDetails()->icon)); ?>" />
        <link  rel="stylesheet" href="<?php echo e(asset('public/template/plugins/toaster/toastr.min.css')); ?>"/>
        <!-- Datatable -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-responsive/css/responsive.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-buttons/css/buttons.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    </head>
    <body>
        <div class="container-scroller">
            <nav class="navbar default-layout-navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
                <div class="navbar-brand-wrapper d-flex align-items-center" style="background-color: #010826">
                    <a class="navbar-brand brand-logo" href="<?php echo e(route('home')); ?>">
                        <span class="app-title" style="font-size: .5vw; max-width: 100%; overflow: hidden; white-space: nowrap;"><?php echo e(env('APP_NAME')); ?></span>
                    </a>
                    <a class="navbar-brand brand-logo-mini" href="<?php echo e(route('home')); ?>"><img src="<?php echo e(asset('public/uploads/logo/'.instituteDetails()->logo)); ?>" alt="logo" /></a>
                </div>
                <div class="navbar-menu-wrapper d-flex align-items-center flex-grow-1" style="background: linear-gradient(to right, #000046 0%, #1CB5E0 100%);">
                    <h5 class="mb-0 font-weight-medium d-none d-lg-flex"></h5>
                    <div class="navbar-academic-year text-right flex-grow-1">
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item mob-hide"><a href="#" class="nav-link" data-toggle="offcanvas"><i class="icon-menu text-light"></i></a></li>
                            <li class="nav-item dropdown language-dropdown d-none d-sm-flex align-items-center">
                                <a class="nav-link d-flex align-items-center dropdown-toggle" id="LanguageDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
                                    <div class="d-inline-flex mr-3">
                                        <i class="icon-lg icon-calendar text-light"></i>
                                    </div>
                                    <span class="profile-text font-weight-normal text-light"><?php echo e($academicYear); ?></span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-left navbar-dropdown dropdown-contents py-2" aria-labelledby="LanguageDropdown">
                                    <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ac): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $startYear = \Carbon\Carbon::parse($ac->sdate)->year;
                                            $endYear = \Carbon\Carbon::parse($ac->edate)->year;
                                        ?>
                                        <a href="<?php echo e(route('acyear.template.save',encrypt($ac->ac_id))); ?>" class="dropdown-item <?php echo e($ac->default1 == 1 ? 'bg-primary':''); ?>">
                                            <i class="icon-check"></i><?php echo e($startYear.' - '.$endYear); ?>

                                        </a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <ul class="navbar-nav navbar-nav-right ml-auto">
                        <?php if(in_array(Auth::user()->type_id,['12'])): ?>
                            <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                                <?php echo e(app_stf_notif()); ?>

                            </li>
                        <?php endif; ?>
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_notifi()); ?>

                        </li>
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_user()); ?>

                        </li>
                    </ul>
                    <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
                        <span class="icon-menu"></span>
                    </button>
                </div>
            </nav>
            <!-- partial -->
            <div class="container-fluid page-body-wrapper" >
                <!-- partial:partials/_sidebar.html -->
                <nav class="sidebar sidebar-offcanvas" id="sidebar" style="background-color: #010826;">
                    <ul class="nav">
                        <li class="nav-item navbar-brand-mini-wrapper">
                            <a class="nav-link navbar-brand brand-logo-mini" href="<?php echo e(route('home')); ?>">Home</a>
                        </li>
                        <li class="nav-item nav-profile">
                            <?php echo e(app_nav_user()); ?>

                        </li>
                        <?php echo e(app_menus()); ?>

                    </ul>
                </nav>
                <!-- partial -->
                <div class="main-panel">
                    <div class="content-wrapper">
                        <div class="page-header">
                            <h3 class="page-title"> <?php echo $__env->yieldContent('heading'); ?> </h3>
                            <nav aria-label="breadcrumb">
                                <i class="fa-solid fa-house"></i> <?php echo $__env->yieldContent('breadcrumb'); ?>
                            </nav>
                        </div>
                        <?php echo $__env->yieldContent('content'); ?>
                    </div>
                </div>
                <!-- main-panel ends -->
            </div>
            <!-- page-body-wrapper ends -->
        </div>
        <!-- container-scroller -->
        <!-- plugins:js -->
        <script src="<?php echo e(asset('public/template/vendors/js/vendor.bundle.base.js')); ?>"></script>
        <!-- endinject -->
        <script src="<?php echo e(asset('public/template/vendors/select2/select2.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/vendors/typeahead.js/typeahead.bundle.min.js')); ?>"></script>
        <!-- inject:js -->
        <script src="<?php echo e(asset('public/template/js/off-canvas.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/misc.js?ver=1.6')); ?>"></script>
        <!-- endinject -->
        <script src="<?php echo e(asset('public/template/js/typeahead.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/select2.js')); ?>"></script>
        <!-- DataTables  & Plugins -->
        <script src="<?php echo e(asset('public/template/plugins/datatables/jquery.dataTables.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/dataTables.responsive.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/responsive.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/dataTables.buttons.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.bootstrap4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/pdfmake/pdfmake.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/pdfmake/vfs_fonts.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.html5.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.print.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.colVis.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/plugins/toaster/toastr.min.js')); ?>"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
        <script>
            <?php if(Session::has('message')): ?>
                toastr.options = {
                    closeButton: true,
                    debug: false,
                    newestOnTop: false,
                    progressBar: false,
                    positionClass: "toast-top-right",
                    preventDuplicates: false,
                    onclick: null,
                    showDuration: "3000",
                    hideDuration: "1000",
                    timeOut: "5000",
                    extendedTimeOut: "1000",
                    showEasing: "swing",
                    hideEasing: "linear",
                    showMethod: "fadeIn",
                    hideMethod: "fadeOut",
                };
                var type = "<?php echo e(Session::get('alert-type','info')); ?>";
                switch(type){
                    case 'info': 
                        toastr.info("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'success': 
                        toastr.success("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'warning': 
                        toastr.warning("<?php echo e(Session::get('message')); ?>");
                        break;
                    case 'error': 
                        toastr.error("<?php echo e(Session::get('message')); ?>");
                        break;
                }
            <?php endif; ?>
            
            document.addEventListener('DOMContentLoaded', function() {
                var dropdownButton = document.querySelector('.dropbtns');
                var dropdownMenu = document.querySelector('.dropdown-contents');
                    
                dropdownButton.addEventListener('click', function(event) {
                    event.stopPropagation(); // Prevent click event from propagating to the window
                    dropdownMenu.classList.toggle('show');
                });
                    
                window.addEventListener('click', function(event) {
                    if (!event.target.matches('.dropbtns')) {
                        if (dropdownMenu.classList.contains('show')) {
                            dropdownMenu.classList.remove('show');
                        }
                    }
                });
            });
        </script>
        <style>
            .dropdown-container {
                display: flex;
                align-items: center;
                justify-content: flex-end; 
            }
                
            .dropdown {
                position: relative; 
                display: inline-block;
            }
                
            .dropdown-button {
                background-color: transparent;
                border: 1px solid #ccc; 
                padding: 5px 30px 5px 10px; 
                color: black;
                font-weight: 600;
                font-family: Arial, sans-serif;
                cursor: pointer;
                display: flex;
                align-items: center;
                position: relative;
            }
                
            .custom-arrow {
                margin-left: auto; 
                font-size: 12px; 
                color: black; 
            }
                
            .dropdown-menu {
                display: none; 
                position: absolute;
                top: 100%; /* Position below the button */
                left: 0;
                background-color: white;
                border: 1px solid #ccc;
                box-shadow: 0 2px 5px rgba(0,0,0,0.2);
                z-index: 1000; /* Ensure it sits above other elements */
                min-width: 160px;
                color: black;
            }
                
            .dropdown-menu.show {
                display: block;
            }
                
            .dropdown-item {
                padding: 10px;
                cursor: pointer;
            }
                
            .dropdown-item:hover {
                background-color: #f0f0f0; 
            }
                
            .dropdown .dropbtns {
                font-size: 16px;  
                border: none;
                outline: none;
                color: white;
                padding: 14px 16px;
                background-color: inherit;
                font-family: inherit;
                margin: 0;
            }
                
            .dropdown-contents {
                display: none;
                position: absolute;
                background-color: #f9f9f9;
                min-width: 160px;
                box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
                z-index: 1;
            }
                
            .dropdown-contents a {
                float: none;
                color: black;
                padding: 12px 16px;
                text-decoration: none;
                display: block;
                text-align: left;
            }
        </style>
    </body>
</html><?php /**PATH /home/relents/public_html/chinarts.relents.in/resources/views/layouts/template.blade.php ENDPATH**/ ?>