<form action="<?php echo e(route('generate.fyugptimetable.save')); ?>" method="post">
    <?php echo csrf_field(); ?>
    <input type="hidden" id="tcourse" name="course" value="<?php echo e($course->course_id); ?>">
    <input type="hidden" id="tsemester" name="semester" value="<?php echo e($semester->semester_id); ?>">
    <input type="hidden" name="day" value="<?php echo e($day); ?>">
    <input type="hidden" name="period" value="<?php echo e($period->id); ?>">
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Program :</label>
                <label class="col-7 text-danger"><?php echo e($course->course_name); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Semester :</label>
                <label class="col-7 text-danger"><?php echo e($semester->semester_name); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Day :</label>
                <label class="col-7 text-danger"><?php echo e($day); ?></label>
            </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group row">
                <label class="col-5">Period :</label>
                <label class="col-7 text-danger"><?php echo e($period->period); ?></label>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label class="required">Category</label>
                <select class="form-control tdata" id="tcategory" name="category" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->category); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
             </div>
        </div>
        <div class="col-12 col-sm-6">
            <div class="form-group">
                <label class="required">Type</label>
                <select class="form-control" name="type" required>
                    <option value="0">Theory</option>
                    <option value="1">Practical</option>
                </select>
             </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Staff</label>
                <select class="form-control tdata" id="tstaff" name="staff" required>
                    <option value="">Select</option>
                    <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($staff->user_id); ?>"><?php echo e($staff->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Subject</label>
                <select class="form-control" id="tsubject" name="subject">
                    <option value="">Select</option>
                </select>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <label>Group</label>
                <select class="form-control" name="group">
                    <option value="">Select</option>
                    <?php $__currentLoopData = $groups; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($group->id); ?>"><?php echo e($group->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                <button type="button" class="btn btn-sm btn-danger float-right mr-2" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</form>
<script>
    $('.tdata').change(function(){
        var baseUrl = window.location.origin;
        var course = $('#tcourse').val();
        var semester = $('#tsemester').val();
        var category = $('#tcategory').val();
        var staff = $('#tstaff').val();
        
        $("#tsubject").empty();
        if(course!=='' && semester!=='' && category!=='' && staff!=='') {
            $.ajax({
                type : 'GET',
                url : baseUrl+'/get-staff-subject',
                data : { course: course, semester: semester, category: category, staff: staff },
                success : function(response){
                    var data = jQuery.parseJSON(response);
                    $("#tsubject").append('<option value="">Select</option>');
                    $.each(data, function(key,value) {
                        $("#tsubject").append('<option value="'+key+'">'+value+'</option>');
                    });
                },
                error: function (xhr, status, error) {
                    alert('Could not able to fetch data. Try again later !');
                }
            });
        }
    });
</script><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/fyugp/timetable/add.blade.php ENDPATH**/ ?>