
<?php $__env->startSection('title', 'Dashboard'); ?>
<?php $__env->startSection('heading', 'Student Birthday'); ?>
<?php $__env->startSection('breadcrumb', 'Home / Student Birthday'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-primary">
        <div class="card-header">Birthday Reminder</div>
        <div class="card-body">
            <div class="row">
                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $birthday): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-12 col-md-4 mb-4">
                        <div class="card text-center shadow-sm border-0">
                            <div class="card-body">
                                <img src="<?php echo e(asset('public/uploads/student/photo/'.$birthday->photo)); ?>" class="rounded-circle" alt="<?php echo e($birthday->name); ?>" style="width: 100px; height: 100px; object-fit: cover; border: 3px solid #005A9C;">
                                <h5 class="card-title mt-2"><?php echo e($birthday->name); ?></h5>
                                <p class="card-text"><strong>Adno:</strong> <?php echo e($birthday->adno); ?></p>
                                <p class="card-text"><?php echo e($birthday->course_name); ?></p>
                                <p class="card-text"><?php echo e($birthday->semester_name); ?></p>
                                <button class="btn btn-sm btn-info" data-toggle="modal" data-target="#birthdayModal" onclick="showDetails('<?php echo e($birthday->name); ?>', '<?php echo e($birthday->mobile); ?>')">View Details</button>
                                <form action="<?php echo e(route('message.stu.send')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="student_id" value="<?php echo e($birthday->student_id); ?>">
                                    <div class="input-group mt-3">
                                        <input type="text" id="messageInput-<?php echo e($birthday->student_id); ?>" name="message" value="Happy Birthday <?php echo e($birthday->name); ?>!!" placeholder="Enter your message" class="form-control" aria-label="Birthday Message">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit"  style="height: 100%;">
                                                <i class="fas fa-birthday-cake" style="color: #FF6F61;"></i>
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
    <div class="modal fade" id="birthdayModal" tabindex="-1" role="dialog" aria-labelledby="birthdayModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content rounded-lg border-0">
                <div class="modal-header" style="background-color: #005A9C;">
                    <h5 class="modal-title text-white" id="birthdayModalLabel">Birthday Details</h5>
                    <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p id="birthdayDetails"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    <script>
        function showDetails(name, mobile) {
            const details = `Name: ${name}<br>Mobile: ${mobile}`;
            document.getElementById('birthdayDetails').innerHTML = details;
        }
    </script>
    <style>
        .input-group .form-control {
            height: 38px; /* Adjust this height to match your button */
        }
        .input-group .btn {
            height: 38px; /* Same height as input */
            padding: 0.375rem 0.75rem; /* Match padding */
            display: flex; /* Center icon vertically */
            align-items: center; /* Center icon vertically */
        }
    </style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staffdashboard/birthday.blade.php ENDPATH**/ ?>