
<?php $__env->startSection('title','Fee Report'); ?>
<?php $__env->startSection('heading','Fee Report'); ?>
<?php $__env->startSection('breadcrumb','Home / Search Student / Fee Report'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        <?php $photo = $student->photo ?? 'student.png'; ?>
                        <img class="rounded-circle image-fluid" src="<?php echo e(asset('public/uploads/student/photo/'.$photo)); ?>" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->adno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->rollno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e(strtoupper($student->name)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->mobile); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->course->course_name); ?></span></label>
                    </div>
                    <?php if($student->major_ii): ?>
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->majorii->course_name); ?></span></label>
                        </div>
                    <?php endif; ?>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($promote->semester->semester_name); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->email); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])); ?>" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-success">PROFILE</span></a>
                    </div>
                </div>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-danger">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                 <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">Change Pathway</span></a>
                    </div>
                </div>
                <?php if($student->ac_id >= 6): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="scroll">
                <table class="table table-bordered" width="100%">
                    <thead>
                    <tr>
                        <th>Bill Number</th>
                        <th>Bill Date</th>
                        <th>Fee Amount</th>
                        <th>Fine</th>
                        <th>Discount</th>
                        <th>Paid</th>
                        <th>Payment Mode</th>
                        <th>Print</th>
                    </tr>
                    </thead>  
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $payments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $payment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php $paid = $payment->amt+$payment->fine-$payment->disc; ?>
                            <tr>
                                <td align="center"><?php echo e($payment->receipt_no); ?></td>
                                <td align="center"><?php echo e(date('d-m-Y',strtotime($payment->paid_date))); ?></td>
                                <td align="right"><?php echo e($payment->amt); ?></td>
                                <td align="right"><?php echo e($payment->fine); ?></td>
                                <td align="right"><?php echo e($payment->disc); ?></td>
                                <td align="right"><?php echo e($paid); ?></td>
                                <td align="center"><?php echo e($payment->mode_name); ?></td>
                                <td align="center">
                                    <a href="<?php echo e(route('searchstudent.history.print', ['receipt_no' => $payment->receipt_no, 'paid_date' => $payment->paid_date])); ?>" target="_blank">
                                        <i style="font-size:20px" class="icon-sm icon-printer text-danger"></i>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="8" align="center">No Result Found!</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegemadapally.relents.in/resources/views/students/search_feereport.blade.php ENDPATH**/ ?>