<!DOCTYPE html>
<?php
    $acyear = DB::table('acyears')
            ->where(['default1' => 1, 'status' => 1])
            ->select('sdate', 'edate')
            ->first();
    if ($acyear) {
        $startDate = new DateTime($acyear->sdate);
        $endDate = new DateTime($acyear->edate);
    
        $startYear = $startDate->format('Y');
        $startMonth = $startDate->format('F'); 
        $startDay = $startDate->format('d'); 
    
        $endYear = $endDate->format('Y');
        $endMonth = $endDate->format('F');
        $endDay = $endDate->format('d'); 
    
        $academicYear = "{$startYear} -  {$endYear}";
    }   else {
        $academicYear = "No Academic Year";
    }
    $acyears=DB::table('acyears')->get();
?>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $__env->yieldContent('title'); ?> | <?php echo e(env('APP_NAME')); ?></title>
        <!-- plugins:css -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/css/vendor.bundle.base.css')); ?>">
        <!-- endinject -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2/select2.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/select2-bootstrap-theme/select2-bootstrap.min.css')); ?>">
        <!-- Plugin css for this page -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/css/style.css?ver=1.7')); ?>">
        <link rel="shortcut icon" href="<?php echo e(asset('public/uploads/logo/'.instituteDetails()->icon)); ?>" />
        <!-- Datatable -->
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-responsive/css/responsive.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/plugins/datatables-buttons/css/buttons.bootstrap4.min.css')); ?>">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
        <link href="<?php echo e(asset('public/template/plugins/toaster/toastr.min.css')); ?>" rel="stylesheet" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    </head>
    <body>
        <div class="container-scroller">
            <!-- partial:partials/_navbar.html -->
            <nav class="navbar default-layout-navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
                <div class="navbar-brand-wrapper d-flex align-items-center" style="background-color:#010826">
                    <a class="navbar-brand brand-logo" href="<?php echo e(route('home')); ?>">
                        <!--<img src="images/logo.svg" alt="logo" class="logo-dark" />-->
                        <span class="app-title"><?php echo e(env('APP_NAME')); ?></span>
                    </a>
                    <a class="navbar-brand brand-logo-mini" href="<?php echo e(route('home')); ?>"><!--<img src="images/logo-mini.svg" alt="logo" />--></a>
                </div>
                <div class="navbar-menu-wrapper d-flex align-items-center flex-grow-1" style="background: linear-gradient(to right, #000046 0%, #1CB5E0 100%);">
                    <h5 class="mb-0 font-weight-medium d-none d-lg-flex"></h5>
                    <div class="navbar-academic-year text-right flex-grow-1">
                        <ul class="navbar-nav ml-auto">
                            <li class="nav-item"><a href="#" class="nav-link"><i class="icon-menu text-light"></i></a></li>
                            <li class="nav-item dropdown language-dropdown d-none d-sm-flex align-items-center">
                                <a class="nav-link d-flex align-items-center dropdown-toggle" id="LanguageDropdown" href="#" data-toggle="dropdown" aria-expanded="false">
                                    <div class="d-inline-flex mr-3">
                                        <i class="icon-lg icon-calendar text-light"></i>
                                    </div>
                                    <span class="profile-text font-weight-normal text-light"><?php echo e($academicYear); ?></span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-left navbar-dropdown dropdown-contents py-2" aria-labelledby="LanguageDropdown">
                                    <?php $__currentLoopData = $acyears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ac): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php
                                            $startYear = \Carbon\Carbon::parse($ac->sdate)->year;
                                            $endYear = \Carbon\Carbon::parse($ac->edate)->year;
                                        ?>
                                        <a href="<?php echo e(route('acyear.template.save',encrypt($ac->ac_id))); ?>" class="dropdown-item">
                                            <i class="icon-check <?php echo e($ac->default1 == 1 ? "text-success":"text-muted"); ?>"></i><?php echo e($startYear.' - '.$endYear); ?>

                                        </a>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </li>
                        </ul>
                    </div>
                    <ul class="navbar-nav navbar-nav-right ml-auto">
                        <?php if(in_array(Auth::user()->type_id,['12'])): ?>
                            <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                                <?php echo e(app_stf_notif()); ?>

                            </li>
                        <?php endif; ?>
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_notifi()); ?>

                        </li>
                        <li class="nav-item dropdown d-none d-xl-inline-flex user-dropdown">
                            <?php echo e(app_settings_user()); ?>

                        </li>
                    </ul>
                    <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button" data-toggle="offcanvas">
                        <span class="icon-menu"></span>
                    </button>
                </div>
            </nav>
            <div class="container-fluid page-body-wrapper">
                <nav class="sidebar sidebar-offcanvas" id="sidebar" style="background-color:#010826">
                    <ul class="nav">
                        <li class="nav-item nav-profile">
                            <?php echo e(app_nav_user()); ?>

                        </li>
                        <?php if(in_array(Auth::user()->type_id, [1, 13, 14])): ?>
                            <li class="nav-item nav-category">
                                <a href="<?php echo e(route('home')); ?>"  style="text-decoration:none"><span class="nav-link" style="color:#A4DDED"><i class="fa fa-home"></i></span></a>
                            </li>
                        <?php endif; ?>
                        <li class="nav-item nav-category">
                            <span class="nav-link" style="color:#A4DDED">Settings</span>
                        </li>
                        <?php echo e(app_settings_menus()); ?>

                    </ul>
                </nav>
                <!-- partial -->
                <div class="main-panel">
                    <div class="content-wrapper">
                        <div class="page-header">
                            <h3 class="page-title"> <?php echo $__env->yieldContent('heading'); ?> </h3>
                            <nav aria-label="breadcrumb">
                                <i class="fa-solid fa-cog"></i> <?php echo $__env->yieldContent('breadcrumb'); ?>
                            </nav>
                        </div>
                        <?php echo $__env->yieldContent('content'); ?>
                    </div>
                </div>
                <!-- main-panel ends -->
            </div>
            <!-- page-body-wrapper ends -->
        </div>
    <!-- container-scroller -->
    <!-- plugins:js -->
    <script src="<?php echo e(asset('public/template/vendors/js/vendor.bundle.base.js')); ?>"></script>
    <!-- endinject -->
    <script src="<?php echo e(asset('public/template/vendors/select2/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/vendors/typeahead.js/typeahead.bundle.min.js')); ?>"></script>
    <!-- inject:js -->
    <script src="<?php echo e(asset('public/template/js/off-canvas.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/js/misc.js?ver=1.6')); ?>"></script>
    <!-- endinject -->
    <script src="<?php echo e(asset('public/template/js/typeahead.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/js/select2.js')); ?>"></script>
    <!-- DataTables  & Plugins -->
    <script src="<?php echo e(asset('public/template/plugins/datatables/jquery.dataTables.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/dataTables.responsive.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-responsive/js/responsive.bootstrap4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/dataTables.buttons.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.bootstrap4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/pdfmake/pdfmake.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/pdfmake/vfs_fonts.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.html5.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.print.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/datatables-buttons/js/buttons.colVis.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/toaster/toastr.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/template/plugins/toaster/toastr.min.js')); ?>"></script>
    <script>
        <?php if(Session::has('message')): ?>
            toastr.options = {
                closeButton: true,
                debug: false,
                newestOnTop: false,
                progressBar: false,
                positionClass: "toast-top-right",
                preventDuplicates: false,
                onclick: null,
                showDuration: "3000",
                hideDuration: "1000",
                timeOut: "5000",
                extendedTimeOut: "1000",
                showEasing: "swing",
                hideEasing: "linear",
                showMethod: "fadeIn",
                hideMethod: "fadeOut",
            };
            var type = "<?php echo e(Session::get('alert-type','info')); ?>";
            switch(type){
                case 'info': 
                    toastr.info("<?php echo e(Session::get('message')); ?>");
                    break;
                case 'success': 
                    toastr.success("<?php echo e(Session::get('message')); ?>");
                    break;
                case 'warning': 
                    toastr.warning("<?php echo e(Session::get('message')); ?>");
                    break;
                case 'error': 
                    toastr.error("<?php echo e(Session::get('message')); ?>");
                    break;
            }
        <?php endif; ?>
        
        document.addEventListener('DOMContentLoaded', function() {
    var dropdownButton = document.querySelector('.dropbtns');
    var dropdownMenu = document.querySelector('.dropdown-contents');

    dropdownButton.addEventListener('click', function(event) {
        event.stopPropagation(); // Prevent click event from propagating to the window
        dropdownMenu.classList.toggle('show');
    });

    window.addEventListener('click', function(event) {
        if (!event.target.matches('.dropbtns')) {
            if (dropdownMenu.classList.contains('show')) {
                dropdownMenu.classList.remove('show');
            }
        }
    });
});

    </script>
    
    </body>
</html><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/layouts/settings-template.blade.php ENDPATH**/ ?>