
<?php $__env->startSection('title','Generate FYUGP Time Table'); ?>
<?php $__env->startSection('heading','Generate FYUGP Time Table'); ?>
<?php $__env->startSection('breadcrumb','Home / FYUGP Time Table / Generate'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        .timetable {
            text-transform: uppercase;
            text-align: center;
            align-items: center;
            font-size: 13px;
        }
        .tt-row{
            display: flex;
            gap: 10px;
        }
        .tt-block {
            flex: 1 1 calc(100% / 7);
        }
        .tt-period {
            background-color: #2D2870;
            color: #FFF;
            font-weight: 700;
            padding: 10px 15px;
            border-radius: 10px;
            margin: 5px 0;
        }
        .tt-day {
            background-color: #DC4F4B;
            color: #FFF;
            font-weight: 700;
            padding: 10px 15px;
            border-radius: 10px;
            margin: 5px 0;
            height: auto;
            min-height: 180px;
            align-items: center;
        }
        .tt-content {
            background-color: #F1FAEE;
            border-radius: 10px;
            margin: 5px 0;
            padding: 5px;
            height: auto;
            min-height: 180px;
        }
        .tt-item {
            background-color: #c7e9ff;
            border-radius: 5px;
            margin: 3px 0;
        }
        .tt-item:hover {
            cursor: pointer;
        }
        .tt-category {
            font-weight: 600;
        }
        .tt-user {
            
        }
        .tt-button {
            background-color: green;
            color: #FFF;
            padding: 2px 10px;
            border: 0px;
            border-radius: 5px;
        }
        
        @media (max-width: 480px) {
            .tt-row{
                gap: 5px;
            }
            .tt-block {
                flex: 1 1 100%;
            }
        }
    </style>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="course" class="required">Programme</label>
                            <select class="form-control" id="course" name="course" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $coursedet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($coursedet->course_id); ?>" <?php echo e($coursedet->course_id == $courseId ? 'selected':''); ?>><?php echo e($coursedet->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php $__errorArgs = ['course'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="semester" class="required">Semester</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <select class="form-control" id="semester" name="semester" required>
                                            <option value="">Select</option>
                                            <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semesterdet): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($semesterdet->semester_id); ?>" <?php echo e($semesterdet->semester_id==$semesterId ? "selected":""); ?>><?php echo e($semesterdet->semester_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>                   
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <?php if(!empty($data)): ?>
        <br>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 text-center">
                        <h4><?php echo e($course ? $course->course_name : ''); ?></h4>
                    </div>
                </div>
                <div class="timetable">
                    <div class="tt-row">
                        <div class="tt-block">
                            <div class="tt-head"></div>
                        </div>
                        <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="tt-block">
                                <div class="tt-period"><?php echo e($period->period); ?></div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <?php $__currentLoopData = $days; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="tt-row">
                            <div class="tt-block">
                                <div class="tt-day"><?php echo e($day->day); ?></div>
                            </div>
                            <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="tt-block">
                                    <div class="tt-content">
                                        <?php if(!empty($data[$day->day][$period->id])): ?>
                                            <?php $__currentLoopData = $data[$day->day][$period->id]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="tt-item" onclick="editSlot('<?php echo e($courseId); ?>','<?php echo e($semesterId); ?>','<?php echo e($day->day); ?>','<?php echo e($period->id); ?>','<?php echo e($category['data_id']); ?>');">
                                                    <div class="tt-category"><?php echo e($category['category_name']); ?></div>
                                                    <div class="tt-user">
                                                        <?php if(in_array($category['category_id'], [5,6])): ?>
                                                            <?php echo e($category['group_name'].' - '); ?>

                                                        <?php endif; ?>
                                                        <?php echo e($category['user_code']); ?>

                                                    </div>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                        <div>
                                            <button type="button" class="tt-button" onclick="addSlot('<?php echo e($courseId); ?>','<?php echo e($semesterId); ?>','<?php echo e($day->day); ?>','<?php echo e($period->id); ?>')">Add</button>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <br>
                
                <div class="row">
                    <?php $__currentLoopData = $staffs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $staff): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-12 col-sm-4">
                            <div class="form-group">
                                <span class="text-danger"><?php echo e($staff->code); ?> : </span><?php echo e($staff->name); ?>

                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <div class="modal fade" id="timetableModal" tabindex="-1" role="dialog" aria-labelledby="timetableModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="timetableModalLongTitle">Timetable</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                </div>
            </div>
        </div>
    </div>
    <script src="<?php echo e(asset('public/js/fyugp/timetable.js?ver=1.69')); ?>"></script>
    <script>
        function editSlot(cid, sid, day, pid, id){
            var baseUrl = window.location.origin;
            if(cid!='' && sid!='' && day!='' && pid!='' && id!=''){
                $.ajax({
                    type : 'GET',
                    url : baseUrl+'/generate-fyugptimetable-edit',
                    data : { cid: cid, sid: sid, day: day, pid: pid, id: id },
                    success : function(response){
                        $('.modal-body').html(response);
                        $('#timetableModal').modal('show');
                    },
                    error: function (xhr, status, error) {
                        alert('Could not able to fetch data. Try again later !');
                    }
                });
            }else{
                alert('Invalid Data');
            }
        }
        
        function addSlot(cid, sid, day, pid){
            var baseUrl = window.location.origin;
            if(cid!='' && sid!='' && day!='' && pid!=''){
                $.ajax({
                    type : 'GET',
                    url : baseUrl+'/generate-fyugptimetable-add',
                    data : { cid: cid, sid: sid, day: day, pid: pid },
                    success : function(response){
                        $('.modal-body').html(response);
                        $('#timetableModal').modal('show');
                    },
                    error: function (xhr, status, error) {
                        alert('Could not able to fetch data. Try again later !');
                    }
                });
            }else{
                alert('Invalid Data');
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/chinarts.relents.in/resources/views/fyugp/timetable/generate.blade.php ENDPATH**/ ?>