<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo e(env('APP_NAME')); ?></title>
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/simple-line-icons/css/simple-line-icons.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/flag-icon-css/css/flag-icon.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/vendors/css/vendor.bundle.base.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/template/css/style.css')); ?>">
        <link rel="shortcut icon" href="<?php echo e(asset('public/uploads/logo/'.$institute->icon)); ?>" />
        <style>
            .btnn{
                background:linear-gradient(to right, #000046 0%, #1CB5E0 100%);
                color:white;
                border-radius:10px;
            }
            .btnn:hover{
               background:black; 
               color:white
            }
            .form-auth{
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            }
        </style>
    </head>
    <body>
        <div class="container-scroller">
            <div class="container-fluid page-body-wrapper full-page-wrapper">
                <div class="content-wrapper d-flex align-items-center auth" style="background:#0C2340">
                    <div class="row flex-grow">
                        <div class="col-lg-4 mx-auto">
                            <div class="auth-form-light text-left p-5 form-auth" style="min-height: 500px; border-radius: 8px;">
                                <div class="brand-logo text-center"><img src="<?php echo e(asset('public/uploads/logo/'.$institute->logo)); ?>" alt="Logo" class="img-fluid"></div>
                                <h6 class="font-weight-light text-center">Sign in to continue</h6>
                                <p class="text-danger text-center"><?php if(session()->has('message')): ?> <?php echo e(session()->get('message')); ?> <?php endif; ?></p>
                                <form class="pt-3" action="<?php echo e(route('log.action')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="form-group">
                                        <input type="email" class="form-control form-control-lg" id="exampleInputEmail1" name="email" placeholder="Username" required>
                                    </div>
                                    <div class="form-group">
                                        <input type="password" class="form-control form-control-lg" id="exampleInputPassword1" name="password" placeholder="Password" required>
                                    </div>
                                    <div class="mt-3">
                                        <button type="submit" class="btn btn-block font-weight-medium auth-form-btn btnn">SIGN IN</button>
                                    </div>
                                    <div class="my-2 d-flex justify-content-between align-items-center">
                                        <div class="form-check">
                                            <label class="form-check-label text-muted">
                                            <input type="checkbox" class="form-check-input"> Keep me signed in </label>
                                        </div>
                                        <a href="#" class="auth-link text-black">Forgot password ?</a>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script src="<?php echo e(asset('public/template/vendors/js/vendor.bundle.base.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/off-canvas.js')); ?>"></script>
        <script src="<?php echo e(asset('public/template/js/misc.js')); ?>"></script>
    </body>
</html><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/users/login.blade.php ENDPATH**/ ?>