
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Hourly Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch; /* Smooth scrolling for iOS */
        }
        
        table {
            width: 100%;
            table-layout: auto; /* Adjust column width dynamically */
            border-collapse: collapse; /* Optional: Better appearance */
        }
        
        td {
            word-wrap: break-word; /* Break long words */
            overflow-wrap: anywhere; /* Modern breaking */
            hyphens: auto; /* Hyphenation for long words */
        }
        
        th, td {
            white-space: normal; /* Allow wrapping */
            word-break: break-word; /* Break long words */
            text-align: center; /* Align content */
            padding: 5px; /* Add padding for readability */
        }
        
        th {
            background-color: #f5f5f5; /* Light gray header background */
            white-space: nowrap; /* Prevent header wrapping */
        }
        
        .trheight > td {
            line-height: 28px;
        }
        .subject{
            font-size: 12px;
            font-weight: bold;
            color: #000;
        }
        a{
            text-decoration: none;
        }
        a:hover {
            text-decoration: none;
        }
        .pblock:hover{
            background-color: #bdf4ff;
        }
        .bg-light-purple {
            background-color: #fabfff; 
        }
        
        @media (max-width: 768px) {
            table {
                font-size: 12px; /* Scale font down for mobile */
            }
            .trheight > td {
                font-size: 10px; /* Reduce font size for mobile */
            }
        }
    </style>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="cdate" class="required">Date</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <input type="date" class="form-control" id="cdate" name="cdate" value="<?php echo e($cdate); ?>" required>
                                        <?php $__errorArgs = ['cdate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><div class="text-daborder-danger small mt-1 text-danger"><?php echo e($message); ?></div><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>  
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>   
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if(!empty($data)): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-light-red"></div> Holiday
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-light-green"></div> Completed
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-light-orange"></div> Pending
                        </div>
                    </div>
                    <div class="col-12 col-sm-2">
                        <div class="form-group d-flex">
                            <div class="square bg-light-purple"></div> Substitution
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th width="10%">Hour</th>
                                <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <th width="15%"><b><?php echo e(date('l',strtotime($date))); ?><br><br><?php echo e(date('d/m/Y',strtotime($date))); ?></b></th>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $periods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $period): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr class="trheight">
                                        <td align="center"><?php echo e($period->period); ?></td>
                                        <?php $__currentLoopData = $dates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $date): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if(isset($data[$date][$period->id])): ?>
                                            <td>
                                            <?php $__currentLoopData = $data[$date][$period->id]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php
                                                    $course = $timp['course_id'];
                                                    $semester = $timp['semester_id'];
                                                    $subject = $timp['subject_id'];
                                                    
                                                ?>
                                                <div class="pblock <?php if($timp['holiday']>0): ?> bg-light-red <?php elseif($timp['marked']==1): ?> bg-light-green <?php elseif($timp['marked']==2): ?> bg-light-orange <?php elseif($timp['type']==1): ?> bg-light-purple <?php endif; ?>" align="center">
                                                    <a href="<?php echo e(route('staff.student.attendance.add',['date'=>$date, 'course'=>$course, 'semester'=>$semester, 'subject'=>$subject, 'period'=>$period->id])); ?>">
                                                        <div class="period">
                                                            <div class="subject"><?php echo e(strtoupper($timp['subject_name'])); ?></div>
                                                            <div class="course text-success"><?php echo e(strtoupper($timp['course_name'])); ?></div>
                                                            <div class="semester text-danger"><?php echo e(strtoupper($timp['semester_name'])); ?></div>
                                                        </div>
                                                    </a>
                                                </div>
                                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>     
                                           </td>
                                            <?php else: ?>
                                                <td class="pblock " align="center"></td>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>    
        <div class="alert alert-danger">No Result Found !</div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/chinarts.relents.in/resources/views/staff/student/hourly.blade.php ENDPATH**/ ?>