
<?php $__env->startSection('title','Attendance'); ?>
<?php $__env->startSection('heading','Attendance'); ?>
<?php $__env->startSection('breadcrumb','Home / Student / Hourly Attendance'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        .scroll {
            overflow-x: auto;
            -webkit-overflow-scrolling: touch;
        }
        .custom-check{
            width: 20px;
            height: 20px;
            accent-color: #38ce3c;
            cursor: pointer;
        }
        .custom-check:checked {
            accent-color: #38ce3c;
        }
        .square{
            width: 20px;
            height: 20px;
        }
    </style>
    <div class="row">
        <div class="col-12">
            <div class="form-group">
                <a href="<?php echo e(route('staff.student.attendance',['cdate'=>$date])); ?>" class="btn btn-sm btn-danger">Back</a>
            </div>
        </div>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Program :</label>
                        <label class="col-7 text-danger"><?php echo e($course->course_name); ?></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Semester :</label>
                        <label class="col-7 text-danger"><?php echo e($semester->semester_name); ?></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Course :</label>
                        <label class="col-7 text-danger"><?php echo e($subject->subject_name); ?></label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Date :</label>
                        <label class="col-7 text-danger"><?php echo e(date('d/m/Y',strtotime($date))); ?></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Day :</label>
                        <label class="col-7 text-danger"><?php echo e(date('l',strtotime($date))); ?></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5">Period :</label>
                        <label class="col-7 text-danger"><?php echo e($period->period); ?></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php if(!empty($students)): ?>
        <div class="card mt-2">
            <div class="card-body">
                <form action="<?php echo e(route('staff.student.attendance.save')); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" id="course" name="course" value="<?php echo e($course->course_id); ?>">
                    <input type="hidden" id="semester" name="semester" value="<?php echo e($semester->semester_id); ?>">
                    <input type="hidden" id="subject" name="subject" value="<?php echo e($subject->subject_id); ?>">
                    <input type="hidden" id="date" name="date" value="<?php echo e($date); ?>">
                    <input type="hidden" id="period" name="period" value="<?php echo e($period->id); ?>">
                    <div class="scroll">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Adm No.</th>
                                <th>Roll No.</th>
                                <th>Name</th>
                                <th>
                                    <input type="checkbox" class="custom-check" onclick="checkAll(this);" checked> Attendance
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $pcount=0; ?>
                                <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td align="center"><?php echo e($loop->iteration); ?></td>
                                        <td align="center"><?php echo e($student['adno']); ?></td>
                                        <td align="center"><?php echo e($student['rollno']); ?></td>
                                        <td><?php echo e(strtoupper($student['name'])); ?></td>
                                        <td align="center">
                                            <?php if($student['status']==''): ?>
                                                <?php $pcount++; ?>
                                                <input type="hidden" name="studentids[]" value="<?php echo e($student['student_id']); ?>">
                                                <input type="checkbox" class="custom-check checkSub" name="posted[]" value="<?php echo e($student['student_id']); ?>" checked>
                                            <?php elseif($student['status']=='P'): ?>
                                                <div class="square bg-success" onclick="studDet('<?php echo e($student['student_id']); ?>')"></div>
                                            <?php elseif($student['status']=='A'): ?>
                                                <div class="square bg-danger" onclick="studDet('<?php echo e($student['student_id']); ?>')"></div>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <?php if($pcount>0): ?>
                        <br>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </form>
            </div>
        </div>
        <div class="modal fade" id="attendanceModal" tabindex="-1" role="dialog" aria-labelledby="attendanceModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="attendanceModalLongTitle">Student Attendance</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger mt-2">No Students Found in Selected Course !</div>
    <?php endif; ?>
    <script>
        function checkAll(source){
            const checkboxes = document.querySelectorAll('.checkSub');
            checkboxes.forEach(checkbox => checkbox.checked = source.checked);
        }
        
        function studDet(sid){
            var course = $('#course').val();
            var semester = $('#semester').val();
            var subject = $('#subject').val();
            var date = $('#date').val();
            var period = $('#period').val();
            
            var baseUrl = window.location.origin;
            
            if(course!='' && semester!='' && subject!='' && date!='' && period!='' && sid!=''){
                $.ajax({
                    type : 'GET',
                    url : baseUrl+'/staff/student-attendance-details',
                    data : { course: course, semester: semester, subject: subject, date: date, period: period, sid: sid },
                    success : function(response){
                        $('.modal-body').html(response);
                        $('#attendanceModal').modal('show');
                    },
                    error: function (xhr, status, error) {
                        alert('Could not able to fetch data. Try again later !');
                    }
                });
            }else{
                alert('Invalid Data');
            }
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/staff/student/add.blade.php ENDPATH**/ ?>