
<?php $__env->startSection('title','Student Profile'); ?>
<?php $__env->startSection('heading','Student Profile'); ?>
<?php $__env->startSection('breadcrumb','Home / Search Student / Profile'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group text-center">
                        <?php $photo = $student->photo ?? 'student.png'; ?>
                        <img class="rounded-circle image-fluid" src="<?php echo e(asset('public/uploads/student/photo/'.$photo)); ?>" alt="Profile image" height="120px">
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Adm No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->adno); ?></span></label>
                    </div>
                     <div class="form-group row">
                        <label class="col-5 col-sm-3">Roll No. </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->rollno); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Name </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e(strtoupper($student->name)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Mobile </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->mobile); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-4">
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Major 1 </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->course->course_name); ?></span></label>
                    </div>
                    <?php if($student->major_ii): ?>
                        <div class="form-group row">
                            <label class="col-5 col-sm-3">Major 2 </label>
                            <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->majorii->course_name); ?></span></label>
                        </div>
                    <?php endif; ?>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Semester </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($promote->semester->semester_name); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5 col-sm-3">Email </label>
                        <label class="col-7 col-sm-9">: <span class="text-danger"><?php echo e($student->email); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])); ?>" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-danger">PROFILE</span></a>
                    </div>
                </div>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PAYMENTS</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])); ?>" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success">DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                 <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.changepathway.view',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">CHANGE PATHWAY</span></a>
                    </div>
                </div>
                <?php if($student->ac_id >= 6): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT-FYUGP</span></a>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">PROGRESS REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <?php if($user->staftyp_id!=1): ?>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE PAYMENT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL FEE REPORT</span></a>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="<?php echo e(route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">HOSTEL DUE REPORT</span></a>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="<?php echo e(route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])); ?>"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success">BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="card card-primary">
        <div class="card-header">Personal Information</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">Gender </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->gender)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Permanent Address </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->paddress)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Communication Address </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->caddress)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Mobile </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->mobile); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Email </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->email); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Aadhar No </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->aadhar); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Date of Birth </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->dob_formatted); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Blood Group </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->bgroup)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Religion </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->religion?->religion_name)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Community </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->community?->community)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Caste </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->caste?->caste)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">APL/BPL </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->pline); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Annual Income </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->income); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">Father's Name </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->fname)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Father's Mobile </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->fmobile); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Father's Occupation </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->foccupation)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Mother's Name </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->mname)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Mother's Occupation </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->moccupation)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Guardian Name </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->gname)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Guardian Address </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->gaddress)); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Guardian Mobile </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->gmobile); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Day Scholar </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->dscholar); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">NCC/NSS </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->ncc_nss); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">ABC ID </label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->abc_id); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Arts/Sports</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e(strtoupper($student->arts_sports)); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card card-primary">
        <div class="card-header">Academic Information</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">Institution Last Studied</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastinst); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Program Last Studied</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastcourse); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Year of Study</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->lastyear); ?></span></label>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5">SSLC Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->sslc); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Plus Two Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->plustwo); ?></span></label>
                    </div>
                    <div class="form-group row">
                        <label class="col-5">Degree Marks (%)</label>
                        <label class="col-7">: <span class="text-danger"><?php echo e($student->degree); ?></span></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/stjosephscollege.relents.in/resources/views/students/search_view.blade.php ENDPATH**/ ?>