<?php $__env->startSection('title','Search Student'); ?>
<?php $__env->startSection('heading','Search Student'); ?>
<?php $__env->startSection('breadcrumb','Home / Search Student'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group">
                        <input type="text" class="form-control" id="searchTerm" name="search_student" placeholder="Admission No. / Name / Mobile" value="<?php echo e(old('search_student')); ?>">
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <button type="button" class="btn btn-sm btn-success" id="getData" >Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="scroll">
            <table class="table table-bordered" id="reportTable" width="100%">
                <thead>
                <tr>
                    <th>Adm No.</th>
                    <th>Roll No.</th>
                    <th>Name</th>
                    <th>Mobile</th>
                    <th>Program</th>
                    <th>Semester</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script>
        $(function(){
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '<?php echo e(route('searchstudent.get')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.searchterm = $('#searchTerm').val();
                    }
                },
                order: [[1, 'asc']],
                columns : [
                    { data : 'adno' },
                    { data : 'rollno' },
                    { data : 'name' },
                    { data : 'mobile' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'action' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/govtcollegecalicut.relents.in/resources/views/students/searchstudent.blade.php ENDPATH**/ ?>