
<?php $__env->startSection('title','Logins'); ?>
<?php $__env->startSection('heading','Student Logins'); ?>
<?php $__env->startSection('breadcrumb','Home / Logins / Student'); ?>
<?php $__env->startSection('content'); ?>
<?php if($errors->any()): ?>
    <div class="alert alert-danger">
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>


    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="course">Program</label>
                            <select class="js-example-basic-single" id="course" name="course" style="width:100%" required>
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->course_id); ?>" <?php echo e($course->course_id == $courseId ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="semester">Semester</label>
                            <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <select class="js-example-basic-single" id="semester" name="semester" style="width:100%">
                                            <option value="">Select</option>
                                            <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($semester->semester_id); ?>" <?php echo e($semester->semester_id == $semesterId ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <?php if($students->count() > 0): ?>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <a href="<?php echo e(route('logins.student.print', ['course' => $courseId, 'semester' => $semesterId])); ?>" class="btn btn-sm btn-success btn-icon-text" target="_blank">
                                <i class="icon-printer btn-icon-prepend"></i> Print
                            </a>
                            <a href="<?php echo e(route('logins.student.send', ['course' => $courseId, 'semester' => $semesterId])); ?>" class="btn btn-sm btn-info btn-icon-text" target="_blank">
                                <i class="icon-envelope-letter btn-icon-prepend"></i> Send Mail
                            </a>
                        </div>
                    </div>
                </div>
                <div class="scroll">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Adm No</th>
                            <th>Student Name</th>
                            <th>Mobile</th>
                            <th>Email</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $students; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $student): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td align="center"><?php echo e($loop->iteration); ?></td>
                                    <td align="center"><?php echo e($student->adno); ?></td>
                                    <td><?php echo e($student->name); ?></td>
                                    <td align="center"><?php echo e($student->mobile); ?></td>
                                    <td align="center"><?php echo e($student->email); ?></td>
                                    <td align="center"><?php echo e($student->status==0 ? 'Blocked':'Active'); ?></td>
                                    <td align="center">
                                        <a href="<?php echo e(route('logins.student.edit',['student_id' => encrypt($student->student_id), 'course' => $courseId, 'semester' => $semesterId])); ?>" title="Edit"><i class="icon icon-pencil text-primary"></i></a>&nbsp;&nbsp;&nbsp;
                                        <?php if($student->status==1): ?>
                                            <a href="<?php echo e(route('logins.student.block',['student_id' => encrypt($student->student_id), 'status' => 0, 'course' => $courseId, 'semester' => $semesterId])); ?>" title="Block"><i class="icon icon-lock text-danger"></i></a>
                                        <?php else: ?>
                                            <a href="<?php echo e(route('logins.student.block',['student_id' => encrypt($student->student_id), 'status' => 1, 'course' => $courseId, 'semester' => $semesterId])); ?>" title="Unblock"><i class="icon icon-lock-open text-success"></i></a>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    <?php else: ?>
        <div class="alert alert-danger">No Result Found !</div>
    <?php endif; ?>
    <script src="<?php echo e(asset('public/js/general.js')); ?>"></script> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/logins/student.blade.php ENDPATH**/ ?>